#include "idadefs.hpp"
#include "util.hpp"
#include <cstring>

constexpr static unsigned int u8_to_u32(const unsigned char* p) {
    return (((unsigned int)(p[0] & 0xff)) | ((unsigned int)(p[1] & 0xff) << 8) | ((unsigned int)(p[2] & 0xff) << 16) |
            ((unsigned int)(p[3] & 0xff) << 24));
}

namespace unplayplay {
    static std::uint32_t process(char a1, std::uint32_t a2, std::uint32_t a3, std::uint32_t a4, std::uint32_t a5) {
        int v5 = 0x7ff7;
        int v6 = 0xb3bfd920;
        int v7 = 0x1000;
        unsigned int v8 = 0xc;
        int v9 = 0x20;
        int v10 = 0x0;
        int v11 = 0x1;
        int v12 = 0xc32196c;
        int v13 = 0x7ff7;
        int v14 = 0xb3bfd900;
        int v15 = 0x6000;
        int v16 = 0x3b142b8;
        int v17 = 0x0;
        int v18 = 0xc;
        int v19 = 0x0;
        int v20 = 0xc;
        int v21 = 0x7ff7;
        int v22 = 0xb3bfd8e0;
        int v23 = 0x1;
        int v24 = 0xc301ce1;
        unsigned int v25 = 0x7ff7;
        unsigned int v26 = 0xb3bfd8e0;
        int v27 = 0x6000;
        int v28 = 0x3b142b8;
        unsigned int v29 = 0x7ff7;
        int v30 = 0xb3bfd8c0;
        int v31 = 0x1;
        int v32 = 0xc301d75;
        int v33 = 0x7ff7;
        int v34 = 0xb3bfd8b0;
        int v35 = 0x6000;
        int v36 = 0x3b142b8;
        int v37 = 0x7ff7;
        int v38 = 0xb3bfd8a0;
        int v39 = 0x1;
        int v40 = 0xc301d25;
        int v41 = 0x7ff7;
        int v42 = 0xb3bfd890;
        int v43 = 0x6000;
        int v44 = 0x3b142b8;
        int v45 = 0x7ff7;
        int v46 = 0xb3bfd8e0;
        unsigned int v47 = 0x7ff8;
        int v48 = 0x4960d560;
        int v49 = 0x7ff8;
        int v50 = 0x4960d560;
        int v51 = 0x0;
        int v52 = 0x1;
        int v53 = 0x7fff;
        int v54 = 0xf8;
        int v55 = 0x6000;
        int v56 = 0x3514120;
        int v57 = 0x80006000;
        int v58 = 0x3514120;
        int v59 = 0x7ff8;
        int v60 = 0x5b2b846;
        int v61 = 0x0;
        int v62 = 0x0;
        int v63 = 0x0;
        int v64 = 0x2;
        int v65 = 0x0;
        int v66 = 0x0;
        int v67 = 0x1;
        int v68 = 0xc60a02c;
        int v69 = 0x0;
        int v70 = 0x0;
        int v71 = 0x0;
        int v72 = 0x0;
        int v73 = 0x4;
        int v74 = 0x2;
        int v75 = 0x7ff8;
        int v76 = 0x59635a0;
        int v77 = 0x7ff7;
        int v78 = 0xb3bfd860;
        int v79 = 0x7ff8;
        int v80 = 0x4960d560;
        int v81 = 0x7ff8;
        int v82 = 0x4960d560;
        int v83 = 0x0;
        int v84 = 0x1;
        int v85 = 0x7fff;
        int v86 = 0xf8;
        int v87 = 0x6000;
        int v88 = 0x3514120;
        int v89 = 0x80006000;
        int v90 = 0x3514120;
        int v91 = 0x7ff8;
        int v92 = 0x5b2b846;
        int v93 = 0x0;
        int v94 = 0x0;
        int v95 = 0x7ff8;
        int v96 = 0x5b255fb;
        int v97 = 0x7ff7;
        int v98 = 0xb3bfd850;
        int v99 = 0xb;
        int v100 = 0x2;
        int v101 = 0x7ff8;
        int v102 = 0x25ce8a4f;
        int v103 = 0x0;
        int v104 = 0x1;
        int v105 = 0x7ff8;
        int v106 = 0x49612850;
        int v107 = 0x1;
        int v108 = 0xc603000;
        int v109 = 0x0;
        int v110 = 0x0;
        int v111 = 0x7ff7;
        int v112 = 0xb3bfd7e0;
        int v113 = 0x7ff8;
        int v114 = 0x45916680;
        int v115 = 0x7ff8;
        int v116 = 0x5a8e378;
        int v117 = 0x7ff7;
        int v118 = 0xb3bfd7a0;
        unsigned int v119 = 0xb;
        unsigned int v120 = 0x47a1d608;
        unsigned int v121 = 0x7ff8;
        unsigned int v122 = 0x25ce8a4f;
        unsigned int v123 = 0x7ff8;
        unsigned int v124 = 0x5b0e380;
        unsigned int v125 = 0x7ff8;
        int v126 = 0x49612170;
        int v127 = 0x0;
        unsigned int v128 = 0x10;
        unsigned int v129 = 0x0;
        int v130 = 0x1;
        unsigned int v131 = 0x7ff8;
        int v132 = 0x5ae3a15;
        unsigned int v133 = 0x0;
        int v134 = 0x0;
        unsigned int v135 = 0x0;
        unsigned int v136 = 0x0;
        unsigned int v137 = 0x0;
        unsigned int v138 = 0x0;
        int v139 = 0xb;
        unsigned int v140 = 0x0;
        int v141 = 0x7ff8;
        int v142 = 0x25ce8a4f;
        int v143 = 0x0;
        int v144 = 0x0;
        int v145 = 0x7ff8;
        int v146 = 0x49613b00;
        int v147 = 0x0;
        unsigned int v148 = 0x0;
        int v149 = 0x0;
        unsigned int v150 = 0x0;
        int v151 = 0x7ff8;
        int v152 = 0x5bc9eba;
        int v153 = 0x7ff7;
        int v154 = 0xb3bfdbf0;
        int v155 = 0x7ff7;
        int v156 = 0xb3bfe061;
        int v157 = 0x1;
        int v158 = 0xc303e30;
        int v159 = 0x0;
        unsigned int v160 = 0x0;
        int v161 = 0x7ff7;
        unsigned int v162 = 0xb3bfdc60;
        int v163 = 0x0;
        int v164 = 0x1;
        unsigned int v165 = 0x986662d4;
        int v166 = 0x642600c7;
        int v167 = 0x0;
        unsigned int v168 = 0x0;
        std::uint64_t v169 = 0x0;
        int v170 = 0x0;
        int v171 = 0x0;
        int v172 = 0x0;
        int v173 = 0x1000;
        int v174 = 0x0;
        unsigned int v175 = 0x0;
        int v176 = 0x0;
        unsigned int v177 = 0x260;
        int v178 = 0x0;
        int v179 = 0x2444eb91;
        unsigned int v180 = 0x0;
        int v181 = 0x66f12e0e;
        int v182 = 0x0;
        int v183 = 0x23eb4f5d;
        int v184 = 0x0;
        int v185 = 0x66f1b605;
        unsigned int v186 = 0x0;
        unsigned int v187 = 0x23eb4f5d;
        unsigned int v188 = 0x0;
        int v189 = 0x66f1b605;
        unsigned int v190 = 0x0;
        int v191 = 0x243b1fc7;
        int v192 = 0x0;
        int v193 = 0x66f1b605;
        unsigned int v194 = 0x0;
        int v195 = 0x0;
        unsigned int v196 = 0x14;
        unsigned int v197 = 0x1f5;
        unsigned int v198 = 0x0;
        unsigned int v199 = 0x10980dc;
        unsigned int v200 = 0x1341ed;
        unsigned int v201 = 0x1000004;
        unsigned int v202 = 0x0;
        int v203 = 0x0;
        int v204 = 0x0;
        unsigned int v205 = 0x0;
        int v206 = 0x0;
        int v207 = 0x0;
        int v208 = 0x0;
        int v209 = 0x1000;
        unsigned int v210 = 0x0;
        unsigned int v211 = 0x0;
        int v212 = 0x0;
        unsigned int v213 = 0x260;
        unsigned int v214 = 0x0;
        int v215 = 0x2444eb91;
        unsigned int v216 = 0x0;
        int v217 = 0x66f12e0e;
        unsigned int v218 = 0x0;
        int v219 = 0x23eb4f5d;
        int v220 = 0x0;
        int v221 = 0x66f1b605;
        int v222 = 0x0;
        int v223 = 0x23eb4f5d;
        int v224 = 0x0;
        int v225 = 0x66f1b605;
        int v226 = 0x0;
        int v227 = 0x243b1fc7;
        int v228 = 0x0;
        int v229 = 0x66f1b605;
        int v230 = 0x0;
        int v231 = 0x0;
        int v232 = 0x14;
        int v233 = 0x1f5;
        int v234 = 0x0;
        int v235 = 0x10980dc;
        int v236 = 0x1341ed;
        int v237 = 0x1000004;
        int v238 = 0x7ff8;
        int v239 = 0x5bca5cc;
        int v240 = 0x7ff7;
        int v241 = 0xb3bfd6b0;
        int v242 = 0x0;
        int v243 = 0x401;
        int v244 = 0x7ff7;
        int v245 = 0xb3bfd480;
        int v246 = 0x7ff7;
        int v247 = 0xb3bfd560;
        int v248 = 0x30;
        int v249 = 0x18;
        int v250 = 0x0;
        int v251 = 0x1;
        int v252 = 0x7ff8;
        int v253 = 0x49612170;
        int v254 = 0x0;
        int v255 = 0x0;
        int v256 = 0x7ff8;
        int v257 = 0x49612198;
        int v258 = 0x7ff8;
        int v259 = 0x5966978;
        int v260 = 0x7ff7;
        int v261 = 0xb3bfd550;
        int v262 = 0x7ff8;
        int v263 = 0x4960d5b0;
        int v264 = 0x6000;
        int v265 = 0x3514240;
        int v266 = 0x7ff8;
        int v267 = 0x5966d11;
        int v268 = 0x7ff7;
        int v269 = 0xb3bfd500;
        int v270 = 0x7ff8;
        int v271 = 0x49613b00;
        int v272 = 0x7ff8;
        int v273 = 0x49613b00;
        int v274 = 0x0;
        int v275 = 0x0;
        int v276 = 0x7ff8;
        int v277 = 0x49613f88;
        int v278 = 0x7ff8;
        int v279 = 0x5966978;
        int v280 = 0x7ff7;
        int v281 = 0xb3bfd500;
        int v282 = 0xffffffff;
        int v283 = 0x0;
        int v284 = 0x0;
        int v285 = 0x2b089;
        unsigned int v286 = 0x7ff8;
        int v287 = 0x5c94d76;
        int v288 = 0x7ff7;
        int v289 = 0xb3bfdc60;
        int v290 = 0x0;
        int v291 = 0x20;
        int v292 = 0x0;
        int v293 = 0x1;
        int v294 = 0x7ff8;
        int v295 = 0x5c97959;
        int v296 = 0x7ff8;
        int v297 = 0x4960d560;
        int v298 = 0x7ff8;
        int v299 = 0x5b9c857;
        int v300 = 0x7ff7;
        int v301 = 0xb3bfd480;
        int v302 = 0x7ff8;
        int v303 = 0x5aee881;
        int v304 = 0x7ff7;
        int v305 = 0xb3bfd480;
        int v306 = 0x0;
        unsigned int v307 = 0x1;
        int v308 = 0x0;
        int v309 = 0x10;
        int v310 = 0x7ff7;
        int v311 = 0xb3bfd860;
        int v312 = 0x7ff7;
        int v313 = 0xb3bfd490;
        int v314 = 0x0;
        int v315 = 0xa;
        int v316 = 0x20;
        int v317 = 0x0;
        int v318 = 0x7ff8;
        int v319 = 0x5af0085;
        unsigned int v320 = 0x7ff7;
        unsigned int v321 = 0xb3bfd470;
        unsigned int v322 = 0x7ff7;
        int v323 = 0xb3bfd630;
        int v324 = 0x7ff7;
        unsigned int v325 = 0xb3bfd490;
        int v326 = 0x7ff7;
        int v327 = 0xb3bfd640;
        unsigned int v328 = 0x7ff8;
        unsigned int v329 = 0x5aee85b;
        unsigned int v330 = 0x7ff8;
        int v331 = 0x5aee881;
        int v332 = 0x7ff7;
        int v333 = 0xb3bfd410;
        int v334 = 0x0;
        int v335 = 0x1;
        int v336 = 0x7ff8;
        int v337 = 0x459169a8;
        int v338 = 0x7ff7;
        int v339 = 0xb3bfd630;
        int v340 = 0x7ff7;
        int v341 = 0xb3bfd490;
        int v342 = 0x1;
        int v343 = 0x3;
        int v344 = 0x1;
        int v345 = 0xc56bd60;
        int v346 = 0x7ff7;
        int v347 = 0xb3bfda60;
        int v348 = 0x7ff7;
        int v349 = 0xb3b150;
        int v350 = 0x0;
        int v351 = 0x0;
        int v352 = 0x0;
        unsigned int v353 = 0xc300000;
        unsigned int v354 = 0x7ff8;
        int v355 = 0x59b1000;
        int v356 = 0x20;
        int v357 = 0x0;
        int v358 = 0x7ff7;
        int v359 = 0xb3bfd370;
        int v360 = 0x0;
        unsigned int v361 = 0x0;
        int v362 = 0x7ff8;
        unsigned int v363 = 0x59b0006;
        int v364 = 0x20;
        int v365 = 0x0;
        int v366 = 0x7ff7;
        int v367 = 0xb3bfd350;
        int v368 = 0x0;
        int v369 = 0x0;
        int v370 = 0x0;
        int v371 = 0x0;
        int v372 = 0x0;
        int v373 = 0x0;
        int v374 = 0x0;
        int v375 = 0x0;
        int v376 = 0x0;
        int v377 = 0x8;
        int v378 = 0x7ff7;
        unsigned int v379 = 0xb3bfd550;
        int v380 = 0x7ff8;
        int v381 = 0x59b54f9;
        int v382 = 0x7ff8;
        int v383 = 0x59b54be;
        int v384 = 0x50;
        int v385 = 0x2000000;
        int v386 = 0x7ff7;
        int v387 = 0xb3bfd300;
        int v388 = 0x0;
        int v389 = 0x0;
        int v390 = 0x0;
        int v391 = 0x0;
        int v392 = 0x0;
        int v393 = 0x0;
        unsigned int v394 = 0x0;
        int v395 = 0x0;
        int v396 = 0x0;
        unsigned int v397 = 0x8;
        int v398 = 0x7ff7;
        unsigned int v399 = 0xb3bfd3c0;
        int v400 = 0x7ff8;
        int v401 = 0x59b54f9;
        int v402 = 0x7ff8;
        int v403 = 0x59b54be;
        int v404 = 0x50;
        int v405 = 0x2000000;
        int v406 = 0x7ff7;
        int v407 = 0xb3bfd2b0;
        int v408 = 0x0;
        int v409 = 0x0;
        int v410 = 0x7f01;
        int v411 = 0x3;
        int v412 = 0x7ff7;
        int v413 = 0xb3bfda60;
        int v414 = 0x1;
        int v415 = 0xc569c40;
        int v416 = 0x0;
        int v417 = 0xc300000;
        int v418 = 0x0;
        int v419 = 0x0;
        int v420 = 0x7ff7;
        int v421 = 0xb3b150;
        int v422 = 0x1;
        int v423 = 0xc300000;
        int v424 = 0x1;
        int v425 = 0xc56bd60;
        int v426 = 0x7ff7;
        int v427 = 0xb3bfd2b0;
        int v428 = 0x7ff7;
        int v429 = 0xb3bfd300;
        int v430 = 0x7ff7;
        int v431 = 0xb3bfd370;
        unsigned int v432 = 0x7ff7;
        int v433 = 0xb3bfd350;
        int v434 = 0x7ff8;
        int v435 = 0x45908998;
        int v436 = 0x7ff8;
        int v437 = 0x59b5525;
        int v438 = 0x0;
        int v439 = 0x42000000;
        int v440 = 0x7ff8;
        int v441 = 0x47a14360;
        int v442 = 0x7ff8;
        int v443 = 0x59b5450;
        int v444 = 0x7ff7;
        unsigned int v445 = 0xb3bfd710;
        unsigned int v446 = 0x1;
        int v447 = 0xc569c40;
        int v448 = 0x7ff7;
        int v449 = 0xb3bfd300;
        int v450 = 0x0;
        int v451 = 0x0;
        int v452 = 0x0;
        int v453 = 0x3;
        int v454 = 0x1;
        int v455 = 0xc3c0038;
        int v456 = 0x20;
        int v457 = 0x0;
        int v458 = 0x7ff7;
        int v459 = 0xb3bfd1e0;
        int v460 = 0x0;
        int v461 = 0x0;
        int v462 = 0x1;
        unsigned int v463 = 0x3;
        int v464 = 0x0;
        unsigned int v465 = 0xc300000;
        int v466 = 0x0;
        int v467 = 0x0;
        int v468 = 0x7ff7;
        int v469 = 0xb3b150;
        int v470 = 0x1;
        int v471 = 0xc3c0020;
        int v472 = 0x7ff7;
        int v473 = 0xb3bfd1e0;
        int v474 = 0x7ff7;
        int v475 = 0xb3bfd2b0;
        int v476 = 0x7ff7;
        int v477 = 0xb3bfd300;
        int v478 = 0x7ff7;
        int v479 = 0xb3bfd370;
        int v480 = 0x7ff7;
        int v481 = 0xb3bfd350;
        int v482 = 0x7ff8;
        int v483 = 0x45908968;
        int v484 = 0x7ff8;
        int v485 = 0x59b56e9;
        int v486 = 0x0;
        int v487 = 0x42000000;
        int v488 = 0x7ff8;
        int v489 = 0x47a14360;
        int v490 = 0x7ff8;
        int v491 = 0x59b56d9;
        int v492 = 0x7ff7;
        int v493 = 0xb3bfd328;
        int v494 = 0x7ff8;
        int v495 = 0x59b5636;
        int v496 = 0x7ff7;
        int v497 = 0xb3bfd220;
        int v498 = 0x0;
        int v499 = 0x0;
        int v500 = 0x1;
        int v501 = 0xc56bd60;
        int v502 = 0x7ff7;
        int v503 = 0xb3bfd2b0;
        int v504 = 0x7ff7;
        int v505 = 0xb3bfd1e0;
        int v506 = 0x7ff7;
        int v507 = 0xb3bfd230;
        int v508 = 0x986662d4;
        int v509 = 0x642600c7;
        int v510 = 0x7ff7;
        int v511 = 0xb3bfb498;
        unsigned int v512 = 0x7ff7;
        unsigned int v513 = 0xb3bfb440;
        unsigned int v514 = 0x1;
        int v515 = 0xc569c40;
        unsigned int v516 = 0x7ff7;
        int v517 = 0xb3bfb470;
        unsigned int v518 = 0x1;
        int v519 = 0xc56bd60;
        int v520 = 0x0;
        int v521 = 0x4590ab00;
        int v522 = 0x0;
        int v523 = 0x1c68;
        int v524 = 0x0;
        int v525 = 0x383;
        int v526 = 0x7ff8;
        int v527 = 0x59b5aac;
        int v528 = 0x7ff8;
        int v529 = 0x5c8eb76;
        int v530 = 0x7ff8;
        int v531 = 0x5c8eb6c;
        int v532 = 0x7ff8;
        int v533 = 0x5c8eb62;
        int v534 = 0x7ff8;
        int v535 = 0x5c8eb55;
        int v536 = 0x7ff8;
        int v537 = 0x5c8eb4b;
        int v538 = 0x7ff8;
        int v539 = 0x5c8eb41;
        int v540 = 0x7ff8;
        int v541 = 0x5c8eb1d;
        int v542 = 0x7ff8;
        int v543 = 0x5c8eb13;
        int v544 = 0x7ff8;
        int v545 = 0x5c8eaef;
        int v546 = 0x7ff8;
        int v547 = 0x5c8ea45;
        int v548 = 0x7ff8;
        int v549 = 0x5c8ea3b;
        int v550 = 0x7ff8;
        int v551 = 0x5c8ea31;
        int v552 = 0x7ff8;
        int v553 = 0x5c8ea27;
        int v554 = 0x7ff8;
        int v555 = 0x5ca4140;
        int v556 = 0x7ff8;
        int v557 = 0x5c8ea13;
        int v558 = 0x7ff8;
        int v559 = 0x5c8ea09;
        int v560 = 0x7ff8;
        int v561 = 0x5c8e9e5;
        int v562 = 0x7ff8;
        int v563 = 0x5c8e9db;
        int v564 = 0x7ff8;
        int v565 = 0x5c8e99f;
        int v566 = 0x7ff8;
        int v567 = 0x5c8e940;
        int v568 = 0x1;
        int v569 = 0xc3b4d8f;
        int v570 = 0x1;
        unsigned int v571 = 0xc3bad38;
        unsigned int v572 = 0x1;
        int v573 = 0xc3b4e01;
        unsigned int v574 = 0x1;
        int v575 = 0xc3bad48;
        int v576 = 0x1;
        int v577 = 0xc3b4ccd;
        int v578 = 0x1;
        int v579 = 0xc3bac80;
        int v580 = 0x1;
        unsigned int v581 = 0xc3b4d32;
        unsigned int v582 = 0x1;
        int v583 = 0xc3bac90;
        int v584 = 0x1;
        unsigned int v585 = 0xc3b4cae;
        unsigned int v586 = 0x1;
        int v587 = 0xc3b4c58;
        int v588 = 0x1;
        unsigned int v589 = 0xc3a80a4;
        int v590 = 0x1;
        unsigned int v591 = 0xc36a990;
        int v592 = 0x1;
        int v593 = 0xc36a9e0;
        int v594 = 0x1;
        unsigned int v595 = 0xc36aa40;
        int v596 = 0x1;
        int v597 = 0xc36a450;
        int v598 = 0x1;
        int v599 = 0xc36a4a0;
        int v600 = 0x1;
        std::uint64_t v601 = 0x10c36a140;
        int v602 = 0x1;
        int v603 = 0xc36a190;
        int v604 = 0x1;
        int v605 = 0xc36a1f0;
        int v606 = 0x1;
        int v607 = 0xc369920;
        unsigned int v608 = 0x1;
        unsigned int v609 = 0xc369970;
        int v610 = 0x1;
        unsigned int v611 = 0xc3699d0;
        unsigned int v612 = 0x1;
        int v613 = 0xc369a20;
        unsigned int v614 = 0x1;
        unsigned int v615 = 0xc3b4a5e;
        unsigned int v616 = 0x1;
        int v617 = 0xc3baa70;
        int v618 = 0x1;
        int v619 = 0xc3b4a8c;
        int v620 = 0x1;
        int v621 = 0xc3baa80;
        int v622 = 0x1;
        int v623 = 0xc3b49ec;
        int v624 = 0x1;
        int v625 = 0xc3ba938;
        int v626 = 0x1;
        int v627 = 0xc3b4a21;
        int v628 = 0x1;
        int v629 = 0xc3ba948;
        int v630 = 0x1;
        int v631 = 0xc3b49c5;
        int v632 = 0x1;
        int v633 = 0xc3ba8f0;
        int v634 = 0x1;
        int v635 = 0xc3b4961;
        int v636 = 0x1;
        int v637 = 0xc3b4931;
        int v638 = 0x1;
        int v639 = 0xc3b4892;
        int v640 = 0x1;
        int v641 = 0xc3ba4e0;
        int v642 = 0x1;
        int v643 = 0xc3b48da;
        unsigned int v644 = 0x1;
        int v645 = 0xc3b47f0;
        unsigned int v646 = 0x1;
        int v647 = 0xc3ba4a0;
        unsigned int v648 = 0x1;
        int v649 = 0xc3b483a;
        int v650 = 0x1;
        int v651 = 0xc3b4738;
        int v652 = 0x1;
        int v653 = 0xc3ba460;
        int v654 = 0x1;
        int v655 = 0xc3b478d;
        int v656 = 0x1;
        int v657 = 0xc3b4656;
        int v658 = 0x1;
        int v659 = 0xc3ba420;
        int v660 = 0x7ff8;
        int v661 = 0x459334b0;
        int v662 = 0x1;
        int v663 = 0xc3b46ad;
        int v664 = 0x1;
        int v665 = 0xc3ba410;
        int v666 = 0x1;
        int v667 = 0xc3b4712;
        int v668 = 0x1;
        int v669 = 0xc3ba3c8;
        int v670 = 0x1;
        int v671 = 0xc3b45ef;
        int v672 = 0x1;
        int v673 = 0xc3ba350;
        int v674 = 0x1;
        unsigned int v675 = 0xc3b4575;
        int v676 = 0x1;
        int v677 = 0xc3ba258;
        int v678 = 0x1;
        int v679 = 0xc3b44d2;
        int v680 = 0x1;
        unsigned int v681 = 0xc3ba128;
        int v682 = 0x1;
        int v683 = 0xc3b43ae;
        unsigned int v684 = 0x1;
        int v685 = 0xc3ba100;
        int v686 = 0x1;
        unsigned int v687 = 0xc3b435a;
        int v688 = 0x1;
        unsigned int v689 = 0xc3b42a1;
        int v690 = 0x7ff8;
        int v691 = 0x459333e0;
        int v692 = 0x1;
        unsigned int v693 = 0xc3b41ac;
        int v694 = 0x7ff8;
        int v695 = 0x459328d8;
        unsigned int v696 = 0x7ff8;
        int v697 = 0x5c8cd66;
        unsigned int v698 = 0x1;
        int v699 = 0xc3ba508;
        int v700 = 0x1;
        int v701 = 0xc3ba4c8;
        unsigned int v702 = 0x1;
        int v703 = 0xc3ba488;
        unsigned int v704 = 0x1;
        int v705 = 0xc3ba448;
        int v706 = 0x1;
        int v707 = 0xc3b9fd8;
        int v708 = 0x7ff8;
        int v709 = 0x5c8caa0;
        std::uint64_t v710 = 0x10c3a8067;
        int v711 = 0x1;
        int v712 = 0xc3bab60;
        int v713 = 0x1;
        int v714 = 0xc3b9a90;
        int v715 = 0x7ff8;
        unsigned int v716 = 0x45933448;
        int v717 = 0x7ff8;
        int v718 = 0x5c97384;
        unsigned int v719 = 0x7ff8;
        unsigned int v720 = 0x5c08700;
        int v721 = 0x7ff8;
        int v722 = 0x5c086e3;
        int v723 = 0x7ff8;
        int v724 = 0x5c083ac;
        int v725 = 0x7ff8;
        int v726 = 0x5bc6218;
        int v727 = 0x7ff8;
        int v728 = 0x5c06abd;
        int v729 = 0x7ff8;
        int v730 = 0x5bca62c;
        int v731 = 0x7ff8;
        int v732 = 0x5bcf18c;
        int v733 = 0x7ff8;
        int v734 = 0x5c9618c;
        int v735 = 0x7ff8;
        int v736 = 0x5c9b963;
        int v737 = 0x7ff8;
        int v738 = 0x5bc0e53;
        int v739 = 0x7ff8;
        int v740 = 0x5ba6e85;
        int v741 = 0x7ff8;
        int v742 = 0x5cfc231;
        int v743 = 0x7ff8;
        int v744 = 0x5b9cb9c;
        int v745 = 0x7ff8;
        int v746 = 0x5cfb320;
        int v747 = 0x7ff8;
        int v748 = 0x5cfb560;
        int v749 = 0x7ff8;
        int v750 = 0x5bb0294;
        unsigned int v751 = 0x7ff8;
        unsigned int v752 = 0x5cfaf20;
        int v753 = 0x7ff8;
        int v754 = 0x5d020b6;
        int v755 = 0x7ff8;
        int v756 = 0x5ba475e;
        int v757 = 0x7ff8;
        int v758 = 0x5c95ae8;
        int v759 = 0x7ff8;
        int v760 = 0x5c97898;
        int v761 = 0x7ff8;
        int v762 = 0x5baa53d;
        int v763 = 0x7ff8;
        int v764 = 0x5bca651;
        int v765 = 0x7ff8;
        int v766 = 0x5bc289b;
        unsigned int v767 = 0x7ff8;
        unsigned int v768 = 0x5bbe1d3;
        unsigned int v769 = 0x7ff8;
        int v770 = 0x5bb78f0;
        int v771 = 0x7ff8;
        int v772 = 0x5c94fdc;
        int v773 = 0x7ff8;
        int v774 = 0x5ccecef;
        int v775 = 0x7ff8;
        int v776 = 0x5ccf582;
        int v777 = 0x7ff8;
        int v778 = 0x5ccea01;
        int v779 = 0x7ff8;
        int v780 = 0x5cce585;
        int v781 = 0x7ff8;
        int v782 = 0x5ccf41a;
        int v783 = 0x7ff8;
        int v784 = 0x5ccf16e;
        int v785 = 0x7ff8;
        int v786 = 0x5cd2c88;
        int v787 = 0x7ff8;
        int v788 = 0x5cce523;
        int v789 = 0x7ff8;
        int v790 = 0x5ccece5;
        int v791 = 0x7ff8;
        int v792 = 0x5bcf04c;
        int v793 = 0x7ff8;
        int v794 = 0x5c99520;
        int v795 = 0x7ff8;
        int v796 = 0x118c1710;
        int v797 = 0x7ff8;
        int v798 = 0x5bccb53;
        unsigned int v799 = 0x7ff8;
        unsigned int v800 = 0x5c95b00;
        int v801 = 0x7ff8;
        unsigned int v802 = 0x5d0209e;
        unsigned int v803 = 0x7ff8;
        unsigned int v804 = 0x5d02098;
        int v805 = 0x7ff8;
        int v806 = 0x5d02098;
        int v807 = 0x7ff8;
        int v808 = 0x5d02092;
        int v809 = 0x7ff8;
        unsigned int v810 = 0x5d0208c;
        int v811 = 0x7ff8;
        int v812 = 0x4961b2f8;
        int v813 = 0x7ff8;
        unsigned int v814 = 0x5ba4ac8;
        int v815 = 0x7ff8;
        int v816 = 0x5bb3b3a;
        int v817 = 0x7ff8;
        unsigned int v818 = 0x5b9c530;
        int v819 = 0x7ff8;
        int v820 = 0x5bc9e0c;
        unsigned int v821 = 0x7ff8;
        unsigned int v822 = 0x5d08e9e;
        int v823 = 0x7ff8;
        int v824 = 0x5d1cb63;
        unsigned int v825 = 0x7ff8;
        unsigned int v826 = 0x5bc2aa8;
        int v827 = 0x7ff8;
        int v828 = 0x5bb47d1;
        int v829 = 0x7ff8;
        int v830 = 0x5bb423c;
        int v831 = 0x7ff8;
        int v832 = 0x5d0a994;
        int v833 = 0x7ff8;
        int v834 = 0x5bb478a;
        int v835 = 0x7ff8;
        int v836 = 0x5bd4027;
        int v837 = 0x7ff8;
        int v838 = 0x5bafd55;
        int v839 = 0x7ff8;
        int v840 = 0x5bc55f1;
        int v841 = 0x7ff8;
        int v842 = 0x5bae1cf;
        unsigned int v843 = 0x7ff8;
        int v844 = 0x5bb482c;
        int v845 = 0x7ff8;
        int v846 = 0x5badcc6;
        int v847 = 0x7ff8;
        int v848 = 0x5bcb5be;
        unsigned int v849 = 0x7ff8;
        int v850 = 0x5c94dbc;
        int v851 = 0x7ff8;
        int v852 = 0x5bc07d4;
        unsigned int v853 = 0x7ff8;
        int v854 = 0x5bc9a16;
        unsigned int v855 = 0x7ff8;
        int v856 = 0x5bebfc7;
        int v857 = 0x7ff8;
        int v858 = 0x5c9b34c;
        int v859 = 0x7ff8;
        unsigned int v860 = 0x5c97cf0;
        int v861 = 0x7ff8;
        int v862 = 0x5c97c48;
        int v863 = 0x7ff8;
        int v864 = 0x5c94fc4;
        int v865 = 0x7ff8;
        int v866 = 0x5c95ad0;
        int v867 = 0x7ff8;
        int v868 = 0x5c1cc2a;
        int v869 = 0x7ff8;
        int v870 = 0x5ba49b4;
        int v871 = 0x7ff8;
        int v872 = 0x5ba4974;
        int v873 = 0x7ff8;
        int v874 = 0x47a2d9b8;
        int v875 = 0x7ff8;
        int v876 = 0x47a2d9c0;
        int v877 = 0x7ff8;
        int v878 = 0x49619960;
        int v879 = 0x7ff8;
        int v880 = 0x5c08cee;
        int v881 = 0x7ff8;
        int v882 = 0x5bb4c68;
        int v883 = 0x7ff8;
        int v884 = 0x5c8f030;
        int v885 = 0x7ff8;
        int v886 = 0x5c94d0a;
        int v887 = 0x7ff8;
        int v888 = 0x5c8dcd7;
        int v889 = 0x7ff8;
        int v890 = 0x5c8ec58;
        int v891 = 0x7ff8;
        int v892 = 0x5c8ee88;
        int v893 = 0x7ff8;
        int v894 = 0x5c8fd2a;
        int v895 = 0x7ff8;
        int v896 = 0x5c8fc20;
        int v897 = 0x7ff8;
        int v898 = 0x5c8fda4;
        int v899 = 0x7ff8;
        int v900 = 0x5c8ebfb;
        int v901 = 0x7ff8;
        int v902 = 0x5c8ed83;
        int v903 = 0x7ff8;
        int v904 = 0x5c8ed0f;
        int v905 = 0x7ff8;
        int v906 = 0x5ba28fb;
        int v907 = 0x7ff8;
        int v908 = 0x5c8ebb2;
        int v909 = 0x7ff8;
        int v910 = 0x5c1be84;
        int v911 = 0x7ff8;
        int v912 = 0x5c8ea45;
        int v913 = 0x7ff8;
        int v914 = 0x5c8e99f;
        int v915 = 0x7ff8;
        int v916 = 0x5c8e940;
        int v917 = 0x7ff8;
        int v918 = 0x5c8e9db;
        int v919 = 0x7ff8;
        int v920 = 0x5c8eb41;
        int v921 = 0x7ff8;
        int v922 = 0x5c8ea09;
        int v923 = 0x7ff8;
        unsigned int v924 = 0x5c8ea27;
        int v925 = 0x1;
        unsigned int v926 = 0xc3baaf8;
        int v927 = 0x1;
        int v928 = 0xc3baab8;
        int v929 = 0x1;
        int v930 = 0xc3bab18;
        int v931 = 0x1;
        int v932 = 0xc3baad8;
        int v933 = 0x7ff8;
        int v934 = 0x45932870;
        int v935 = 0x7ff8;
        int v936 = 0x45932830;
        int v937 = 0x7ff8;
        int v938 = 0x47a32478;
        int v939 = 0x7ff8;
        unsigned int v940 = 0x4592e630;
        int v941 = 0x7ff8;
        unsigned int v942 = 0x47a32890;
        int v943 = 0x7ff8;
        int v944 = 0x47a32698;
        unsigned int v945 = 0x7ff8;
        int v946 = 0x47a32378;
        int v947 = 0x7ff8;
        unsigned int v948 = 0x47a328e0;
        int v949 = 0x7ff8;
        unsigned int v950 = 0x47a32710;
        int v951 = 0x7ff8;
        int v952 = 0x459326c8;
        int v953 = 0x7ff8;
        unsigned int v954 = 0x45932730;
        int v955 = 0x7ff8;
        int v956 = 0x45932898;
        int v957 = 0x7ff8;
        int v958 = 0x45932858;
        int v959 = 0x1;
        int v960 = 0xc3ba800;
        int v961 = 0x1;
        int v962 = 0xc3b9f28;
        int v963 = 0x1;
        int v964 = 0xc3bac28;
        unsigned int v965 = 0x1;
        int v966 = 0xc3ba810;
        int v967 = 0x1;
        unsigned int v968 = 0xc3bac40;
        int v969 = 0x7ff8;
        int v970 = 0x5c8c420;
        int v971 = 0x7ff8;
        unsigned int v972 = 0x5c74b72;
        int v973 = 0x7ff8;
        int v974 = 0x5c362af;
        unsigned int v975 = 0x1;
        int v976 = 0xc32c980;
        int v977 = 0x7ff8;
        int v978 = 0x5c3af20;
        unsigned int v979 = 0x1;
        unsigned int v980 = 0xc376aa0;
        int v981 = 0x1;
        int v982 = 0xc37d2f0;
        int v983 = 0x1;
        unsigned int v984 = 0xc372070;
        int v985 = 0x1;
        unsigned int v986 = 0xc354290;
        int v987 = 0x1;
        unsigned int v988 = 0xc38b590;
        int v989 = 0x1;
        int v990 = 0xc38b4e0;
        unsigned int v991 = 0x1;
        int v992 = 0xc37c0f0;
        int v993 = 0x1;
        int v994 = 0xc382cb0;
        int v995 = 0x1;
        int v996 = 0xc3844d0;
        int v997 = 0x1;
        unsigned int v998 = 0xc372ad0;
        int v999 = 0x1;
        int v1000 = 0xc3746b0;
        int v1001 = 0x1;
        int v1002 = 0xc357ea0;
        int v1003 = 0x1;
        int v1004 = 0xc36afd0;
        int v1005 = 0x1;
        int v1006 = 0xc3695b0;
        int v1007 = 0x1;
        int v1008 = 0xc362a90;
        int v1009 = 0x1;
        int v1010 = 0xc36f930;
        int v1011 = 0x1;
        int v1012 = 0xc36f160;
        int v1013 = 0x1;
        int v1014 = 0xc360270;
        int v1015 = 0x1;
        int v1016 = 0xc370c60;
        int v1017 = 0x1;
        int v1018 = 0xc361930;
        int v1019 = 0x1;
        unsigned int v1020 = 0xc38a3e0;
        int v1021 = 0x1;
        int v1022 = 0xc35c700;
        unsigned int v1023 = 0x1;
        int v1024 = 0xc386450;
        unsigned int v1025 = 0x1;
        unsigned int v1026 = 0xc385920;
        int v1027 = 0x1;
        unsigned int v1028 = 0xc3752f0;
        int v1029 = 0x1;
        unsigned int v1030 = 0xc373c50;
        unsigned int v1031 = 0x1;
        int v1032 = 0xc36dbd0;
        int v1033 = 0x1;
        int v1034 = 0xc36d020;
        int v1035 = 0x1;
        unsigned int v1036 = 0xc37a140;
        int v1037 = 0x1;
        int v1038 = 0xc3796c0;
        int v1039 = 0x7ff8;
        unsigned int v1040 = 0x5c3a952;
        int v1041 = 0x7ff8;
        int v1042 = 0x5c3a9de;
        unsigned int v1043 = 0x7ff8;
        int v1044 = 0x5c3aeb8;
        int v1045 = 0x1;
        int v1046 = 0xc376840;
        int v1047 = 0x1;
        int v1048 = 0xc3768d0;
        unsigned int v1049 = 0x1;
        unsigned int v1050 = 0xc37d090;
        int v1051 = 0x1;
        int v1052 = 0xc37d120;
        int v1053 = 0x1;
        int v1054 = 0xc372c90;
        int v1055 = 0x1;
        int v1056 = 0xc372be0;
        int v1057 = 0x1;
        int v1058 = 0xc354060;
        int v1059 = 0x1;
        int v1060 = 0xc3540f0;
        int v1061 = 0x1;
        int v1062 = 0xc38ad40;
        int v1063 = 0x1;
        int v1064 = 0xc38cc90;
        int v1065 = 0x1;
        int v1066 = 0xc37be90;
        int v1067 = 0x1;
        int v1068 = 0xc37bf20;
        int v1069 = 0x1;
        int v1070 = 0xc382a50;
        int v1071 = 0x1;
        int v1072 = 0xc382ae0;
        int v1073 = 0x1;
        int v1074 = 0xc384240;
        int v1075 = 0x1;
        int v1076 = 0xc3842d0;
        int v1077 = 0x1;
        int v1078 = 0xc358e40;
        int v1079 = 0x1;
        int v1080 = 0xc369410;
        int v1081 = 0x1;
        int v1082 = 0xc36e340;
        unsigned int v1083 = 0x1;
        int v1084 = 0xc3694a0;
        unsigned int v1085 = 0x1;
        unsigned int v1086 = 0xc36ad90;
        int v1087 = 0x1;
        int v1088 = 0xc3626d0;
        unsigned int v1089 = 0x1;
        int v1090 = 0xc36b280;
        int v1091 = 0x1;
        int v1092 = 0xc36aca0;
        int v1093 = 0x1;
        int v1094 = 0xc362460;
        std::uint8_t v1095 = 0x0;
        int v1096 = 0xc36b150;
        unsigned int v1097 = 0x1;
        int v1098 = 0xc385690;
        int v1099 = 0x1;
        int v1100 = 0xc385720;
        int v1101 = 0x1;
        int v1102 = 0xc375150;
        unsigned int v1103 = 0x1;
        int v1104 = 0xc3751e0;
        unsigned int v1105 = 0x1;
        int v1106 = 0xc374870;
        int v1107 = 0x1;
        int v1108 = 0xc3747c0;
        int v1109 = 0x1;
        int v1110 = 0xc36cd90;
        int v1111 = 0x1;
        int v1112 = 0xc36ce20;
        int v1113 = 0x1;
        int v1114 = 0xc379460;
        int v1115 = 0x1;
        int v1116 = 0xc3794f0;
        int v1117 = 0x7ff8;
        int v1118 = 0x5c48cdc;
        int v1119 = 0x7ff8;
        int v1120 = 0x5c2fb20;
        int v1121 = 0x7ff8;
        int v1122 = 0x5c2fb7e;
        int v1123 = 0x7ff8;
        unsigned int v1124 = 0x5c2fb8c;
        unsigned int v1125 = 0x1;
        unsigned int v1126 = 0xc36f730;
        int v1127 = 0x1;
        int v1128 = 0xc36ea10;
        int v1129 = 0x1;
        unsigned int v1130 = 0xc36f810;
        int v1131 = 0x1;
        int v1132 = 0xc36ec80;
        int v1133 = 0x1;
        unsigned int v1134 = 0xc36eb00;
        int v1135 = 0x1;
        unsigned int v1136 = 0xc35f2d0;
        int v1137 = 0x1;
        int v1138 = 0xc35fa70;
        int v1139 = 0x1;
        unsigned int v1140 = 0xc35fd30;
        int v1141 = 0x1;
        int v1142 = 0xc35f3e0;
        int v1143 = 0x1;
        int v1144 = 0xc35fbb0;
        int v1145 = 0x1;
        int v1146 = 0xc371020;
        int v1147 = 0x1;
        int v1148 = 0xc370400;
        int v1149 = 0x1;
        int v1150 = 0xc370390;
        int v1151 = 0x1;
        int v1152 = 0xc370670;
        int v1153 = 0x1;
        int v1154 = 0xc371100;
        int v1155 = 0x1;
        int v1156 = 0xc3704f0;
        int v1157 = 0x7ff8;
        int v1158 = 0x4961ab68;
        int v1159 = 0x7ff8;
        int v1160 = 0x4961a790;
        int v1161 = 0x7ff8;
        int v1162 = 0x4961a8d0;
        int v1163 = 0x1;
        int v1164 = 0xc330410;
        int v1165 = 0x7ff8;
        int v1166 = 0x5c74d5c;
        int v1167 = 0x1;
        int v1168 = 0xc376a10;
        int v1169 = 0x1;
        int v1170 = 0xc376d70;
        int v1171 = 0x1;
        int v1172 = 0xc376710;
        int v1173 = 0x1;
        int v1174 = 0xc37d260;
        int v1175 = 0x1;
        int v1176 = 0xc37d5c0;
        int v1177 = 0x1;
        int v1178 = 0xc37bcf0;
        int v1179 = 0x1;
        int v1180 = 0xc371fd0;
        int v1181 = 0x1;
        int v1182 = 0xc371e60;
        int v1183 = 0x1;
        int v1184 = 0xc372280;
        int v1185 = 0x1;
        int v1186 = 0xc372bd0;
        int v1187 = 0x1;
        int v1188 = 0xc367ea0;
        int v1189 = 0x1;
        int v1190 = 0xc368790;
        int v1191 = 0x1;
        int v1192 = 0xc354200;
        int v1193 = 0x1;
        int v1194 = 0xc352df0;
        unsigned int v1195 = 0x1;
        unsigned int v1196 = 0xc353e30;
        int v1197 = 0x1;
        int v1198 = 0xc38aa80;
        int v1199 = 0x1;
        int v1200 = 0xc35cf40;
        int v1201 = 0x1;
        int v1202 = 0xc38b520;
        int v1203 = 0x1;
        unsigned int v1204 = 0xc38b450;
        unsigned int v1205 = 0x1;
        int v1206 = 0xc38ba10;
        int v1207 = 0x1;
        unsigned int v1208 = 0xc388560;
        unsigned int v1209 = 0x1;
        int v1210 = 0xc365360;
        int v1211 = 0x1;
        unsigned int v1212 = 0xc37c060;
        int v1213 = 0x1;
        int v1214 = 0xc37c3c0;
        int v1215 = 0x1;
        int v1216 = 0xc37b9a0;
        unsigned int v1217 = 0x1;
        int v1218 = 0xc382c20;
        int v1219 = 0x1;
        int v1220 = 0xc382f80;
        int v1221 = 0x1;
        int v1222 = 0xc382700;
        int v1223 = 0x1;
        int v1224 = 0xc384410;
        int v1225 = 0x1;
        int v1226 = 0xc384820;
        int v1227 = 0x1;
        int v1228 = 0xc385520;
        int v1229 = 0x1;
        int v1230 = 0xc372a30;
        int v1231 = 0x1;
        int v1232 = 0xc3728c0;
        int v1233 = 0x1;
        int v1234 = 0xc3733f0;
        int v1235 = 0x1;
        int v1236 = 0xc374610;
        int v1237 = 0x1;
        int v1238 = 0xc3744a0;
        int v1239 = 0x1;
        int v1240 = 0xc374fd0;
        int v1241 = 0x1;
        int v1242 = 0xc357d10;
        int v1243 = 0x1;
        int v1244 = 0xc36afa0;
        int v1245 = 0x1;
        int v1246 = 0xc369580;
        int v1247 = 0x1;
        int v1248 = 0xc362a60;
        int v1249 = 0x1;
        int v1250 = 0xc357730;
        int v1251 = 0x1;
        unsigned int v1252 = 0xc358160;
        int v1253 = 0x1;
        int v1254 = 0xc36ac60;
        int v1255 = 0x1;
        unsigned int v1256 = 0xc36f900;
        int v1257 = 0x1;
        int v1258 = 0xc36eff0;
        unsigned int v1259 = 0x1;
        int v1260 = 0xc36f0b0;
        unsigned int v1261 = 0x1;
        int v1262 = 0xc36e750;
        unsigned int v1263 = 0x1;
        int v1264 = 0xc3600a0;
        unsigned int v1265 = 0x1;
        int v1266 = 0xc3601c0;
        unsigned int v1267 = 0x1;
        int v1268 = 0xc360aa0;
        int v1269 = 0x1;
        int v1270 = 0xc370ae0;
        unsigned int v1271 = 0x1;
        unsigned int v1272 = 0xc370bb0;
        int v1273 = 0x1;
        unsigned int v1274 = 0xc3648f0;
        int v1275 = 0x1;
        int v1276 = 0xc3616d0;
        int v1277 = 0x1;
        unsigned int v1278 = 0xc361860;
        int v1279 = 0x1;
        int v1280 = 0xc361ed0;
        int v1281 = 0x1;
        int v1282 = 0xc364d50;
        int v1283 = 0x1;
        int v1284 = 0xc38a1c0;
        int v1285 = 0x1;
        int v1286 = 0xc38a270;
        int v1287 = 0x1;
        int v1288 = 0xc388830;
        int v1289 = 0x1;
        int v1290 = 0xc35c3f0;
        int v1291 = 0x1;
        int v1292 = 0xc35c4d0;
        int v1293 = 0x1;
        int v1294 = 0xc35d120;
        int v1295 = 0x1;
        int v1296 = 0xc3862c0;
        int v1297 = 0x1;
        int v1298 = 0xc385860;
        int v1299 = 0x1;
        int v1300 = 0xc385ce0;
        int v1301 = 0x1;
        int v1302 = 0xc386770;
        unsigned int v1303 = 0x1;
        int v1304 = 0xc3752c0;
        int v1305 = 0x1;
        unsigned int v1306 = 0xc373bb0;
        int v1307 = 0x1;
        int v1308 = 0xc373a40;
        int v1309 = 0x1;
        int v1310 = 0xc373e60;
        int v1311 = 0x1;
        int v1312 = 0xc3747b0;
        int v1313 = 0x1;
        int v1314 = 0xc36da40;
        int v1315 = 0x1;
        unsigned int v1316 = 0xc36cf60;
        int v1317 = 0x1;
        int v1318 = 0xc36d460;
        int v1319 = 0x1;
        int v1320 = 0xc36df20;
        int v1321 = 0x1;
        int v1322 = 0xc379fb0;
        int v1323 = 0x1;
        int v1324 = 0xc379630;
        int v1325 = 0x1;
        int v1326 = 0xc379a30;
        int v1327 = 0x1;
        int v1328 = 0xc379030;
        int v1329 = 0x7ff8;
        int v1330 = 0x5c3afba;
        int v1331 = 0x7ff8;
        int v1332 = 0x5c3b24c;
        int v1333 = 0x7ff8;
        int v1334 = 0x5c3f8d0;
        int v1335 = 0x1;
        int v1336 = 0xc38bfc0;
        int v1337 = 0x1;
        unsigned int v1338 = 0xc38bce0;
        int v1339 = 0x1;
        unsigned int v1340 = 0xc359b70;
        unsigned int v1341 = 0x1;
        int v1342 = 0xc359930;
        int v1343 = 0x1;
        int v1344 = 0xc34edd0;
        int v1345 = 0x7ff8;
        int v1346 = 0x5c3e8e4;
        int v1347 = 0x7ff8;
        int v1348 = 0x5c3e768;
        int v1349 = 0x7ff8;
        unsigned int v1350 = 0x5c3e470;
        int v1351 = 0x7ff8;
        int v1352 = 0x5c3e2d2;
        int v1353 = 0x7ff8;
        int v1354 = 0x5c3ebdc;
        int v1355 = 0x7ff8;
        int v1356 = 0x5c3ed5e;
        int v1357 = 0x7ff8;
        unsigned int v1358 = 0x5c3f06c;
        unsigned int v1359 = 0x7ff8;
        int v1360 = 0x5c3dc2c;
        int v1361 = 0x7ff8;
        int v1362 = 0x5c3dde4;
        int v1363 = 0x7ff8;
        int v1364 = 0x5c3dd52;
        int v1365 = 0x7ff8;
        int v1366 = 0x5c3f492;
        int v1367 = 0x7ff8;
        int v1368 = 0x5c3b9dc;
        int v1369 = 0x7ff8;
        int v1370 = 0x5c3f3aa;
        int v1371 = 0x7ff8;
        int v1372 = 0x5c3b75e;
        int v1373 = 0x7ff8;
        int v1374 = 0x5c34b92;
        int v1375 = 0x7ff8;
        int v1376 = 0x5c34ea0;
        int v1377 = 0x7ff8;
        int v1378 = 0x5c341d4;
        int v1379 = 0x7ff8;
        int v1380 = 0x5c32fbe;
        int v1381 = 0x7ff8;
        int v1382 = 0x5c33a22;
        int v1383 = 0x7ff8;
        int v1384 = 0x5c32e7e;
        int v1385 = 0x7ff8;
        int v1386 = 0x5c33bb0;
        int v1387 = 0x7ff8;
        int v1388 = 0x5c3368c;
        int v1389 = 0x7ff8;
        int v1390 = 0x5c33b0a;
        int v1391 = 0x7ff8;
        int v1392 = 0x5c34058;
        int v1393 = 0x7ff8;
        int v1394 = 0x5c33c48;
        int v1395 = 0x7ff8;
        int v1396 = 0x5c3381c;
        int v1397 = 0x7ff8;
        int v1398 = 0x5c342fe;
        int v1399 = 0x1;
        int v1400 = 0xc367a60;
        int v1401 = 0x7ff8;
        int v1402 = 0x5c33a90;
        int v1403 = 0x7ff8;
        int v1404 = 0x5c33282;
        int v1405 = 0x7ff8;
        int v1406 = 0x5c33dfe;
        int v1407 = 0x1;
        int v1408 = 0xc367ae0;
        int v1409 = 0x1;
        int v1410 = 0xc367fa0;
        unsigned int v1411 = 0x7ff8;
        int v1412 = 0x5c30ad2;
        int v1413 = 0x1;
        unsigned int v1414 = 0xc38a4f0;
        int v1415 = 0x1;
        unsigned int v1416 = 0xc389280;
        int v1417 = 0x1;
        unsigned int v1418 = 0xc389890;
        int v1419 = 0x1;
        int v1420 = 0xc389e40;
        int v1421 = 0x1;
        int v1422 = 0xc389820;
        int v1423 = 0x1;
        int v1424 = 0xc38a720;
        int v1425 = 0x1;
        int v1426 = 0xc35c7c0;
        int v1427 = 0x1;
        int v1428 = 0xc35a9a0;
        int v1429 = 0x1;
        int v1430 = 0xc35b200;
        int v1431 = 0x1;
        int v1432 = 0xc35c9f0;
        int v1433 = 0x1;
        int v1434 = 0xc38a990;
        int v1435 = 0x1;
        int v1436 = 0xc35cce0;
        int v1437 = 0x1;
        int v1438 = 0xc361e70;
        int v1439 = 0x1;
        int v1440 = 0xc3614b0;
        int v1441 = 0x7ff8;
        int v1442 = 0x5c8cb76;
        int v1443 = 0x7ff8;
        int v1444 = 0x5c8cb60;
        int v1445 = 0x7ff8;
        int v1446 = 0x5c8cc88;
        unsigned int v1447 = 0x7ff8;
        int v1448 = 0x5c3276a;
        int v1449 = 0x7ff8;
        int v1450 = 0x5c8ce0a;
        unsigned int v1451 = 0x7ff8;
        int v1452 = 0x5c8cdda;
        int v1453 = 0x7ff8;
        int v1454 = 0x5c32432;
        unsigned int v1455 = 0x7ff8;
        int v1456 = 0x5c3a570;
        int v1457 = 0x7ff8;
        unsigned int v1458 = 0x5c5c28a;
        int v1459 = 0x1;
        int v1460 = 0xc36f960;
        int v1461 = 0x1;
        unsigned int v1462 = 0xc36e870;
        int v1463 = 0x1;
        int v1464 = 0xc36fa40;
        int v1465 = 0x1;
        int v1466 = 0xc3676b0;
        int v1467 = 0x1;
        int v1468 = 0xc359730;
        int v1469 = 0x1;
        unsigned int v1470 = 0xc36a6a0;
        int v1471 = 0x7ff8;
        int v1472 = 0x5c44ae8;
        int v1473 = 0x1;
        int v1474 = 0xc35f6b0;
        int v1475 = 0x7ff8;
        int v1476 = 0x5c33f54;
        int v1477 = 0x7ff8;
        int v1478 = 0x5c33a2c;
        int v1479 = 0x1;
        int v1480 = 0xc35d6f0;
        int v1481 = 0x1;
        int v1482 = 0xc359af0;
        int v1483 = 0x1;
        int v1484 = 0xc3588a0;
        unsigned int v1485 = 0x1;
        int v1486 = 0xc35a660;
        int v1487 = 0x1;
        unsigned int v1488 = 0xc377550;
        int v1489 = 0x1;
        int v1490 = 0xc37dda0;
        int v1491 = 0x1;
        int v1492 = 0xc3538e0;
        int v1493 = 0x1;
        int v1494 = 0xc38c7c0;
        int v1495 = 0x1;
        int v1496 = 0xc37cba0;
        int v1497 = 0x1;
        int v1498 = 0xc3813b0;
        int v1499 = 0x1;
        int v1500 = 0xc383760;
        int v1501 = 0x1;
        unsigned int v1502 = 0xc385060;
        int v1503 = 0x1;
        unsigned int v1504 = 0xc375bd0;
        int v1505 = 0x1;
        int v1506 = 0xc35ec90;
        int v1507 = 0x1;
        int v1508 = 0xc34fec0;
        int v1509 = 0x1;
        int v1510 = 0xc33ed00;
        int v1511 = 0x1;
        int v1512 = 0xc33d520;
        int v1513 = 0x1;
        int v1514 = 0xc3461d0;
        unsigned int v1515 = 0x1;
        int v1516 = 0xc33aa30;
        int v1517 = 0x1;
        int v1518 = 0xc33f400;
        int v1519 = 0x1;
        int v1520 = 0xc33ed20;
        int v1521 = 0x1;
        int v1522 = 0xc33f700;
        unsigned int v1523 = 0x1;
        int v1524 = 0xc328950;
        int v1525 = 0x1;
        int v1526 = 0xc3287e0;
        int v1527 = 0x1;
        int v1528 = 0xc327ef0;
        int v1529 = 0x1;
        int v1530 = 0xc3268e0;
        int v1531 = 0x1;
        int v1532 = 0xc3273b0;
        int v1533 = 0x1;
        int v1534 = 0xc327430;
        int v1535 = 0x1;
        int v1536 = 0xc327420;
        int v1537 = 0x1;
        unsigned int v1538 = 0xc379330;
        int v1539 = 0x1;
        int v1540 = 0xc34bec0;
        int v1541 = 0x1;
        unsigned int v1542 = 0xc369b20;
        int v1543 = 0x1;
        int v1544 = 0xc369a80;
        int v1545 = 0x1;
        int v1546 = 0xc36a570;
        int v1547 = 0x1;
        int v1548 = 0xc369b80;
        int v1549 = 0x1;
        int v1550 = 0xc377c80;
        int v1551 = 0x1;
        int v1552 = 0xc377d50;
        int v1553 = 0x1;
        int v1554 = 0xc377d30;
        int v1555 = 0x1;
        int v1556 = 0xc377c10;
        int v1557 = 0x1;
        int v1558 = 0xc377e80;
        int v1559 = 0x1;
        int v1560 = 0xc377f60;
        int v1561 = 0x1;
        int v1562 = 0xc377f40;
        int v1563 = 0x1;
        int v1564 = 0xc377df0;
        int v1565 = 0x1;
        int v1566 = 0xc323ec0;
        int v1567 = 0x1;
        int v1568 = 0xc323670;
        int v1569 = 0x1;
        int v1570 = 0xc323dd0;
        int v1571 = 0x1;
        int v1572 = 0xc322cd0;
        int v1573 = 0x1;
        int v1574 = 0xc323f20;
        int v1575 = 0x1;
        int v1576 = 0xc3245d0;
        int v1577 = 0x1;
        int v1578 = 0xc34c120;
        int v1579 = 0x1;
        int v1580 = 0xc34c180;
        int v1581 = 0x1;
        int v1582 = 0xc326850;
        int v1583 = 0x1;
        int v1584 = 0xc33aa10;
        int v1585 = 0x1;
        int v1586 = 0xc34c2a0;
        int v1587 = 0x1;
        int v1588 = 0xc326880;
        int v1589 = 0x1;
        int v1590 = 0xc37af30;
        int v1591 = 0x1;
        int v1592 = 0xc34c0e0;
        int v1593 = 0x1;
        int v1594 = 0xc34c100;
        int v1595 = 0x1;
        int v1596 = 0xc34c1d0;
        int v1597 = 0x1;
        int v1598 = 0xc34d3c0;
        unsigned int v1599 = 0x1;
        int v1600 = 0xc34c270;
        unsigned int v1601 = 0x1;
        int v1602 = 0xc371600;
        int v1603 = 0x1;
        unsigned int v1604 = 0xc3325d0;
        int v1605 = 0x1;
        unsigned int v1606 = 0xc371620;
        int v1607 = 0x1;
        int v1608 = 0xc3637a0;
        unsigned int v1609 = 0x1;
        unsigned int v1610 = 0xc355260;
        int v1611 = 0x1;
        unsigned int v1612 = 0xc354ef0;
        unsigned int v1613 = 0x1;
        unsigned int v1614 = 0xc3241b0;
        unsigned int v1615 = 0x1;
        int v1616 = 0xc369090;
        unsigned int v1617 = 0x1;
        int v1618 = 0xc355390;
        int v1619 = 0x1;
        unsigned int v1620 = 0xc355130;
        int v1621 = 0x1;
        int v1622 = 0xc34bf70;
        int v1623 = 0x1;
        int v1624 = 0xc3268a0;
        int v1625 = 0x1;
        int v1626 = 0xc326920;
        int v1627 = 0x1;
        int v1628 = 0xc33c510;
        int v1629 = 0x1;
        int v1630 = 0xc33c4f0;
        int v1631 = 0x1;
        int v1632 = 0xc345460;
        int v1633 = 0x1;
        int v1634 = 0xc326900;
        int v1635 = 0x1;
        int v1636 = 0xc346410;
        int v1637 = 0x1;
        int v1638 = 0xc345480;
        int v1639 = 0x1;
        int v1640 = 0xc3454e0;
        int v1641 = 0x1;
        int v1642 = 0xc33f720;
        int v1643 = 0x1;
        int v1644 = 0xc3019e0;
        unsigned int v1645 = 0x1;
        unsigned int v1646 = 0xc302200;
        unsigned int v1647 = 0x1;
        unsigned int v1648 = 0xc301a00;
        int v1649 = 0x1;
        int v1650 = 0xc32dcf0;
        unsigned int v1651 = 0x1;
        unsigned int v1652 = 0xc345540;
        int v1653 = 0x1;
        unsigned int v1654 = 0xc345560;
        int v1655 = 0x1;
        int v1656 = 0xc32dd70;
        int v1657 = 0x1;
        unsigned int v1658 = 0xc33a010;
        unsigned int v1659 = 0x1;
        unsigned int v1660 = 0xc32dd60;
        int v1661 = 0x1;
        int v1662 = 0xc362b80;
        int v1663 = 0x1;
        int v1664 = 0xc32e170;
        int v1665 = 0x1;
        int v1666 = 0xc32dd40;
        int v1667 = 0x1;
        int v1668 = 0xc339a00;
        int v1669 = 0x1;
        int v1670 = 0xc3398d0;
        int v1671 = 0x1;
        int v1672 = 0xc33f100;
        int v1673 = 0x1;
        int v1674 = 0xc3268c0;
        int v1675 = 0x1;
        int v1676 = 0xc3443c0;
        int v1677 = 0x1;
        int v1678 = 0xc33f2a0;
        unsigned int v1679 = 0x1;
        int v1680 = 0xc3032f0;
        int v1681 = 0x1;
        int v1682 = 0xc36b620;
        int v1683 = 0x1;
        unsigned int v1684 = 0xc33c720;
        int v1685 = 0x1;
        int v1686 = 0xc33d540;
        int v1687 = 0x1;
        int v1688 = 0xc366d10;
        unsigned int v1689 = 0x1;
        unsigned int v1690 = 0xc33d4f0;
        int v1691 = 0x1;
        int v1692 = 0xc3504f0;
        unsigned int v1693 = 0x1;
        unsigned int v1694 = 0xc3504d0;
        unsigned int v1695 = 0x1;
        int v1696 = 0xc33c790;
        unsigned int v1697 = 0x1;
        int v1698 = 0xc33c7b0;
        unsigned int v1699 = 0x1;
        unsigned int v1700 = 0xc33c770;
        int v1701 = 0x1;
        unsigned int v1702 = 0xc33c680;
        int v1703 = 0x1;
        unsigned int v1704 = 0xc33c630;
        int v1705 = 0x1;
        int v1706 = 0xc33c6d0;
        unsigned int v1707 = 0x1;
        unsigned int v1708 = 0xc356010;
        int v1709 = 0x1;
        int v1710 = 0xc35ebc0;
        unsigned int v1711 = 0x1;
        unsigned int v1712 = 0xc35eab0;
        int v1713 = 0x1;
        int v1714 = 0xc331c50;
        int v1715 = 0x1;
        int v1716 = 0xc369bf0;
        int v1717 = 0x1;
        unsigned int v1718 = 0xc369be0;
        int v1719 = 0x1;
        int v1720 = 0xc36ccf0;
        int v1721 = 0x1;
        int v1722 = 0xc36c320;
        int v1723 = 0x1;
        int v1724 = 0xc36c910;
        int v1725 = 0x1;
        int v1726 = 0xc36cb30;
        int v1727 = 0x1;
        int v1728 = 0xc302930;
        int v1729 = 0x1;
        int v1730 = 0xc331580;
        int v1731 = 0x1;
        int v1732 = 0xc328f00;
        int v1733 = 0x1;
        int v1734 = 0xc301990;
        int v1735 = 0x1;
        int v1736 = 0xc3557f0;
        int v1737 = 0x1;
        int v1738 = 0xc33d6f0;
        int v1739 = 0x1;
        int v1740 = 0xc303b10;
        int v1741 = 0x1;
        int v1742 = 0xc368200;
        int v1743 = 0x1;
        int v1744 = 0xc3680b0;
        int v1745 = 0x1;
        int v1746 = 0xc356090;
        int v1747 = 0x1;
        int v1748 = 0xc369630;
        int v1749 = 0x1;
        int v1750 = 0xc34dfb0;
        int v1751 = 0x1;
        int v1752 = 0xc33cad0;
        unsigned int v1753 = 0x1;
        int v1754 = 0xc340350;
        int v1755 = 0x1;
        int v1756 = 0xc34e030;
        int v1757 = 0x1;
        int v1758 = 0xc332660;
        int v1759 = 0x1;
        int v1760 = 0xc33c590;
        int v1761 = 0x1;
        int v1762 = 0xc339f50;
        int v1763 = 0x1;
        int v1764 = 0xc34fd80;
        int v1765 = 0x1;
        int v1766 = 0xc322400;
        int v1767 = 0x1;
        int v1768 = 0xc3633c0;
        int v1769 = 0x1;
        std::uint64_t v1770 = 0x10c32bf90;
        int v1771 = 0x1;
        int v1772 = 0xc363300;
        int v1773 = 0x1;
        int v1774 = 0xc352360;
        int v1775 = 0x1;
        int v1776 = 0xc355780;
        int v1777 = 0x1;
        int v1778 = 0xc323640;
        int v1779 = 0x1;
        int v1780 = 0xc328cc0;
        int v1781 = 0x1;
        int v1782 = 0xc350280;
        int v1783 = 0x1;
        unsigned int v1784 = 0xc323150;
        int v1785 = 0x1;
        unsigned int v1786 = 0xc32b3a0;
        int v1787 = 0x1;
        int v1788 = 0xc328c00;
        unsigned int v1789 = 0x1;
        int v1790 = 0xc322ca0;
        int v1791 = 0x1;
        unsigned int v1792 = 0xc338cc0;
        int v1793 = 0x1;
        int v1794 = 0xc33c350;
        int v1795 = 0x1;
        int v1796 = 0xc382430;
        int v1797 = 0x1;
        int v1798 = 0xc37af50;
        int v1799 = 0x1;
        int v1800 = 0xc37b300;
        int v1801 = 0x1;
        int v1802 = 0xc3855e0;
        int v1803 = 0x1;
        int v1804 = 0xc338820;
        int v1805 = 0x1;
        int v1806 = 0xc33d240;
        int v1807 = 0x1;
        int v1808 = 0xc33af90;
        int v1809 = 0x1;
        int v1810 = 0xc33c030;
        int v1811 = 0x1;
        int v1812 = 0xc34c880;
        int v1813 = 0x1;
        int v1814 = 0xc303480;
        int v1815 = 0x1;
        int v1816 = 0xc33bd00;
        int v1817 = 0x1;
        int v1818 = 0xc3510c0;
        int v1819 = 0x1;
        unsigned int v1820 = 0xc350e70;
        unsigned int v1821 = 0x1;
        int v1822 = 0xc33edf0;
        int v1823 = 0x1;
        int v1824 = 0xc371760;
        int v1825 = 0x1;
        int v1826 = 0xc3638e0;
        int v1827 = 0x1;
        int v1828 = 0xc33ff80;
        int v1829 = 0x1;
        int v1830 = 0xc342680;
        int v1831 = 0x1;
        int v1832 = 0xc342630;
        int v1833 = 0x1;
        int v1834 = 0xc3435e0;
        int v1835 = 0x1;
        int v1836 = 0xc3680e0;
        int v1837 = 0x1;
        int v1838 = 0xc367fc0;
        int v1839 = 0x1;
        int v1840 = 0xc3036c0;
        unsigned int v1841 = 0x1;
        int v1842 = 0xc34fce0;
        int v1843 = 0x1;
        unsigned int v1844 = 0xc338800;
        int v1845 = 0x1;
        int v1846 = 0xc355ed0;
        int v1847 = 0x1;
        unsigned int v1848 = 0xc355fa0;
        int v1849 = 0x1;
        int v1850 = 0xc302890;
        unsigned int v1851 = 0x1;
        int v1852 = 0xc3034b0;
        int v1853 = 0x1;
        int v1854 = 0xc33f210;
        int v1855 = 0x1;
        int v1856 = 0xc323210;
        int v1857 = 0x1;
        int v1858 = 0xc38e160;
        int v1859 = 0x1;
        int v1860 = 0xc38d1b0;
        int v1861 = 0x1;
        int v1862 = 0xc32c780;
        int v1863 = 0x1;
        int v1864 = 0xc32c4a0;
        int v1865 = 0x1;
        int v1866 = 0xc32c610;
        int v1867 = 0x1;
        int v1868 = 0xc327880;
        int v1869 = 0x1;
        int v1870 = 0xc351430;
        int v1871 = 0x1;
        int v1872 = 0xc351310;
        int v1873 = 0x1;
        int v1874 = 0xc303380;
        int v1875 = 0x1;
        int v1876 = 0xc34bee0;
        int v1877 = 0x1;
        int v1878 = 0xc3667d0;
        int v1879 = 0x1;
        int v1880 = 0xc3655b0;
        int v1881 = 0x1;
        int v1882 = 0xc366820;
        int v1883 = 0x1;
        int v1884 = 0xc366a40;
        int v1885 = 0x1;
        int v1886 = 0xc354f30;
        unsigned int v1887 = 0x1;
        int v1888 = 0xc303b40;
        int v1889 = 0x1;
        int v1890 = 0xc3500e0;
        int v1891 = 0x1;
        int v1892 = 0xc3681d0;
        int v1893 = 0x1;
        int v1894 = 0xc368080;
        int v1895 = 0x1;
        int v1896 = 0xc303ae0;
        int v1897 = 0x1;
        int v1898 = 0xc301560;
        int v1899 = 0x1;
        int v1900 = 0xc3013f0;
        int v1901 = 0x1;
        int v1902 = 0xc36ba00;
        int v1903 = 0x1;
        int v1904 = 0xc3257e0;
        int v1905 = 0x1;
        int v1906 = 0xc303b70;
        int v1907 = 0x1;
        int v1908 = 0xc3224b0;
        int v1909 = 0x1;
        int v1910 = 0xc3364c0;
        int v1911 = 0x1;
        int v1912 = 0xc336910;
        int v1913 = 0x1;
        int v1914 = 0xc368170;
        unsigned int v1915 = 0x1;
        int v1916 = 0xc368050;
        int v1917 = 0x1;
        unsigned int v1918 = 0xc303ab0;
        int v1919 = 0x1;
        int v1920 = 0xc369b10;
        int v1921 = 0x1;
        int v1922 = 0xc3555d0;
        int v1923 = 0x1;
        int v1924 = 0xc36c1e0;
        int v1925 = 0x1;
        int v1926 = 0xc377cd0;
        int v1927 = 0x1;
        int v1928 = 0xc377d70;
        int v1929 = 0x1;
        unsigned int v1930 = 0xc377ee0;
        int v1931 = 0x1;
        unsigned int v1932 = 0xc377f80;
        int v1933 = 0x1;
        int v1934 = 0xc326940;
        unsigned int v1935 = 0x1;
        int v1936 = 0xc325800;
        int v1937 = 0x1;
        int v1938 = 0xc325890;
        int v1939 = 0x1;
        int v1940 = 0xc3232c0;
        int v1941 = 0x1;
        int v1942 = 0xc322cf0;
        int v1943 = 0x1;
        int v1944 = 0xc324a50;
        int v1945 = 0x1;
        int v1946 = 0xc325830;
        int v1947 = 0x1;
        int v1948 = 0xc34fd60;
        int v1949 = 0x1;
        int v1950 = 0xc34e780;
        int v1951 = 0x1;
        int v1952 = 0xc32f870;
        int v1953 = 0x1;
        int v1954 = 0xc330120;
        int v1955 = 0x1;
        int v1956 = 0xc34d400;
        int v1957 = 0x1;
        int v1958 = 0xc34fd30;
        int v1959 = 0x1;
        int v1960 = 0xc34c360;
        int v1961 = 0x1;
        int v1962 = 0xc34c380;
        int v1963 = 0x1;
        int v1964 = 0xc34c850;
        int v1965 = 0x1;
        int v1966 = 0xc34c2f0;
        int v1967 = 0x1;
        int v1968 = 0xc322670;
        int v1969 = 0x1;
        int v1970 = 0xc34c4a0;
        int v1971 = 0x1;
        int v1972 = 0xc3224d0;
        int v1973 = 0x1;
        int v1974 = 0xc34c400;
        int v1975 = 0x1;
        int v1976 = 0xc33b810;
        int v1977 = 0x1;
        int v1978 = 0xc3bc000;
        int v1979 = 0x1;
        unsigned int v1980 = 0xc350730;
        int v1981 = 0x1;
        int v1982 = 0xc33cc20;
        int v1983 = 0x1;
        int v1984 = 0xc3257d0;
        int v1985 = 0x1;
        int v1986 = 0xc386d10;
        unsigned int v1987 = 0x1;
        int v1988 = 0xc3718e0;
        unsigned int v1989 = 0x1;
        int v1990 = 0xc3325f0;
        int v1991 = 0x1;
        int v1992 = 0xc371870;
        int v1993 = 0x1;
        int v1994 = 0xc387930;
        int v1995 = 0x1;
        int v1996 = 0xc363780;
        int v1997 = 0x1;
        int v1998 = 0xc3639f0;
        int v1999 = 0x1;
        int v2000 = 0xc355190;
        int v2001 = 0x1;
        int v2002 = 0xc36a3c0;
        int v2003 = 0x1;
        int v2004 = 0xc355200;
        int v2005 = 0x1;
        int v2006 = 0xc36a380;
        int v2007 = 0x1;
        int v2008 = 0xc36a3e0;
        int v2009 = 0x1;
        int v2010 = 0xc36a550;
        int v2011 = 0x1;
        int v2012 = 0xc354e20;
        int v2013 = 0x1;
        int v2014 = 0xc369890;
        int v2015 = 0x1;
        int v2016 = 0xc354e90;
        int v2017 = 0x1;
        int v2018 = 0xc369850;
        int v2019 = 0x1;
        int v2020 = 0xc3698b0;
        int v2021 = 0x1;
        int v2022 = 0xc369a60;
        int v2023 = 0x1;
        int v2024 = 0xc3552c0;
        int v2025 = 0x1;
        int v2026 = 0xc36a900;
        int v2027 = 0x1;
        int v2028 = 0xc355330;
        int v2029 = 0x1;
        int v2030 = 0xc36a8c0;
        int v2031 = 0x1;
        int v2032 = 0xc36a920;
        int v2033 = 0x1;
        int v2034 = 0xc36aa90;
        int v2035 = 0x1;
        int v2036 = 0xc355060;
        int v2037 = 0x1;
        int v2038 = 0xc36a0b0;
        int v2039 = 0x1;
        unsigned int v2040 = 0xc3550d0;
        int v2041 = 0x1;
        unsigned int v2042 = 0xc36a070;
        int v2043 = 0x1;
        int v2044 = 0xc36a0d0;
        int v2045 = 0x1;
        int v2046 = 0xc36a240;
        int v2047 = 0x1;
        int v2048 = 0xc325820;
        int v2049 = 0x1;
        int v2050 = 0xc303270;
        int v2051 = 0x1;
        int v2052 = 0xc3385b0;
        int v2053 = 0x1;
        int v2054 = 0xc3232a0;
        int v2055 = 0x1;
        unsigned int v2056 = 0xc32f7e0;
        int v2057 = 0x1;
        unsigned int v2058 = 0xc327390;
        unsigned int v2059 = 0x1;
        int v2060 = 0xc33d6a0;
        unsigned int v2061 = 0x1;
        unsigned int v2062 = 0xc369010;
        int v2063 = 0x1;
        unsigned int v2064 = 0xc3526b0;
        int v2065 = 0x1;
        int v2066 = 0xc32c220;
        int v2067 = 0x1;
        int v2068 = 0xc377ae0;
        int v2069 = 0x1;
        int v2070 = 0xc3425f0;
        int v2071 = 0x1;
        int v2072 = 0xc38e050;
        int v2073 = 0x1;
        int v2074 = 0xc32bcc0;
        int v2075 = 0x1;
        int v2076 = 0xc323f80;
        int v2077 = 0x1;
        int v2078 = 0xc35e690;
        int v2079 = 0x1;
        int v2080 = 0xc323e50;
        int v2081 = 0x1;
        int v2082 = 0xc350370;
        int v2083 = 0x1;
        int v2084 = 0xc3526f0;
        int v2085 = 0x1;
        int v2086 = 0xc34c4f0;
        int v2087 = 0x1;
        int v2088 = 0xc3425b0;
        int v2089 = 0x1;
        unsigned int v2090 = 0xc32ea60;
        int v2091 = 0x1;
        unsigned int v2092 = 0xc33bc60;
        unsigned int v2093 = 0x1;
        unsigned int v2094 = 0xc33aa70;
        int v2095 = 0x1;
        unsigned int v2096 = 0xc33ac30;
        unsigned int v2097 = 0x1;
        int v2098 = 0xc33ab70;
        int v2099 = 0x1;
        int v2100 = 0xc352730;
        int v2101 = 0x1;
        int v2102 = 0xc33aab0;
        int v2103 = 0x1;
        int v2104 = 0xc342570;
        int v2105 = 0x1;
        int v2106 = 0xc352630;
        int v2107 = 0x1;
        int v2108 = 0xc32aaf0;
        int v2109 = 0x1;
        int v2110 = 0xc324450;
        int v2111 = 0x1;
        unsigned int v2112 = 0xc32bd00;
        unsigned int v2113 = 0x1;
        int v2114 = 0xc32bd40;
        int v2115 = 0x1;
        int v2116 = 0xc3503e0;
        int v2117 = 0x1;
        int v2118 = 0xc324170;
        int v2119 = 0x1;
        int v2120 = 0xc3502b0;
        int v2121 = 0x1;
        int v2122 = 0xc352670;
        int v2123 = 0x1;
        int v2124 = 0xc32ece0;
        int v2125 = 0x1;
        int v2126 = 0xc33ab30;
        int v2127 = 0x1;
        int v2128 = 0xc33bc20;
        int v2129 = 0x1;
        int v2130 = 0xc32eb50;
        int v2131 = 0x1;
        unsigned int v2132 = 0xc324130;
        int v2133 = 0x1;
        int v2134 = 0xc33abb0;
        int v2135 = 0x1;
        int v2136 = 0xc33aaf0;
        int v2137 = 0x1;
        int v2138 = 0xc323ee0;
        int v2139 = 0x1;
        int v2140 = 0xc377fe0;
        int v2141 = 0x1;
        int v2142 = 0xc323f40;
        int v2143 = 0x1;
        int v2144 = 0xc377b20;
        int v2145 = 0x1;
        int v2146 = 0xc32eca0;
        int v2147 = 0x1;
        unsigned int v2148 = 0xc352540;
        int v2149 = 0x1;
        int v2150 = 0xc377aa0;
        unsigned int v2151 = 0x1;
        int v2152 = 0xc32c1e0;
        unsigned int v2153 = 0x1;
        int v2154 = 0xc32aab0;
        int v2155 = 0x1;
        int v2156 = 0xc32bdc0;
        int v2157 = 0x1;
        int v2158 = 0xc350330;
        unsigned int v2159 = 0x1;
        int v2160 = 0xc33abf0;
        unsigned int v2161 = 0x1;
        int v2162 = 0xc3502f0;
        int v2163 = 0x1;
        int v2164 = 0xc335390;
        int v2165 = 0x1;
        int v2166 = 0xc32eb10;
        int v2167 = 0x1;
        int v2168 = 0xc35ea40;
        int v2169 = 0x1;
        int v2170 = 0xc323e10;
        int v2171 = 0x1;
        int v2172 = 0xc32bd80;
        int v2173 = 0x1;
        int v2174 = 0xc335600;
        unsigned int v2175 = 0x1;
        int v2176 = 0xc32bc80;
        int v2177 = 0x1;
        int v2178 = 0xc377ba0;
        int v2179 = 0x1;
        int v2180 = 0xc377b60;
        int v2181 = 0x1;
        int v2182 = 0xc329e30;
        int v2183 = 0x1;
        int v2184 = 0xc3296f0;
        int v2185 = 0x1;
        int v2186 = 0xc32a340;
        int v2187 = 0x1;
        int v2188 = 0xc329a90;
        int v2189 = 0x1;
        int v2190 = 0xc303260;
        int v2191 = 0x1;
        int v2192 = 0xc303250;
        int v2193 = 0x1;
        int v2194 = 0xc3028e0;
        int v2195 = 0x1;
        int v2196 = 0xc3028d0;
        int v2197 = 0x1;
        int v2198 = 0xc33c300;
        int v2199 = 0x1;
        int v2200 = 0xc329690;
        int v2201 = 0x1;
        int v2202 = 0xc369ac0;
        int v2203 = 0x1;
        int v2204 = 0xc335f70;
        int v2205 = 0x1;
        int v2206 = 0xc378180;
        int v2207 = 0x1;
        int v2208 = 0xc335df0;
        int v2209 = 0x1;
        int v2210 = 0xc3785e0;
        int v2211 = 0x1;
        int v2212 = 0xc321db0;
        int v2213 = 0x1;
        int v2214 = 0xc321f20;
        int v2215 = 0x1;
        int v2216 = 0xc35e750;
        unsigned int v2217 = 0x1;
        unsigned int v2218 = 0xc335ff0;
        unsigned int v2219 = 0x1;
        int v2220 = 0xc336370;
        unsigned int v2221 = 0x1;
        unsigned int v2222 = 0xc335e70;
        int v2223 = 0x1;
        unsigned int v2224 = 0xc335ef0;
        int v2225 = 0x1;
        int v2226 = 0xc3360f0;
        int v2227 = 0x1;
        int v2228 = 0xc3363f0;
        int v2229 = 0x1;
        int v2230 = 0xc3374c0;
        int v2231 = 0x1;
        unsigned int v2232 = 0xc336170;
        int v2233 = 0x1;
        int v2234 = 0xc335d70;
        int v2235 = 0x1;
        int v2236 = 0xc3362f0;
        int v2237 = 0x1;
        int v2238 = 0xc378090;
        int v2239 = 0x1;
        int v2240 = 0xc336070;
        int v2241 = 0x1;
        int v2242 = 0xc35e7d0;
        int v2243 = 0x1;
        int v2244 = 0xc3372a0;
        int v2245 = 0x1;
        int v2246 = 0xc337220;
        int v2247 = 0x1;
        int v2248 = 0xc35e6d0;
        int v2249 = 0x1;
        int v2250 = 0xc336270;
        int v2251 = 0x1;
        int v2252 = 0xc3361f0;
        int v2253 = 0x1;
        int v2254 = 0xc35e850;
        int v2255 = 0x1;
        int v2256 = 0xc3389d0;
        int v2257 = 0x1;
        int v2258 = 0xc336e20;
        int v2259 = 0x1;
        int v2260 = 0xc3034e0;
        int v2261 = 0x1;
        int v2262 = 0xc362320;
        int v2263 = 0x1;
        int v2264 = 0xc363530;
        unsigned int v2265 = 0x1;
        int v2266 = 0xc3399d0;
        int v2267 = 0x1;
        int v2268 = 0xc354a00;
        int v2269 = 0x1;
        int v2270 = 0xc33bfc0;
        int v2271 = 0x1;
        int v2272 = 0xc33c330;
        int v2273 = 0x1;
        int v2274 = 0xc302100;
        int v2275 = 0x1;
        int v2276 = 0xc30de20;
        int v2277 = 0x1;
        int v2278 = 0xc369680;
        int v2279 = 0x1;
        int v2280 = 0xc338db0;
        int v2281 = 0x1;
        int v2282 = 0xc36c380;
        int v2283 = 0x1;
        int v2284 = 0xc321860;
        int v2285 = 0x1;
        int v2286 = 0xc321900;
        int v2287 = 0x1;
        unsigned int v2288 = 0xc3218b0;
        unsigned int v2289 = 0x1;
        int v2290 = 0xc355dc0;
        unsigned int v2291 = 0x1;
        int v2292 = 0xc321830;
        int v2293 = 0x1;
        int v2294 = 0xc30de40;
        unsigned int v2295 = 0x1;
        int v2296 = 0xc355810;
        unsigned int v2297 = 0x1;
        int v2298 = 0xc3560c0;
        int v2299 = 0x1;
        unsigned int v2300 = 0xc369660;
        int v2301 = 0x1;
        int v2302 = 0xc355da0;
        int v2303 = 0x1;
        int v2304 = 0xc355e30;
        int v2305 = 0x1;
        int v2306 = 0xc321990;
        int v2307 = 0x1;
        int v2308 = 0xc321a70;
        int v2309 = 0x7ff8;
        int v2310 = 0x1195ad91;
        int v2311 = 0x7ff8;
        int v2312 = 0x5ba2cb1;
        int v2313 = 0x7ff8;
        unsigned int v2314 = 0x5ba2cbe;
        int v2315 = 0x7ff8;
        int v2316 = 0x5c08dda;
        unsigned int v2317 = 0x7ff8;
        int v2318 = 0x47a2dc18;
        int v2319 = 0x1;
        unsigned int v2320 = 0xc386e40;
        int v2321 = 0x0;
        unsigned int v2322 = 0x0;
        int v2323 = 0x3;
        int v2324 = 0x0;
        int v2325 = 0x0;
        int v2326 = 0xb8000;
        int v2327 = 0x61000;
        int v2328 = 0x1c;
        int v2329 = 0x8;
        int v2330 = 0x1;
        int v2331 = 0x1;
        int v2332 = 0xc300000;
        int v2333 = 0x0;
        int v2334 = 0xc300000;
        int v2335 = 0x24;
        int v2336 = 0x28;
        int v2337 = 0x383;
        int v2338 = 0x50;
        int v2339 = 0x61000;
        int v2340 = 0x7;
        int v2341 = 0x7ff8;
        int v2342 = 0x59b5bc8;
        int v2343 = 0x1fffffff;
        int v2344 = 0xfc;
        int v2345 = 0x0;
        int v2346 = 0x3000;
        int v2347 = 0x1;
        int v2348 = 0xc3b8000;
        int v2349 = 0x0;
        int v2350 = 0xb8000;
        int v2351 = 0x3;
        int v2352 = 0x3;
        int v2353 = 0x7ff8;
        int v2354 = 0x59b5d7a;
        int v2355 = 0x7ff7;
        int v2356 = 0xb3bfd150;
        int v2357 = 0x0;
        int v2358 = 0x24;
        int v2359 = 0x1;
        int v2360 = 0xc569c40;
        int v2361 = 0x0;
        int v2362 = 0x1;
        int v2363 = 0x7ff7;
        int v2364 = 0xb3bfd550;
        int v2365 = 0x0;
        int v2366 = 0x1c68;
        int v2367 = 0x7ff7;
        int v2368 = 0xb3bfb470;
        int v2369 = 0x2;
        int v2370 = 0x0;
        int v2371 = 0x0;
        unsigned int v2372 = 0x0;
        int v2373 = 0x7ff7;
        unsigned int v2374 = 0xb3bfb498;
        int v2375 = 0x7ff7;
        int v2376 = 0xb3bfb474;
        int v2377 = 0x0;
        unsigned int v2378 = 0x8;
        unsigned int v2379 = 0x1;
        unsigned int v2380 = 0xc3b8000;
        int v2381 = 0x7ff8;
        int v2382 = 0x59b9019;
        int v2383 = 0x7ff7;
        unsigned int v2384 = 0xb3bfb430;
        int v2385 = 0x0;
        int v2386 = 0x0;
        int v2387 = 0x0;
        int v2388 = 0x0;
        int v2389 = 0x0;
        int v2390 = 0x0;
        int v2391 = 0x0;
        int v2392 = 0x0;
        unsigned int v2393 = 0x0;
        int v2394 = 0x0;
        unsigned int v2395 = 0x0;
        int v2396 = 0x0;
        int v2397 = 0x0;
        int v2398 = 0x0;
        int v2399 = 0x0;
        int v2400 = 0x0;
        int v2401 = 0x0;
        int v2402 = 0x0;
        int v2403 = 0x0;
        int v2404 = 0x0;
        int v2405 = 0x0;
        int v2406 = 0x0;
        int v2407 = 0x0;
        int v2408 = 0x0;
        int v2409 = 0x0;
        int v2410 = 0x0;
        int v2411 = 0x0;
        unsigned int v2412 = 0x0;
        int v2413 = 0x0;
        int v2414 = 0x0;
        int v2415 = 0x0;
        int v2416 = 0x0;
        int v2417 = 0x0;
        int v2418 = 0x0;
        int v2419 = 0x0;
        int v2420 = 0x0;
        int v2421 = 0x0;
        int v2422 = 0x0;
        int v2423 = 0x0;
        int v2424 = 0x0;
        int v2425 = 0x0;
        int v2426 = 0x0;
        int v2427 = 0x0;
        int v2428 = 0x0;
        int v2429 = 0x0;
        int v2430 = 0x0;
        int v2431 = 0x0;
        int v2432 = 0x0;
        int v2433 = 0x0;
        int v2434 = 0x0;
        int v2435 = 0x0;
        int v2436 = 0x0;
        int v2437 = 0x0;
        int v2438 = 0x0;
        int v2439 = 0x0;
        int v2440 = 0x0;
        int v2441 = 0x0;
        int v2442 = 0x0;
        int v2443 = 0x0;
        int v2444 = 0x0;
        int v2445 = 0x0;
        unsigned int v2446 = 0x0;
        int v2447 = 0x0;
        int v2448 = 0x0;
        int v2449 = 0x0;
        int v2450 = 0x0;
        int v2451 = 0x0;
        int v2452 = 0x0;
        int v2453 = 0x0;
        int v2454 = 0x0;
        int v2455 = 0x0;
        int v2456 = 0x0;
        int v2457 = 0x0;
        int v2458 = 0x0;
        int v2459 = 0x0;
        int v2460 = 0x0;
        int v2461 = 0x0;
        unsigned int v2462 = 0x0;
        unsigned int v2463 = 0x0;
        int v2464 = 0x0;
        int v2465 = 0x0;
        int v2466 = 0x0;
        int v2467 = 0x0;
        int v2468 = 0x0;
        int v2469 = 0x0;
        unsigned int v2470 = 0x0;
        int v2471 = 0x0;
        unsigned int v2472 = 0x0;
        int v2473 = 0x0;
        int v2474 = 0x0;
        int v2475 = 0x0;
        int v2476 = 0x0;
        int v2477 = 0x0;
        int v2478 = 0x0;
        int v2479 = 0x0;
        int v2480 = 0x0;
        int v2481 = 0x0;
        unsigned int v2482 = 0x0;
        int v2483 = 0x0;
        int v2484 = 0x0;
        int v2485 = 0x0;
        int v2486 = 0x0;
        int v2487 = 0x0;
        int v2488 = 0x0;
        int v2489 = 0x0;
        int v2490 = 0x0;
        int v2491 = 0x0;
        int v2492 = 0x0;
        int v2493 = 0x0;
        int v2494 = 0x0;
        int v2495 = 0x0;
        int v2496 = 0x0;
        int v2497 = 0x0;
        unsigned int v2498 = 0x0;
        int v2499 = 0x0;
        int v2500 = 0x0;
        int v2501 = 0x0;
        int v2502 = 0x0;
        int v2503 = 0x0;
        unsigned int v2504 = 0x0;
        unsigned int v2505 = 0x0;
        int v2506 = 0x0;
        int v2507 = 0x0;
        int v2508 = 0x0;
        int v2509 = 0x0;
        int v2510 = 0x0;
        int v2511 = 0x0;
        int v2512 = 0x0;
        int v2513 = 0x0;
        int v2514 = 0x0;
        int v2515 = 0x0;
        int v2516 = 0x0;
        int v2517 = 0x0;
        int v2518 = 0x0;
        int v2519 = 0x0;
        int v2520 = 0x0;
        int v2521 = 0x0;
        int v2522 = 0x0;
        int v2523 = 0x0;
        unsigned int v2524 = 0x0;
        int v2525 = 0x0;
        int v2526 = 0x0;
        int v2527 = 0x0;
        int v2528 = 0x0;
        int v2529 = 0x0;
        int v2530 = 0x0;
        int v2531 = 0x0;
        int v2532 = 0x0;
        int v2533 = 0x0;
        int v2534 = 0x0;
        int v2535 = 0x0;
        unsigned int v2536 = 0x0;
        int v2537 = 0x0;
        int v2538 = 0x0;
        int v2539 = 0x0;
        int v2540 = 0x0;
        int v2541 = 0x0;
        int v2542 = 0x0;
        int v2543 = 0x0;
        int v2544 = 0x0;
        int v2545 = 0x0;
        int v2546 = 0x0;
        int v2547 = 0x0;
        int v2548 = 0x0;
        int v2549 = 0x0;
        int v2550 = 0x0;
        int v2551 = 0x0;
        int v2552 = 0x0;
        unsigned int v2553 = 0x0;
        int v2554 = 0x0;
        int v2555 = 0x0;
        int v2556 = 0x0;
        int v2557 = 0x0;
        int v2558 = 0x0;
        int v2559 = 0x0;
        int v2560 = 0x0;
        int v2561 = 0x0;
        int v2562 = 0x0;
        int v2563 = 0x0;
        int v2564 = 0x0;
        int v2565 = 0x0;
        int v2566 = 0x0;
        int v2567 = 0x0;
        int v2568 = 0x0;
        int v2569 = 0x0;
        int v2570 = 0x0;
        int v2571 = 0x0;
        int v2572 = 0x0;
        int v2573 = 0x0;
        int v2574 = 0x0;
        int v2575 = 0x0;
        int v2576 = 0x0;
        int v2577 = 0x0;
        int v2578 = 0x0;
        int v2579 = 0x0;
        int v2580 = 0x0;
        int v2581 = 0x0;
        int v2582 = 0x0;
        int v2583 = 0x0;
        int v2584 = 0x0;
        int v2585 = 0x0;
        int v2586 = 0x0;
        int v2587 = 0x0;
        int v2588 = 0x0;
        int v2589 = 0x0;
        int v2590 = 0x0;
        int v2591 = 0x0;
        int v2592 = 0x0;
        int v2593 = 0x0;
        int v2594 = 0x0;
        int v2595 = 0x0;
        int v2596 = 0x0;
        int v2597 = 0x0;
        int v2598 = 0x0;
        unsigned int v2599 = 0x0;
        unsigned int v2600 = 0x0;
        int v2601 = 0x0;
        unsigned int v2602 = 0x0;
        int v2603 = 0x0;
        int v2604 = 0x0;
        int v2605 = 0x0;
        unsigned int v2606 = 0x0;
        int v2607 = 0x0;
        int v2608 = 0x0;
        unsigned int v2609 = 0x0;
        int v2610 = 0x0;
        unsigned int v2611 = 0x0;
        unsigned int v2612 = 0x0;
        std::uint64_t v2613 = 0x0;
        int v2614 = 0x0;
        int v2615 = 0x0;
        int v2616 = 0x0;
        int v2617 = 0x0;
        int v2618 = 0x0;
        int v2619 = 0x0;
        int v2620 = 0x0;
        int v2621 = 0x0;
        int v2622 = 0x0;
        int v2623 = 0x0;
        int v2624 = 0x0;
        int v2625 = 0x0;
        int v2626 = 0x0;
        int v2627 = 0x0;
        int v2628 = 0x0;
        unsigned int v2629 = 0x0;
        int v2630 = 0x0;
        int v2631 = 0x0;
        int v2632 = 0x0;
        int v2633 = 0x0;
        int v2634 = 0x0;
        unsigned int v2635 = 0x0;
        int v2636 = 0x0;
        int v2637 = 0x0;
        unsigned int v2638 = 0x0;
        std::uint8_t v2639 = 0x0;
        unsigned int v2640 = 0x0;
        unsigned int v2641 = 0x0;
        int v2642 = 0x0;
        int v2643 = 0x0;
        unsigned int v2644 = 0x0;
        int v2645 = 0x0;
        int v2646 = 0x0;
        int v2647 = 0x0;
        int v2648 = 0x0;
        int v2649 = 0x0;
        int v2650 = 0x0;
        int v2651 = 0x0;
        int v2652 = 0x0;
        int v2653 = 0x0;
        int v2654 = 0x0;
        int v2655 = 0x0;
        int v2656 = 0x0;
        int v2657 = 0x0;
        int v2658 = 0x0;
        int v2659 = 0x0;
        unsigned int v2660 = 0x0;
        unsigned int v2661 = 0x0;
        int v2662 = 0x0;
        unsigned int v2663 = 0x0;
        unsigned int v2664 = 0x0;
        unsigned int v2665 = 0x0;
        unsigned int v2666 = 0x0;
        int v2667 = 0x0;
        int v2668 = 0x0;
        int v2669 = 0x0;
        unsigned int v2670 = 0x0;
        int v2671 = 0x0;
        int v2672 = 0x0;
        int v2673 = 0x0;
        unsigned int v2674 = 0x0;
        int v2675 = 0x0;
        int v2676 = 0x0;
        unsigned int v2677 = 0x0;
        int v2678 = 0x0;
        int v2679 = 0x0;
        int v2680 = 0x0;
        int v2681 = 0x0;
        int v2682 = 0x0;
        int v2683 = 0x0;
        int v2684 = 0x0;
        int v2685 = 0x0;
        int v2686 = 0x0;
        int v2687 = 0x0;
        int v2688 = 0x0;
        int v2689 = 0x0;
        int v2690 = 0x0;
        int v2691 = 0x0;
        int v2692 = 0x0;
        int v2693 = 0x0;
        int v2694 = 0x0;
        int v2695 = 0x0;
        int v2696 = 0x0;
        int v2697 = 0x0;
        int v2698 = 0x0;
        int v2699 = 0x0;
        int v2700 = 0x0;
        int v2701 = 0x0;
        int v2702 = 0x0;
        int v2703 = 0x0;
        int v2704 = 0x0;
        int v2705 = 0x0;
        unsigned int v2706 = 0x0;
        unsigned int v2707 = 0x0;
        int v2708 = 0x0;
        int v2709 = 0x0;
        unsigned int v2710 = 0x0;
        int v2711 = 0x0;
        int v2712 = 0x0;
        int v2713 = 0x0;
        unsigned int v2714 = 0x0;
        unsigned int v2715 = 0x0;
        int v2716 = 0x0;
        int v2717 = 0x0;
        int v2718 = 0x0;
        int v2719 = 0x0;
        int v2720 = 0x0;
        int v2721 = 0x0;
        int v2722 = 0x0;
        int v2723 = 0x0;
        int v2724 = 0x0;
        int v2725 = 0x0;
        int v2726 = 0x0;
        int v2727 = 0x0;
        int v2728 = 0x0;
        int v2729 = 0x0;
        int v2730 = 0x0;
        int v2731 = 0x0;
        int v2732 = 0x0;
        unsigned int v2733 = 0x0;
        int v2734 = 0x0;
        int v2735 = 0x0;
        int v2736 = 0x0;
        int v2737 = 0x0;
        int v2738 = 0x0;
        int v2739 = 0x0;
        int v2740 = 0x0;
        int v2741 = 0x0;
        int v2742 = 0x0;
        int v2743 = 0x0;
        int v2744 = 0x0;
        int v2745 = 0x0;
        int v2746 = 0x0;
        int v2747 = 0x0;
        int v2748 = 0x0;
        unsigned int v2749 = 0x0;
        unsigned int v2750 = 0x0;
        int v2751 = 0x0;
        unsigned int v2752 = 0x0;
        unsigned int v2753 = 0x0;
        int v2754 = 0x0;
        int v2755 = 0x0;
        unsigned int v2756 = 0x0;
        unsigned int v2757 = 0x0;
        int v2758 = 0x0;
        int v2759 = 0x0;
        int v2760 = 0x0;
        unsigned int v2761 = 0x0;
        unsigned int v2762 = 0x0;
        int v2763 = 0x0;
        int v2764 = 0x0;
        int v2765 = 0x0;
        int v2766 = 0x0;
        std::uint64_t v2767 = 0x0;
        int v2768 = 0x0;
        unsigned int v2769 = 0x0;
        int v2770 = 0x0;
        int v2771 = 0x0;
        int v2772 = 0x0;
        int v2773 = 0x0;
        int v2774 = 0x0;
        int v2775 = 0x0;
        int v2776 = 0x0;
        int v2777 = 0x0;
        int v2778 = 0x0;
        int v2779 = 0x0;
        int v2780 = 0x0;
        int v2781 = 0x0;
        int v2782 = 0x0;
        int v2783 = 0x0;
        int v2784 = 0x0;
        int v2785 = 0x0;
        int v2786 = 0x0;
        int v2787 = 0x0;
        int v2788 = 0x0;
        int v2789 = 0x0;
        int v2790 = 0x0;
        int v2791 = 0x0;
        unsigned int v2792 = 0x0;
        int v2793 = 0x0;
        int v2794 = 0x0;
        int v2795 = 0x0;
        int v2796 = 0x0;
        int v2797 = 0x0;
        int v2798 = 0x0;
        int v2799 = 0x0;
        int v2800 = 0x0;
        int v2801 = 0x0;
        unsigned int v2802 = 0x0;
        int v2803 = 0x0;
        int v2804 = 0x0;
        unsigned int v2805 = 0x0;
        int v2806 = 0x0;
        int v2807 = 0x0;
        int v2808 = 0x0;
        int v2809 = 0x0;
        int v2810 = 0x0;
        int v2811 = 0x0;
        int v2812 = 0x0;
        int v2813 = 0x0;
        int v2814 = 0x0;
        int v2815 = 0x0;
        unsigned int v2816 = 0x0;
        int v2817 = 0x0;
        int v2818 = 0x0;
        int v2819 = 0x0;
        int v2820 = 0x0;
        unsigned int v2821 = 0x0;
        unsigned int v2822 = 0x0;
        unsigned int v2823 = 0x0;
        unsigned int v2824 = 0x0;
        unsigned int v2825 = 0x0;
        int v2826 = 0x0;
        unsigned int v2827 = 0x0;
        unsigned int v2828 = 0x0;
        unsigned int v2829 = 0x0;
        unsigned int v2830 = 0x0;
        int v2831 = 0x0;
        unsigned int v2832 = 0x0;
        int v2833 = 0x0;
        int v2834 = 0x0;
        unsigned int v2835 = 0x0;
        int v2836 = 0x0;
        int v2837 = 0x0;
        int v2838 = 0x0;
        int v2839 = 0x0;
        int v2840 = 0x0;
        int v2841 = 0x0;
        int v2842 = 0x0;
        int v2843 = 0x0;
        int v2844 = 0x0;
        int v2845 = 0x0;
        int v2846 = 0x0;
        int v2847 = 0x0;
        int v2848 = 0x0;
        int v2849 = 0x0;
        int v2850 = 0x0;
        int v2851 = 0x0;
        int v2852 = 0x0;
        int v2853 = 0x0;
        int v2854 = 0x0;
        unsigned int v2855 = 0x0;
        int v2856 = 0x0;
        int v2857 = 0x0;
        int v2858 = 0x0;
        int v2859 = 0x0;
        int v2860 = 0x0;
        int v2861 = 0x0;
        int v2862 = 0x0;
        int v2863 = 0x0;
        int v2864 = 0x0;
        int v2865 = 0x0;
        int v2866 = 0x0;
        int v2867 = 0x0;
        int v2868 = 0x0;
        int v2869 = 0x0;
        int v2870 = 0x0;
        int v2871 = 0x0;
        int v2872 = 0x0;
        int v2873 = 0x0;
        int v2874 = 0x0;
        int v2875 = 0x0;
        int v2876 = 0x0;
        int v2877 = 0x0;
        int v2878 = 0x0;
        int v2879 = 0x0;
        unsigned int v2880 = 0x0;
        unsigned int v2881 = 0x0;
        int v2882 = 0x0;
        int v2883 = 0x0;
        int v2884 = 0x0;
        int v2885 = 0x0;
        int v2886 = 0x0;
        int v2887 = 0x0;
        int v2888 = 0x0;
        int v2889 = 0x0;
        int v2890 = 0x0;
        int v2891 = 0x0;
        int v2892 = 0x0;
        int v2893 = 0x0;
        int v2894 = 0x0;
        unsigned int v2895 = 0x0;
        unsigned int v2896 = 0x0;
        int v2897 = 0x0;
        int v2898 = 0x0;
        unsigned int v2899 = 0x0;
        int v2900 = 0x0;
        int v2901 = 0x0;
        int v2902 = 0x0;
        unsigned int v2903 = 0x0;
        int v2904 = 0x0;
        unsigned int v2905 = 0x0;
        int v2906 = 0x0;
        int v2907 = 0x0;
        int v2908 = 0x0;
        int v2909 = 0x0;
        int v2910 = 0x0;
        int v2911 = 0x0;
        int v2912 = 0x0;
        int v2913 = 0x0;
        int v2914 = 0x0;
        int v2915 = 0x0;
        int v2916 = 0x0;
        int v2917 = 0x0;
        int v2918 = 0x0;
        int v2919 = 0x0;
        int v2920 = 0x0;
        int v2921 = 0x0;
        int v2922 = 0x0;
        int v2923 = 0x0;
        int v2924 = 0x0;
        int v2925 = 0x0;
        int v2926 = 0x0;
        int v2927 = 0x0;
        int v2928 = 0x0;
        int v2929 = 0x0;
        int v2930 = 0x0;
        int v2931 = 0x0;
        int v2932 = 0x0;
        int v2933 = 0x0;
        int v2934 = 0x0;
        unsigned int v2935 = 0x0;
        int v2936 = 0x0;
        unsigned int v2937 = 0x0;
        int v2938 = 0x0;
        int v2939 = 0x0;
        int v2940 = 0x0;
        int v2941 = 0x0;
        int v2942 = 0x0;
        int v2943 = 0x0;
        int v2944 = 0x0;
        int v2945 = 0x0;
        int v2946 = 0x0;
        int v2947 = 0x0;
        int v2948 = 0x0;
        int v2949 = 0x0;
        int v2950 = 0x0;
        int v2951 = 0x0;
        int v2952 = 0x0;
        int v2953 = 0x0;
        int v2954 = 0x0;
        int v2955 = 0x0;
        int v2956 = 0x0;
        int v2957 = 0x0;
        int v2958 = 0x0;
        int v2959 = 0x0;
        int v2960 = 0x0;
        int v2961 = 0x0;
        int v2962 = 0x0;
        int v2963 = 0x0;
        int v2964 = 0x0;
        int v2965 = 0x0;
        int v2966 = 0x0;
        int v2967 = 0x0;
        int v2968 = 0x0;
        int v2969 = 0x0;
        int v2970 = 0x0;
        int v2971 = 0x0;
        int v2972 = 0x0;
        int v2973 = 0x0;
        int v2974 = 0x0;
        int v2975 = 0x0;
        int v2976 = 0x0;
        int v2977 = 0x0;
        int v2978 = 0x0;
        int v2979 = 0x0;
        int v2980 = 0x0;
        int v2981 = 0x0;
        int v2982 = 0x0;
        int v2983 = 0x0;
        int v2984 = 0x0;
        int v2985 = 0x0;
        int v2986 = 0x0;
        int v2987 = 0x0;
        int v2988 = 0x0;
        int v2989 = 0x0;
        int v2990 = 0x0;
        int v2991 = 0x0;
        int v2992 = 0x0;
        int v2993 = 0x0;
        int v2994 = 0x0;
        int v2995 = 0x0;
        int v2996 = 0x0;
        int v2997 = 0x0;
        int v2998 = 0x0;
        int v2999 = 0x0;
        int v3000 = 0x0;
        int v3001 = 0x0;
        int v3002 = 0x0;
        int v3003 = 0x0;
        int v3004 = 0x0;
        int v3005 = 0x0;
        unsigned int v3006 = 0x0;
        int v3007 = 0x0;
        int v3008 = 0x0;
        int v3009 = 0x0;
        int v3010 = 0x0;
        int v3011 = 0x0;
        int v3012 = 0x0;
        int v3013 = 0x0;
        int v3014 = 0x0;
        int v3015 = 0x0;
        int v3016 = 0x0;
        int v3017 = 0x0;
        int v3018 = 0x0;
        int v3019 = 0x0;
        int v3020 = 0x0;
        int v3021 = 0x0;
        int v3022 = 0x0;
        int v3023 = 0x0;
        int v3024 = 0x0;
        int v3025 = 0x0;
        int v3026 = 0x0;
        int v3027 = 0x0;
        int v3028 = 0x0;
        int v3029 = 0x0;
        int v3030 = 0x0;
        int v3031 = 0x0;
        int v3032 = 0x0;
        int v3033 = 0x0;
        int v3034 = 0x0;
        int v3035 = 0x0;
        int v3036 = 0x0;
        unsigned int v3037 = 0x0;
        unsigned int v3038 = 0x0;
        int v3039 = 0x0;
        int v3040 = 0x0;
        int v3041 = 0x0;
        int v3042 = 0x0;
        int v3043 = 0x0;
        int v3044 = 0x0;
        int v3045 = 0x0;
        int v3046 = 0x0;
        int v3047 = 0x0;
        int v3048 = 0x0;
        int v3049 = 0x0;
        int v3050 = 0x0;
        int v3051 = 0x0;
        int v3052 = 0x0;
        int v3053 = 0x0;
        int v3054 = 0x0;
        int v3055 = 0x0;
        int v3056 = 0x0;
        int v3057 = 0x0;
        int v3058 = 0x0;
        int v3059 = 0x0;
        int v3060 = 0x0;
        int v3061 = 0x0;
        int v3062 = 0x0;
        int v3063 = 0x0;
        int v3064 = 0x0;
        int v3065 = 0x0;
        unsigned int v3066 = 0x0;
        int v3067 = 0x0;
        int v3068 = 0x0;
        int v3069 = 0x0;
        int v3070 = 0x0;
        int v3071 = 0x0;
        int v3072 = 0x0;
        int v3073 = 0x0;
        int v3074 = 0x0;
        unsigned int v3075 = 0x0;
        unsigned int v3076 = 0x0;
        unsigned int v3077 = 0x0;
        unsigned int v3078 = 0x0;
        unsigned int v3079 = 0x0;
        int v3080 = 0x0;
        int v3081 = 0x0;
        int v3082 = 0x0;
        int v3083 = 0x0;
        unsigned int v3084 = 0x0;
        int v3085 = 0x0;
        int v3086 = 0x0;
        int v3087 = 0x0;
        int v3088 = 0x0;
        int v3089 = 0x0;
        int v3090 = 0x0;
        int v3091 = 0x0;
        int v3092 = 0x0;
        int v3093 = 0x0;
        int v3094 = 0x0;
        int v3095 = 0x0;
        int v3096 = 0x0;
        int v3097 = 0x0;
        int v3098 = 0x0;
        int v3099 = 0x0;
        int v3100 = 0x0;
        int v3101 = 0x0;
        int v3102 = 0x0;
        unsigned int v3103 = 0x0;
        unsigned int v3104 = 0x0;
        int v3105 = 0x0;
        unsigned int v3106 = 0x0;
        int v3107 = 0x0;
        int v3108 = 0x0;
        int v3109 = 0x0;
        unsigned int v3110 = 0x0;
        int v3111 = 0x0;
        int v3112 = 0x0;
        int v3113 = 0x0;
        int v3114 = 0x0;
        int v3115 = 0x0;
        int v3116 = 0x0;
        int v3117 = 0x0;
        int v3118 = 0x0;
        int v3119 = 0x0;
        int v3120 = 0x0;
        int v3121 = 0x0;
        int v3122 = 0x0;
        int v3123 = 0x0;
        int v3124 = 0x0;
        int v3125 = 0x0;
        int v3126 = 0x0;
        int v3127 = 0x0;
        int v3128 = 0x0;
        int v3129 = 0x0;
        int v3130 = 0x0;
        unsigned int v3131 = 0x0;
        int v3132 = 0x0;
        int v3133 = 0x0;
        int v3134 = 0x0;
        int v3135 = 0x0;
        unsigned int v3136 = 0x0;
        int v3137 = 0x0;
        int v3138 = 0x0;
        unsigned int v3139 = 0x0;
        int v3140 = 0x0;
        int v3141 = 0x0;
        int v3142 = 0x0;
        int v3143 = 0x0;
        int v3144 = 0x0;
        int v3145 = 0x0;
        int v3146 = 0x0;
        int v3147 = 0x0;
        int v3148 = 0x0;
        int v3149 = 0x0;
        int v3150 = 0x0;
        int v3151 = 0x0;
        int v3152 = 0x0;
        int v3153 = 0x0;
        int v3154 = 0x0;
        int v3155 = 0x0;
        int v3156 = 0x0;
        int v3157 = 0x0;
        int v3158 = 0x0;
        int v3159 = 0x0;
        int v3160 = 0x0;
        int v3161 = 0x0;
        int v3162 = 0x0;
        int v3163 = 0x0;
        int v3164 = 0x0;
        int v3165 = 0x0;
        unsigned int v3166 = 0x0;
        int v3167 = 0x0;
        unsigned int v3168 = 0x0;
        int v3169 = 0x0;
        int v3170 = 0x0;
        int v3171 = 0x0;
        int v3172 = 0x0;
        int v3173 = 0x0;
        unsigned int v3174 = 0x0;
        int v3175 = 0x0;
        int v3176 = 0x0;
        unsigned int v3177 = 0x0;
        int v3178 = 0x0;
        int v3179 = 0x0;
        int v3180 = 0x0;
        unsigned int v3181 = 0x0;
        unsigned int v3182 = 0x0;
        int v3183 = 0x0;
        int v3184 = 0x0;
        int v3185 = 0x0;
        int v3186 = 0x0;
        int v3187 = 0x0;
        int v3188 = 0x0;
        int v3189 = 0x0;
        int v3190 = 0x0;
        int v3191 = 0x0;
        int v3192 = 0x0;
        int v3193 = 0x0;
        int v3194 = 0x0;
        int v3195 = 0x0;
        int v3196 = 0x0;
        int v3197 = 0x0;
        int v3198 = 0x0;
        int v3199 = 0x0;
        int v3200 = 0x0;
        switch (a1 & 0x3F) {
        case 0:
            v5 = a2 ^ (732042629 * a3);
            v6 = v5 + a5 + a4;
            v7 = v5 ^ a5;
            v8 = v6 + a3 - detail::kPlayIntentKey[(std::uint8_t)a4 + 431];
            v9 = detail::kPlayIntentKey[(std::uint8_t)v7 + 206] ^ v6;
            v10 = v8 ^ v5;
            v11 = v7 ^ (v10 + v8);
            if (bit_test((const int*)&v8, 0x15u)) {
                v12 = v8 ^ v11;
                v13 = v9 + v10;
                v14 = v12 - 1082082600 * v13;
                v15 = v13 + __ROL4__(v9 ^ (v12 + v13), 7);
                v16 = v14 + (v9 ^ (v12 + v13));
                v17 = detail::kPlayIntentKey[(std::uint8_t)v15 + 95] + v14;
                v18 = v17 + v16;
                v19 = (v17 + 17024) ^ v15 ^ (__ROL4__(v16, 8) - 31512);
                v20 = v19 ^ v17;
                v21 = v18 + v19;
                v22 = v18 - v20;
                v23 = detail::kPlayIntentKey[(std::uint8_t)v21 + 91] ^ v20;
                v10 = v21 ^ (v22 - 1480200665);
                v9 = v23 ^ v22;
                v11 = v23 - v9 - v10;
            }
            if (bit_test(&v10, 0x1Du)) {
                v24 = v10 ^ v11;
                v25 = v8 + __ROL4__(v9, 14);
                v26 = v25 + v24;
                v27 = v9 ^ (__ROL4__(v24, 5) + __ROL4__(v25, 23));
                v28 = v27 ^ v25;
                v29 = v27 - v26;
                v8 = v29 ^ v28;
                v30 = __ROL4__(v29, 25) + (v29 ^ v28) + v26 + v28;
                v9 = v29 - v30;
                v11 = v30;
            }
            v31 = ((v8 >> 11) & 7) + 1;
            do {
                v32 = v8 ^ v11;
                v33 = v32 + v9;
                v34 = v10 + __ROL4__(v9, 5);
                v35 = v34 + v33;
                v36 = v34 ^ v32;
                v37 = v34 + v35 - 473132144;
                v38 = v35 - v36 - v37;
                v39 = v37 ^ v36;
                v40 = v37 - v38 + 1581791335;
                v41 = v39 + v38;
                v42 = v40 ^ __ROL4__(v41, 4);
                v43 = v39 ^ __ROL4__(v40, 19);
                v44 = (__ROL4__(v43, 16) - 9880) ^ v41 ^ (v42 - 32612);
                v45 = v43 - __ROL4__(v42, 18) - __ROL4__(v44, 18);
                v9 = v44 ^ __ROL4__(v45, 27);
                v10 = v42 - __ROL4__(v44, 16);
                v11 = v45 ^ (__ROL4__(v10, 27) + __ROL4__(v9, 2));
                --v31;
            } while (v31);
            v46 = v8 ^ v10;
            goto LABEL_259;
        case 1:
            v119 = a3 + a2;
            v120 = a4 + a3;
            v121 = a5 + ((__ROL4__(v119, 18) - 21650) ^ (a4 + a3 + 17235));
            v122 = v119 - v120;
            v123 = v121 + (a4 ^ a5) + v120;
            v124 = (a4 ^ a5) - v121;
            v125 = v121 + __ROL4__(v122, 15);
            v126 = ((v123 >> 21) & 7) + 1;
            do {
                v127 = v123 ^ v125;
                v122 += -30755593 * v124;
                v125 = v122 + v124;
                v124 -= v127;
                --v126;
            } while (v126);
            v128 = v123 - v122;
            v129 = v122 + ((__ROL4__(v124, 27) - 22134) ^ (v125 + 30188));
            v130 = __ROL4__(v125, 6) + v124 + __ROL4__(v128, 21);
            v131 = v125 - v128;
            v132 = v128 ^ (__ROL4__(v129, 24) + __ROL4__(v130, 12));
            v133 = v130 + v129;
            v134 = detail::kPlayIntentKey[(std::uint8_t)v131 + 484] ^ v130;
            v135 = v131 - detail::kPlayIntentKey[(std::uint8_t)v132 + 207];
            v136 = v133 + v132;
            v137 = v135 + v134 + v133;
            v138 = v134 - v135;
            v139 = v135 ^ (v137 + v136);
            v140 = v137 ^ v136;
            v141 = detail::kPlayIntentKey[(std::uint8_t)v138 + 398] ^ v137;
            v9 = v138 + 1917289955 * v139;
            v11 = v140 + v139;
            if (bit_test(&v141, 9u)) {
                v142 = v141 ^ v11;
                v143 = v140 ^ __ROL4__(v9, 18);
                v144 = v9 ^ (__ROL4__(v142, 18) + __ROL4__(v143, 14));
                v145 = v142 - detail::kPlayIntentKey[(std::uint8_t)v143 + 171];
                v146 = v144 + v143;
                v147 = v145 + v144;
                v140 = v145 ^ (v147 + v146);
                v148 = v140 + v147;
                v149 = v148 ^ v146;
                v150 = v140 - v149 + v148;
                v151 = (__ROL4__(v149 - v148, 8) - 8987) ^ (v140 - v149) ^ (v150 + 21250);
                v9 = v151 ^ v150;
                v11 = v151 + ((__ROL4__(v140, 17) - 30283) ^ (v9 - 22022));
            }
            v152 = ((v140 >> 2) & 7) + 1;
            do {
                v153 = v140 ^ v11;
                v154 = detail::kPlayIntentKey[(std::uint8_t)v9 + 122] ^ v141;
                v155 = v153 + v9;
                v156 = v154 + v153;
                v157 = v154 + 226976850 * v155;
                v141 = v157 + __ROL4__(v155 - v156, 1);
                v158 = (__ROL4__(v157, 3) - 502) ^ (v155 - v156 - 19448);
                v9 = v155 + v158;
                v11 = (__ROL4__(v141, 15) + 17693) ^ (v158 + v155 + 5780) ^ (v158 + v156);
                --v152;
            } while (v152);
            v46 = v140 ^ v141;
            goto LABEL_259;
        case 2:
            if (bit_test((const int*)&a3, 0x1Au)) {
                v159 = a3 ^ a5;
                v160 = a2 + __ROL4__(a4, 30);
                v161 = a4 - v159;
                v162 = v160 + v159;
                v163 = v161 ^ v160;
                v164 = __ROL4__(v163, 16) + __ROL4__(v161 - v162, 2);
                v165 = v164 + v162;
                v166 = (v164 + v162 - 24972) ^ v163 ^ (__ROL4__(v161 - v162, 13) + 8090);
                v167 = v161 + v164;
                v168 = v166 + v165;
                v169 = (std::uint8_t)v167;
                v170 = detail::kPlayIntentKey[(std::uint8_t)v168 + 102] + v167;
                LODWORD(v169) = detail::kPlayIntentKey[v169 + 123];
                v171 = v168 ^ (v166 - v169 - 182304026);
                a2 = v170 + v166 - v169;
                a4 = v170 ^ __ROL4__(v171, 3);
                a5 = detail::kPlayIntentKey[(std::uint8_t)a2 + 431] ^ v171;
            }
            v172 = ((a2 >> 7) & 7) + 1;
            do {
                v173 = a4;
                v174 = a2 ^ a5;
                a4 ^= v174;
                a3 -= __ROL4__(v173, 21);
                a5 = v174 - __ROL4__(a3, 20);
                --v172;
            } while (v172);
            v175 = ~(a3 >> 27) | 0xFFFFFFF8;
            do {
                v176 = a3 ^ a5;
                v177 = a2 - a4;
                v178 = v176 ^ a4;
                v179 = v176 - detail::kPlayIntentKey[(std::uint8_t)v177 + 508];
                v180 = v177 + __ROL4__(v178, 27);
                v181 = (__ROL4__(v179, 16) + __ROL4__(v180, 9)) ^ v178;
                a2 = v180 ^ v181;
                v182 = v179 + __ROL4__(v180, 25);
                a5 = v182 - 669838843 * a2;
                a4 = v181 - detail::kPlayIntentKey[(std::uint8_t)v182 + 423];
                ++v175;
            } while (v175);
            v183 = ((a2 >> 9) & 7) + 1;
            do {
                v184 = a2 ^ a5;
                a3 -= a4;
                a4 += v184;
                a5 = detail::kPlayIntentKey[(std::uint8_t)a3 + 33] + v184;
                --v183;
            } while (v183);
            if ((a3 & 2) != 0) {
                v185 = a3 ^ a5;
                v186 = v185 + a2;
                v187 = a2 - a4;
                v188 = v185 - v187;
                v189 = (__ROL4__(v186, 17) + 1373) ^ v187 ^ (v188 - 31679);
                v190 = v188 + v186;
                v191 = __ROL4__(v189, 25);
                a2 = v189 + ((__ROL4__(v190, 27) - 19923) ^ (v188 - v191 - 9416));
                v192 = v188 - v191 - a2;
                a4 = v190 - (v188 - v191);
                a5 = v192;
            }
            v193 = __ROL4__(a4, 21);
            v194 = a3 + __ROL4__(a2, 10);
            v195 = __ROL4__(v194, 13) + a4 + __ROL4__(a5, 9);
            v196 = a5 + ((__ROL4__(v194, 2) + 27071) ^ (a2 - v193 + 18944));
            v197 = v194 - (a2 - v193);
            v198 = v195 + a2 - v193;
            v199 = v195 - v196;
            v200 = v196 - v197;
            v201 = v197 - detail::kPlayIntentKey[(std::uint8_t)v198 + 342];
            v202 = v199 + v200 + v198;
            v203 = v201 + v202 - 800089208;
            v204 = detail::kPlayIntentKey[(std::uint8_t)v201 + 489];
            v205 = v204 + v199;
            v206 = detail::kPlayIntentKey[(std::uint8_t)v203 + 181] ^ (v204 + v200);
            v207 = v203 ^ (v202 - v205);
            v208 = v207 ^ __ROL4__(v202, 28);
            v209 = v206 ^ (__ROL4__(v207, 9) + __ROL4__(v202, 23));
            v210 = v205 + __ROL4__(v206, 20);
            v211 = v209 + v210;
            v212 = (__ROL4__(v210, 7) - 6776) ^ v202 ^ (v209 - 18354);
            v115 = v212 - 8050;
            v46 = v208 ^ v212;
            v118 = v211 ^ v209 ^ (__ROL4__(v208, 6) + 202);
            goto LABEL_208;
        case 3:
            v213 = a2 - a3;
            v214 = a3 - ((__ROL4__(a4, 20) - 20748) ^ (a5 - 22371));
            v215 = __ROL4__(a5, 23) + a4 + __ROL4__(v213, 30);
            v216 = a5 - v213;
            v217 = __ROL4__(v214, 8);
            v218 = v214 - v215;
            v219 = v215 ^ __ROL4__(v216, 29);
            v220 = v217 + v213 + __ROL4__(v215, 22);
            v221 = v220 + ((__ROL4__(v218, 19) - 26266) ^ (v219 - 32442));
            v222 = v216 - __ROR4__(v218, 1) - __ROL4__(v220, 18);
            v223 = v222 + v219 + v218;
            v224 = v219 - v222;
            v225 = v223 + v221;
            v226 = v225 + v222;
            v227 = v224 ^ v223;
            v228 = v224 - v225 - v226;
            v229 = v225 ^ v226;
            v230 = detail::kPlayIntentKey[(std::uint8_t)v227 + 443] + v225;
            v231 = v227 - v228 + 1510885360;
            v232 = v228 + __ROL4__(v229, 21);
            v233 = __ROL4__(v230, 22) + v229 + __ROL4__(v231, 8);
            v234 = v231 ^ v230;
            v235 = v232 ^ v233;
            v236 = v231 - __ROL4__(v232, 30) - __ROR4__(v233, 1);
            v237 = v233 - v234;
            if ((v236 & 0x20) != 0) {
                v234 ^= v235;
                v238 = v236 ^ v237;
                v235 ^= (__ROL4__(v238, 11) + 21813) ^ (v234 + 11135);
                v237 = v238 ^ __ROL4__(v234, 4);
            }
            v239 = v236 - detail::kPlayIntentKey[(std::uint8_t)v234 + 244];
            v240 = v234 - v235;
            v241 = v237 + v235;
            v242 = detail::kPlayIntentKey[(std::uint8_t)v239 + 349] ^ v237;
            v243 = v239 - v240;
            v244 = v240 - v241;
            v245 = (__ROL4__(v242, 19) - 28781) ^ (v243 + 16011);
            v246 = v245 + v241;
            v247 = v242 - v243;
            v244 *= 904839882;
            v248 = v244 + v243;
            v249 = v240 + v245;
            v250 = v246 ^ (v244 + v242);
            v251 = v248 ^ v247;
            v252 = (__ROL4__(v250, 27) - 4635) ^ (v251 - 16542);
            v253 = detail::kPlayIntentKey[(std::uint8_t)v249 + 208] + v248;
            v254 = v249 + v252;
            v255 = v250 - v251;
            v256 = v251 + ((__ROL4__(v253, 26) + 2343) ^ (v252 + v249 - 6238));
            if (static_cast<signed char>((v249 + v252) & 0xFF) < 0) {
                v257 = v254 ^ v256;
                v253 += v257 + v255;
                v258 = v255 ^ (-1004685694 * v257);
                v256 = v257 - __ROL4__(v253, 7);
                v255 = v258;
            }
            v259 = v254 ^ (803249212 * v253);
            v260 = v253 - detail::kPlayIntentKey[(std::uint8_t)v255 + 102];
            v261 = v255 - v259 - v256;
            v262 = v256 ^ (v259 + 292790889);
            v263 = v259 + __ROL4__(v260, 7);
            v264 = v260 + v261 + v262;
            v265 = v261 - v262;
            v266 = v263 ^ __ROL4__(v264, 19);
            v267 = v262 ^ (__ROL4__(v263, 2) + __ROL4__(v264, 21));
            v268 = v264 - detail::kPlayIntentKey[(std::uint8_t)v265 + 188];
            v269 = v267 + v266 + v265;
            v270 = v266 ^ (v269 + v268);
            v271 = v267 - __ROL4__(v266, 8);
            v272 = v268 - v269;
            v273 = detail::kPlayIntentKey[(std::uint8_t)v271 + 220] ^ v269 ^ (v271 - v272 - v270);
            goto LABEL_372;
        case 4:
            if (bit_test((const int*)&a3, 0x17u)) {
                v274 = a3 ^ a5;
                v275 = a2 - a4 - __ROL4__(v274, 22);
                v276 = v274 ^ a4;
                v277 = (__ROL4__(v275, 12) - 19855) ^ (v276 + 31491);
                v278 = v276 ^ (v274 - v277);
                v279 = v275 - ((__ROL4__(v276, 30) - 5944) ^ (v274 - v277 - 16544));
                v280 = v279 + v274 - v277;
                v281 = v279 ^ (v278 - 1194754099);
                v282 = v280 ^ (v281 - 930066356);
                v283 = v282 + v278 - detail::kPlayIntentKey[(std::uint8_t)v280 + 503];
                v284 = v283 + v281;
                v285 = detail::kPlayIntentKey[(std::uint8_t)v284 + 320] + v282;
                a2 = v283 + v284;
                a5 = v285 ^ (v283 + v284);
                a4 = __ROR4__(a2, 1) + v283 + __ROL4__(v285, 22);
            }
            v286 = a3 - a2;
            v287 = __ROL4__(a5, 11) + a2 + __ROL4__(a4, 7);
            v288 = a4 - v286 - a5;
            v289 = v286 ^ a5;
            v290 = v286 - v288 - v287;
            v291 = v288 ^ v287;
            v292 = v289 ^ v288;
            v293 = v289 - v291;
            v294 = v291 + detail::kPlayIntentKey[(std::uint8_t)v292 + 44];
            v295 = v294 + v290;
            v296 = v290 ^ v291;
            v297 = v292 - (v293 - v290);
            v298 = v293 - v290 - v296;
            v299 = v296 - v294 - 450860660;
            v300 = v297 ^ v294;
            v301 = v299 ^ v300;
            v302 = v297 - __ROL4__(v299, 6) - __ROL4__(v298, 12);
            v303 = v293 - v295;
            v304 = v300 + 2025597288 * v302;
            v305 = (__ROL4__(v299 ^ v300, 18) - 1208) ^ (v304 - 11134);
            v306 = v305 + v303 - 450860660;
            v307 = v301 - v304;
            v308 = v305 + v302 + v304;
            v309 = v302 - (v303 - 450860660) - 7363206 * v306;
            v310 = v306 - v307;
            if (bit_test(&v308, 0x13u)) {
                v311 = v308 ^ v310;
                v312 = v309 + v311 + v307;
                v313 = v309 - v311;
                v314 = v312 ^ v311;
                v315 = v313 ^ v312;
                v316 = v313 - __ROL4__(v314, 8);
                v317 = v314 - __ROL4__(v315, 21);
                v307 = v315 - v316;
                v309 = detail::kPlayIntentKey[(std::uint8_t)v317 + 9] + v316;
                v310 = v317 - detail::kPlayIntentKey[(std::uint8_t)v307 + 500];
            }
            v273 = v310 ^ v309;
            goto LABEL_61;
        case 5:
            if ((a3 & 0x10) != 0) {
                v318 = a3 ^ a5;
                v319 = a4 ^ v318;
                v320 = a2 - detail::kPlayIntentKey[(std::uint8_t)a4 + 324];
                v321 = v320 + v318;
                v322 = v319 + v320;
                v323 = v319 ^ __ROL4__(v321, 12);
                v324 = v322 ^ v321;
                v325 = v322 - v323;
                v326 = v323 - v324;
                v327 = detail::kPlayIntentKey[(std::uint8_t)v325 + 344] ^ v324;
                v328 = detail::kPlayIntentKey[(std::uint8_t)v326 + 288] + v325;
                v329 = v328 + v327 + v326;
                a4 = v329 ^ (v329 + v327);
                v330 = v327 - v328;
                a2 = v329 + v328;
                a5 = v330 - __ROL4__(a2, 24) - __ROL4__(a4, 29);
            }
            v331 = a2 ^ a3;
            v332 = a2 ^ __ROL4__(a4, 19);
            v333 = a4 - __ROL4__(v331, 8) - __ROL4__(a5, 8);
            v334 = a5 ^ (-263895123 * v331);
            v335 = v331 ^ (v333 + v332);
            v336 = v332 ^ (v333 + v334);
            v337 = v333 - 2092230775 * v334;
            v338 = v335 ^ (-1701204614 * v336);
            v339 = detail::kPlayIntentKey[(std::uint8_t)v335 + 435] ^ v334;
            v340 = v336 - detail::kPlayIntentKey[(std::uint8_t)v337 + 420];
            v341 = -1436516871 * v339;
            v342 = detail::kPlayIntentKey[(std::uint8_t)v338 + 127] + v339;
            v343 = v337 ^ v341;
            v344 = v338 ^ (__ROL4__(v340, 9) + __ROL4__(v343, 21));
            v345 = __ROL4__(v343, 20) + v340 + __ROL4__(v342, 28);
            v346 = v343 - __ROL4__(v342, 29);
            v347 = v345 + __ROL4__(v346, 4);
            v348 = __ROL4__(v344, 18) + v342 + __ROL4__(v345, 30);
            v349 = v344 - __ROL4__(v345, 15);
            v350 = __ROL4__(v348, 22);
            v351 = v346 - v348;
            v352 = detail::kPlayIntentKey[(std::uint8_t)v349 + 80] + v348;
            v353 = v350 + v347;
            v354 = ~(v353 >> 6) | 0xFFFFFFF8;
            do {
                v355 = v353 ^ v352;
                v349 ^= v351 - 796590451;
                v351 -= v355;
                v352 = v355 - v349 - v351;
                ++v354;
            } while (v354);
            v356 = ((std::uint8_t)v349 >> 5) + 1;
            do {
                v357 = __ROL4__(v351, 30);
                v358 = v357 + v353 - 26329;
                v353 += v357;
                v351 ^= (__ROL4__(v349 ^ v352, 30) + 25688) ^ v358;
                v352 ^= v349 ^ (__ROL4__(v353, 10) + __ROL4__(v351, 3));
                --v356;
            } while (v356);
            v359 = v351 ^ v352;
            v360 = v349 - __ROL4__(v353, 21);
            v361 = v353 - ((__ROL4__(v351, 1) + 7357) ^ (v352 - 12341));
            v362 = v352 - __ROL4__(v360, 13);
            v363 = ~(v361 >> 7) | 0xFFFFFFF8;
            do {
                v364 = v361 ^ v362;
                v365 = v360 - detail::kPlayIntentKey[(std::uint8_t)v359 + 509];
                v366 = v364 ^ v359;
                v367 = v365 ^ v364;
                v368 = v365 + __ROL4__(v366, 27);
                v369 = v367 - v368;
                v370 = v366 ^ (__ROL4__(v367, 16) + __ROL4__(v368, 3));
                v360 = v370 + v367 - 533701531;
                v359 = v370 ^ (-1331642758 * (v369 - 533701531));
                v362 = ((__ROL4__(v360, 18) + 1003) ^ (v359 + 14799)) + v369 - 533701531;
                ++v363;
            } while (v363);
            v46 = v361 ^ v360;
            goto LABEL_338;
        case 6:
            v371 = ((a3 >> 4) & 7) + 1;
            do {
                v372 = a3 ^ a5;
                v373 = a2 ^ __ROL4__(a4, 26);
                v374 = a4 - v372;
                v375 = v374 - v373;
                v376 = v372 ^ v373;
                v377 = detail::kPlayIntentKey[(std::uint8_t)v376 + 133] ^ v375;
                a2 = v374 - 164528036 - detail::kPlayIntentKey[(std::uint8_t)v377 + 39];
                v378 = v374 + v376 - 64368330;
                a4 = v378 ^ v377;
                a5 = a2 ^ v378;
                --v371;
            } while (v371);
            v379 = ~(a2 >> 3) | 0xFFFFFFF8;
            do {
                v380 = a2 ^ a5;
                v381 = v380 + a4;
                v382 = v381 ^ a3;
                v383 = detail::kPlayIntentKey[(std::uint8_t)v382 + 480] ^ v380;
                v384 = v383 + v382;
                v385 = v382 - v381;
                v386 = v383 ^ (v384 + v385);
                v387 = v385 - v384 - v386;
                v388 = v386 ^ v384;
                v389 = 1593831648 * v387;
                v390 = detail::kPlayIntentKey[(std::uint8_t)v388 + 511] + v387;
                v391 = v386 ^ v389;
                v392 = v391 + v390 + v388;
                v393 = v391 - v390;
                a3 = v392 ^ v390;
                a4 = v392 - __ROL4__(v393, 7);
                a5 = v393 - detail::kPlayIntentKey[(std::uint8_t)a3 + 306];
                ++v379;
            } while (v379);
            v394 = a4 + a3 + a2;
            v395 = 1973605870 * a4;
            v396 = detail::kPlayIntentKey[(std::uint8_t)a5 + 23] ^ a4;
            v397 = v395 + a3;
            v398 = (__ROL4__(v394, 3) - 22797) ^ a5 ^ (v395 + a3 - 30187);
            v399 = v394 - detail::kPlayIntentKey[(std::uint8_t)v397 + 101];
            v400 = __ROL4__(v396, 28) + v397 + __ROL4__(v398, 22);
            v401 = v396 - v398;
            v402 = v399 ^ v400;
            v403 = v398 - detail::kPlayIntentKey[(std::uint8_t)v399 + 145];
            v404 = v403 + (v399 ^ v400);
            v405 = __ROL4__(v399 ^ v400, 24);
            v406 = v400 - v401;
            v407 = v405 + v401 + __ROL4__(v403, 23);
            v408 = (v407 + 22553) ^ v402 ^ (__ROL4__(v406, 17) + 5645);
            v409 = v406 - __ROL4__(v404, 23) - __ROL4__(v407, 19);
            v410 = v404 ^ v407;
            v411 = detail::kPlayIntentKey[(std::uint8_t)v408 + 200] ^ v404;
            if (bit_test(&v409, 0x11u)) {
                v412 = v409 ^ v411;
                v408 += v410;
                v413 = v410 ^ __ROL4__(v412, 23);
                v411 = v412 - v408 - v413;
                v410 = v413;
            }
            v414 = v409 - __ROL4__(v408, 1);
            v415 = v411 + v410;
            v416 = detail::kPlayIntentKey[(std::uint8_t)v410 + 351] ^ v408;
            v417 = detail::kPlayIntentKey[(std::uint8_t)v414 + 477] ^ v411;
            v418 = v414 ^ (v416 + 1223354279);
            v419 = __ROR4__(v418, 1);
            v420 = (__ROL4__(v417, 19) - 8339) ^ (v418 - 12358);
            v421 = (v420 + v416) ^ v418;
            v422 = v419 + v417 + __ROL4__(v416 - v415, 23);
            v423 = ((__ROL4__(v421, 10) + 1896) ^ (v420 + v416 + 3125)) + v422;
            v424 = v420 + v415 - __ROL4__(v422, 8);
            v9 = v421 - (v420 + v416);
            v11 = v420 + v416 + ((__ROL4__(v424, 27) + 15807) ^ (v423 + 20626));
            v46 = v424 ^ v423 ^ (v423 - v9);
            goto LABEL_259;
        case 7:
            if ((a3 & 4) != 0) {
                v425 = a3 ^ a5;
                v426 = a4 ^ __ROL4__(v425, 18);
                v427 = v425 ^ (a4 + a2 + v426);
                v428 = a4 + a2 + v426 + 529997266;
                v429 = v427 ^ v426;
                v430 = detail::kPlayIntentKey[(std::uint8_t)v428 + 487] + v427;
                a2 = v429 ^ v428;
                a4 = (__ROL4__(v430, 29) + 18589) ^ v429 ^ (a2 + 27346);
                a5 = a2 ^ v430;
            }
            if ((a2 & 2) != 0) {
                v431 = a2 ^ a5;
                v432 = detail::kPlayIntentKey[(std::uint8_t)a4 + 234] + a3;
                v433 = a4 + __ROL4__(v431, 3);
                v434 = v431 ^ (__ROL4__(v432, 26) + __ROL4__(v433, 12));
                v435 = v433 ^ v432;
                v436 = v434 ^ v433;
                v437 = v435 ^ (2023669207 * v436);
                v438 = v434 - ((__ROL4__(v435, 21) + 14982) ^ (v436 + 7671));
                v439 = v438 ^ v436;
                v440 = v437 + v438;
                v441 = v439 ^ v437;
                v442 = v439 - __ROL4__(v440, 13);
                v443 = v442 + v441;
                v444 = v443 + v440;
                a4 = v442 + v444 + 1956670355;
                a3 = v444 + v443;
                a5 = v444 ^ __ROL4__(v444 + v443, 8);
            }
            v445 = a2 - detail::kPlayIntentKey[(std::uint8_t)a3 + 230];
            v446 = a3 - a4 - a5;
            v447 = a5 ^ a4;
            v448 = a5 + __ROL4__(v445, 25);
            if ((v446 & 8) != 0) {
                v449 = v446 ^ v448;
                v450 = v447 ^ v449;
                v451 = v445 - __ROL4__(v447, 1) - __ROL4__(v449, 16);
                v452 = v449 ^ __ROL4__(v451, 3);
                v453 = v451 ^ __ROL4__(v450, 20);
                v454 = (__ROL4__(v452, 9) + 6538) ^ v450 ^ (v453 + 10879);
                v455 = v452 ^ (v454 + v453);
                v456 = v453 ^ (v454 + 77428301);
                v457 = v454 - detail::kPlayIntentKey[(std::uint8_t)v455 + 119];
                v458 = v455 - v456;
                v459 = v458 - v457;
                v460 = v456 ^ v458;
                v461 = v457 + 199826026 * v459;
                v462 = v460 + v459;
                v445 = v460 - v461;
                v447 = v461 - v462;
                v448 = v462 + ((__ROR4__(v445, 1) - 22876) ^ (v447 - 31565));
            }
            v308 = v446 ^ (__ROL4__(v445, 24) + __ROL4__(v447, 17));
            v307 = v445 + 1832097275 * v447;
            v273 = (v448 + v447) ^ (v448 + 508598496 * v308);
LABEL_61:
            v46 = v308 ^ v307;
            return (unsigned int)(v273 + v46);
        case 8:
            v463 = a2 + a4 + a3;
            v464 = a3 - a4 - 373700670;
            v465 = v463 + a5;
            v466 = detail::kPlayIntentKey[(std::uint8_t)v464 + 181] ^ v463;
            v467 = detail::kPlayIntentKey[(std::uint8_t)a5 + 104] + a4 - detail::kPlayIntentKey[(std::uint8_t)v465 + 308];
            v468 = v464 ^ (detail::kPlayIntentKey[(std::uint8_t)a5 + 104] + a4 - 1189544694);
            v469 = v465 - v466 - v468;
            v470 = v466 ^ (__ROL4__(v468, 9) + __ROR4__(v467, 1));
            v471 = v467 ^ v468;
            v472 = v467 - __ROL4__(v469, 7) - __ROL4__(v470, 1);
            v473 = (__ROL4__(v471, 6) - 31118) ^ (v472 - 32363);
            v474 = (v470 + v469) ^ (v470 - v473);
            v475 = v471 - __ROL4__(v472, 30);
            v476 = v472 - ((__ROL4__(v470 + v469, 10) + 2830) ^ (v470 - v473 + 18418));
            v477 = v475 ^ (v470 - v473);
            v478 = v476 + ((__ROL4__(v474, 16) + 27967) ^ (v477 - 25026));
            v479 = v475 - __ROL4__(v476, 16);
            v480 = v479 + v478;
            v481 = v479 + v478 + 18940;
            v482 = v474 - v477;
            v483 = v477 ^ __ROL4__(v479, 12);
            v484 = (__ROL4__(v483, 25) + 21244) ^ v482 ^ v481;
            v485 = v483 - ((__ROL4__(v480, 13) - 4438) ^ ((v482 ^ v478) + 17702));
            v486 = v482 ^ v478 ^ v480;
            v487 = (v482 ^ v478) - v484 + 1757477937;
            v488 = v485 + v484;
            v489 = v486 + v485 - 1366451775;
            v490 = v487 ^ v486;
            v491 = v489 + v488 - 2034732264;
            v492 = v487 - detail::kPlayIntentKey[(std::uint8_t)v488 + 152];
            v493 = detail::kPlayIntentKey[(std::uint8_t)v490 + 137] + v489;
            v494 = v490 ^ (v492 - 1838608160);
            v495 = v493 ^ v494;
            v496 = v491 ^ __ROL4__(v493, 26);
            v497 = v492 - detail::kPlayIntentKey[(std::uint8_t)v491 + 399];
            v498 = v494 - __ROL4__(v497, 2);
            v499 = v495;
            v500 = v498 + v495;
            v501 = v495 + v498 - 17612;
            v502 = v496 ^ v495;
            v503 = v497 - __ROL4__(v496, 3) - __ROL4__(v499, 11);
            v504 = v498 ^ __ROL4__(v503, 7);
            v505 = v502 ^ v503;
            v506 = (v504 + 3469) ^ v502 ^ v501;
            v507 = v504 ^ v500;
            v508 = v505 + v504;
            v509 = v507 ^ __ROL4__(v508, 18);
            v510 = (detail::kPlayIntentKey[(std::uint8_t)v506 + 467] ^ v505) + v507 + v506 - 1130118102;
            v511 = v508 - v510;
            v512 = detail::kPlayIntentKey[(std::uint8_t)v509 + 284] ^ (v507 + v506 - 1130118102);
            goto LABEL_79;
        case 9:
            v513 = detail::kPlayIntentKey[(std::uint8_t)a3 + 352] + a2;
            v514 = a5 + a4 + a3;
            v515 = a5 ^ (-431393844 * v513);
            v516 = v514 + v513;
            v517 = v515 + a4 - a5;
            v518 = v514 - v517;
            v519 = v516 ^ v515;
            v520 = __ROL4__(v518, 22) + v516 + __ROL4__(v517, 20);
            v521 = v517 ^ v518;
            v522 = v519 ^ (__ROL4__(v520, 9) + __ROR4__(v521, 1));
            v523 = __ROL4__(v519, 20);
            v524 = v523 + v517 - 19721;
            v525 = v517 + v523;
            v526 = v520 - ((__ROL4__(v521, 10) + 25381) ^ v524);
            v527 = v525 + v521;
            v528 = v525 ^ __ROR4__(v522, 1);
            v529 = v522 - __ROL4__(v527, 18) - __ROL4__(v526, 20);
            if (v527 < 0) {
                v530 = v527 ^ v529;
                v526 = v526 + v528 - 1418740881;
                v528 += v530;
                v529 = v530 ^ __ROL4__(v526, 17);
            }
            if (bit_test(&v526, 0x18u)) {
                v531 = v526 ^ v529;
                v532 = v527 ^ (__ROL4__(v528, 8) + __ROL4__(v531, 26));
                v533 = (v532 + 30867) ^ v528 ^ (v531 + 4940);
                v534 = __ROL4__(v532, 12);
                v535 = v532 - detail::kPlayIntentKey[(std::uint8_t)v533 + 161];
                v536 = v531 ^ (v534 + __ROL4__(v533, 22));
                v537 = v536 + v533 - 700280542;
                v538 = v536 + v533;
                v539 = v535 ^ v536;
                v527 = v535 + v537;
                v528 = v539 + v538 - 700280542;
                v529 = v539 - v527 - 2031038845;
            }
            v540 = v526 ^ __ROL4__(v527, 26);
            v541 = v529 + v528;
            v542 = v527 + __ROL4__(v528, 5);
            v543 = v540 + v541;
            v544 = v529 - v540;
            v545 = v543 + v542;
            v546 = detail::kPlayIntentKey[(std::uint8_t)v542 + 216] ^ v540;
            v547 = v544 + v546;
            v548 = (v544 + v546) ^ v543;
            v549 = v544 + v546 + 3870;
            v550 = v546 - detail::kPlayIntentKey[(std::uint8_t)v545 + 167];
            v551 = v545 - ((__ROL4__(v548, 18) + 4133) ^ v549);
            v552 = v548 - v547;
            v553 = v550 ^ v551;
            v554 = v547 + __ROL4__(v550, 25);
            v555 = v552 ^ v551;
            v556 = v554 ^ v553;
            v557 = v552 - ((__ROL4__(v554, 13) + 18086) ^ (v553 + 21929));
            v558 = v553 - v555;
            v559 = v555 - v557;
            v46 = (v556 + v557) ^ (v556 - detail::kPlayIntentKey[(std::uint8_t)v558 + 358]);
            goto LABEL_367;
        case 0xA:
            if (bit_test((const int*)&a3, 0x12u)) {
                v560 = a3 ^ a5;
                v561 = detail::kPlayIntentKey[(std::uint8_t)a4 + 27] ^ a2;
                v562 = a4 + 196392805 * v560;
                v563 = v561 + v560;
                v564 = v561 ^ (-2024728457 * v562);
                v565 = v563 + v562;
                v566 = detail::kPlayIntentKey[(std::uint8_t)v564 + 35] + v563;
                v567 = v564 ^ __ROL4__(v565, 2);
                v568 = v567 + v566;
                v569 = v565 - __ROL4__(v566, 23) - __ROL4__(v567, 18);
                a2 = v569 + v567;
                a4 = v569 ^ (a2 + v568);
                a5 = v568 - a2 + 1631800500;
            }
            if ((a2 & 0x80000000) != 0) {
                v570 = a2 ^ a5;
                v571 = a3 - __ROL4__(a4, 29);
                v572 = v571 + v570;
                v573 = a4 ^ (__ROL4__(v570, 18) + __ROL4__(v571, 23));
                v574 = v573 + v571;
                v575 = v572 ^ v574;
                v576 = detail::kPlayIntentKey[(std::uint8_t)v572 + 112] ^ v573;
                a3 = v574 - v576;
                a4 = v575 + v576 + 1247784959;
                a5 = detail::kPlayIntentKey[(std::uint8_t)a3 + 41] ^ v575;
            }
            if (bit_test((const int*)&a3, 0xBu)) {
                v577 = a3 ^ a5;
                v578 = a4 - v577;
                v579 = a2 - __ROL4__(a4, 26) - __ROL4__(v577, 9);
                v580 = ((__ROL4__(v579, 1) - 30039) ^ (a4 - v577 - 3289)) + v579 + a4;
                a2 = (v578 ^ v580) + v578 + v579 - 2028927413;
                a5 = v580 - detail::kPlayIntentKey[(std::uint8_t)a2 + 137];
                a4 = (v578 ^ v580) - v580;
            }
            v581 = a3 - a2;
            v582 = a4 + a2;
            v583 = detail::kPlayIntentKey[(std::uint8_t)a5 + 93] ^ a4;
            v584 = a5 ^ (v581 - 1954608534);
            v585 = v581 - v582;
            v586 = v582 - v583;
            v587 = detail::kPlayIntentKey[(std::uint8_t)v584 + 103] + v583;
            v588 = v584 + v585 + 929476730;
            v589 = v586 + 417116611;
            v590 = v586 + v585 + 1346593341;
            v591 = v589 - __ROL4__(v587, 8);
            v592 = v588 ^ v587;
            v593 = v590 ^ v588;
            v594 = (__ROL4__(v591, 25) - 19530) ^ v590 ^ (v592 + 6733);
            v595 = v592 + v591;
            v596 = v593 ^ (__ROL4__(v594, 3) + __ROL4__(v595, 3));
            v597 = v592 ^ __ROL4__(v593, 3);
            v598 = v594 - __ROL4__(v595, 18);
            v599 = v597 + 134926812;
            v600 = v596 ^ v597;
            v601 = (std::uint8_t)v598;
            v602 = v595 ^ v599;
            v603 = v602 + v598 - 1693408839;
            v604 = v596 - detail::kPlayIntentKey[(std::uint8_t)v598 + 220] + v603 + 1933277968;
            v46 = v600 ^ v603 ^ v602;
            v605 = v600 ^ (v596 - detail::kPlayIntentKey[v601 + 220] + v603);
            goto LABEL_324;
        case 0xB:
            v606 = ((a3 >> 17) & 7) + 1;
            do {
                v607 = a3 ^ a5;
                v608 = v607 + a2;
                v609 = a2 - a4;
                v610 = __ROR4__(v608, 1) + v607 + __ROL4__(v609, 28);
                v611 = v609 - 1524974140 * v608;
                v612 = v610 + v608;
                v613 = v611 ^ v610;
                v614 = v612 + v611;
                v615 = v614 + v613;
                v616 = v612 + __ROL4__(v613, 3);
                v617 = v616 ^ v614;
                v618 = v616 ^ __ROL4__(v615, 15);
                a2 = v618 + v617;
                a5 = v618 + v617 + v615 + __ROL4__(v617, 15);
                a4 = a5 ^ v618;
                --v606;
            } while (v606);
            v619 = __ROL4__(a4, 21);
            v620 = v619 + a2;
            v621 = detail::kPlayIntentKey[(std::uint8_t)a5 + 353] + a4;
            v622 = a3 + v619;
            v623 = v620 ^ __ROL4__(v621, 1);
            v624 = v622 + a5 + a2 - a3;
            v625 = v624 ^ v621;
            v626 = v623 + v622;
            v627 = v623 ^ (v625 + v624);
            v628 = v625 - v624;
            v629 = v626 ^ (v628 - 15521);
            v630 = v624 + __ROL4__(v626, 10);
            v631 = (__ROL4__(v627, 16) - 28164) ^ v629;
            v632 = v628 + v627;
            v633 = v628 ^ (822464667 * v630);
            v634 = v630 - v631;
            v635 = -1018588772 - v632;
            v636 = -1018588772 - v632 + v631;
            v637 = -350308283 * v636;
            v638 = v636 - v632;
            v639 = v632 - v633;
            v640 = v630 + v635;
            v641 = v640 + v633;
            v642 = v634 + v637;
            v512 = v638 - v640;
            v511 = v641 ^ (v642 + v512);
            v509 = v642 ^ (-758350908 * v512);
            v510 = v639 + 741334444 * v641;
            if (v510 < 0) {
                v643 = v510 ^ v509;
                v644 = detail::kPlayIntentKey[(std::uint8_t)(v641 ^ (v642 + v512)) + 105] + v512;
                v645 = v511 - v643;
                v646 = v643 - v644;
                v647 = detail::kPlayIntentKey[(std::uint8_t)(v645 + 66) + 309] ^ v644;
                v648 = v646 + v647 + v645 - 1645883070;
                v649 = __ROL4__(v648, 2) + v646 + __ROL4__(v647, 1);
                v511 = v648 + v649;
                v512 = v647 ^ (__ROL4__(v648, 9) + __ROL4__(v649, 25));
                v509 = detail::kPlayIntentKey[(std::uint8_t)v512 + 318] ^ v649;
            }
LABEL_79:
            v273 = v509 ^ v511;
            goto LABEL_353;
        case 0xC:
            v650 = a2 ^ (1522476509 * a3);
            v651 = a4 ^ a3;
            v652 = a4 - ((__ROL4__(a5, 18) + 6194) ^ (v650 + 32170));
            v653 = a5 - v650;
            v654 = v650 + __ROL4__(v651, 17);
            v655 = v651 ^ (__ROL4__(v652, 5) + __ROL4__(v653, 20));
            v656 = v653 + v652;
            v657 = v654 ^ v653;
            v658 = v655 + v656 + v654;
            v659 = detail::kPlayIntentKey[(std::uint8_t)v656 + 92];
            v660 = v656 - v657;
            v661 = v658 + v657;
            v662 = v655 + v660 - 1915404465 + v659;
            v663 = v662 ^ v658;
            v664 = detail::kPlayIntentKey[(std::uint8_t)v661 + 421] + v660 - 1915404465;
            v665 = v662 - 10274;
            v666 = v663 - v662;
            v667 = __ROL4__(v664, 25);
            v668 = v667 + v662;
            v669 = v663 + v667;
            v670 = (__ROL4__(v663, 8) - 23220) ^ v661 ^ v665;
            v671 = __ROL4__(v670, 25);
            v672 = v670 - v666;
            v673 = v671 + v664 + __ROL4__(v666, 11);
            v674 = v673 ^ (__ROL4__(v672, 5) + __ROL4__(v669, 30));
            v675 = (__ROL4__(v673, 25) + 5267) ^ v668 ^ (v672 - 13563);
            v676 = v669 + v672;
            v677 = ((v675 >> 28) & 7) + 1;
            do {
                v678 = v675 ^ v676;
                v679 = v669 - 1765650903;
                v669 = v669 - 1765650903 - v674;
                v680 = __ROL4__(v678, 12);
                v674 += v680;
                v676 = v678 - __ROL4__(v669, 22);
                --v677;
            } while (v677);
            v681 = v675 - v669;
            v682 = v676 + v679 + v680;
            v683 = v674 - v676;
            v684 = v681 + v676;
            v685 = detail::kPlayIntentKey[(std::uint8_t)v683 + 459];
            v686 = 121112095 * v684;
            v687 = v684 - detail::kPlayIntentKey[(std::uint8_t)(v681 - v682) + 73];
            v688 = v683 ^ v686;
            v689 = v681 - v685;
            v690 = v688 ^ (__ROL4__(v687, 14) + __ROL4__(v689, 23));
            v691 = detail::kPlayIntentKey[(std::uint8_t)v688 + 150] ^ (v682 - v685);
            v692 = v689 ^ v687;
            v693 = v689 - __ROL4__(v691, 21);
            v694 = v690 + __ROL4__(v692, 20);
            v695 = v691 ^ (__ROL4__(v690, 10) + __ROL4__(v692, 23));
            v696 = v695 + v693;
            v697 = detail::kPlayIntentKey[(std::uint8_t)v693 + 159] + v692;
            v698 = detail::kPlayIntentKey[(std::uint8_t)v694 + 103] ^ v695;
            v359 = v697 ^ v694;
            v362 = v697 - v696;
            v699 = ((v698 >> 10) & 7) + 1;
            do {
                v700 = v698 ^ v362;
                v701 = v700 + v359;
                v702 = v696 + ((__ROL4__(v359, 8) + 14413) ^ (v700 - 22572));
                v703 = v702 ^ v700;
                v704 = v702 - v701;
                v705 = __ROL4__(v703, 16);
                v706 = v705 + v701;
                v707 = v703 ^ (__ROL4__(v704, 5) + __ROL4__(v706, 24));
                v708 = v702 + v705;
                v709 = v706 ^ __ROL4__(v707, 28);
                v710 = (std::uint8_t)v708;
                v711 = v709 + v708;
                v712 = detail::kPlayIntentKey[v710 + 348] + v711 + v707;
                v713 = v712 ^ v709;
                v696 = v713 ^ v711;
                v359 = v713 - v712;
                v362 = v712 + __ROL4__(v696, 24);
                --v699;
            } while (v699);
            v46 = v698 ^ v696;
            goto LABEL_338;
        case 0xD:
            if (bit_test((const int*)&a3, 0x12u)) {
                v714 = a3 ^ a5;
                v715 = (v714 + 19938) ^ a2 ^ (a4 + 9094);
                a4 += v714;
                a5 = v715 + v714;
                a2 = v715;
            }
            v716 = a4 + a2 + a3;
            v717 = a2 ^ (a4 + 240879928);
            v718 = a4 - a5;
            v719 = a5 - v716;
            v720 = v716 - v717;
            v721 = v719 + v718 + v717 + 1713391598;
            v722 = (v719 + 1713391598) ^ v718;
            v723 = v719 + 1713391598 - detail::kPlayIntentKey[(std::uint8_t)v720 + 24];
            v724 = __ROL4__(v721, 2) + v720 + __ROL4__(v722, 3);
            v725 = v721 - v722;
            v726 = v722 + __ROL4__(v723, 25);
            v727 = v723 - v724;
            v728 = v724 - v725;
            v729 = v725 - v726;
            v730 = v728 + __ROL4__(v729, 11);
            v731 = __ROL4__(v728, 24);
            v732 = v726 - __ROL4__(v727, 3);
            v733 = v731 + v729 + v727 - 32272;
            v734 = v731 + v729 + v727;
            v735 = (__ROL4__(v732, 22) + 944) ^ v729 ^ v733;
            v736 = v732 - v734 - 1305217934;
            v737 = v730 ^ v734;
            v738 = v735 + 2048814834;
            v512 = v735 - detail::kPlayIntentKey[(std::uint8_t)v736 + 284];
            v510 = v730 ^ v738;
            v739 = v736 - __ROL4__(v737, 21);
            v740 = __ROL4__(v510, 12) + v737 + __ROL4__(v512, 13);
            v741 = (v512 >> 29) + 1;
            do {
                v742 = v512 ^ v740;
                v743 = v739 + v510;
                v744 = v742 ^ v739;
                v745 = v743 ^ v742;
                v746 = v743 ^ (-752546057 * v744);
                v747 = v744 - v745;
                v748 = v745 - __ROL4__(v746, 26);
                v749 = v747;
                v739 = detail::kPlayIntentKey[(std::uint8_t)v748 + 128] + v747;
                v510 = v746 ^ __ROL4__(v749, 2);
                v740 = v739 + v510 + v748;
                --v741;
            } while (v741);
            if (bit_test(&v510, 8u)) {
                v750 = v510 ^ v740;
                v751 = v512 + __ROL4__(v739, 29);
                v752 = v750 + v751;
                v753 = detail::kPlayIntentKey[(std::uint8_t)v750 + 169] + v739;
                v754 = __ROL4__(v753, 15) + v751 + __ROL4__(v750 + v751, 16);
                v755 = v754 ^ (__ROL4__(v753 - v752, 8) - 25060);
                v756 = __ROL4__(v754, 17);
                v757 = v752 - v756;
                v758 = (v757 - 1263) ^ v755;
                v759 = v753 - v756 - 1774999937;
                v760 = v758 + v757;
                v761 = v758 - 691631707 * v759;
                v762 = detail::kPlayIntentKey[(std::uint8_t)v760 + 133] + v759;
                v763 = v760 + v761 + v762;
                v512 = -v762 - (v760 + v762);
                v764 = v762 + 414377380 * v763;
                v740 = detail::kPlayIntentKey[(std::uint8_t)v512 + 255] ^ v763;
                v739 = v764;
            }
            goto LABEL_352;
        case 0xE:
            v765 = __ROL4__(a4, 1) - 25885;
            v766 = a4 - a5;
            v767 = a2 - a3;
            v768 = (a3 + (v765 ^ (a5 - 14218))) ^ (-2106021867 * v766);
            v769 = a2 - a3 - detail::kPlayIntentKey[(std::uint8_t)(a3 + (v765 ^ (a5 + 118))) + 448];
            v770 = a5 ^ __ROL4__(v767, 9);
            v771 = v766 - detail::kPlayIntentKey[(std::uint8_t)v770 + 63];
            v772 = v770 - v769;
            v773 = ((v768 >> 27) & 7) + 1;
            do {
                v774 = v768 ^ v772;
                v775 = v771 ^ v769;
                v776 = v771 - detail::kPlayIntentKey[(std::uint8_t)v774 + 27];
                v777 = v774 - v775;
                v778 = v775 - v776;
                v779 = detail::kPlayIntentKey[(std::uint8_t)v777 + 231];
                v780 = v779 + v776;
                v781 = v777 - v775 - v779;
                v782 = v778 - __ROL4__(v780, 6);
                v783 = v782 + v780 + __ROL4__(v781, 26);
                v784 = v781 - v782;
                v785 = v782 + __ROL4__(v783, 17);
                v786 = v784 ^ v785;
                v787 = v783 ^ (__ROL4__(v784, 6) + __ROL4__(v785, 19));
                v769 = v787 ^ v785;
                v771 = v786 + v787;
                v772 = v786 - detail::kPlayIntentKey[(std::uint8_t)v769 + 154];
                --v773;
            } while (v773);
            v788 = ((v769 >> 26) & 7) + 1;
            do {
                v789 = v769 ^ v772;
                v768 = v768 - v771 - (v769 ^ v772);
                v772 ^= v769 ^ v768;
                v771 = v771 - __ROL4__(v789, 22) - __ROL4__(v768, 5);
                --v788;
            } while (v788);
            v790 = (v768 & 7) + 1;
            do {
                v791 = v768 ^ v772;
                v792 = v769 ^ (v791 + v771);
                v793 = v771 - v791;
                v794 = __ROL4__(v792, 28) + __ROL4__(v771 - v791, 25);
                v795 = v794 + v791;
                v796 = v771 + v792 + v794;
                v797 = v793 - detail::kPlayIntentKey[(std::uint8_t)v795 + 390];
                v769 = v796 - 1438693839 - v797;
                v798 = __ROL4__(v796 ^ v795, 3);
                v771 = v798 + v797;
                v772 = v796 ^ v795 ^ (v798 + v796 - 1438693839);
                --v790;
            } while (v790);
            v799 = v771 + v769 + v768;
            v800 = v769 - v771;
            v801 = detail::kPlayIntentKey[(std::uint8_t)v772 + 481] + v771;
            v802 = v772 - v799;
            v803 = detail::kPlayIntentKey[(std::uint8_t)v800 + 466] + v799;
            v804 = v800 - v801;
            v805 = v801 - __ROL4__(v802, 21);
            v806 = v802 ^ (v803 - 979774913);
            v807 = v804 + v803 - 519844903;
            v808 = __ROL4__(v805, 11) + v804 - 519844903;
            v273 = (v805 - 995196384 * v806) ^ (v806 - v807);
            goto LABEL_157;
        case 0xF:
            v809 = a3 ^ a2;
            v810 = a3 - __ROL4__(a4, 23);
            v811 = a4 - v809 - a5;
            v812 = v809 ^ a5;
            v813 = __ROL4__(v811, 23) + v810 + v809;
            v814 = v810 - (v811 + v812);
            v815 = v812 ^ v811;
            v816 = (__ROL4__(v813, 17) + 30727) ^ (v814 + 10523);
            v817 = v816 ^ v812;
            v818 = v813 - v814;
            v819 = v814 - v815 - v817;
            v820 = v811 ^ v816;
            v821 = v817 - v818;
            v822 = v818 - v819;
            v823 = v820 + v819;
            v824 = v821 ^ v820;
            v825 = v821 - detail::kPlayIntentKey[(std::uint8_t)v822 + 461];
            v826 = __ROL4__(v823, 22) + v822 + __ROL4__(v824, 4);
            v827 = v824 ^ v823;
            v828 = v824 - v825;
            v829 = v825 + v826 + v827;
            if (bit_test(&v827, 0x19u)) {
                v830 = v827 ^ v829;
                v831 = v828 ^ v826;
                v832 = v828 - detail::kPlayIntentKey[(std::uint8_t)v830 + 255];
                v833 = v831 ^ v830;
                v834 = v831 ^ (1942581576 * v832);
                v835 = v832 - v833;
                v836 = v833 - detail::kPlayIntentKey[(std::uint8_t)v834 + 72];
                v837 = v835 ^ v834;
                v838 = v835 - ((__ROL4__(v836, 16) + 28883) ^ (v837 - 6478));
                v839 = v836 - __ROL4__(v837, 28) - __ROL4__(v838, 29);
                v840 = v837 - v838;
                v841 = v838 - __ROL4__(v839, 19);
                v842 = v840 ^ v839;
                v843 = v840 - detail::kPlayIntentKey[(std::uint8_t)v841 + 123];
                v844 = v841 + v842 + v843;
                v829 = v842 - v843;
                v826 = v843;
                v828 = v844;
            }
            v845 = ((v826 >> 6) & 7) + 1;
            do {
                v846 = v826 ^ v829;
                v827 -= detail::kPlayIntentKey[(std::uint8_t)v828 + 331];
                v828 = v828 - v846 - 1023798176;
                v829 = v846 - __ROL4__(v828, 2) - __ROL4__(v827, 14);
                --v845;
            } while (v845);
            if (bit_test(&v827, 0x1Bu)) {
                v847 = v827 ^ v829;
                v848 = v828 ^ v847;
                v849 = v826 - ((__ROL4__(v828, 19) + 19658) ^ (v847 - 6502));
                v850 = v847 ^ __ROL4__(v849, 8);
                v851 = __ROL4__(v848, 17);
                v852 = v848 - v850;
                v853 = v852 + v849 + v851;
                v854 = v853 ^ v850;
                v855 = v854 + v853;
                v856 = v852 ^ (v854 - 86077136);
                v857 = v855 ^ (v856 - v853);
                v858 = v856 - ((__ROL4__(-v853, 7) + 16289) ^ (v857 + 13627));
                v859 = __ROL4__(v858, 11) + __ROL4__(v857, 9) - v853;
                v826 = v857 - v858;
                v828 = v858 - v859;
                v829 = __ROL4__(v828, 5) + v859 + __ROL4__(v826, 25);
            }
            goto LABEL_151;
        case 0x10:
            v860 = a2 - a3 - a4;
            v861 = a4 + a3 - 1075795804;
            v862 = detail::kPlayIntentKey[(std::uint8_t)a5 + 205] ^ a4;
            v863 = a5 ^ (a2 - 1075795804);
            v864 = v861 ^ v860;
            v865 = v861 ^ (1618851954 * v862);
            v866 = v862 - v863;
            v867 = v864 - 209483698 * v865;
            v868 = v863 ^ __ROL4__(v864, 7);
            v869 = v865 ^ __ROL4__(v866, 24);
            v870 = 55204045 * v868;
            v871 = v867 ^ v868;
            v872 = v867 - ((__ROL4__(v869, 12) - 5069) ^ (v866 + v870 - 31685));
            v873 = v871 + v870 + v866 + v869;
            v874 = v871 ^ (v870 + v866);
            v875 = v872 + v871;
            v876 = v873 ^ v872;
            v877 = v874 ^ (v872 + v871 - 11457798);
            v878 = v873 - detail::kPlayIntentKey[(std::uint8_t)v874 + 165];
            v879 = v876 ^ v875;
            v880 = v878 ^ v876;
            v881 = v878 - v877;
            v882 = (v880 - 24348) ^ v877 ^ (__ROL4__(v879, 21) - 10496);
            v883 = v880 + v879;
            v884 = v880 - v881 - v882;
            v885 = v881 + 417810601 * v882;
            v886 = v883 ^ v882;
            v887 = v884 ^ (__ROL4__(v885, 10) + __ROL4__(v886, 17));
            v888 = v883 ^ __ROL4__(v884, 12);
            v889 = v888 + v886;
            v890 = v885 + __ROL4__(v886, 20);
            v891 = v887 + v888;
            v892 = v889 + v890;
            v893 = v887 - (v889 + v890);
            v894 = v890 - v889;
            v895 = v891 + v893 + v889;
            v896 = v891 ^ (v887 - v892 + 810738557);
            v897 = v893 + __ROL4__(v894, 28);
            v898 = v894 ^ (v895 + v896);
            v899 = v895 - __ROL4__(v897, 25) - __ROL4__(v896, 28);
            v900 = v896 - v897;
            v901 = v899 ^ (1677050664 * v900);
            v902 = detail::kPlayIntentKey[(std::uint8_t)v899 + 168];
            v903 = v898 + v902;
            v904 = v900 + v898 - v897;
            v905 = v897 + v902;
            v906 = v903 ^ __ROL4__(v901, 15);
            v907 = v901 - __ROL4__(v905, 24) - __ROL4__(v904, 4);
            v908 = v905 ^ v904;
            v909 = v907 + v906;
            v910 = v909 ^ v905;
            v911 = v910 + v908;
            v912 = v907 ^ __ROL4__(v908, 6);
            v913 = v910 - __ROL4__(v909, 23);
            v914 = v912 ^ v909;
            v915 = v912 - v911;
            v916 = v911 - v913;
            v917 = v913 + 213682654 * v914;
            v918 = v915 ^ v914;
            v919 = v915 - detail::kPlayIntentKey[(std::uint8_t)v916 + 55];
            v920 = v916 - v917;
            v921 = detail::kPlayIntentKey[(std::uint8_t)v918 + 132] + v917;
            v922 = v918 - v919;
            v273 = (detail::kPlayIntentKey[(std::uint8_t)v920 + 259] + v919) ^ (v920 + v921 + v922);
            goto LABEL_122;
        case 0x11:
            if ((a3 & 4) != 0) {
                v923 = a3 ^ a5;
                v924 = a2 - detail::kPlayIntentKey[(std::uint8_t)a4 + 412];
                v925 = a4 ^ (v924 + v923);
                v926 = v923 - v924;
                v927 = v925 ^ v924;
                v928 = v925 - ((__ROL4__(v926, 8) + 27284) ^ (v927 + 13510));
                v929 = v927 ^ (290205083 * v928);
                v930 = v926 - __ROL4__(v927, 19) - __ROR4__(v928, 1);
                v931 = v928 - v930;
                v932 = v929 ^ v931;
                v933 = v930 ^ __ROL4__(v929, 16);
                v934 = v933 ^ v931;
                v935 = v932 + v933 - 2048588892;
                v936 = v932 - v934;
                v937 = detail::kPlayIntentKey[(std::uint8_t)v935 + 27] + v934;
                a2 = v936 - 418445297;
                a5 = detail::kPlayIntentKey[(std::uint8_t)a2 + 6] ^ v935;
                a4 = v937;
            }
            v938 = ((a2 >> 22) & 7) + 1;
            do {
                v939 = a2 ^ a5;
                v940 = a3 - a4 - v939;
                v941 = v939 ^ a4;
                v942 = v940;
                v943 = v940 + v941 - 18520;
                v944 = v939 ^ __ROL4__(v940, 25);
                v945 = v941 + v942;
                v946 = (__ROR4__(v944, 1) + 4309) ^ v941 ^ v943;
                v947 = v944 ^ (v946 + v945);
                v948 = detail::kPlayIntentKey[(std::uint8_t)v946 | 0x100] + v945;
                v949 = v946 - __ROL4__(v947, 24);
                v950 = v947 - v949 - v948;
                v951 = v949 ^ (v950 - 240588450);
                v952 = detail::kPlayIntentKey[(std::uint8_t)v949 + 265] ^ v948;
                v953 = v952 ^ v950;
                a3 = v952 - v951;
                a4 = v951 - v953;
                a5 = v953 + ((__ROL4__(a3, 20) - 25105) ^ (a4 + 4572));
                --v938;
            } while (v938);
            v954 = ~(a3 >> 4) | 0xFFFFFFF8;
            do {
                v955 = a3 ^ a5;
                v956 = v955 + a4;
                v957 = detail::kPlayIntentKey[(std::uint8_t)a4 + 59] ^ a2;
                v958 = v955 ^ __ROL4__(v957, 7);
                v959 = v957 - v956;
                v960 = v957 - v956 - v958;
                v961 = v958 + v956 + 2145124743;
                v962 = v961 ^ v960;
                v963 = v961 - __ROL4__(v959, 15);
                v964 = v959 - __ROL4__(v962, 29);
                a2 = v962 - __ROL4__(v963, 14);
                a4 = a2 + v964 + v963;
                a5 = detail::kPlayIntentKey[(std::uint8_t)a2 + 9] + v964;
                ++v954;
            } while (v954);
            v965 = ~(a2 >> 3) | 0xFFFFFFF8;
            do {
                v966 = a2 ^ a5;
                a3 -= a4;
                a4 ^= __ROL4__(v966, 10);
                a5 = a3 + v966;
                ++v965;
            } while (v965);
            v967 = a3 ^ a2;
            v46 = (v967 + a5) ^ (a4 - (v967 + a5));
            v273 = v967 ^ (a3 - detail::kPlayIntentKey[(std::uint8_t)a4 + 155]);
            return (unsigned int)(v273 + v46);
        case 0x12:
            v968 = a3 + a2;
            v969 = detail::kPlayIntentKey[(std::uint8_t)a4 + 253] ^ a3;
            v970 = a5 + a4;
            v971 = a5 + a4 - 2100877998;
            v972 = a5 - v968;
            v973 = (__ROL4__(v969, 10) - 14672) ^ v968 ^ (a5 + a4 - 2100908947);
            v974 = v969 + v970 - 2100877998;
            v975 = v973 + v972;
            v976 = v971 ^ (__ROL4__(v972, 9) - 7694) ^ (v973 - 20646);
            v977 = v973 ^ __ROL4__(v974, 8);
            v978 = __ROL4__(v976, 28);
            v979 = v975 + v976;
            v980 = v975 + __ROL4__(v977, 17);
            v981 = v974 - __ROL4__(v975, 19) - v978;
            v982 = v977 ^ (v981 + v979);
            v983 = v979 ^ v981;
            v984 = v979 - v980;
            v985 = v983 + v984;
            v986 = v984 - v982;
            v987 = v980 ^ v982;
            v988 = v983 - v986;
            v989 = detail::kPlayIntentKey[(std::uint8_t)v987 + 339] + v986;
            v990 = v988 + v985 + v987;
            v991 = ~(v988 >> 22) | 0xFFFFFFF8;
            do {
                v992 = v988 ^ v990;
                v993 = v985 ^ __ROL4__(v989, 26);
                v994 = (__ROL4__(v992, 5) + 21937) ^ v989 ^ (v993 - 5199);
                v995 = __ROL4__(v994, 25) + v993 + __ROL4__(v993 + v992, 19);
                v996 = v994 - __ROL4__(v993 + v992, 2);
                v997 = detail::kPlayIntentKey[(std::uint8_t)v995 + 450] + v993 + v992;
                v989 = v997 + v996 - 201777052;
                v985 = detail::kPlayIntentKey[(std::uint8_t)v996 + 15] ^ v995;
                v990 = detail::kPlayIntentKey[(std::uint8_t)v985 + 142] ^ v997;
                ++v991;
            } while (v991);
            v998 = v988 - v985;
            v999 = v990 + v989;
            v1000 = v990 + v989 + v985;
            v1001 = v989 - v990 - 1988828147;
            v1002 = v990 ^ (v988 + v999);
            v1003 = v1000 ^ v998;
            v1004 = detail::kPlayIntentKey[(std::uint8_t)v1001 + 106] ^ v1000;
            v1005 = v1001 ^ (v1002 + 425582783);
            v1006 = v1002 - __ROL4__(v1003, 20);
            v1007 = v1005 ^ v1006;
            v1008 = v1003 - v1005 - v1004;
            v1009 = __ROL4__(v1005, 30) + __ROL4__(v1006, 14);
            v1010 = v1006 - ((__ROL4__(v1008, 8) - 15727) ^ (v1004 - v1009 + 17736));
            v1011 = (v1004 - v1009) ^ v1008;
            v1012 = (v1004 - v1009) ^ (1291894890 * v1007);
            v1013 = v1007 - v1010;
            v1014 = v1010 - ((__ROR4__(v1011, 1) + 7836) ^ (v1012 + 371));
            v1015 = __ROL4__(v1013, 16);
            v1016 = v1011 - v1012;
            v46 = (v1013 - detail::kPlayIntentKey[(std::uint8_t)v1014 + 498]) ^ (v1016 + v1014 - 1046899086);
            v1017 = v1012 ^ v1016;
            goto LABEL_332;
        case 0x13:
            v1018 = (a3 & 7) + 1;
            do {
                v1019 = a3 ^ a5;
                v1020 = a2 + 1411225250 * a4;
                v1021 = v1019 + a4;
                v1022 = v1019 - 1124307041 * v1020;
                v1023 = v1020 - ((__ROL4__(v1021, 23) - 5819) ^ (v1022 + 32658));
                v1024 = v1021 - v1022;
                v1025 = v1023 + v1022;
                v1026 = v1024 + v1023;
                v1027 = v1024 + __ROL4__(v1025, 9);
                v1028 = v1025 - v1026;
                v1029 = v1027 ^ v1026;
                v1030 = v1028 + v1027;
                v1031 = v1029 + v1028;
                v1032 = v1030 ^ (v1029 + v1028 - 346821708);
                v1033 = v1029 - detail::kPlayIntentKey[(std::uint8_t)v1030 + 349];
                v1034 = v1033 ^ v1031;
                a2 = v1032 ^ v1033;
                a5 = v1034 ^ __ROL4__(a2, 19);
                a4 = v1032 - detail::kPlayIntentKey[(std::uint8_t)v1034 + 166];
                --v1018;
            } while (v1018);
            if (bit_test((const int*)&a2, 0x15u)) {
                v1035 = a2 ^ a5;
                v1036 = a3 - a4;
                v1037 = a4 + __ROL4__(v1035, 27);
                v1038 = v1035 ^ (__ROL4__(v1036, 16) + __ROL4__(v1037, 21));
                v1039 = v1037 ^ v1038;
                v1040 = v1036 - ((__ROL4__(v1037, 14) - 27770) ^ (v1038 + 628));
                v1041 = v1040 ^ v1038;
                a3 = v1039 + v1040;
                a4 = v1039 ^ (v1041 + a3);
                a5 = v1041 - a3;
            }
            v1042 = a3 ^ a2;
            v1043 = a4 + a3;
            v1044 = a3 + a4 + 1397362413;
            v1045 = a4 - a5;
            v1046 = v1042 + v1043 + 1397362413;
            v1047 = v1042 + v1043 + 966454710;
            v1048 = v1045 ^ v1044;
            v1049 = v1045 - (a5 + v1043 + 1397362413);
            v1050 = v1049 + 430907703;
            v1051 = a5 - v1042 + v1046;
            v1052 = v1047 - v1048 - (v1049 + 430907703);
            v1053 = v1048 ^ (v1049 - 472156384);
            v1054 = v1052 + v1051 - 430907703 - 1099188192;
            v1055 = v1052;
            v1056 = v1052 + v1051 - 430907703 - 1099160424;
            v1057 = v1050 ^ (__ROR4__(v1051 - 1530095895, 1) + __ROL4__(v1052, 11));
            v1058 = v1053 ^ v1055;
            v1059 = v1053 - ((v1057 + 30388) ^ v1056);
            v1060 = v1054 ^ __ROL4__(v1058, 21);
            v1061 = v1058 ^ (-36751981 * v1059);
            v1062 = v1057 - (__ROL4__(v1054, 11) + __ROR4__(v1058, 1));
            v1063 = v1062 ^ v1059;
            v1064 = v1060 ^ (v1061 + v1063);
            v1065 = v1062 - ((__ROL4__(v1060, 8) + 22641) ^ (v1061 + 6198));
            v1066 = v1063 + v1065 + 196386596;
            v1067 = detail::kPlayIntentKey[(std::uint8_t)v1063 + 207] ^ v1061;
            v1068 = v1065 + v1063;
            v1069 = v1064 + v1065;
            v1070 = v1064 ^ (v1067 + v1068 + 196386596);
            v1071 = v1066 ^ v1067;
            v1072 = v1069 + v1066;
            v1073 = v1069 + __ROL4__(v1070, 3);
            v1074 = v1071 + v1070;
            v1075 = 1062698702 * v1072;
            v1076 = 1062698702 * v1072 + v1071;
            v1077 = v1073 ^ v1072;
            v1078 = v1073 - ((__ROL4__(v1074, 26) + 1461) ^ (v1075 + v1071 - 12018));
            v1079 = v1078 + v1077;
            v1080 = v1074 - __ROL4__(v1076, 6) - v1077;
            v1081 = v1076 - ((__ROL4__(v1077, 12) + 15373) ^ (v1078 + 5483));
            v1082 = v1081 + v1080;
            v921 = v1081 ^ (v1078 + v1077 - 1079905633);
            v922 = v1079 - detail::kPlayIntentKey[(std::uint8_t)(v1078 ^ v1082) + 293];
            v273 = ((v1078 ^ v1082) - (v1082 + v921)) ^ v921 ^ v1082;
LABEL_122:
            v46 = v921 ^ v922;
            return (unsigned int)(v273 + v46);
        case 0x14:
            v1083 = a3 + a2;
            v1084 = v1083 + a4;
            v1085 = a3 + v1083;
            v1086 = a3 - a4;
            v1087 = a5 + a4;
            v1088 = a5 ^ v1085;
            v1089 = ~(v1086 >> 21) | 0xFFFFFFF8;
            do {
                v1090 = v1086 ^ v1088;
                v1091 = v1087 + v1084;
                v1092 = v1090 ^ v1087;
                v1093 = v1091 ^ __ROL4__(v1092, 4);
                v1094 = v1090 - __ROL4__(v1091, 28);
                v1095 = v1094 + v1093;
                v1096 = detail::kPlayIntentKey[(std::uint8_t)v1094 + 498] + v1092;
                v1084 = v1096 ^ v1093;
                v1088 = (v1094 + v1093) ^ (-772207536 * (v1096 ^ v1093));
                v1087 = v1096 - detail::kPlayIntentKey[v1095 + 190];
                ++v1089;
            } while (v1089);
            v1097 = v1086 - v1084;
            v1098 = detail::kPlayIntentKey[(std::uint8_t)v1087 + 464] ^ v1084;
            v1099 = v1097 + v1088;
            v1100 = v1099 ^ v1087;
            v1101 = ((std::uint16_t)v1098 >> 13) + 1;
            do {
                v1102 = v1098 ^ v1099;
                v1103 = v1100 + v1097;
                v1104 = detail::kPlayIntentKey[(std::uint8_t)v1102 + 48] + v1100;
                v1105 = v1102 - v1103;
                v1106 = v1104 ^ __ROL4__(v1105 + 1328384379, 30);
                v1107 = __ROL4__(v1104, 6);
                v1108 = ((v1107 + 14806) ^ v1103 ^ (v1105 + 1328377956)) + __ROL4__(v1106, 27);
                v1109 = v1105 - __ROL4__(v1106, 25) + 1328384379 - __ROL4__((v1107 + 14806) ^ v1103 ^ (v1105 + 1328377956), 19);
                v1110 = v1106 ^ (__ROL4__(v1109, 15) + __ROL4__(v1108, 24));
                v1111 = v1108 + v1109;
                v1097 = v1110 + v1108 - 1041094234;
                v1100 = v1110 - v1111;
                v1099 = v1111 - v1100 - v1097;
                --v1101;
            } while (v1101);
            v1112 = ((v1097 >> 2) & 7) + 1;
            do {
                v1113 = v1097 ^ v1099;
                v1114 = v1098 - v1100 - v1113;
                v1115 = v1100 - 442541889 * v1113;
                v1116 = v1113 - v1114;
                v1117 = v1115 + v1114;
                v1118 = v1115 + __ROL4__(v1116, 21);
                v1119 = detail::kPlayIntentKey[(std::uint8_t)v1117 + 440] ^ v1116;
                v1120 = v1117 - __ROL4__(v1118, 22);
                v1121 = v1119 - v1120;
                v1122 = v1118 + 2 * v1120;
                v1123 = v1121 ^ (v1119 + v1122);
                v1098 = v1123 + v1122;
                v1100 = -(v1123 + v1119);
                v1099 = v1123 ^ __ROL4__(v1098, 29);
                --v1112;
            } while (v1112);
            v1124 = ~BYTE2(v1098) | 0xFFFFFFF8;
            do {
                v1125 = v1097 + __ROL4__(v1100, 18);
                v1126 = v1125 + (v1098 ^ v1099);
                v1127 = v1126 ^ v1100;
                v1128 = v1125 ^ (v1127 - 1142684904);
                v1129 = v1127 ^ (v1128 + v1126);
                v1130 = v1126 - v1128;
                v1131 = v1128 + v1129 + 1589037028;
                v1132 = v1130 + v1129 - 1198010866;
                v1133 = v1130 - 1198010866 - __ROL4__(v1131, 29);
                v1097 = v1132 ^ v1131;
                v1100 = v1132 ^ __ROL4__(v1133, 25);
                v1099 = v1097 + v1133;
                ++v1124;
            } while (v1124);
            v46 = v1098 ^ v1097;
            v273 = v1100 ^ v1099;
            return (unsigned int)(v273 + v46);
        case 0x15:
            v1134 = a4 + a3;
            v1135 = v1134 ^ a2;
            v1136 = a5 + v1134;
            v1137 = a4 - 1873193768;
            v1138 = a5 - v1135;
            v1139 = v1135 + detail::kPlayIntentKey[(std::uint8_t)v1136 + 287];
            v1140 = v1136 + a5 - v1137;
            v1141 = v1137 - v1135;
            v1142 = v1139 ^ (1026104403 * v1140);
            v1143 = v1138 ^ detail::kPlayIntentKey[(std::uint8_t)v1139 + 434];
            v1144 = v1143 + v1136 + v1138;
            v1145 = v1141 ^ (-733330602 * v1143);
            v1146 = -537140961 * v1144;
            v1147 = -537140961 * v1144 + v1142;
            v1148 = v1145 ^ v1144;
            v1149 = (v1146 + v1142 + 959) ^ v1145 ^ (__ROL4__(v1143 - v1142, 20) + 2847);
            v1150 = v1146 + v1143;
            v1151 = v1147 ^ (562244186 * v1148);
            v1152 = v1148 - v1149;
            v1153 = v1150 ^ (-106036303 * v1151);
            v1154 = detail::kPlayIntentKey[(std::uint8_t)v1150 + 305] ^ v1149;
            v1155 = v1151 ^ (-638731631 * v1152);
            v1156 = v1152 - v1154;
            v1157 = __ROL4__(v1153, 20);
            v1158 = v1154 - v1157;
            v1159 = detail::kPlayIntentKey[(std::uint8_t)v1155 + 278] + v1153;
            v1160 = (v1158 + 6219) ^ v1155 ^ (__ROL4__(v1156, 10) + 5770);
            v1161 = v1152 - v1157;
            v1162 = v1158 ^ __ROL4__(v1159, 22);
            v1163 = v1161 + __ROL4__(v1162, 19);
            v1164 = v1160 ^ __ROL4__(v1161, 8);
            v1165 = detail::kPlayIntentKey[(std::uint8_t)v1160 + 482] ^ v1159;
            v1166 = v1162 - v1165;
            v1167 = v1165 - 1338141461 * v1164;
            v1168 = v1164 ^ (v1166 + v1163);
            v1169 = v1163 - 1729102087 * v1166;
            v1170 = v1167 ^ v1166;
            v1171 = v1168 + v1167;
            v1172 = v1170 + v1169 + v1168;
            v1173 = v1169 ^ (v1170 + v1171);
            v1174 = v1170 - v1171;
            v1175 = detail::kPlayIntentKey[(std::uint8_t)v1172 + 487] ^ v1171;
            v1176 = v1174;
            v1177 = v1174 + v1175 - 25812;
            v1178 = (v1175 + 31968) ^ v1173 ^ (__ROL4__(v1174, 5) - 23157);
            v1179 = v1173 + v1172 + ((__ROL4__(v1178, 1) - 17205) ^ v1177);
            v1180 = v1175 ^ (v1173 + v1172);
            v1181 = v1175 + v1176;
            v1182 = v1178 - v1181;
            v1183 = v1182 + v1179 + 1661251047;
            v1184 = v1183 + v1181;
            v1185 = v1181 - v1180;
            v1186 = v1182 + v1185 + 1661251047;
            v1182 += 1661251047;
            v1187 = v1182 ^ v1179;
            v1188 = v1187 + v1186 + 312540582;
            v1189 = v1183 + detail::kPlayIntentKey[(std::uint8_t)v1187 + 249] + v1180;
            v1190 = detail::kPlayIntentKey[(std::uint8_t)v1184 + 235] ^ (v1182 + v1185 + 1070405349);
            v1191 = __ROL4__(v1190, 12);
            v1192 = v1184 ^ (v1189 + v1188);
            v1193 = v1189 ^ (v1191 + __ROL4__(v1188, 27));
            v270 = v1192 ^ v1193;
            v1194 = v1188 - v1191;
            v273 = v1194 ^ (v1190 - __ROL4__(v1192, 12) - __ROL4__(v1193, 4));
            v272 = v1193 - __ROL4__(v1194, 3);
            goto LABEL_372;
        case 0x16:
            v1195 = a2 + __ROL4__(a3, 28);
            v1196 = __ROL4__(a5, 4) + a3 + __ROL4__(a4, 28);
            v1197 = a4 - a5 + 1727248226;
            v1198 = v1195 ^ a5;
            v1199 = ((v1196 >> 19) & 7) + 1;
            do {
                v1200 = v1196 ^ v1198;
                v1201 = v1197;
                v1197 -= detail::kPlayIntentKey[(std::uint8_t)v1200 + 128];
                v1195 -= __ROL4__(v1201, 21);
                v1198 = v1200 - v1195 - 1366743253;
                --v1199;
            } while (v1199);
            if (bit_test((const int*)&v1195, 0x1Eu)) {
                v1196 -= detail::kPlayIntentKey[(std::uint8_t)v1197 + 317];
                v1202 = v1195 ^ v1198;
                v1203 = v1197 ^ (-1157363310 * v1202);
                v1198 = v1202 - v1196;
                v1197 = v1203;
            }
            v1204 = v1195 + 139042850 * v1196;
            v1205 = v1196 - v1197;
            v1206 = v1197 ^ (v1198 + 1161482103);
            v1207 = v1198 - __ROL4__(v1204, 12);
            v1208 = v1205 + v1204;
            v1209 = v1207 + v1206 + v1205;
            v1210 = v1206 - v1207;
            v1211 = v1207 + __ROL4__(v1208, 23);
            v1212 = v1208 - v1209;
            v1213 = __ROL4__(v1210, 9);
            v1214 = v1210 - detail::kPlayIntentKey[(std::uint8_t)v1211 + 267];
            v1215 = v1209 ^ v1213;
            v1216 = v1215 + v1212 + v1211;
            v1217 = v1212 - v1215;
            v1218 = v1216 + v1214;
            v1219 = detail::kPlayIntentKey[(std::uint8_t)v1214 + 490];
            v1220 = v1219 + v1215;
            v1221 = v1220 ^ v1217;
            v1222 = v1220 - detail::kPlayIntentKey[(std::uint8_t)v1218 + 182];
            v1223 = v1216 ^ (v1219 + v1212);
            v1224 = v1223 ^ v1218;
            v1225 = v1221 + v1223;
            if ((v1222 & 2) != 0) {
                v1226 = v1222 ^ v1225;
                v1227 = v1221 - v1224;
                v1228 = v1224 - v1226;
                v1229 = detail::kPlayIntentKey[(std::uint8_t)v1227 + 70] + v1226;
                v1230 = v1227 - ((__ROL4__(v1228, 14) - 7328) ^ (v1229 - 27741));
                v1231 = v1229 ^ (1108945274 * v1230);
                v1232 = v1228 - detail::kPlayIntentKey[(std::uint8_t)v1229 + 293];
                v1221 = v1232 + v1230;
                v1224 = detail::kPlayIntentKey[(std::uint8_t)v1231 + 497] + v1232;
                v1225 = v1231 - v1221;
            }
            v1233 = v1222 ^ (v1221 - 1890447235);
            v1234 = v1221 - v1224;
            v1235 = detail::kPlayIntentKey[(std::uint8_t)v1225 + 384];
            v1236 = v1224 - v1235;
            v1237 = v1225 - v1233;
            v1238 = v1236 ^ v1234;
            v1239 = detail::kPlayIntentKey[(std::uint8_t)v1237 + 75] ^ v1236;
            v1240 = v1233 ^ (v1221 - v1235);
            v1241 = v1237 + v1240 + 172994208;
            v1242 = v1238 + v1240;
            v1243 = v1238 + __ROL4__(v1239, 10);
            v1244 = v1239 ^ (__ROR4__(v1241, 1) + __ROL4__(v1242, 5));
            v1245 = v1242 + v1241;
            v1246 = (__ROL4__(v1243, 30) + 17910) ^ v1242 ^ (v1244 + 7835);
            v1247 = v1243 ^ __ROL4__(v1244, 22);
            v1248 = v1244 - __ROL4__(v1245, 11) - __ROL4__(v1246, 25);
            v1249 = (v1248 + 7155) ^ v1246 ^ (__ROL4__(v1247, 28) - 8755);
            v1250 = (v1245 ^ v1246) + v1248;
            v46 = v1249 ^ v1250 ^ v1247;
            v273 = v1250 ^ (v1249 + (v1245 ^ v1246));
            return (unsigned int)(v273 + v46);
        case 0x17:
            v1251 = a3 ^ a2;
            v1252 = a3 - a4;
            v1253 = detail::kPlayIntentKey[(std::uint8_t)a5 + 385] + a4;
            v1254 = a5 ^ (-1705875966 * v1251);
            v1255 = detail::kPlayIntentKey[(std::uint8_t)v1252 + 371] ^ v1251;
            v1256 = v1252 - detail::kPlayIntentKey[(std::uint8_t)v1253 + 350];
            v1257 = v1254 ^ v1253;
            v1258 = v1255 ^ v1254;
            v1259 = v1256 + v1255;
            v1260 = v1258 + v1257;
            v1261 = v1258 - v1259;
            v1262 = v1259 - __ROL4__(v1260, 21) - __ROL4__(v1260 + v1256, 18);
            v1263 = v1260 - v1261;
            v1264 = (__ROL4__(v1262, 18) - 2312) ^ (v1256 - 5085);
            v1265 = v1262 - v1256;
            v1266 = __ROL4__(v1263, 27);
            v1267 = v1263 - (v1261 + v1264);
            v1268 = (v1264 + v1261 - 30638) ^ v1256 ^ (v1266 - 18065);
            v1269 = (v1261 + v1264) ^ (__ROL4__(v1265, 19) + __ROL4__(v1268, 11));
            v1270 = v1268 + v1267 + v1265;
            v1271 = v1268 - v1267;
            v1272 = v1267 - detail::kPlayIntentKey[(std::uint8_t)v1269 + 482];
            v1273 = v1269 - v1270;
            v1274 = v1271 + v1270;
            v1275 = (__ROL4__(v1272, 22) + 14100) ^ v1271 ^ (v1273 + 1891);
            v1276 = v1272 ^ (1612898547 * v1273);
            v1277 = v1274 ^ v1273;
            v1278 = v1274 - v1275;
            v1279 = v1277 + 1856007405;
            v1280 = detail::kPlayIntentKey[(std::uint8_t)v1278 + 371] + v1277;
            v1281 = v1276 ^ v1279;
            v1282 = v1281 ^ v1275 ^ (-1663813825 * v1276);
            v1283 = v1281 - __ROL4__(v1280, 28);
            v1284 = v1282 + v1278 - detail::kPlayIntentKey[(std::uint8_t)(v1275 ^ (63 * v1276)) + 82];
            v1285 = detail::kPlayIntentKey[(std::uint8_t)v1283 + 114] ^ v1282;
            v1286 = v1280 ^ v1283;
            v1287 = v1284 ^ (v1280 - v1284);
            v1288 = v1284 ^ (235287122 * v1285);
            v1289 = v1285 - v1286;
            v1290 = v1287 ^ (-432993367 * v1288);
            v1291 = v1286 + __ROL4__(v1287, 18);
            if (bit_test(&v1289, 0xCu)) {
                v1292 = v1289 ^ v1290;
                v1293 = v1288 ^ (v1291 + v1292);
                v1294 = v1291 - v1292;
                v1295 = v1291 - v1292 - v1293;
                v1296 = v1291 - detail::kPlayIntentKey[(std::uint8_t)v1293 + 100];
                v1297 = ((__ROL4__(v1294 + (v1295 ^ v1296), 21) - 2344) ^ (v1295 + 5552)) + v1296;
                v1298 = (v1297 + 20477) ^ (v1294 + (v1295 ^ v1296)) ^ (__ROL4__(v1295, 2) + 8874);
                v1299 = v1297 + v1295;
                v1300 = v1297 + __ROL4__(v1298, 23);
                v1288 = v1299 ^ v1298;
                v1301 = v1299 - __ROL4__(v1288, 13) - __ROL4__(v1300, 20);
                v1290 = v1301 + v1288 + v1300;
                v1291 = v1301;
            }
            v46 = v1290 ^ v1291;
            v273 = v1289 ^ v1288;
            return (unsigned int)(v273 + v46);
        case 0x18:
            if (bit_test((const int*)&a3, 0xEu)) {
                v1302 = a3 ^ a5;
                v1303 = a2 - detail::kPlayIntentKey[(std::uint8_t)a4 + 395];
                v1304 = a4 + 1732600844 * v1302;
                v1305 = v1303 ^ v1302;
                v1306 = v1303 - v1304;
                v1307 = detail::kPlayIntentKey[(std::uint8_t)v1305 + 212] + v1304;
                v1308 = v1305 - 1260509995 * v1306;
                v1309 = -1658980172 * v1307;
                v1310 = v1308 ^ v1307;
                v1311 = v1306 ^ v1309;
                v1312 = v1311 + __ROR4__(v1310, 1);
                v1313 = v1308 - __ROL4__(v1311, 13);
                v1314 = v1310 ^ (__ROL4__(v1313, 22) + __ROL4__(v1312, 11));
                a2 = __ROL4__(v1314, 18) + v1312 + __ROL4__(v1313 + v1312, 10);
                a4 = v1314 - (v1313 + v1312);
                a5 = v1313 + v1312 - a2;
            }
            v1315 = a3 ^ (a4 + a2);
            v1316 = a2 + 531625027 * a4;
            v1317 = a4 ^ (v1315 + a5);
            v1318 = a5 - 1422712035 * v1315;
            if (bit_test((const int*)&v1316, 0x10u)) {
                v1319 = v1316 ^ v1318;
                v1320 = __ROL4__(v1319, 23) + v1315 + __ROL4__(v1317, 11);
                v1321 = v1317 - v1319;
                v1322 = v1319 + ((__ROL4__(v1320, 23) - 20878) ^ (v1321 - 32265));
                v1323 = v1320 - __ROL4__(v1321, 8);
                v1324 = v1321 - ((__ROL4__(v1322, 19) - 14927) ^ (v1323 - 24509));
                v1325 = v1323 ^ v1322;
                v1326 = __ROL4__(v1324, 22);
                v1327 = detail::kPlayIntentKey[(std::uint8_t)v1325 + 65] + v1324;
                v1328 = v1325 + 2054205290 - v1323 - v1326;
                v1329 = v1325 + v1327 + 2054205290;
                v1330 = v1328 ^ v1327;
                v1331 = v1328 - detail::kPlayIntentKey[(std::uint8_t)v1329 + 156];
                v1315 = v1330 + v1329;
                v1318 = v1331 + __ROL4__(v1315, 10);
                v1317 = v1330 ^ (__ROL4__(v1331, 1) + __ROL4__(v1315, 1));
            }
            v827 = v1315 ^ v1316;
            v826 = v1315 - detail::kPlayIntentKey[(std::uint8_t)v1317 + 380];
            v828 = v1318 + v827 + v1317;
            v829 = v1318 - v827;
            if (bit_test((const int*)&v826, 0x16u)) {
                v1332 = v826 ^ v829;
                v1333 = v827 ^ __ROL4__(v828, 11);
                v1334 = v828 - v1332 - v1333;
                v1335 = v1333 + v1332;
                v1336 = v1334 - (v1335 + 2139171336);
                v827 = v1333 ^ (v828 + 2139171336);
                v829 = __ROL4__(v827, 19) + v1335 + 2139171336;
                v828 = v1336;
            }
            if (bit_test(&v827, 0x1Eu)) {
                v1337 = v827 ^ v829;
                v1338 = v826 - v828;
                v1339 = v828 - v1337;
                v1340 = v1338 + v1337;
                v1341 = v1338 - v1339;
                v1342 = detail::kPlayIntentKey[(std::uint8_t)v1340 + 397] + v1339;
                v1343 = v1340 ^ (-662124018 * v1341);
                v1344 = (__ROL4__(v1342, 3) - 468) ^ v1341 ^ (v1343 - 6680);
                v1345 = v1342 ^ (v1343 + v1344);
                v1346 = v1343 + __ROL4__(v1344, 25);
                v1347 = v1346 + v1345;
                v1348 = v1346 - v1344 - __ROL4__(v1345, 24);
                v826 = -(v1346 + v1345);
                v828 = v1346 + v1347;
                v829 = v1346 ^ v1348;
            }
LABEL_151:
            v273 = v829 ^ v828;
            goto LABEL_312;
        case 0x19:
            if (bit_test((const int*)&a3, 0x1Bu)) {
                v1349 = a3 ^ a5;
                v1350 = detail::kPlayIntentKey[(std::uint8_t)a4 + 1] + a2;
                v1351 = detail::kPlayIntentKey[(std::uint8_t)v1349 + 239] ^ a4;
                v1352 = v1349 + 12993348 * v1350;
                v1353 = v1350 ^ (404019509 * v1351);
                v1354 = v1352 ^ v1351;
                v1355 = v1352 ^ (-1550317553 * v1353);
                v1356 = detail::kPlayIntentKey[(std::uint8_t)(v1355 - (v1353 - v1354)) + 396];
                a2 = v1356 + v1353 + 1159291391 * v1354;
                v1357 = v1356 + v1355;
                a4 = v1356 + v1354 - v1357 - __ROL4__(v1353 + 1159291391 * v1354, 11) - __ROL4__(v1352 ^ (-1550317553 * v1353), 14);
                a5 = v1357 - __ROL4__(a2, 14);
            }
            if (bit_test((const int*)&a2, 0x19u)) {
                v1358 = a3 - a4;
                a4 -= a2 ^ a5;
            } else {
                v1358 = a3;
                a3 = a5;
            }
            v3163 = ((v1358 >> 28) & 7) + 1;
            do {
                v3164 = v1358 ^ a3;
                v3165 = a4 ^ v3164;
                v3166 = a2 - __ROL4__(a4, 14);
                v3167 = __ROL4__(v3166, 12);
                v3168 = v3166 - __ROL4__(v3165, 30);
                v3169 = (v3164 - v3167 - 6073) ^ (v3168 - 26438);
                v3170 = v3168 ^ (v3164 - v3167);
                v3171 = detail::kPlayIntentKey[(std::uint8_t)(v3168 ^ (((v3164 - v3167 + 71) ^ (v3168 - 70)) + v3165 - 94)) + 418];
                a2 = detail::kPlayIntentKey[(std::uint8_t)(v3165 + v3169 - v3170) + 363] ^ v3168 ^ (v3169 + v3165 - 1364552542);
                a4 = v3165 + v3169 - v3171 + 912180672;
                a3 = a2 + v3170 - v3171;
                --v3163;
            } while (v3163);
            if (bit_test((const int*)&a2, 0x1Cu)) {
                v3172 = a2 ^ a3;
                v1358 = v1358 - a4 - v3172;
                a4 ^= v3172;
                a3 = v3172 - detail::kPlayIntentKey[(std::uint8_t)v1358 + 180];
            }
            v3173 = a2 - v1358 + 1920729385;
            v3174 = detail::kPlayIntentKey[(std::uint8_t)a4 + 257] + v1358;
            v3175 = a4 - a3 + 1656041643;
            v3176 = a3 - __ROL4__(v3173, 3) - __ROL4__(v3174, 17);
            v3177 = v3173 - v3174;
            v3178 = v3175 ^ v3174;
            v3179 = v3175 - ((__ROL4__(v3176, 12) - 4966) ^ (v3177 + 25540));
            v3180 = v3176 ^ (-1180755697 * v3177);
            v3181 = v3177 + __ROL4__(v3178, 11);
            v3182 = v3178 + 789729536 * v3179;
            v558 = v3179 - v3180;
            v559 = v3180 - __ROL4__(v3181, 21);
            v3183 = (v3182 >> 30) + 1;
            do {
                v3184 = v3182 ^ v559;
                v3181 -= v558;
                v558 -= (__ROL4__(v3184, 8) + 24665) ^ (v3181 - 24549);
                v559 = v3184 - v3181;
                --v3183;
            } while (v3183);
            v46 = v3182 ^ v3181;
            goto LABEL_367;
        case 0x1A:
            v1359 = a2 + 442830907 * a3;
            v1360 = a3 ^ __ROL4__(a4, 5);
            v1361 = a4 + __ROL4__(a5, 16);
            v1362 = v1360;
            v1363 = v1360 ^ v1361;
            v1364 = v1359 ^ __ROL4__(v1360, 1);
            v1365 = a5 ^ (__ROL4__(v1359, 5) + __ROL4__(v1362, 10));
            v1366 = v1365 + v1364;
            v1367 = v1361 ^ __ROL4__(v1365, 28);
            v1368 = v1363 + ((__ROL4__(v1367, 15) - 25010) ^ (v1365 + v1364 - 29359));
            v1369 = v1364 - __ROL4__(v1363, 13);
            v1370 = v1367 - v1366;
            v1371 = v1370 - 640922343;
            v1372 = v1369 ^ v1366;
            v1373 = v1368 + v1370 + v1369 - 640922343;
            v1374 = v1368 ^ (v1370 - 1828335652);
            v1375 = v1371 - detail::kPlayIntentKey[(std::uint8_t)v1372 + 237];
            v1376 = v1372 - v1374 - v1373;
            v1377 = detail::kPlayIntentKey[(std::uint8_t)v1374 + 314] + v1373;
            v1378 = v1374 - v1375;
            v1379 = v1376 ^ __ROL4__(v1377, 15);
            v1380 = detail::kPlayIntentKey[(std::uint8_t)v1376 + 440] + v1375;
            v1381 = v1377 - detail::kPlayIntentKey[(std::uint8_t)v1378 + 31];
            v1382 = v1378 - v1380 - v1379;
            v1383 = v1379 ^ v1380;
            v1384 = v1379 - __ROL4__(v1381, 22);
            v1385 = v1382 + v1383 + v1381;
            v1386 = v1383 + v1382 - 87962626;
            v1387 = v1383 ^ __ROL4__(v1384, 21);
            v1388 = v1384 - v1386 - v1385;
            v1389 = v1386 ^ v1385;
            v1390 = v1386 - v1388 - v1387;
            v1391 = v1387 - __ROL4__(v1388, 1);
            v1392 = v1390 + v1389 + v1388;
            v1393 = v1390 ^ v1389;
            v1394 = v1391 + v1392 + 539331673;
            v1395 = v1390 - __ROL4__(v1391, 13) - __ROL4__(v1392, 6);
            v1396 = v1393 ^ v1395;
            v1397 = v1392 ^ __ROL4__(v1393, 14);
            v1398 = v1394 ^ v1397;
            v1399 = v1395 - detail::kPlayIntentKey[(std::uint8_t)v1394 + 208];
            v1400 = v1397 - v1396;
            v1401 = v1396 - (v1399 + v1398);
            v1402 = v1399 + 1405643779 * v1398;
            v1403 = v1400 ^ v1398;
            v1404 = v1400 + 1670331522 * v1401;
            v1405 = v1401 - v1402;
            v1406 = detail::kPlayIntentKey[(std::uint8_t)v1403 + 204] + v1402;
            v1407 = v1403 - v1404;
            v1408 = v1404 - v1405;
            v807 = v1405 - v1406 - v1407;
            v808 = v1407 ^ v1406;
            v273 = (detail::kPlayIntentKey[(std::uint8_t)v1408 + 88] + v1407) ^ v807 ^ v1408;
LABEL_157:
            v46 = v807 ^ v808;
            return (unsigned int)(v273 + v46);
        case 0x1B:
            if (bit_test((const int*)&a3, 0x18u)) {
                v1409 = a3 ^ a5;
                v1410 = a4 ^ v1409;
                v1411 = a2 - ((__ROL4__(a4, 17) + 3059) ^ (v1409 + 8110));
                v1412 = v1409 - __ROL4__(v1411, 29);
                a2 = v1411 + ((__ROL4__(a4 ^ v1409, 29) + 21254) ^ (v1412 - 32199));
                a5 = v1412 ^ a2;
                a4 = v1410 ^ (__ROL4__(v1412, 29) + __ROL4__(a2, 13));
            }
            if (bit_test((const int*)&a2, 0x18u)) {
                v1413 = a2 ^ a5;
                v1414 = a4 + a3;
                v1415 = v1413 ^ a4;
                v1416 = v1413 + v1414;
                v1417 = v1415 ^ (v1413 + v1414 + 411726155);
                v1418 = v1414 - detail::kPlayIntentKey[(std::uint8_t)v1415 + 246];
                v1419 = v1418 ^ v1416;
                a3 = v1417 + v1418 - 1416609497;
                a4 = v1417 - detail::kPlayIntentKey[(std::uint8_t)v1419 + 429];
                a5 = a3 ^ v1419;
            }
            v1420 = ((a3 >> 26) & 7) + 1;
            do {
                v1421 = a3 ^ a5;
                v1422 = a4 ^ a2;
                v1423 = a4 + __ROL4__(v1421, 26);
                v1424 = v1421 ^ (v1423 + v1422);
                v1425 = v1422 - v1423 - v1424;
                v1426 = v1423 ^ __ROL4__(v1424, 6);
                v1427 = v1424 - v1425 - v1426;
                v1428 = v1425 - v1426;
                v1429 = v1426 ^ (1905332560 * v1427);
                v1430 = v1428 ^ (77062445 * v1429);
                v1431 = v1427 ^ (__ROL4__(v1428, 4) + __ROL4__(v1429, 13));
                v1432 = v1431 - 1682438096 * v1430;
                a4 = v1429 - (v1432 + v1431) - 2033572774;
                a2 = v1430 ^ (__ROL4__(v1429 - v1431, 27) + __ROL4__(v1432, 3));
                a5 = v1432 - a2;
                --v1420;
            } while (v1420);
            if (bit_test((const int*)&a2, 0x1Au)) {
                v1433 = a2 ^ a5;
                v1434 = a4 ^ a3;
                v1435 = a4 - v1434 - v1433;
                v1436 = v1434 ^ v1433;
                v1437 = v1434 - 1176447592 * v1435;
                v1438 = v1436 + v1435;
                v1439 = v1436 ^ (v1437 + v1438);
                v1440 = v1437 - v1438 - v1439;
                v1441 = v1439 ^ v1438;
                v1442 = v1440 + __ROR4__(v1441, 1);
                v1443 = v1439 - __ROL4__(v1440, 13);
                v1444 = v1441 - __ROL4__(v1443, 10);
                v1445 = v1442 ^ v1443;
                a3 = __ROL4__(v1444, 18) + v1442 + __ROL4__(v1445, 4);
                a4 = v1444 - v1445;
                a5 = v1445 - __ROL4__(a3, 18);
            }
            v1446 = a3 ^ a2;
            v1447 = a3 + 1803807427 * a4;
            v1448 = a5 ^ a4;
            v46 = v1446 ^ v1447;
            v1449 = a5 - __ROL4__(v1446, 28);
            goto LABEL_307;
        case 0x1C:
            v1450 = a2 ^ __ROL4__(a3, 7);
            v1451 = a3 - ((__ROL4__(a4, 9) + 3952) ^ (a5 - 3564));
            v1452 = v1450 ^ v1451;
            v1453 = a5 ^ __ROL4__(v1450, 30);
            v1454 = v1453 + __ROL4__(v1452, 7);
            v1455 = v1451 - ((a5 + a4 + 27516) ^ (v1453 - 20930));
            v1456 = (a5 + a4) ^ (__ROL4__(v1453, 30) + __ROL4__(v1452, 11));
            v1457 = v1452 - detail::kPlayIntentKey[(std::uint8_t)v1455 + 468];
            v1458 = v1455 - 194195884 * v1456;
            v1459 = v1454 ^ v1456;
            v1460 = v1454 - v1458 - v1457;
            v1461 = v1458 ^ v1457;
            v1462 = v1459 + v1458;
            v1463 = v1459 - v1460;
            v1464 = detail::kPlayIntentKey[(std::uint8_t)v1461 + 102] ^ v1460;
            v1465 = v1464 + v1463 - 1113044820;
            v1466 = detail::kPlayIntentKey[(std::uint8_t)v1463 + 87];
            v1467 = v1464 ^ v1462 ^ v1461;
            v1468 = v1466 ^ v1461;
            v1469 = v1465 ^ (v1467 + v1468);
            v1470 = v1466 ^ v1462 ^ __ROL4__(v1465, 3);
            v1471 = v1467 - __ROL4__(v1468, 5) - __ROL4__(v1470, 9);
            v1472 = ((v1470 >> 2) & 7) + 1;
            do {
                v1473 = v1470 ^ v1471;
                v1474 = v1468 - v1469 - v1473;
                v1475 = v1469 + v1473 - 750438264;
                v1476 = detail::kPlayIntentKey[(std::uint8_t)v1474 + 178] ^ v1473;
                v1477 = detail::kPlayIntentKey[(std::uint8_t)v1475 + 18] ^ v1474;
                v1478 = (__ROR4__(v1476, 1) - 9666) ^ v1475 ^ (v1477 + 16540);
                v1479 = v1477 + v1476;
                v1480 = v1478 ^ v1477;
                v1481 = v1478 ^ __ROL4__(v1479, 29);
                v1482 = __ROL4__(v1480, 18) + v1479 + __ROL4__(v1481, 2);
                v1469 = v1482 + v1481;
                v1468 = v1480 - (v1482 + v1481);
                v1471 = v1482 - ((__ROL4__(v1468, 6) + 22483) ^ (v1481 + v1482 - 5709));
                --v1472;
            } while (v1472);
            v1483 = detail::kPlayIntentKey[(std::uint8_t)(v1482 + v1481) + 367] ^ v1468;
            v1484 = (__ROL4__(v1471, 26) + 26944) ^ v1469 ^ (v1470 + v1468 - 23246);
            v1485 = v1470 + v1468 + v1471;
            v1486 = v1483 ^ (743233678 * v1484);
            v1487 = v1470 + v1468 - ((__ROL4__(v1483, 12) - 23656) ^ (v1484 - 5745));
            v1488 = v1485 + v1484;
            v1489 = (__ROL4__(v1487, 21) - 24639) ^ v1485 ^ (v1486 - 5187);
            v1490 = v1486 ^ v1487;
            v1491 = detail::kPlayIntentKey[(std::uint8_t)v1488 + 453] ^ v1486;
            v1492 = v1489 + v1488 + 1413350426;
            v1493 = v1489 - __ROL4__(v1490, 14);
            v1494 = v1490 - v1491;
            v1495 = v1491 - v1492;
            v1496 = v1494 + v1493;
            v1497 = detail::kPlayIntentKey[(std::uint8_t)v1493 + 32] ^ v1492;
            v1498 = v1494 + v1493 - 150231948;
            v1499 = v1494 - detail::kPlayIntentKey[(std::uint8_t)v1495 + 488];
            v1500 = v1495 - (v1497 + v1496 - 150231948);
            v270 = -1750551485 * v1499;
            v273 = v1499 ^ v1500;
            v272 = v1498 ^ (v1497 - v1498);
            goto LABEL_372;
        case 0x1D:
            if (bit_test((const int*)&a3, 0x16u)) {
                v1501 = a3 ^ a5;
                v1502 = a2 - a4;
                v1503 = v1501 + a4;
                v1504 = v1501 - v1502;
                v1505 = v1503 ^ __ROL4__(v1504, 22);
                v1506 = v1502 - __ROL4__(v1504, 30) - __ROL4__(v1503, 12);
                v1507 = v1504 - v1505 - __ROL4__(v1506, 11);
                a2 = v1506 - __ROL4__(v1505, 28) - __ROL4__(v1507, 24);
                a4 = v1505 ^ (a2 + v1507);
                a5 = v1507 + 1718966859 * a2;
            }
            if (bit_test((const int*)&a2, 0x15u)) {
                v1508 = a2 ^ a5;
                v1509 = v1508 + a4;
                v1510 = (__ROL4__(a4, 5) - 14730) ^ a3 ^ (v1508 + 9735);
                v1511 = v1510 + 423392072 * (v1508 + a4);
                v1512 = v1508 ^ __ROL4__(v1510, 15);
                v1513 = v1512 + v1509;
                v1514 = detail::kPlayIntentKey[(std::uint8_t)v1511 + 399] ^ v1512;
                a3 = v1511 + v1513 - 1986702972;
                a4 = v1514 ^ v1513;
                a5 = v1514 - a3 - (v1514 ^ v1513);
            }
            v1515 = a3 + a2;
            v1516 = a3 ^ (a5 + a4);
            v1517 = detail::kPlayIntentKey[(std::uint8_t)a5 + 406] ^ a4;
            v1518 = a5 + 1555532777 * v1515;
            v1519 = v1516 ^ v1515;
            v1520 = v1517 + v1516;
            v1521 = v1517 ^ (__ROL4__(v1518, 10) + __ROL4__(v1519, 3));
            v1522 = (__ROL4__(v1517 + v1516 - 1359408673, 9) + 5139) ^ v1519 ^ (v1521 + 22368);
            v1523 = v1520 + v1521 - 1359408673;
            v1524 = v1521 ^ __ROL4__(v1519 + v1518, 30);
            v1525 = v1519 + v1518 - v1523 - __ROL4__(v1522, 19);
            v1526 = ((v1523 >> 23) & 7) + 1;
            do {
                v1527 = v1523 ^ v1525;
                v1528 = v1527 + __ROL4__(v1522 ^ (v1527 + v1524), 16);
                v1529 = v1522 ^ (v1527 + v1524) ^ __ROL4__(v1524 + 504282970 * v1527, 1);
                v1530 = v1524 + 504282970 * v1527 - ((__ROL4__(v1528, 4) - 22763) ^ (v1529 - 17419));
                v1531 = v1530 + (v1529 ^ v1528);
                v1532 = v1531 ^ v1529;
                v1533 = v1532 + v1530;
                v1534 = v1532 - detail::kPlayIntentKey[(std::uint8_t)v1531 + 238];
                v1535 = v1531 ^ (84769091 - v1533);
                v1536 = v1534 ^ -v1533;
                v1522 = v1534 - v1535;
                v1524 = v1535 - ((__ROL4__(v1536, 26) - 1215) ^ (v1522 - 16029));
                v1525 = v1536 - __ROL4__(v1522, 5) - __ROL4__(v1524, 12);
                --v1526;
            } while (v1526);
            v510 = v1523 + 514037490 * v1522;
            v512 = v1522 - v1524 - v1525;
            v273 = (detail::kPlayIntentKey[(std::uint8_t)v1525 + 56] + v1524) ^ (v1525 - v510 - 793193613);
            goto LABEL_353;
        case 0x1E:
            v1537 = a2 ^ (a4 + a3);
            v1538 = a3 - ((__ROL4__(a4, 6) + 9138) ^ (a5 + 30092));
            v1539 = a5 ^ v1537;
            v1540 = a4 - detail::kPlayIntentKey[(std::uint8_t)a5 + 154];
            v1541 = detail::kPlayIntentKey[(std::uint8_t)v1538 + 98] ^ v1537;
            v1542 = v1540 + v1538;
            v1543 = v1539 ^ (v1541 + v1542);
            v1544 = v1540 + __ROL4__(v1539, 23);
            v1545 = v1542 ^ v1541;
            v1546 = v1544 + ((__ROL4__(v1543, 11) - 25015) ^ (v1545 + 4522));
            v1547 = v1542 ^ __ROL4__(v1544, 13);
            v1548 = v1543 - v1545;
            if ((v1547 & 4) != 0) {
                v1549 = v1547 ^ v1548;
                v1550 = v1545 + __ROL4__(v1546, 27);
                v1551 = v1549 + 119827395 * v1550;
                v1552 = detail::kPlayIntentKey[(std::uint8_t)v1549 + 230] + v1546;
                v1553 = v1550 ^ (v1551 + v1552);
                v1554 = -1948163046 * v1551;
                v1555 = detail::kPlayIntentKey[(std::uint8_t)v1553 + 159] + v1551;
                v1556 = v1553 ^ ((v1552 ^ v1554) + v1555);
                v1557 = (v1552 ^ v1554) + v1555 + 588656828;
                v1558 = v1556 + v1555;
                v1559 = v1557 ^ v1556;
                v1560 = v1557 - v1558;
                v1561 = detail::kPlayIntentKey[(std::uint8_t)v1559 + 112] + v1558;
                v1562 = v1559 - __ROL4__(v1561, 1) - __ROL4__(v1560, 7);
                v1563 = v1561 ^ v1560;
                v1564 = v1561 - detail::kPlayIntentKey[(std::uint8_t)v1562 + 316];
                v1545 = v1562 - detail::kPlayIntentKey[(std::uint8_t)v1563 + 301];
                v1548 = v1564 - 883759504 * v1545;
                v1546 = detail::kPlayIntentKey[(std::uint8_t)v1564 + 221] + v1563;
            }
            v1565 = detail::kPlayIntentKey[(std::uint8_t)v1545 + 418] + v1547;
            v1566 = v1545 - v1546;
            v1567 = v1546 - v1548;
            v1568 = v1566 + v1565 - 1688107511;
            v1569 = v1568 + v1548;
            v1570 = v1566 + v1567 - 1688107511;
            v1571 = v1566 + v1565 - 1688127055;
            v1572 = v1569 + v1568 + v1570;
            v1573 = (__ROL4__(v1569, 14) + 29745) ^ v1567 ^ v1571;
            v1574 = v1568 ^ __ROR4__(v1570, 1);
            v1575 = v1573 + v1572;
            v1576 = v1573 + v1572 - 20259;
            v1577 = __ROR4__(v1573, 1) + v1570 + __ROL4__(v1572, 16);
            v1578 = v1572 ^ __ROL4__(v1574, 22);
            v1579 = v1577 ^ (-4528653 * (v1573 + v1572));
            v1580 = v1574 - ((__ROL4__(v1577, 17) + 23501) ^ v1576);
            v1581 = v1578 ^ v1575;
            v1582 = v1578 - __ROL4__(v1580, 17);
            v1583 = v1579 + v1580;
            v1584 = v1579 ^ __ROL4__(v1581, 25);
            v1585 = v1581 - v1582;
            v1586 = v1582 ^ __ROL4__(v1583, 29);
            v1587 = v1585 + v1584 + v1583;
            v1588 = v1585 ^ v1584;
            v1589 = v1586 + v1585;
            v1590 = v1586 ^ (v1588 + v1587);
            v1591 = v1588 ^ v1587;
            v1592 = v1590 + v1589;
            v1593 = detail::kPlayIntentKey[(std::uint8_t)v1589 + 79] ^ v1588;
            v1594 = detail::kPlayIntentKey[(std::uint8_t)v1591 + 206] ^ v1590;
            v1595 = v1591 - __ROL4__(v1593, 16);
            v1596 = v1595 + 15352;
            v9 = (__ROL4__(v1594, 27) + 29343) ^ (v1595 + v1594);
            v46 = (v1593 - detail::kPlayIntentKey[(std::uint8_t)v1592 + 283]) ^ v1595;
            v11 = v1592 ^ v1596;
            goto LABEL_259;
        case 0x1F:
            v1597 = ((a3 >> 19) & 7) + 1;
            do {
                v1598 = a3 ^ a5;
                v1599 = v1598 + a2 + a4;
                v1600 = detail::kPlayIntentKey[(std::uint8_t)v1599 + 487] ^ v1598;
                v1601 = v1600 - a2;
                v1602 = v1600 - a2 + v1599 + v1600;
                v1603 = v1602 ^ a2;
                v1604 = v1601 + __ROL4__(v1603, 14);
                a2 = v1603 - v1602 - v1604;
                a4 = v1602 - v1604;
                a5 = v1604 - a2;
                --v1597;
            } while (v1597);
            v1605 = a3 ^ (a2 + 606833991);
            v1606 = a2 - a4;
            v1607 = a5 + a4;
            v1608 = a5 + 1839434891 * v1605;
            v1609 = v1606 + v1605;
            v1610 = v1606 - detail::kPlayIntentKey[(std::uint8_t)v1607 + 260];
            v1611 = v1607 ^ (163336537 * v1608);
            v1612 = v1608 - v1609;
            v1613 = detail::kPlayIntentKey[(std::uint8_t)v1610 + 122] + v1609;
            v1614 = v1610 - v1611;
            v1615 = v1614 + v1612;
            v1616 = v1611 ^ __ROL4__(v1612, 3);
            v1617 = v1615 + v1613;
            v1618 = v1615 + v1613 - 13717;
            v1619 = v1614 ^ v1613;
            v1620 = v1614 - ((__ROL4__(v1616, 23) - 19962) ^ v1618);
            v1621 = detail::kPlayIntentKey[(std::uint8_t)v1619 + 431];
            v1622 = v1620 ^ (v1616 - v1617);
            v1623 = v1621 + v1616;
            v1624 = v1620 + v1619 + v1621 + v1617;
            v1625 = v1620 + v1619 - v1622;
            v1626 = v1623 ^ (__ROL4__(v1624, 30) + __ROL4__(v1625, 5));
            v1627 = v1622 - __ROL4__(v1623, 9);
            v1628 = v1624 - v1625;
            v1629 = v1627 ^ v1625;
            v1630 = v1627 + 1077986516 * v1626;
            v1631 = v1628 ^ v1626;
            v1632 = v1629 + ((__ROL4__(v1630, 24) - 3142) ^ (v1631 - 16705));
            v1633 = detail::kPlayIntentKey[(std::uint8_t)v1629 + 468] ^ v1628;
            v1634 = v1630 ^ (v1631 + v1633);
            v1635 = v1631 - v1633;
            v1636 = detail::kPlayIntentKey[(std::uint8_t)v1632 + 230] ^ v1633;
            v1637 = v1634 + v1632;
            v1638 = detail::kPlayIntentKey[(std::uint8_t)v1635 + 216] ^ v1634;
            v1639 = detail::kPlayIntentKey[(std::uint8_t)v1636 + 194] + v1635;
            v1640 = v1636 - v1637;
            v1641 = detail::kPlayIntentKey[(std::uint8_t)v1638 + 180];
            v1642 = v1641 + v1637;
            v1643 = v1638 - v1639;
            v1644 = __ROL4__(v1642, 28) + 18044;
            v46 = v1643 ^ v1642;
            v273 = v1644 ^ (v1643 - 11113) ^ v1640 ^ v1639 ^ (v1641 + v1636);
            return (unsigned int)(v273 + v46);
        case 0x20:
            v1645 = a2 - detail::kPlayIntentKey[(std::uint8_t)a3 + 499];
            v1646 = a3 - 88267848;
            v1647 = v1645 + v1646 - a4;
            v1648 = v1646 - a5;
            v1649 = a4 - a5 - __ROL4__(v1647 + a5, 7);
            v1650 = v1647 ^ (v1647 + a5);
            v1651 = v1647 + __ROL4__(v1648, 15);
            v1652 = v1648 + ((__ROL4__(v1649, 26) + 7418) ^ (v1650 + 23671));
            v1653 = v1649 + __ROL4__(v1650, 19);
            v1654 = v1650 - v1651;
            v1655 = v1652 ^ (__ROL4__(v1653, 27) + __ROL4__(v1654, 12));
            v1656 = v1651 ^ __ROL4__(v1652, 27);
            v1657 = v1654 ^ v1653;
            v1658 = v1654 - v1656;
            v1659 = detail::kPlayIntentKey[(std::uint8_t)v1655 + 69] + v1656;
            v1660 = v1655 - v1657;
            v9 = detail::kPlayIntentKey[(std::uint8_t)v1658 + 196] ^ v1657;
            v11 = v1658 ^ (v1659 + v1660);
            v1661 = (v1660 >> 31) + 1;
            do {
                v1662 = v1660 ^ v11;
                v1663 = v1659 ^ (v1662 + v9);
                v1664 = v1662 ^ v1663;
                v1665 = v9 - ((__ROL4__(v1662, 22) + 15903) ^ (v1663 - 17027));
                v1666 = v1663 + __ROL4__(v1665, 22);
                v1667 = v1665 ^ (v1666 + (v1662 ^ v1663));
                v1668 = v1664 - v1666;
                v1669 = v1667 + v1666;
                v1670 = v1667 - v1668;
                LOBYTE(v1668) = v1668 - v1669;
                v1671 = v1670 + v1669;
                v1672 = detail::kPlayIntentKey[(std::uint8_t)v1668 + 160] ^ v1670;
                v1673 = v1667 + v1672;
                v1674 = v1671 - v1672;
                v1675 = __ROL4__(v1667 + v1672 + 1255125749, 10);
                v1676 = v1667 - v1674 + 1108659191;
                v1659 = v1674 ^ v1675;
                v9 = 2121437855 * v1676 + v1673 + 1255125749;
                v11 = v1676 ^ __ROL4__(v1659, 9);
                --v1661;
            } while (v1661);
            v1677 = (v1659 >> 30) + 1;
            do {
                v1678 = v1659 ^ v11;
                v1679 = v1660 - v9;
                v1680 = (__ROL4__(v1679, 28) + 5171) ^ (v9 + detail::kPlayIntentKey[(std::uint8_t)v1678 + 81] - 31586);
                v1681 = v9 + detail::kPlayIntentKey[(std::uint8_t)v1678 + 81];
                v1682 = __ROL4__(v1681, 16);
                v1683 = v1678 + v1680;
                v9 = v1681 - detail::kPlayIntentKey[(std::uint8_t)v1683 + 475];
                v1660 = v1679 - v1682;
                v11 = v1683 - v1660 + 1940390864;
                --v1677;
            } while (v1677);
            v1684 = ~(v1660 >> 1) | 0xFFFFFFF8;
            do {
                v1685 = v1660 ^ v11;
                v1686 = __ROL4__(v1685, 5) + v9 + v1659;
                v1687 = v1685 + v9;
                v1688 = detail::kPlayIntentKey[(std::uint8_t)v1686 + 54] + v1685;
                v1659 = v1686 - __ROL4__(v1687, 12) - __ROL4__(v1688, 24);
                v9 = v1688 ^ v1687;
                v11 = v1688 - __ROL4__(v1659, 10);
                ++v1684;
            } while (v1684);
            v46 = v1660 ^ v1659;
            goto LABEL_259;
        case 0x21:
            v1689 = a2 - a3;
            v1690 = a3 - detail::kPlayIntentKey[(std::uint8_t)a4 + 340];
            v1691 = a4 ^ (-1436503127 * a5);
            v1692 = v1689 ^ a5;
            v1693 = v1690 + v1691 + v1689;
            v1694 = v1690 - v1691;
            v1695 = v1693 + v1692 + v1691;
            v1696 = v1692 + ((__ROR4__(v1693, 1) + 32024) ^ (v1694 - 18241));
            v1697 = v1693 - __ROR4__(v1694, 1);
            v1698 = __ROL4__(v1695, 20);
            v1699 = v1695 - v1696;
            v1700 = v1697 - 18936;
            v1701 = __ROL4__(v1696, 13) + v1694 + v1698;
            v1702 = v1697 - v1701;
            v1703 = v1700 ^ (v1701 + 26504);
            v1704 = v1699 + __ROL4__(v1702, 10);
            v1705 = v1701 + ((__ROL4__(v1699, 17) - 5025) ^ (v1703 + v1696 - 21531));
            v1706 = __ROL4__(v1696 + v1703, 28);
            v1707 = v1702 + v1696 + v1703;
            v1708 = v1702 - detail::kPlayIntentKey[(std::uint8_t)v1705 + 402];
            v1709 = v1705 ^ (v1706 + v1704 + 1582106405);
            v1710 = v1706 + v1704;
            v1711 = v1709 + v1708;
            v1712 = v1709 + v1708 + v1707;
            v1713 = detail::kPlayIntentKey[(std::uint8_t)v1709 + 412] ^ v1708;
            v1714 = v1711 + v1710;
            v1715 = v1714 ^ v1709;
            v1716 = detail::kPlayIntentKey[(std::uint8_t)v1713 + 243] ^ v1712;
            v1717 = v1713 - v1715;
            v1718 = ((__ROL4__(v1714, 3) + 24756) ^ (v1716 - 18956)) + v1715;
            v1719 = __ROL4__(v1717, 27);
            v1720 = v1714 - __ROL4__(v1716, 2) - v1719;
            v1721 = v1716 - ((v1719 - 10452) ^ (v1718 - 14194));
            v1722 = ((v1718 >> 10) & 7) + 1;
            do {
                v1723 = v1718 ^ v1721;
                v1724 = v1717 - __ROL4__(v1720, 19);
                v1725 = (v1720 ^ v1723) + v1724 - 1705389826;
                v1726 = v1723 + __ROL4__(v1724, 18);
                v1727 = v1726 ^ v1720 ^ v1723;
                v1728 = v1727 + v1725 + v1726;
                v1729 = v1725 ^ (v1727 + 1480852744);
                v1730 = v1727 + __ROL4__(v1728, 29);
                v1731 = detail::kPlayIntentKey[(std::uint8_t)v1729 + 479] ^ v1728;
                v1732 = v1730 - 574389977 * v1731;
                v1733 = detail::kPlayIntentKey[(std::uint8_t)v1730 + 464] ^ v1729;
                v1734 = v1731 - 1501281042 * v1733;
                v1735 = v1733 - 1892241668 * v1732;
                v1736 = v1732 - v1734;
                v1717 = v1735 + 328930768 * v1736;
                v1737 = v1734 + __ROL4__(v1735, 6);
                v1720 = v1737 ^ v1736;
                v1721 = v1737 - v1717;
                --v1722;
            } while (v1722);
            if (bit_test(&v1717, 0x14u)) {
                v1718 += detail::kPlayIntentKey[(std::uint8_t)v1720 + 22];
                v1738 = v1717 ^ v1721;
                v1720 += v1718 + v1738;
                v1721 = v1738 - v1718;
            }
            v273 = v1721 ^ v1720;
            goto LABEL_347;
        case 0x22:
            v1739 = ((a3 >> 3) & 7) + 1;
            do {
                v1740 = a3 ^ a5;
                v1741 = a2 - a4 + 1201502089;
                v1742 = v1740 ^ __ROL4__(v1741, 21);
                v1743 = detail::kPlayIntentKey[(std::uint8_t)v1740 + 161] + a4;
                v1744 = v1741 - detail::kPlayIntentKey[(std::uint8_t)v1743 + 126];
                v1745 = v1743 - v1742 - v1744;
                v1746 = v1744 ^ v1742;
                v1747 = v1744 + __ROL4__(v1745, 12);
                v1748 = detail::kPlayIntentKey[(std::uint8_t)v1746 + 247] + v1745;
                v1749 = v1746 - v1748 - v1747;
                v1750 = v1748 ^ v1749;
                v1751 = __ROL4__(v1749, 1) + v1747 + __ROL4__(v1748, 29);
                v1752 = detail::kPlayIntentKey[(std::uint8_t)v1751 + 338] + v1749;
                a2 = v1750 + v1751;
                a4 = detail::kPlayIntentKey[(std::uint8_t)v1752 + 243] ^ v1750;
                a5 = detail::kPlayIntentKey[(std::uint8_t)a2 + 288] ^ v1752;
                --v1739;
            } while (v1739);
            v1753 = ~(a2 >> 17) | 0xFFFFFFF8;
            do {
                v1754 = a2 ^ a5;
                v1755 = a4 ^ a3;
                v1756 = v1754 ^ a4;
                v1757 = __ROL4__(v1756, 10) + v1754 + __ROL4__(v1755, 20);
                v1758 = v1755 - v1756;
                v1759 = v1757 ^ v1756;
                v1760 = v1757 ^ __ROL4__(v1758, 27);
                v1761 = v1758 - __ROL4__(v1759, 12);
                v1762 = v1759 - v1760;
                v1763 = v1760 + 2046624122 * v1761;
                a3 = v1762 ^ v1761;
                a4 = v1762 - detail::kPlayIntentKey[(std::uint8_t)v1763 + 15];
                a5 = v1763 - a3 - a4;
                ++v1753;
            } while (v1753);
            v1764 = ((a3 >> 28) & 7) + 1;
            do {
                v1765 = a3 ^ a5;
                v1766 = a4 ^ a2;
                v1767 = a4 - __ROL4__(v1766, 8) - __ROL4__(v1765, 19);
                v1768 = v1766 ^ v1765;
                v1769 = v1766 ^ (v1767 + v1768);
                v1770 = (std::uint8_t)v1769;
                v1771 = v1767 + v1769;
                v1772 = v1767 - v1768;
                LODWORD(v1770) = detail::kPlayIntentKey[v1770 + 137];
                v1773 = v1770 + v1768;
                v1774 = v1770 + v1771;
                LODWORD(v1770) = v1772 ^ (-43852695 * v1773);
                v1775 = v1773 - v1774;
                v1776 = __ROL4__(v1775, 20) + v1770;
                v1777 = v1774 + __ROL4__(v1770, 6);
                v1778 = (__ROL4__(v1777, 22) + 4570) ^ v1775 ^ (v1776 + 30173);
                v1779 = v1777 - __ROL4__(v1776, 16);
                v1780 = __ROL4__(v1778, 7);
                LODWORD(v1770) = v1776 + __ROL4__(v1779, 25);
                v1781 = v1780 + v1770 - 13100;
                v1782 = v1780 + v1770;
                a2 = v1779 + __ROL4__(v1780 + v1770, 28);
                v1783 = v1778 + ((__ROR4__(v1779, 1) - 16726) ^ v1781);
                a5 = a2 + v1783 + 2129144501;
                a4 = v1782 ^ (__ROL4__(v1783, 19) + __ROL4__(a2, 12));
                --v1764;
            } while (v1764);
            v1784 = detail::kPlayIntentKey[(std::uint8_t)a2 + 397] + a3;
            v1785 = a2 ^ (a5 + a4);
            v1786 = v1784 + v1785;
            v46 = v1784 ^ v1785;
            v1787 = v1786 ^ __ROL4__(a5, 16) ^ a5 ^ a4;
            goto LABEL_289;
        case 0x23:
            v1788 = a3 ^ a4;
            v1789 = a2 - detail::kPlayIntentKey[(std::uint8_t)a3 + 388];
            v1790 = a4 - __ROL4__(a5, 2);
            v1791 = a5 - ((__ROL4__(v1789, 14) + 7450) ^ (v1788 - 30283));
            v1792 = v1788 + v1789;
            v1793 = v1788 ^ __ROL4__(v1790, 1);
            v1794 = v1790 - v1792 - v1791;
            v1795 = v1791 - __ROL4__(v1792, 28);
            v1796 = __ROL4__(v1794, 13);
            v1797 = v1792 ^ (v1793 - 118986920);
            v1798 = v1794 - detail::kPlayIntentKey[(std::uint8_t)v1795 + 88];
            v1799 = v1793 - v1796;
            v1800 = detail::kPlayIntentKey[(std::uint8_t)v1799 + 144];
            v1801 = v1798 ^ v1799;
            v1802 = v1798 - detail::kPlayIntentKey[(std::uint8_t)(v1797 ^ v1795) + 362];
            v1803 = v1800 ^ v1797;
            v1804 = v1800 ^ v1795;
            v1805 = __ROL4__(v1802, 30);
            v1806 = __ROR4__(v1804, 1);
            v1807 = v1803 - detail::kPlayIntentKey[(std::uint8_t)v1801 + 348];
            v1808 = v1804 + v1802;
            v1809 = detail::kPlayIntentKey[(std::uint8_t)v1807 + 453] ^ v1804;
            v1810 = v1807 - v1808;
            v1811 = v1810 - (v1801 ^ (v1805 + v1806));
            v1812 = v1811 + v1809 + v1808;
            v1813 = v1809 ^ (723572199 * v1811);
            v1814 = v1809 + v1810;
            v1815 = v1814 ^ v1811;
            v1816 = v1812 ^ (v1813 + v1815);
            v1817 = v1813 - v1814;
            v1818 = v1817 - v1815;
            v1819 = v1815 - v1814;
            v1820 = v1816 + v1818 + v1814;
            v9 = v1816 + v1817 - v1814;
            v11 = v1818 - v1819;
            v1821 = ~(v1820 >> 28) | 0xFFFFFFF8;
            do {
                v1822 = v1820 ^ v11;
                v1823 = v1819 - v9;
                v1824 = v9 + __ROR4__(v1822, 1);
                v1825 = v1823 ^ v1822;
                v1826 = v1823 - v1824;
                v1827 = 2019146986 * v1825;
                v1828 = v1825 - detail::kPlayIntentKey[(std::uint8_t)v1826 + 368];
                v1829 = v1824 ^ v1827;
                v1830 = detail::kPlayIntentKey[(std::uint8_t)v1829 + 353] + v1826;
                v1831 = v1828 ^ (-1763460191 * v1830);
                v1832 = v1829 - detail::kPlayIntentKey[(std::uint8_t)v1828 + 332];
                v1833 = __ROL4__(v1831, 18) + v1830 + __ROL4__(v1832, 21);
                v1834 = v1832 - v1831;
                v1835 = __ROL4__(v1833, 12);
                v1836 = v1835 + v1831;
                v1837 = v1833 ^ (__ROL4__(v1834, 1) + __ROL4__(v1836, 5));
                v1838 = v1832 + v1835;
                v1839 = v1836 - __ROL4__(v1837, 21);
                v1819 = v1837 - v1838;
                v9 = v1839 + v1838;
                v11 = detail::kPlayIntentKey[(std::uint8_t)v1819 + 450] + v1839;
                ++v1821;
            } while (v1821);
            v46 = v1820 ^ v1819;
            goto LABEL_259;
        case 0x24:
            v1840 = a3 ^ a2;
            v1841 = a3 - 1771932573 * a4;
            v1842 = a5 + a4;
            v1843 = __ROL4__(v1840, 4);
            v1844 = v1840 - v1841;
            v1845 = v1841 ^ (959723823 * v1842);
            v1846 = v1842 ^ ((a5 ^ v1843) + v1844);
            v1847 = (a5 ^ v1843) + v1844 - 2034718520;
            v1848 = v1844 - detail::kPlayIntentKey[(std::uint8_t)v1845 + 57];
            v1849 = v1845 + v1846 - 1643757895;
            v1850 = v1847 ^ v1846;
            v1851 = v1847 - v1849 - v1848;
            v1852 = v1850 + v1849 - 739143733;
            v1853 = v1848 ^ __ROL4__(v1849, 1);
            v1854 = v1851 ^ v1850;
            v1855 = detail::kPlayIntentKey[(std::uint8_t)v1853 + 203] ^ v1851;
            v1856 = v1852 ^ v1853;
            v1857 = v1854 ^ (v1855 - 1016398060);
            v1858 = detail::kPlayIntentKey[(std::uint8_t)v1854 + 148] + v1852;
            v1859 = __ROL4__(v1856, 9);
            v1860 = v1857 + v1858 + v1856;
            v1861 = v1860 + v1855 - v1859;
            v1862 = v1857 ^ (v1855 - v1859);
            v1863 = v1858 - ((__ROL4__(v1857, 30) - 9272) ^ (v1855 - v1859 + 32689));
            v1864 = v1863 + v1861 + v1862;
            v1865 = v1862 - v1861;
            v118 = detail::kPlayIntentKey[(std::uint8_t)v1863 + 62] + v1860 + v1864;
            v1866 = v118 + v1861;
            v115 = v1864 ^ (v1865 - 199580131);
            v1867 = v1866 ^ (v118 + 65107612);
            v1868 = v1865 - detail::kPlayIntentKey[(std::uint8_t)v1866 + 71];
            if (bit_test(&v115, 0x1Au)) {
                v1869 = v115 ^ v1867;
                v1870 = __ROL4__(v1869, 25) + __ROL4__(v1868, 3) + v118;
                v1871 = v1868 - __ROL4__(v1869, 12);
                v1872 = v1869 - detail::kPlayIntentKey[(std::uint8_t)v1870 + 280];
                v1873 = v1871 ^ v1870;
                v1874 = v1871 ^ (-791615026 * v1872);
                v1875 = v1873 ^ v1872;
                v1876 = v1873 - v1874;
                v1877 = v1874 - __ROL4__(v1875, 2);
                v1878 = v1877 + v1876 + v1875;
                v1879 = v1877 ^ v1876;
                v1880 = __ROL4__(v1878, 13) + v1877 + __ROL4__(v1879, 15);
                v1881 = v1879 ^ v1878;
                v1882 = __ROL4__(v1880, 13);
                v1883 = detail::kPlayIntentKey[(std::uint8_t)v1881 + 239] + v1880;
                v1884 = v1881 + v1882 - v1879;
                v1885 = v1883 + v1881;
                v1868 = v1883 ^ (1294026275 * v1884);
                v1867 = v1884 - v1885;
                v118 = v1885;
            }
            v46 = v1867 ^ v1868;
            goto LABEL_208;
        case 0x25:
            if (bit_test((const int*)&a3, 0x18u)) {
                v1886 = a3 ^ a5;
                v1887 = a4 + a2;
                v1888 = a4 + __ROL4__(v1886, 16);
                v1889 = v1886 ^ (__ROL4__(v1887, 5) + __ROL4__(v1888, 15));
                a4 = v1888 ^ v1889;
                a2 = v1887 - __ROL4__(v1888, 18) - v1889;
                a5 = v1889 - detail::kPlayIntentKey[(std::uint8_t)a2 + 446];
            }
            if (bit_test((const int*)&a2, 0xDu)) {
                v1890 = a2 ^ a5;
                v1891 = a3 ^ __ROL4__(a4, 24);
                v1892 = a4 - v1890;
                v1893 = v1892 - v1891;
                v1894 = v1890 - v1891 - 2031052588;
                v1892 -= 2067790603;
                v1895 = v1894 ^ v1893;
                v1896 = v1894 - detail::kPlayIntentKey[(std::uint8_t)v1892 + 501];
                v1897 = v1892 - v1895;
                v1898 = v1895 - v1896;
                v1899 = v1897 ^ v1898;
                v1900 = v1896 + __ROL4__(v1897, 3);
                v1901 = v1898 - __ROR4__(v1900, 1);
                a3 = v1899 ^ (-1478732824 * v1901);
                a5 = (v1900 ^ v1899) - a3;
                a4 = v1901 - (v1900 ^ v1899);
            }
            v1902 = ((a3 >> 26) & 7) + 1;
            do {
                v1903 = a3 ^ a5;
                v1904 = a4;
                v1905 = a4 + v1903 - 1245594247;
                v1906 = a2 ^ __ROL4__(a4, 15);
                v1907 = v1903 + v1904;
                v1908 = v1906 ^ v1903;
                v1909 = v1906 - v1905;
                v1910 = v1908 + v1907 - 1245594247;
                v1911 = v1908 + 770308302 * v1909;
                v1912 = v1909 - v1910 - v1911;
                v1913 = v1911 ^ v1910;
                v1914 = v1911 - __ROL4__(v1912, 26);
                a2 = v1912 - v1913;
                a4 = v1913 ^ __ROL4__(v1914, 25);
                a5 = v1914 - a2 - a4;
                --v1902;
            } while (v1902);
            v1915 = ~(a2 >> 15) | 0xFFFFFFF8;
            do {
                v1916 = a2 ^ a5;
                v1917 = v1916 + a4;
                v1918 = a3 - v1917;
                v1919 = v1916 ^ __ROL4__(v1918, 21);
                v1920 = v1917 ^ v1918;
                v1921 = v1917 - __ROL4__(v1919, 23);
                v1922 = v1920 ^ v1919;
                v1923 = detail::kPlayIntentKey[(std::uint8_t)v1921 + 136] ^ v1920;
                v1924 = v1922 ^ v1921;
                v1925 = v1922 - v1924 - v1923;
                v1926 = v1923 - detail::kPlayIntentKey[(std::uint8_t)v1924 + 340];
                v1927 = v1924 - v1925;
                a3 = v1926 + 1064830087 * v1927;
                a5 = a3 + v1927;
                a4 = __ROL4__(v1926, 9) + v1927 - v1925;
                ++v1915;
            } while (v1915);
            v1928 = a4 ^ a5;
            v46 = a2 ^ a3;
            goto LABEL_308;
        case 0x26:
            v1929 = a2 - __ROL4__(a3, 19) - __ROL4__(a4, 2);
            v1930 = a3 - a4 + a5;
            v1931 = __ROL4__(a5, 17);
            v1932 = v1929 + v1930;
            v1933 = detail::kPlayIntentKey[(std::uint8_t)(a3 - a4) + 458] ^ v1929;
            v1934 = a3 - v1931;
            v1935 = v1932 + a4 - v1931;
            v1936 = detail::kPlayIntentKey[(std::uint8_t)v1933 + 289] ^ v1932;
            v1937 = v1934 + v1933 + 1903447071;
            v1938 = v1934 + v1933 - 125466598;
            v1939 = (v1934 + 1903447071) ^ __ROL4__(v1935, 16);
            v1940 = v1935 ^ (v1936 + v1937 - 2028913669);
            v1941 = v1938 ^ v1936;
            if (bit_test(&v1939, 0x19u)) {
                v1942 = v1939 ^ v1941;
                v1943 = v1940 + v1938;
                v1944 = v1940 ^ __ROL4__(v1942, 28);
                v1945 = v1943 ^ v1944;
                v1946 = v1942 - ((__ROL4__(v1943, 30) + 8959) ^ (v1944 - 21611));
                v1947 = v1946 ^ v1944;
                v1948 = v1946 - v1945;
                v1949 = v1945 ^ __ROL4__(v1947, 4);
                v1950 = v1947 - 2098889637 * v1948;
                v1951 = v1949 + v1948;
                v1938 = v1949 - v1950 - v1951;
                v1940 = detail::kPlayIntentKey[(std::uint8_t)v1951 + 85] + v1950;
                v1941 = v1951 ^ (v1938 - 142379307);
            }
            v1952 = v1939 - detail::kPlayIntentKey[(std::uint8_t)v1938 + 4];
            v1953 = v1938 + 999438954 * v1940;
            v1954 = v1940 - v1941;
            v1955 = v1941 ^ __ROL4__(v1952, 13);
            v1956 = v1953 + v1952;
            v1957 = v1954 ^ v1953;
            v1958 = detail::kPlayIntentKey[(std::uint8_t)v1955 + 13];
            v1959 = v1958 ^ v1954;
            v1960 = v1955 + v1956 + 502082657;
            v1961 = __ROL4__(v1959, 24) + v1956 + __ROL4__(v1957, 3);
            v1962 = v1958 ^ v1953;
            v1963 = __ROL4__(v1960, 24);
            v1964 = v1961 ^ __ROL4__(v1962, 9);
            v1965 = detail::kPlayIntentKey[(std::uint8_t)v1961 + 195] ^ v1960;
            v1966 = v1959 ^ v1963;
            v1967 = v1962 - detail::kPlayIntentKey[(std::uint8_t)v1966 + 181];
            v1968 = v1966 + 1368394764 * v1965;
            v1969 = v1965 - v1964;
            if (bit_test(&v1967, 0x1Bu)) {
                v1970 = v1967 ^ v1969;
                v1971 = v1964 ^ __ROL4__(v1968, 27);
                v1972 = v1968 - v1970;
                v1973 = v1971 + v1970;
                v1974 = detail::kPlayIntentKey[(std::uint8_t)(v1971 + v1970 + 62) + 455] ^ (v1972 - v1971);
                v1975 = v1972 + v1971 + v1970 + 864689214;
                v1976 = v1974 + v1973;
                v1977 = v1974 - v1975;
                v1978 = v1975 - (-864689214 - v1976);
                v1964 = v1977 ^ (-864689214 - v1976);
                v1968 = v1977 ^ (-1118572090 * v1978);
                v1969 = v1964 + v1978;
            }
            v273 = v1969 ^ v1968;
            v46 = v1967 ^ v1964;
            return (unsigned int)(v273 + v46);
        case 0x27:
            v1979 = ((a3 >> 22) & 7) + 1;
            do {
                v1980 = __ROR4__(a4, 1) + a2;
                v1981 = a3 ^ a5;
                v1982 = v1981 ^ __ROL4__(v1980, 30);
                v1983 = a4 - __ROL4__(v1981, 20) - __ROR4__(v1980, 1);
                a2 = v1980 - v1983;
                a4 = detail::kPlayIntentKey[(std::uint8_t)v1982 + 299] + v1983;
                a5 = v1982 - 378676096 * a2;
                --v1979;
            } while (v1979);
            if (bit_test((const int*)&a2, 0xBu)) {
                v1984 = a2 ^ a5;
                v1985 = a3 ^ (v1984 + a4);
                v1986 = a4 - 741282652 * v1984;
                a5 = detail::kPlayIntentKey[(std::uint8_t)(a3 ^ (v1984 + a4)) + 390] + v1984;
                a3 = v1985;
                a4 = v1986;
            }
            v1987 = a3 - a4;
            v1988 = a5 + a3 + a2 + 1759603112;
            v1989 = ((__ROL4__(a5, 14) + 4267) ^ (a2 + a3 + 1759617086)) + a4;
            v1990 = (__ROR4__(a3 - a4, 1) + 19203) ^ (a2 + a3 + 1759603112) ^ (v1989 + 31475);
            v1991 = v1987 - __ROL4__(v1988, 13) - __ROL4__(v1989, 1);
            v1992 = v1988 ^ v1989;
            v1993 = v1988 - v1990;
            v1994 = v1991 ^ v1990;
            v1995 = v1991 + __ROL4__(v1992, 7);
            v1996 = v1993 - __ROL4__(v1991, 15);
            v1997 = detail::kPlayIntentKey[(std::uint8_t)v1996 + 234] ^ v1992;
            v1998 = v1996 + 103839382 * v1994;
            v1999 = v1998 + v1997;
            v2000 = v1995 ^ v1994;
            v2001 = v1995 ^ __ROL4__(v1997, 5);
            v2002 = v1998 - v2000;
            v2003 = v2001 + v2000;
            v2004 = v2002 + v1999;
            v2005 = v2004 ^ v2001;
            v2006 = v2003 + v2002;
            v2007 = v2002 + v2003 - 762536120;
            v2008 = v2005 ^ v2003;
            v2009 = v2004 + v2005;
            v2010 = v2005 + v2004 - 371575495;
            v2011 = v2004 ^ v2007;
            v2012 = v2008 + v2006 - 762536120;
            v2013 = v2008 - v2010 - 2095056150;
            v2014 = v2011 + v2009 - 371575495;
            v2015 = v2012 ^ (v2011 + v2009 - 371570459);
            v2016 = v2011 ^ __ROL4__(v2012, 15);
            v2017 = (__ROL4__(v2013, 26) + 17414) ^ v2015;
            v2018 = v2013 - __ROL4__(v2014, 1);
            v2019 = v2014 - v2016;
            v2020 = v2016 + __ROL4__(v2017, 27);
            v2021 = __ROL4__(v2019, 24) + v2017 + __ROL4__(v2018, 27);
            v2022 = v2018 - v2019 - 8198727;
            v2023 = detail::kPlayIntentKey[(std::uint8_t)v2020 + 205] ^ v2019;
            v2024 = v2021 + v2020;
            v2025 = detail::kPlayIntentKey[(std::uint8_t)v2022 + 332] ^ v2021;
            v2026 = v2023 ^ v2022;
            v2027 = v2023 - __ROL4__(v2024, 10);
            v2028 = detail::kPlayIntentKey[(std::uint8_t)v2025 + 296] + v2024;
            v2029 = -748237951 * v2026;
            v2030 = v2027 + v2026;
            v2031 = v2025 + v2029 + 4321;
            v2032 = v2029 + v2025;
            v2033 = v2027 - ((__ROL4__(v2028, 30) + 11170) ^ v2031);
            v2034 = v2032 ^ __ROL4__(v2030, 19);
            v2035 = v2030 - v2033;
            v2036 = v2034 + (v2032 ^ v2028);
            v2037 = v2036 + v2033;
            v2038 = v2035 ^ v2034;
            v827 = v2035 - v2036 - v2037;
            v826 = v2037 ^ (v2036 + 1072602269);
            v273 = v2038 ^ v2036 ^ (v2038 - v826 - v827);
            goto LABEL_312;
        case 0x28:
            v2039 = a5 + detail::kPlayIntentKey[(std::uint8_t)(a2 - a3) + 432];
            v2040 = a2 - a4;
            v2041 = detail::kPlayIntentKey[(std::uint8_t)v2039 + 99] + a4 - a5;
            v2042 = a3 - a5;
            v2043 = v2039 + __ROL4__(v2040, 3) + __ROL4__(v2042, 3);
            v2044 = detail::kPlayIntentKey[(std::uint8_t)v2042 + 85] ^ v2040;
            v2045 = __ROL4__(v2044, 12);
            v2046 = v2042 ^ (__ROL4__(v2041, 21) + __ROL4__(v2043, 27));
            v2047 = v2044 - detail::kPlayIntentKey[(std::uint8_t)v2046 + 288];
            v2048 = v2043 + v2041;
            v2049 = v2046 - detail::kPlayIntentKey[(std::uint8_t)v2048 + 206];
            v2050 = v2047 + (v2043 ^ v2045);
            v2051 = v2050 + v2048;
            v2052 = detail::kPlayIntentKey[(std::uint8_t)v2049 + 170] ^ v2047;
            v2053 = v2049 + v2051 + 724412673;
            v2054 = v2051 ^ __ROL4__(v2050, 22);
            v2055 = v2050 - v2052;
            v2056 = v2055 + v2054;
            v2057 = v2055 - v2053;
            v2058 = v2052 ^ __ROL4__(v2053, 8);
            v558 = v2054 ^ (v2058 + v2057);
            v559 = v2057 ^ __ROL4__(v2058, 2);
            v2059 = ~(v2056 >> 23) | 0xFFFFFFF8;
            do {
                v2060 = v2056 ^ v559;
                v2061 = v2060 + v2058;
                v2062 = v2058 - v558;
                v2063 = v2062 ^ v2060;
                v558 = detail::kPlayIntentKey[(std::uint8_t)(v2062 ^ v2060) + 175] ^ v2061;
                v2058 = v2061 + v2062;
                v559 = v2063 ^ (v558 + v2058);
                ++v2059;
            } while (v2059);
            v2064 = ~(v2058 >> 22) | 0xFFFFFFF8;
            do {
                v2065 = v2058 ^ v559;
                v2066 = v2065 + v558;
                v2067 = v2065 ^ v558;
                v2068 = v2056 ^ v2066;
                v2056 = v2068 + __ROL4__(v2067, 21);
                v2069 = v2065 - ((__ROL4__(v2068, 27) + 14144) ^ (v2067 + 12045));
                v558 = (__ROL4__(v2069, 23) + 20096) ^ v2067 ^ (v2056 + 19801);
                v559 = v2056 + v2069;
                ++v2064;
            } while (v2064);
            if ((v2056 & 0x10) != 0) {
                v2070 = v2056 ^ v559;
                v2071 = v2070 + v558;
                v2072 = v2058 ^ (__ROL4__(v558, 6) + __ROL4__(v2070, 7));
                v2073 = detail::kPlayIntentKey[(std::uint8_t)v2072 + 155] + v2070;
                v2074 = v2071 ^ v2072;
                v2075 = detail::kPlayIntentKey[(std::uint8_t)v2073 + 334] + v2071;
                v559 = v2074 + v2073;
                v2058 = v2074;
                v558 = v2075;
            }
            v2076 = (HIBYTE(v2058) & 7) + 1;
            do {
                v2077 = v2058 ^ v559;
                v2078 = v2056 - v558 + 1256420050;
                v2079 = v2077 + v558;
                v2080 = v2077 - v2078;
                v2081 = v2080 + 991732307;
                v2082 = v2078 ^ (v2080 + v2079 + 991732307);
                v2083 = v2081 ^ v2079;
                v2084 = v2082 ^ v2081;
                v2085 = v2082 - v2083;
                v2086 = v2083 ^ __ROL4__(v2084, 20);
                v2056 = v2085 ^ v2086;
                v2087 = (v2086 - 29835) ^ v2084 ^ (__ROR4__(v2085, 1) - 23809);
                v558 = v2086 - v2087;
                v559 = v2087 - ((__ROL4__(v2056, 11) - 5613) ^ (v2086 - v2087 - 4608));
                --v2076;
            } while (v2076);
            v46 = v2058 ^ v2056;
            goto LABEL_367;
        case 0x29:
            v2088 = ((a3 >> 20) & 7) + 1;
            do {
                v2089 = a3 ^ a5;
                v2090 = a2 - __ROL4__(a4, 14);
                v2091 = a4 - detail::kPlayIntentKey[(std::uint8_t)v2089 + 442];
                v2092 = v2091 + v2090 + v2089;
                v2093 = v2090 + ((__ROL4__(v2091, 16) - 10100) ^ (v2092 + 1397));
                v2094 = v2092 + v2091;
                v2095 = v2092 ^ __ROL4__(v2093, 25);
                v2096 = v2093 - v2094;
                v2097 = v2094 + __ROL4__(v2095, 22);
                v2098 = v2095 ^ (__ROL4__(v2096, 13) + __ROL4__(v2097, 24));
                v2099 = v2097 ^ __ROL4__(v2098, 4);
                v2100 = v2099 + v2097 + v2096 + 1696257839;
                v2101 = v2100 + v2098 - detail::kPlayIntentKey[(std::uint8_t)(v2096 + v2097 + 47) + 6];
                v2102 = v2101 ^ v2099;
                a2 = v2102 ^ v2100;
                a4 = v2102 - v2101 - a2;
                a5 = v2101 - a4 - __ROL4__(a2, 17);
                --v2088;
            } while (v2088);
            v2103 = a2 ^ a3;
            v2104 = a2 ^ __ROL4__(a4, 21);
            v2105 = __ROL4__(a5, 8) + a4 + __ROL4__(v2103, 29);
            v2106 = a5 - v2103;
            v2107 = v2103 ^ (v2105 + v2104);
            v2108 = v2104 + __ROR4__(v2105, 1);
            v2109 = detail::kPlayIntentKey[(std::uint8_t)v2106 + 321] ^ v2105;
            v2110 = v2106 - v2107;
            v2111 = v2108 ^ v2107;
            v2112 = v2108 - (v2110 - 2127428034) - v2109;
            v9 = v2109 - (v2110 - 2127428034);
            v11 = __ROL4__(v2111, 10) + v2110 - 2127428034;
            v2113 = ~(v2112 >> 22) | 0xFFFFFFF8;
            do {
                v2114 = v2112 ^ v11;
                v2115 = v2111 + __ROL4__(v9, 27);
                v2116 = v2114 + v2115;
                v2117 = detail::kPlayIntentKey[(std::uint8_t)v2114 + 285] ^ v9;
                v2118 = v2117 + v2115;
                v2119 = v2117 - v2116;
                v2120 = detail::kPlayIntentKey[(std::uint8_t)v2118 + 376] + v2116;
                v2121 = detail::kPlayIntentKey[(std::uint8_t)v2119 + 362] + v2118;
                v2122 = v2121 + v2120;
                v2123 = v2119 - v2122;
                v2124 = v2123 ^ v2121;
                v2125 = v2122 - 51719032 * v2124;
                v2126 = detail::kPlayIntentKey[(std::uint8_t)v2122 + 291] + v2123;
                v2127 = v2124 - v2126 - v2125;
                v2128 = v2125 ^ v2126;
                v2129 = v2125 - (v2125 ^ v2126) - v2127;
                v2111 = v2127 - v2128;
                v2130 = __ROL4__(v2127 - v2128, 12);
                v9 = v2128 ^ (v2130 + __ROL4__(v2129, 2));
                v11 = v2129 + v2130;
                ++v2113;
            } while (v2113);
            v46 = v2112 ^ v2111;
            goto LABEL_259;
        case 0x2A:
            if (bit_test((const int*)&a3, 0x12u)) {
                v2131 = a3 ^ a5;
                v2132 = a4 + a2;
                v2133 = a4 + a2 + 1643968733;
                v2134 = v2131 ^ a4;
                v2135 = v2131 - __ROL4__(v2133, 20);
                v2136 = v2134 + v2132 + 1643968733;
                v2137 = v2134 + ((__ROL4__(v2135, 17) + 21482) ^ (v2134 + v2132 + 1643935975));
                v2138 = v2136 + v2135;
                v2139 = v2137 + v2136;
                v2140 = v2138 + v2137;
                v2141 = v2138 ^ (__ROL4__(v2139, 17) + __ROL4__(v2140, 11));
                v2142 = v2141 + v2140;
                v2143 = (v2141 + v2140) ^ v2139;
                v2144 = v2141 + v2140 - 23349657;
                v2145 = v2143 + v2141;
                v2146 = v2143 + v2142 - 23349657;
                v2147 = v2144 ^ (v2145 + v2146);
                a2 = v2147 + v2146;
                v2148 = a2 + v2145;
                a4 = v2148 + v2147;
                a5 = (__ROL4__(a2, 7) + 5619) ^ v2148 ^ (v2148 + v2147 - 30456);
            }
            v2149 = ((a2 >> 9) & 7) + 1;
            do {
                v2150 = a2 ^ a5;
                v2151 = a3 - 405918742 * a4;
                v2152 = ((__ROL4__(v2151, 12) - 7445) ^ (v2150 + a4 - 7009)) + v2150;
                v2153 = v2151 + ((__ROL4__(v2150 + a4, 11) + 24449) ^ (v2152 - 17991));
                v2154 = v2150 + a4 - v2152;
                v2155 = v2154 + v2153 - 1076101026;
                v2156 = detail::kPlayIntentKey[(std::uint8_t)(v2152 - v2153) + 107] ^ (v2154 - 1076101026);
                v2157 = v2152 - (v2155 + v2153);
                a3 = v2156 + v2155 + 994905267;
                a4 = v2156 ^ (v2157 - 1828335652);
                a5 = v2157 - a3 - 798781163;
                --v2149;
            } while (v2149);
            if (bit_test((const int*)&a3, 0x14u)) {
                v2158 = a3 ^ a5;
                v2159 = a2 - a4;
                v2160 = __ROL4__(v2158, 19);
                v2161 = v2158 - v2159;
                v2162 = v2160 + v2161 + a4 - 1703395325;
                v2163 = v2162 ^ v2159;
                v2164 = v2163 + v2161 - 1703395325;
                v2165 = v2163 - v2162;
                v2166 = v2162 ^ (v2164 + v2165);
                v2167 = v2164 - v2165;
                v2168 = v2166 + v2165;
                v2169 = detail::kPlayIntentKey[(std::uint8_t)v2167 + 112];
                v2170 = v2167 - ((__ROL4__(v2168, 27) + 31644) ^ (v2166 - v2169 + 30851));
                v2171 = detail::kPlayIntentKey[(std::uint8_t)(v2166 - v2169) + 76] ^ v2168;
                v2172 = v2171 + v2170 - 2052008369;
                v2173 = (v2166 - v2169) ^ (__ROL4__(v2170, 13) + __ROL4__(v2171, 27));
                a2 = v2171 - __ROL4__(v2173, 27);
                a4 = v2173 - detail::kPlayIntentKey[(std::uint8_t)v2172 + 198];
                a5 = a2 ^ v2172;
            }
            v1787 = a5 ^ a4;
            v46 = a3 ^ a2;
            goto LABEL_289;
        case 0x2B:
            v2174 = a2 ^ (a4 + a3);
            v2175 = a3 - a4;
            v2176 = detail::kPlayIntentKey[(std::uint8_t)a5 + 104];
            v2177 = v2174 + ((__ROL4__(v2175, 12) + 15107) ^ (v2176 + a4 + 20389));
            v2178 = v2176 + a4;
            v2179 = a5 ^ __ROL4__(v2174, 21);
            v2180 = __ROL4__(v2178, 24);
            v2181 = v2178 - v2179;
            v2182 = v2177 ^ (v2181 - 19920);
            v2183 = v2179 + __ROL4__(v2177, 22);
            v2184 = v2180 + v2175 + __ROL4__(v2179, 13);
            v2185 = __ROL4__(v2184, 15);
            v2186 = v2181 ^ (v2185 + v2183 - 448669949);
            v2187 = v2183 + v2185;
            v2188 = v2184 ^ (__ROL4__(v2181, 3) + __ROL4__(v2187, 1));
            v2189 = (__ROL4__(v2184, 24) - 32234) ^ v2182;
            v2190 = v2188 + v2186;
            v2191 = v2188 - v2186;
            v2192 = v2187 - v2189;
            v2193 = v2190 + v2189;
            v2194 = v2190 + v2187 + v2186;
            v2195 = v2192 ^ (-725989812 * v2193);
            v2196 = v2191 + v2194 - 529800172;
            v2197 = v2191 + v2194 - 529817464;
            v2198 = detail::kPlayIntentKey[(std::uint8_t)v2191 + 448] + v2193;
            v2199 = v2194 + v2191;
            v2200 = v2194 - v2195;
            v2201 = (__ROL4__(v2198, 26) + 14997) ^ v2197;
            v2202 = (__ROL4__(v2194 - v2195, 11) + 28909) ^ (v2201 + v2195 + 209);
            v2203 = v2199 + v2202 - 529800172;
            v2204 = v2198 + v2202;
            v2205 = v2198 - v2196;
            v2206 = v2195 + v2201 - v2205;
            v2207 = v2200 ^ (__ROL4__(v2195 + v2201, 14) + __ROL4__(v2205, 23));
            v2208 = v2203 - v2207;
            v2209 = v2207 + v2204;
            v2210 = v2207 - detail::kPlayIntentKey[(std::uint8_t)v2206 + 265];
            v2211 = v2206 ^ (v2207 + v2204 + 178624350);
            if ((v2208 & 1) != 0) {
                v2212 = v2208 ^ v2211;
                v2213 = v2212 + v2210;
                v2214 = v2212 + v2209;
                v2215 = v2214 ^ v2212;
                v2216 = v2215 + v2214;
                v2210 = v2213 ^ v2215;
                v2211 = -v2214;
                v2209 = v2216;
            }
            v2217 = v2208 - v2209;
            v2218 = v2209 - __ROL4__(v2210, 8);
            v604 = v2210 - 488759613 * v2211;
            v605 = v2211 + __ROL4__(v2217, 7);
            v2219 = ~(v2218 >> 2) | 0xFFFFFFF8;
            do {
                v2220 = v2218 ^ v605;
                v2221 = v2217 + (v2218 ^ v605);
                v2222 = v2217 - v604;
                v2223 = (__ROL4__(v2220, 11) + 22343) ^ (v2222 + 31741);
                v2217 = v2222 - (v2223 + v604);
                v604 += v2223 + __ROL4__(v2223 + v2221, 14);
                v605 = (v2223 + v2221) ^ (__ROL4__(v2217, 3) + __ROL4__(v604, 5));
                ++v2219;
            } while (v2219);
            v2224 = ~(v2217 >> 1) | 0xFFFFFFF8;
            do {
                v2225 = v2217 ^ v605;
                v2226 = v2218 ^ (__ROL4__(v604, 6) + __ROL4__(v2225, 1));
                v2227 = v604 - v2225;
                v2228 = v2226 - v2227;
                v2229 = v2227 - v2225 - __ROL4__(v2226, 6);
                v2230 = v2228 + 888851812 * v2229;
                v2231 = v2226 ^ (v2230 + v2226 + v2229);
                v2218 = v2230 - (v2226 + v2229);
                v604 = v2226 + v2229 + __ROL4__(v2231, 18);
                v605 = v2231 - v2218;
                ++v2224;
            } while (v2224);
            v46 = v2217 ^ v2218;
            goto LABEL_324;
        case 0x2C:
            v2232 = a2 - a3;
            v2233 = a5 ^ v2232;
            v2234 = a3 ^ (1073538249 * a4);
            v2235 = a4 ^ (__ROL4__(a5, 25) + __ROL4__(v2232, 9));
            v2236 = v2234 ^ v2235;
            v2237 = v2232 ^ (__ROL4__(v2234, 10) + __ROL4__(v2235, 1));
            v2238 = v2235 - __ROR4__(a5 ^ v2232, 1);
            v2239 = __ROL4__(v2236, 19);
            v2240 = v2236 - v2238;
            v2241 = v2237 + v2239 + v2240 + __ROL4__(v2238, 17);
            v2242 = v2233 - detail::kPlayIntentKey[(std::uint8_t)v2237 + 298];
            v2243 = v2238 - v2242;
            v2244 = v2241 + v2242;
            v2245 = detail::kPlayIntentKey[(std::uint8_t)v2243 + 234] + v2240;
            v2246 = v2243 - detail::kPlayIntentKey[(std::uint8_t)v2244 + 212];
            v2247 = v2241 ^ v2244;
            v2248 = v2245 ^ v2241;
            v2249 = v2245 - ((__ROL4__(v2246, 13) - 19872) ^ (v2247 - 13767));
            v2250 = v2246 - (v2247 + v2248);
            v2251 = v2247 + ((__ROL4__(v2248, 8) - 15588) ^ (v2249 - 6041));
            v2252 = v2248 - v2249;
            v2253 = detail::kPlayIntentKey[(std::uint8_t)v2250 + 508] + v2249;
            v2254 = v2252 + v2250 + v2251;
            v2255 = v2251 - v2252;
            v2256 = v2253 ^ (v2254 - 1777316819);
            v2257 = v2252 - detail::kPlayIntentKey[(std::uint8_t)v2253 + 472];
            v2258 = v2255 ^ v2254;
            v2259 = v2255 - detail::kPlayIntentKey[(std::uint8_t)v2257 + 303];
            v2260 = v2256 + v2257;
            v2261 = v2256 ^ (-1599647964 * v2258);
            v2262 = v2258 - v2259;
            v2263 = v2259 + __ROL4__(v2260, 30);
            v2264 = v2261 ^ v2260;
            v2265 = v2262 ^ v2261;
            v11 = v2263 + __ROL4__(v2264, 15) + __ROL4__(v2265, 20);
            v9 = v2262 - __ROL4__(v2263, 26);
            v2266 = ((v2265 >> 18) & 7) + 1;
            do {
                v2267 = v2265 ^ v11;
                v2268 = v2267 + v9 + v2264;
                v2269 = v9 - v2267;
                v2270 = v2268 ^ v2267;
                v2271 = v2268 ^ (v2269 - 1828335652);
                v2272 = v2269 - detail::kPlayIntentKey[(std::uint8_t)v2270 + 51] - 413625389;
                v2273 = v2270 - v2271;
                v2274 = v2271 - v2272;
                v2275 = v2273 - v2272 + ((__ROL4__(v2274, 12) + 17610) ^ (v2273 - 26256));
                v2276 = v2274 - __ROL4__(v2273, 29);
                v2277 = v2273 ^ (__ROL4__(v2275, 18) + __ROL4__(v2276, 16));
                v2278 = v2275 - v2276;
                v2279 = v2277 + v2276;
                v2280 = v2278 + v2277;
                v2281 = v2279 + v2278 + 1672865452;
                v2264 = v2279 ^ (v2281 + v2280);
                v9 = v2280 - v2281 + 155470200;
                v11 = v2264 + v2279 + v2278 + 1672865452;
                --v2266;
            } while (v2266);
            v46 = v2265 ^ v2264;
LABEL_259:
            v273 = v9 ^ v11;
            return (unsigned int)(v273 + v46);
        case 0x2D:
            v2282 = (HIWORD(a3) & 7) + 1;
            do {
                v2283 = a3 ^ a5;
                v2284 = a4 ^ a2;
                v2285 = v2283 + a4;
                v2286 = v2283 - __ROL4__(v2284, 5);
                a4 = (v2283 + a4) ^ (v2286 - 1030254688);
                a2 = v2284 - __ROL4__(v2285, 22);
                a5 = v2286 - a2;
                --v2282;
            } while (v2282);
            if (bit_test((const int*)&a2, 0x1Cu)) {
                v2287 = a2 ^ a5;
                v2288 = v2287 + a3;
                v2289 = a3 - a4;
                v2290 = v2289 + v2287 + 581556114;
                v2291 = v2288 + v2289 + v2289 + v2287 + 581556114;
                v2292 = v2290 ^ v2288;
                v2293 = v2290 - detail::kPlayIntentKey[(std::uint8_t)v2291 + 349];
                v2294 = v2293 + v2291 - v2292;
                v2295 = v2291 + v2293;
                v2296 = v2295 ^ (v2291 - v2292);
                v2297 = v2295 - detail::kPlayIntentKey[(std::uint8_t)v2294 + 5];
                v2298 = detail::kPlayIntentKey[(std::uint8_t)v2296 + 394] + v2294;
                v2299 = detail::kPlayIntentKey[(std::uint8_t)v2297 + 379] ^ v2296;
                v2300 = v2298 + v2297;
                v2301 = v2299 ^ v2298;
                a3 = v2299 - v2300;
                a4 = detail::kPlayIntentKey[(std::uint8_t)v2301 + 470] + v2300;
                a5 = a3 + v2301;
            }
            v2302 = ((a3 >> 19) & 7) + 1;
            do {
                v2303 = a3 ^ a5;
                v2304 = a4 ^ a2;
                v2305 = a4 - detail::kPlayIntentKey[(std::uint8_t)v2303 + 313];
                v2306 = v2303 ^ (-1111145586 * v2304);
                v2307 = v2304 + 720119425 * v2305;
                v2308 = v2306 + v2305;
                v2309 = 2075162519 * v2307 + v2306;
                v2310 = v2307 + ((__ROL4__(v2308, 13) - 25374) ^ (v2309 + 1141));
                v2311 = __ROL4__(v2310, 12) + v2308 + __ROL4__(v2309, 24);
                a2 = v2311 + v2310;
                v2312 = v2309 - __ROL4__(v2310, 2);
                a4 = v2311 - __ROL4__(v2312, 30);
                a5 = __ROL4__(a4, 14) + v2312 + __ROL4__(v2311 + v2310, 19);
                --v2302;
            } while (v2302);
            if (bit_test((const int*)&a2, 0x1Eu)) {
                v2313 = a2 ^ a5;
                v2314 = a3 - detail::kPlayIntentKey[(std::uint8_t)a4 + 151];
                v2315 = v2313 + a4;
                v2316 = v2314 ^ v2313;
                v2317 = v2314 - v2315;
                v2318 = v2315 + ((__ROL4__(v2316, 17) - 23612) ^ (v2317 + 4409));
                v2319 = v2316 ^ (__ROL4__(v2317, 19) + __ROL4__(v2318, 14));
                v2320 = v2317 - ((__ROL4__(v2318, 13) - 17661) ^ (v2319 + 12165));
                v2321 = __ROL4__(v2320, 13) + v2318 + __ROL4__(v2319, 15);
                v2322 = v2321 + v2320;
                v2323 = v2321 + v2320 + 579502909;
                v2324 = v2321 + v2320 + v2319 - __ROL4__(v2320, 25);
                v2325 = (v2321 ^ v2324) - v2324;
                a3 = (v2323 - (v2321 ^ v2324)) ^ (v2325 + v2321 + v2320 + 579502909);
                a5 = v2323 ^ __ROL4__((v2323 - (v2321 ^ v2324)) ^ (v2325 + v2322 + 579502909), 18);
                a4 = (a3 - 7797) ^ v2325 ^ (__ROL4__(v2323, 26) - 12228);
            }
            v1787 = a5 ^ a4;
            v46 = a2 ^ a3;
            goto LABEL_289;
        case 0x2E:
            v2326 = a2 ^ (-216231688 * a3);
            v2327 = a3 ^ (a5 + a4);
            v2328 = a5 ^ a4;
            v2329 = v2326 ^ v2327;
            v2330 = detail::kPlayIntentKey[(std::uint8_t)v2326 + 187] ^ a5;
            v2331 = v2328 ^ v2327;
            v2332 = v2328 - __ROL4__(v2330, 27);
            v2333 = v2330 - detail::kPlayIntentKey[(std::uint8_t)v2329 + 391];
            v2334 = v2329 - v2331;
            v2335 = v2332 ^ __ROL4__(v2333, 5);
            v2336 = v2332 ^ v2331;
            v2337 = v2336 ^ (-1883550077 * v2335);
            v2338 = v2333 - __ROL4__(v2334, 26) - __ROL4__(v2336, 2);
            v2339 = v2334 - __ROL4__(v2336, 12);
            v2340 = v2338 ^ v2335;
            v2341 = v2339 + __ROL4__(v2337, 26);
            v2342 = v2338 - __ROL4__(v2339, 3);
            v2343 = v2337 - 848106318 * v2340;
            v2344 = v2340 - __ROL4__(v2341, 21) - __ROL4__(v2342, 2);
            v2345 = v2341 ^ v2342;
            v2346 = v2343 ^ v2341;
            v2347 = v2343 ^ v2342;
            v2348 = v2343 - detail::kPlayIntentKey[(std::uint8_t)v2344 + 138];
            v2349 = v2344 - (v2346 + v2345);
            v2350 = v2348 ^ v2346;
            v2351 = v2348 - 784099394 * v2349;
            v2352 = v2347 + v2349;
            v2353 = v2350 ^ v2347;
            v2354 = v2351 ^ v2350;
            v2355 = v2352 ^ v2351;
            v2356 = v2352 + ((__ROL4__(v2353, 18) - 8324) ^ (v2354 - 2717));
            v2357 = v2353 - v2354;
            if (bit_test(&v2355, 0x11u)) {
                v3185 = v2355 ^ v2357;
                v3186 = 421492838 * v2356;
                v3187 = v3185 ^ v2356;
                v3188 = v3185 - v3187 + v3186 - v2354;
                v3189 = v3187 - v3188;
                v3190 = v3188 ^ (v3189 + v3185);
                v3191 = v3189 ^ v3185;
                v3192 = v3191 + v3190 - 28630418;
                v3193 = v3189 - detail::kPlayIntentKey[(std::uint8_t)v3190 + 494];
                v2354 = v3191 ^ (__ROL4__(v3193, 2) + __ROL4__(v3192, 1));
                v2358 = (std::uint8_t)v2354;
                v2356 = v3193 + __ROL4__(v3192, 12);
                v2357 = detail::kPlayIntentKey[(std::uint8_t)v2354 + 311] + v3192;
            } else {
                v2358 = (std::uint8_t)v2354;
            }
            v272 = detail::kPlayIntentKey[v2358 + 105] + v2355;
            v270 = v2354 ^ __ROL4__(v2356, 23);
            v3194 = v2356 - __ROL4__(v2357, 11) - __ROL4__(v272, 14);
            v3195 = v2357 ^ __ROL4__(v272, 21);
            if (bit_test(&v270, 0xAu)) {
                v3196 = v270 ^ v3195;
                v3197 = v272 - __ROL4__(v3194, 3);
                v3198 = __ROL4__(v3197, 7) + v3194 + __ROL4__(v3196, 24);
                v3199 = v3196 - v3197;
                v272 = v3197 - v3199 - v3198;
                v3200 = v3198 - detail::kPlayIntentKey[(std::uint8_t)v3199 + 303];
                v3195 = (v272 + 823512452) ^ v3199;
                v3194 = v3200;
            }
            v273 = v3195 ^ v3194;
LABEL_372:
            v46 = v270 ^ v272;
            return (unsigned int)(v273 + v46);
        case 0x2F:
            v2359 = ((a3 >> 14) & 7) + 1;
            do {
                v2360 = a3 ^ a5;
                v2361 = a2 ^ __ROL4__(a4, 5);
                v2362 = a4 - v2360 - v2361;
                v2363 = v2360 ^ (v2361 + 1583982046);
                v2364 = v2362 ^ v2361;
                v2365 = v2362 - detail::kPlayIntentKey[(std::uint8_t)v2363 + 359];
                v2366 = v2363 - v2364 - v2365;
                v2367 = v2364 - v2365 - v2366;
                v2368 = v2366 ^ v2365;
                v2369 = v2366 - detail::kPlayIntentKey[(std::uint8_t)v2367 + 176];
                a4 = v2368 ^ __ROL4__(v2369, 15);
                a2 = v2367 - __ROL4__(v2369, 21) - __ROL4__(v2368, 5);
                a5 = v2369 - __ROL4__(a4, 23) - __ROL4__(a2, 4);
                --v2359;
            } while (v2359);
            if (bit_test((const int*)&a2, 0xEu)) {
                v2370 = a2 ^ a5;
                v2371 = v2370 + a4;
                v2372 = a3 - v2371;
                v2373 = detail::kPlayIntentKey[(std::uint8_t)v2372 + 491] ^ v2370;
                a3 = v2371 ^ v2372;
                a4 = v2371 - __ROL4__(v2373, 12);
                a5 = (a4 + 30123) ^ v2373 ^ (__ROL4__(a3, 12) + 4661);
            }
            v2374 = a4 + a3;
            v2375 = v2374 ^ a2;
            v2376 = a5 + a4;
            v2377 = a5 ^ (__ROL4__(v2375, 26) + __ROL4__(v2374, 29));
            v2378 = v2376 + v2374;
            v2379 = v2374 + 785392583 * v2376;
            v2380 = v2379 + v2376 + v2374;
            v2381 = v2376 - v2377;
            v2382 = v2377 ^ (1050145861 * (v2375 - v2378));
            v2383 = v2375 - v2380 - 206436157;
            v2384 = v2381 + v2379;
            v2385 = v2381 - detail::kPlayIntentKey[(std::uint8_t)v2382 + 335];
            v2386 = v2383 ^ v2382;
            v2387 = v2384 ^ (v2385 - 1357211752);
            v2388 = v2383 - __ROL4__(v2384, 14);
            v2389 = v2386 ^ (v2388 + 1178320539);
            v2390 = v2385 - __ROL4__(v2386, 13);
            v2391 = detail::kPlayIntentKey[(std::uint8_t)v2387 + 15] + v2388;
            v2392 = v2390 ^ v2389;
            v2393 = v2387 - __ROL4__(v2390, 26);
            v2394 = v2389 - v2391;
            v2395 = ~(v2393 >> 28) | 0xFFFFFFF8;
            do {
                v2396 = v2393 ^ v2394;
                v2397 = v2391 - v2392;
                v2398 = v2392 - __ROL4__(v2396, 10);
                v2399 = v2396 - detail::kPlayIntentKey[(std::uint8_t)v2397 + 335];
                v2400 = v2397 - detail::kPlayIntentKey[(std::uint8_t)v2398 + 83];
                v2401 = __ROL4__(v2400, 3) + v2398 + __ROL4__(v2399, 21);
                v2402 = v2400 ^ v2399;
                v2403 = v2401 ^ v2400;
                v2404 = v2403 + v2402 + v2401;
                v2405 = v2402 + v2404;
                v2406 = v2402 - v2403;
                v2407 = v2406 ^ v2404;
                v2408 = v2406 - detail::kPlayIntentKey[(std::uint8_t)v2405 + 341];
                v2409 = v2405 - v2407;
                v2410 = v2408 + v2405;
                v2411 = v2408 - v2409;
                v2391 = v2410 ^ v2409;
                v2392 = v2410 - __ROR4__(v2411, 1);
                v2394 = __ROL4__(v2392, 13) + v2411 + __ROL4__(v2391, 20);
                ++v2395;
            } while (v2395);
            v46 = v2393 ^ v2391;
            v273 = v2392 ^ v2394;
            return (unsigned int)(v273 + v46);
        case 0x30:
            v2412 = a3 + a2;
            v2413 = a3 + a2 + 727491560;
            v2414 = detail::kPlayIntentKey[(std::uint8_t)a4 + 18] ^ a3;
            v2415 = a4 - (a5 + v2412);
            v2416 = v2415 - 727491560;
            v2417 = a5 + 59211071 * v2413;
            v2418 = v2414 ^ v2413;
            v2419 = v2414 + v2415 - 727491560;
            v2420 = v2417 + 1049448119 * v2418;
            v2421 = detail::kPlayIntentKey[(std::uint8_t)v2417 + 201] ^ v2416;
            v2422 = v2419 ^ v2418;
            v2423 = v2419 - 853324015 * v2421;
            v2424 = v2421 - __ROL4__(v2422, 19) - __ROL4__(v2420, 10);
            v2425 = __ROL4__(v2424, 11) + v2422 + __ROL4__(v2423, 27);
            v2426 = v2425 + (v2420 ^ __ROL4__(v2422, 20));
            v2427 = v2424 ^ v2426;
            v2428 = __ROL4__(v2423 ^ v2424, 28);
            v2429 = __ROL4__(v2427, 26);
            v2430 = v2426 ^ v2423;
            v2431 = v2427 - __ROL4__(v2426, 28);
            v2432 = v2430 + v2425 - v2428 - v2429;
            v2433 = detail::kPlayIntentKey[(std::uint8_t)v2431 + 306] + v2430;
            v2434 = v2431 - v2426;
            v2435 = v2432 ^ (v2426 - v2432);
            v2436 = v2433 + v2432;
            v2437 = v2435 + v2434;
            v2438 = detail::kPlayIntentKey[(std::uint8_t)v2436 + 291] ^ v2435;
            v2439 = v2436 - __ROL4__(v2437, 15) - __ROL4__(v2433 ^ v2437, 13);
            v2440 = (__ROL4__(v2438, 3) - 22357) ^ v2437 ^ (v2439 + 5712);
            v2441 = v2439 ^ (__ROL4__(v2433, 2) + 9536);
            v2442 = __ROL4__(v2439, 5);
            v604 = v2440 + v2433;
            v2443 = v2440 + v2433 + 21194;
            v2444 = v2438 - __ROL4__(v2433, 21) - v2442;
            v605 = (v2440 - 5270) ^ v2441;
            v2445 = v2440 ^ __ROL4__(v2444, 14);
            v2446 = (__ROL4__(v605, 25) - 12123) ^ v2444 ^ v2443;
            if ((v604 & 0x8000u) != 0) {
                v2447 = v604 ^ v2446;
                v2448 = v2445 ^ v605;
                v2449 = v2445 - __ROL4__(v2448, 17) - __ROL4__(v2447, 8);
                v2450 = v2447 - v2448;
                v2451 = v2450 ^ (v2449 + v2448);
                v2452 = (v2449 + v2448 + 20479) ^ v2449 ^ (__ROL4__(v2450, 29) - 19391);
                v2453 = v2452 + v2451 + v2449 + v2448;
                v2454 = v2452 - v2451;
                v2455 = v2453 + v2451;
                v2456 = v2454 ^ v2453;
                v2457 = v2454 - v2456 - v2455;
                v2458 = v2456 ^ v2455;
                v605 = v2456 - v2457;
                v2445 = v2457 - v2458;
                v2446 = __ROL4__(v2456 - v2457, 7) + v2458 + __ROL4__(v2457 - v2458, 27);
            }
            goto LABEL_323;
        case 0x31:
            v2459 = ((a3 >> 12) & 7) + 1;
            do {
                v2460 = a3 ^ a5;
                v2461 = v2460 + a4;
                v2462 = detail::kPlayIntentKey[(std::uint8_t)a4 + 244] + a2;
                v2463 = v2462 + v2460;
                v2464 = v2462 ^ (v2463 + v2461);
                v2465 = v2461 - 814447081 * v2463;
                v2466 = v2464 ^ v2463;
                v2467 = v2465 + v2464;
                v2468 = v2466 + v2465;
                v2469 = detail::kPlayIntentKey[(std::uint8_t)v2467 + 416] ^ v2466;
                a2 = (v2469 ^ v2468) + v2468 + v2469 + v2467 - __ROL4__(v2468, 30);
                a4 = v2468 - v2469;
                a5 = v2469 - __ROL4__(a2, 19);
                --v2459;
            } while (v2459);
            v2470 = ~(a2 >> 11) | 0xFFFFFFF8;
            do {
                v2471 = a4 ^ a3;
                v2472 = a4 - (a2 ^ a5);
                v2473 = v2471 + a4;
                a3 = (__ROL4__(v2472, 3) + 194) ^ v2471 ^ (v2471 + a4 - 32426);
                a5 = v2473 + __ROL4__(a3, 24);
                a4 = v2472 ^ (__ROL4__(v2473, 15) + __ROL4__(a3, 13));
                ++v2470;
            } while (v2470);
            v2474 = ((a3 >> 14) & 7) + 1;
            do {
                v2475 = a3 ^ a5;
                v2476 = a4 ^ a2;
                v2477 = __ROL4__(v2475, 20) + a4;
                v2478 = v2476 + v2475;
                a2 = v2476 - v2477;
                a4 = v2477 - v2478;
                a5 = detail::kPlayIntentKey[(std::uint8_t)a2 + 224] + v2478;
                --v2474;
            } while (v2474);
            v2479 = ((std::uint16_t)a2 >> 13) + 1;
            do {
                v2480 = a3 ^ __ROL4__(a4, 15);
                v2481 = (a2 ^ a5) + v2480 - 1938491631;
                a3 = (a4 ^ ((a2 ^ a5) + v2480)) + v2480 - 1547531005;
                a4 ^= v2481 ^ ((a2 ^ a5) + v2480);
                a5 = v2481 - a4 - a3;
                --v2479;
            } while (v2479);
            v2482 = a2 - detail::kPlayIntentKey[(std::uint8_t)a3 + 221];
            v2483 = detail::kPlayIntentKey[(std::uint8_t)(v2481 - a4 - a3) + 245] ^ a4;
            v2484 = a5 ^ __ROL4__(v2482, 14);
            v2485 = v2481 ^ v2482;
            v2486 = v2484 + v2483;
            v2487 = v2481 ^ __ROR4__(v2483, 1);
            v2488 = v2485 ^ v2484;
            v2489 = v2485 - __ROL4__(v2486, 20) - __ROL4__(v2487, 8);
            v2490 = v2486 ^ v2487;
            v2491 = v2488 + v2486;
            v2492 = v2488 ^ (__ROL4__(v2489, 17) + __ROL4__(v2490, 29));
            v2493 = v2489 + 1391403750 * v2490;
            v2494 = v2490 - v2491 - v2492;
            v46 = v2492 ^ v2491 ^ (v2492 - detail::kPlayIntentKey[(std::uint8_t)v2493 + 363]);
            v1787 = v2493 ^ v2494;
LABEL_289:
            v273 = v1787;
            return (unsigned int)(v273 + v46);
        case 0x32:
            v2495 = detail::kPlayIntentKey[(std::uint8_t)a3 + 66] ^ a2;
            v2496 = __ROL4__(a4, 1);
            v2497 = a4 + __ROL4__(a5, 25);
            v2498 = a3 + ((v2496 - 328) ^ (a5 + 30710));
            v2499 = a5 + ((__ROL4__(v2495, 5) - 31916) ^ (v2498 + 15955));
            v2500 = __ROL4__(v2499, 17);
            v2501 = detail::kPlayIntentKey[(std::uint8_t)(-124 * (a3 + ((v2496 - 72) ^ (a5 - 10))) + v2495) + 19] + v2499;
            v2502 = detail::kPlayIntentKey[(std::uint8_t)(v2497 + ((v2500 - 83) ^ (v2495 - 124 * (a3 + ((v2496 - 72) ^ (a5 - 10))) + 70))) + 4] + v2497 +
                    v2498;
            v2503 =
                detail::kPlayIntentKey[(std::uint8_t)(-124 * (a3 + ((v2496 - 72) ^ (a5 - 10))) + v2495 - (v2497 + a3 + ((v2496 - 72) ^ (a5 - 10)))) + 266];
            v2504 = v2502 ^ (1043643268 * v2498 + v2495 - (v2497 + v2498));
            v2505 = v2502 - ((__ROL4__(v2497 + ((v2500 + 18605) ^ (v2495 + 1043643268 * v2498 - 6330)) - v2501, 16) - 15565) ^ (v2503 + v2501 + 24181));
            v2506 = (v2503 + v2501) ^ (v2497 + ((v2500 + 18605) ^ (v2495 + 1043643268 * v2498 - 6330)) - v2501);
            v2507 = v2504 ^ (v2503 + v2501);
            if (bit_test((const int*)&v2505, 0xCu)) {
                v2508 = v2505 ^ v2507;
                v2509 = (v2508 + 14400) ^ v2504 ^ (v2506 - 4129);
                v2510 = v2506 + __ROL4__(v2508, 25);
                v2511 = v2508 - v2509;
                v2506 = v2510 ^ v2511;
                v2512 = v2509 - __ROL4__(v2510, 1) - __ROL4__(v2511, 18);
                v2507 = v2511 - v2512;
                v2504 = v2512;
            }
            v2513 = ((v2504 >> 26) & 7) + 1;
            do {
                v2514 = v2504 ^ v2507;
                v2515 = v2505 ^ __ROL4__(v2506, 5);
                v2516 = v2506 - v2514;
                v2517 = v2514 ^ (v2516 + v2515);
                v2518 = (v2517 + v2516) ^ v2515;
                v2519 = v2517 + v2516 + 1027828795;
                v2520 = -1027828795 - (v2517 + v2516);
                v2521 = -1027828795 - v2516 - v2518;
                v2522 = v2518 + v2520;
                v2523 = (__ROL4__(v2521, 18) - 11507) ^ v2519 ^ (v2522 - v2521 - 23996);
                v2505 = v2522 - v2521 - __ROL4__(v2522, 15) - __ROL4__(v2523, 5);
                v2506 = v2522 ^ v2523;
                v2507 = detail::kPlayIntentKey[(std::uint8_t)v2505 + 186] ^ v2522;
                --v2513;
            } while (v2513);
            v2524 = ~(v2505 >> 25) | 0xFFFFFFF8;
            do {
                v2525 = v2505 ^ v2507;
                v2526 = detail::kPlayIntentKey[(std::uint8_t)v2506 + 493] ^ v2504;
                v2527 = v2525 + v2506;
                v2528 = detail::kPlayIntentKey[(std::uint8_t)v2526 + 107] ^ v2525;
                v2529 = v2528 + v2527 + 563968578;
                v2530 = v2528 ^ (v2528 + v2527 + 563970332);
                v2531 = v2526 ^ (__ROL4__(v2528, 20) + v2527 + 563968578);
                v2532 = (__ROL4__(v2531, 12) + 25103) ^ v2530;
                v2533 = v2529 ^ v2532;
                v2534 = v2531 - __ROL4__(v2529, 9);
                v2535 = v2534 ^ v2532;
                v2504 = v2533 + v2534;
                v2507 = v2535 + v2533 + v2534 - 1103349812;
                v2506 = detail::kPlayIntentKey[(std::uint8_t)v2535 + 375] ^ v2533;
                ++v2524;
            } while (v2524);
            v2536 = v2504 + v2505;
            v2537 = v2504 ^ (__ROL4__(v2506, 27) + __ROL4__(v2507, 21));
            v2538 = v2536 ^ v2537;
            v2539 = v2507 + __ROL4__(v2536, 27);
            v2540 = v2507 + v2506 - v2539;
            v2541 = v2538 + v2539;
            v2542 = v2537 - __ROL4__(v2507 + v2506, 4) + v2540 + 3899129;
            v2543 = v2542 ^ v2538;
            v2544 = detail::kPlayIntentKey[(std::uint8_t)v2541 + 463];
            v2545 = v2543 + v2541 - 281153456;
            v2546 = v2543 + v2541;
            v2547 = v2543 - __ROL4__(v2542, 14);
            v2548 = v2540 + 3899129 - v2544 + v2545 + v2542;
            v2549 = v2540 + 3899129 - (v2544 + v2546 - 281153456);
            v2550 = v2547 + v2545;
            v2551 = v2548 ^ v2547;
            v46 = (v2551 + v2549 + v2550 + 2109489108) ^ v2551 ^ v2550;
            v273 = v2551 ^ (v2548 - __ROL4__(v2549 + 2109489108, 26));
            return (unsigned int)(v273 + v46);
        case 0x33:
            v2552 = a2 ^ (a4 + a3);
            v2553 = a3 - 1562209411 * a4;
            v2554 = a5 + a4;
            v2555 = a5 - __ROL4__(v2552, 27);
            v2556 = v2552 + v2553 + v2554;
            v2557 = __ROL4__(v2555, 15) + v2553 + __ROL4__(v2554, 29);
            v2558 = v2556 + v2557 + 1147596627;
            v2559 = v2554 - __ROL4__(v2555, 7);
            v2560 = v2555 + __ROL4__(v2556, 23);
            v2561 = v2557 ^ __ROL4__(v2559, 8);
            v2562 = v2558 + v2560 + v2559;
            v2563 = v2558 ^ (v2561 + v2562);
            v2564 = v2562 ^ v2561;
            v2565 = detail::kPlayIntentKey[(std::uint8_t)(v2560 - v2558) + 52] ^ v2562;
            v2566 = v2560 - v2558 + v2563;
            v2567 = v2564 ^ v2563;
            v2568 = v2564 - (v2566 + 1924644488) - v2565;
            v2569 = v2565 - 59300199 * (v2566 + 1924644488);
            v2570 = v2567 + v2566 + 1924644488;
            v2571 = v2569 - 1504010701 * v2570;
            v2572 = v2568 ^ v2567;
            v2573 = v2568 ^ __ROL4__(v2569, 30);
            v2574 = v2572 ^ v2570;
            v2575 = v2572 - 1113050076 * v2573;
            v2576 = v2571 ^ v2573;
            v2577 = v2574 + v2571;
            v2578 = v2575 + v2574;
            v2579 = __ROL4__(v2576, 26);
            v2580 = v2576 - v2577;
            v2581 = v2579 + v2575 + __ROL4__(v2577, 18);
            v2582 = v2578 ^ (v2581 - 1270937660);
            v2583 = v2581 ^ __ROL4__(v2580, 2);
            v2584 = v2582 + v2577 - detail::kPlayIntentKey[(std::uint8_t)v2578 + 367];
            v2585 = v2584 ^ v2580;
            v559 = v2583 ^ (v2585 + v2584);
            v2586 = v2582 ^ __ROL4__(v2583, 15);
            v558 = v2585 - v2584;
            v2587 = v559 + v2586;
            v2588 = v2584 + __ROL4__(v2586, 11);
            if (bit_test(&v558, 0x18u)) {
                v2589 = v558 ^ v2587;
                v2590 = v559 + v2588 + 1999673960;
                v2591 = v2588 + v559;
                v2592 = v2589 ^ v2588;
                v2593 = v2592 + v2591 + 1999673960;
                v2594 = v2592 + v2589 - v2590;
                v2595 = v2589 + v2592;
                v2596 = v2594 ^ v2593;
                v2597 = v2594 ^ __ROL4__(v2595, 21);
                v2598 = v2595 - __ROL4__(v2596, 10) - __ROL4__(v2597, 13);
                v559 = (v2598 - 18168) ^ v2596 ^ (__ROL4__(v2597, 27) + 3298);
                v2587 = v2598 + __ROL4__(v559, 16);
                v2588 = v2597 ^ (__ROL4__(v2598, 6) + __ROL4__(v559, 13));
            }
            v46 = v2587 ^ v2588;
LABEL_367:
            v273 = v558 ^ v559;
            return (unsigned int)(v273 + v46);
        case 0x34:
            v2599 = a2 - a3;
            v2600 = a3 + __ROL4__(a4, 9);
            v2601 = a4 - a5;
            v2602 = a5 - v2599;
            v2603 = v2599 ^ (__ROL4__(v2600, 15) + __ROL4__(v2601, 3));
            v2604 = v2601 ^ v2600;
            v2605 = v2601 - __ROL4__(v2602, 4);
            v2606 = v2602 - ((__ROL4__(v2603, 15) + 13446) ^ (v2604 - 12373));
            v2607 = v2603 - v2604;
            v2608 = detail::kPlayIntentKey[(std::uint8_t)v2605 + 90] + v2604;
            v2607 += 1199370704;
            v2609 = v2605 - v2606;
            v2610 = v2607 ^ v2608;
            v2611 = detail::kPlayIntentKey[(std::uint8_t)v2607 + 350] + v2606;
            v2612 = v2608 - v2609;
            v2613 = (std::uint8_t)v2611;
            v1449 = v2611 - v2610;
            v1448 = v2609 - detail::kPlayIntentKey[v2613 + 314];
            if (bit_test((const int*)&v2612, 0x16u)) {
                v2614 = v2612 ^ v1449;
                v2615 = v1448 ^ v2610;
                v2616 = v1448 - ((__ROL4__(v2614, 19) + 6178) ^ (v2615 - 13088));
                v2617 = v2616 + v2615 + v2614;
                v2618 = detail::kPlayIntentKey[(std::uint8_t)v2617 + 97];
                v2619 = v2615 + v2618 + 1663230921;
                v2620 = v2616 + v2618 - 10107;
                v2621 = v2616 + v2618;
                v2622 = detail::kPlayIntentKey[(std::uint8_t)v2621 + 61] + v2615 + 1663230921 - v2616;
                v2623 = v2622 + (v2617 ^ v2619);
                v2624 = (__ROL4__(v2622 + (v2621 ^ v2623), 11) + 18004) ^ v2623 ^ v2620;
                v2625 = v2624 + v2621;
                v2626 = (v2624 - 21090) ^ (v2622 + (v2621 ^ v2623)) ^ (__ROL4__(v2621, 10) - 15639);
                v2610 = v2626 ^ __ROL4__(v2625, 8);
                v2627 = v2624 + __ROR4__(v2626, 1);
                v1448 = detail::kPlayIntentKey[(std::uint8_t)v2627 + 181] ^ v2625;
                v1449 = v2610 + v2627 + 687163658;
            }
            if (bit_test(&v2610, 0x15u)) {
                v2628 = v2610 ^ v1449;
                v2629 = detail::kPlayIntentKey[(std::uint8_t)v1448 + 61] + v2612;
                v2630 = v1448 + v2628 - 1035871086;
                v2631 = v2628 + v1448;
                v2632 = v2629 ^ v2628;
                v2612 = v2629 - v2630 - 1430760558;
                v1448 = v2632 + v2631 - 1035871086;
                v1449 = v2632 + __ROL4__(v2612, 17);
            }
            v2633 = (HIBYTE(v2612) & 7) + 1;
            do {
                v2634 = detail::kPlayIntentKey[(std::uint8_t)v1448 + 372] + v2610;
                v2635 = v2634 + (v2612 ^ v1449);
                v2636 = v2635 ^ v1448;
                v2637 = v2636 ^ v2634;
                v2638 = v2635 + v2636;
                v2639 = v2638 + v2637;
                v2640 = v2635 + v2638;
                v2641 = v2635 - v2637;
                v2642 = detail::kPlayIntentKey[v2639 + 417] ^ v2637;
                v2643 = v2642 - __ROR4__(v2640, 1);
                v2644 = v2641 + __ROL4__(v2642, 22);
                v2645 = v2644 ^ (v2643 + 585572988);
                v2646 = v2643 + detail::kPlayIntentKey[(std::uint8_t)v2644 + 508] + v2640;
                v2647 = v2645 + v2643;
                v2648 = v2645 ^ (v2646 - v2647);
                v1448 = v2648 - v2647;
                v2610 = v2648 - v2647 + v2646;
                v1449 = v2610 + v2648;
                --v2633;
            } while (v2633);
            v46 = v2612 ^ v2610;
LABEL_307:
            v1928 = v1448 ^ v1449;
LABEL_308:
            v273 = v1928;
            return (unsigned int)(v273 + v46);
        case 0x35:
            v2649 = ((a3 >> 8) & 7) + 1;
            do {
                v2650 = a3 ^ a5;
                v2651 = a2 + __ROL4__(a4, 10) + __ROL4__(v2650, 27);
                v2652 = a4 - v2650;
                v2653 = v2651 + __ROL4__(v2652, 19);
                v2654 = v2650 - __ROL4__(v2651, 10);
                v2655 = __ROL4__(v2654, 19) + v2652 + __ROL4__(v2653, 24);
                v2656 = v2653 + v2654;
                v2657 = v2653 ^ (v2655 + v2656);
                v2658 = v2655 - v2656;
                v2659 = v2656 ^ (-2004465217 * v2657);
                a2 = v2658 + v2657 - 1808275577;
                a4 = v2659 + v2658;
                a5 = detail::kPlayIntentKey[(std::uint8_t)a2 + 135] ^ v2659;
                --v2649;
            } while (v2649);
            v2660 = a2 + a3;
            v2661 = a2 - 1624690995 * a4;
            v2662 = a5 ^ a4;
            v2663 = a5 - v2660 - v2661;
            v2664 = v2660 + 2 * v2661;
            v2665 = v2661 - v2662;
            v2666 = v2662 - v2663;
            v2667 = v2664 ^ v2663;
            v2668 = (__ROL4__(v2667, 3) - 9228) ^ (v2664 - 22693);
            v2669 = v2666 + v2668 - 5191;
            v2670 = v2666 + v2668;
            v2671 = v2665 ^ (v2667 + v2666);
            v2672 = v2671 ^ (__ROL4__(v2670, 23) + __ROL4__(v2667 - v2664, 22));
            v2673 = (__ROL4__(v2671, 21) + 4684) ^ v2669;
            v2674 = v2673 + v2664;
            v2675 = (v2673 + v2664 + 2535) ^ v2670 ^ (__ROL4__(v2667 - v2664, 15) + 8967);
            v2676 = v2667 + v2673;
            v2677 = v2674 - ((__ROL4__(v2672, 23) - 6786) ^ (v2675 - 23019));
            v2678 = v2672 - __ROL4__(v2676, 9) - __ROL4__(v2675, 3);
            v2679 = v2675 - v2676;
            v2680 = v2676 + ((__ROL4__(v2677, 10) + 21897) ^ (v2678 + 20594));
            v2681 = v2679 + v2678;
            v2682 = v2681 ^ v2677;
            v2683 = v2679 ^ (v2682 + v2680);
            v2684 = v2680 + 837607317 * v2682;
            v2685 = v2681 ^ (v2683 + v2684);
            v2686 = v2682 + __ROL4__(v2681, 19);
            v2687 = v2683 - v2684;
            v2688 = v2687 - 1734325235;
            v2689 = v2685 + __ROL4__(v2687 - 1734325235, 18);
            v2690 = v2686 + ((__ROL4__(v2685, 7) - 16496) ^ (v2687 - 1734348643));
            v2691 = detail::kPlayIntentKey[(std::uint8_t)v2686 + 29] + v2684;
            v2692 = __ROL4__(v2691, 27);
            v2693 = v2688 - v2691;
            v2694 = v2692 + v2689 + 3057;
            v2695 = v2692 + v2689;
            v2696 = v2690 ^ (v2692 + v2689 + v2693);
            v2697 = v2691 + ((__ROL4__(v2690, 30) + 27381) ^ v2694);
            v2698 = v2693 + __ROL4__(v2697, 8);
            v2699 = v2695 ^ (__ROL4__(v2693, 30) + __ROL4__(v2697, 14));
            v2700 = (v2699 + 28284) ^ v2697 ^ (__ROL4__(v2696, 10) - 19959);
            v2701 = v2696 - v2699;
            v2702 = __ROL4__(v2698, 4);
            v2703 = detail::kPlayIntentKey[(std::uint8_t)v2700 + 296] + v2698;
            v826 = v2699 - (v2703 + v2702) - 457967471;
            v2704 = v2700 - v2701;
            v827 = detail::kPlayIntentKey[(std::uint8_t)(v2699 - v2702) + 282] + v2701;
            v273 = v2703 ^ (v2704 - 67006845) ^ (v2704 + v827 - 1563310900);
LABEL_312:
            v46 = v827 ^ v826;
            return (unsigned int)(v273 + v46);
        case 0x36:
            if ((a3 & 0x40) != 0) {
                v2705 = a3 ^ a5;
                v2706 = detail::kPlayIntentKey[(std::uint8_t)a4 + 142] + a2;
                v2707 = a4 - v2705 - v2706;
                v2708 = v2706 ^ v2705;
                v2709 = v2707 ^ v2706;
                v2710 = v2707 - detail::kPlayIntentKey[(std::uint8_t)v2708 + 233];
                v2711 = v2708 - v2709;
                v2712 = v2709 + 1769464179 * v2710;
                v2713 = v2711 ^ v2710;
                v2714 = v2713 + v2712;
                v2715 = v2711 - v2714;
                v2716 = v2713 - 961920744 * v2715;
                a5 = v2715 - v2714;
                a2 = v2714;
                a4 = v2716;
            }
            v2717 = ((a2 >> 19) & 7) + 1;
            do {
                v2718 = a2 ^ a5;
                v2719 = a3 + __ROL4__(a4, 23) + __ROL4__(v2718, 18);
                v2720 = a4 - v2718;
                v2721 = v2719 + v2718;
                v2722 = v2720 ^ v2719;
                v2723 = v2720 - v2722;
                v2724 = v2721 - v2722;
                v2725 = v2722 + v2721 - v2723;
                v2726 = v2723 - v2722;
                v2727 = v2724 - 1589215043 * v2725;
                v2728 = v2727 + __ROL4__(v2725 - v2726, 5);
                v2729 = v2725 - v2727;
                v2730 = (__ROL4__(v2728, 24) + 23772) ^ (v2726 - v2727) ^ (v2729 + 8362);
                v2731 = v2728 - v2729;
                a3 = detail::kPlayIntentKey[(std::uint8_t)v2730 + 503] + v2729;
                a4 = v2730 - v2731 + 1888934324;
                a5 = v2731 - a3;
                --v2717;
            } while (v2717);
            v2732 = a2 ^ (-1870989313 * a3);
            v2733 = a3 - a4;
            v2734 = a5 + v2732 + a4;
            v2735 = v2732 ^ a5;
            v2736 = detail::kPlayIntentKey[(std::uint8_t)v2733 + 200] + v2732;
            v2737 = v2733 ^ (__ROR4__(v2734, 1) + __ROL4__(v2735, 16));
            v2738 = v2735 ^ v2734;
            v2739 = __ROL4__(v2736, 20);
            v2740 = v2736 - v2737;
            v2741 = v2737 + ((__ROL4__(v2738, 20) + 32257) ^ (v2735 - v2739 - 32336));
            v2742 = v2738 - (v2735 - v2739);
            v2743 = v2735 - v2739 - v2740;
            v2744 = v2741 + __ROL4__(v2742, 17);
            v2745 = v2740 ^ (__ROL4__(v2741, 7) + __ROL4__(v2742, 3));
            v2746 = v2742 - v2743;
            v2747 = v2743 - detail::kPlayIntentKey[(std::uint8_t)v2745 + 138];
            v2748 = v2745 ^ (-555051763 * v2744);
            v604 = __ROL4__(v2748, 16) + v2746 + __ROL4__(v2747, 17);
            v46 = v2748 ^ v2746 ^ v2744;
            v605 = v2747 - __ROL4__(v2748, 27);
            goto LABEL_324;
        case 0x37:
            v2749 = a2 - __ROL4__(a3, 3);
            v2750 = v2749 + a5;
            v2751 = a4 ^ (v2749 + a5);
            v2752 = v2751 + a5 + a3 + a4;
            v2753 = v2752 + v2749;
            v2754 = v2750 ^ v2753;
            v2755 = v2751 - detail::kPlayIntentKey[(std::uint8_t)v2750 + 74];
            v2756 = v2755 + v2752 + v2753;
            v2757 = v2752 - 1000797678 * v2755;
            v2758 = v2754 + v2755;
            v2759 = v2754 ^ __ROL4__(v2756, 3);
            v2760 = v2758 ^ (-562850231 * v2759);
            v2761 = v2757 - __ROL4__(v2758, 20);
            v2762 = v2761 + v2760;
            v2763 = __ROL4__(v2761, 21);
            v2764 = v2763 + v2759;
            v2765 = v2764 ^ v2760;
            v2766 = v2762 + v2764;
            v2767 = (std::uint8_t)v2762;
            v2768 = v2765 ^ v2766;
            v2769 = v2762 - __ROL4__(v2765, 6);
            LODWORD(v2767) = v2763 + v2756 - detail::kPlayIntentKey[v2767 + 333] - v2757 + v2769;
            v2770 = v2766 - v2767;
            v2771 = detail::kPlayIntentKey[(std::uint8_t)v2768 + 262] ^ v2769;
            v2772 = v2768 - ((__ROL4__(v2770, 18) + 31734) ^ (v2767 + 30801));
            v2773 = v2767 ^ v2770;
            LODWORD(v2767) = v2767 - v2771 - v2772;
            v2774 = v2771 ^ (-200243675 * v2772);
            v2775 = v2772 - v2773;
            v2776 = v2767 ^ __ROL4__(v2774, 19);
            LODWORD(v2767) = detail::kPlayIntentKey[(std::uint8_t)v2767 + 466];
            v2777 = v2773 + v2767;
            v2778 = v2774 ^ (v2767 + v2772);
            v2779 = v2775 ^ (v2773 + v2767 + 469938609);
            v2780 = v2777 - detail::kPlayIntentKey[(std::uint8_t)v2776 + 475];
            v2781 = v2776 - (v2778 + v2779);
            v2782 = v2779 ^ v2778;
            v2783 = v2780 ^ v2779;
            v2784 = v2780 - v2782 - v2781;
            v2785 = v2781 - v2782;
            v2786 = v2782 - __ROL4__(v2783, 11);
            LODWORD(v2767) = v2784 + v2783 + __ROL4__(v2785, 14);
            v2787 = v2784 + __ROL4__(v2785, 6);
            v2788 = v2786 ^ v2785;
            v2789 = v2767 ^ v2786;
            v604 = v2767 - detail::kPlayIntentKey[(std::uint8_t)v2787 + 439];
            v2790 = v2788 ^ v2787;
            v2791 = v2788 - __ROL4__(v2789, 19);
            v46 = (v604 + 1222763091 * v2790) ^ (detail::kPlayIntentKey[(std::uint8_t)v2791 + 471] + v2790);
            v605 = v2789 ^ v2791;
            goto LABEL_324;
        case 0x38:
            v2792 = a3 + a2;
            v2793 = a3 + a2 + 824072784;
            v2794 = a4 ^ a3;
            v2795 = a5 + v2792 + 824072784;
            v2796 = detail::kPlayIntentKey[(std::uint8_t)v2794 + 280] + v2793;
            v2797 = v2794 - a4;
            v2798 = (a4 - v2795) ^ __ROL4__(v2795, 16);
            v2799 = v2795 - ((__ROL4__(v2796, 19) - 10958) ^ (v2797 - 14379));
            v2800 = v2797 ^ v2796;
            v2801 = v2798 + __ROL4__(v2800, 21);
            v2802 = v2797 + ((__ROL4__(v2798, 4) + 3978) ^ (v2799 + 3123));
            v2803 = __ROL4__(v2799, 15) + v2801;
            v2804 = v2799 - __ROL4__(v2800, 25);
            v2805 = ~(v2802 >> 18) | 0xFFFFFFF8;
            do {
                v2806 = v2802 ^ v2804;
                v2807 = v2803 + v2800;
                v2808 = v2803 ^ __ROL4__(v2806, 13);
                v2809 = v2807 ^ (771601491 * v2808);
                v2810 = v2808 + -380575329 * v2807 - v2806;
                v2811 = v2809 + v2808;
                v2812 = v2810 ^ v2809;
                v2813 = v2811 ^ (v2812 - 1762029006);
                v2814 = v2810 - __ROL4__(v2811, 9);
                v2800 = v2812 - v2814;
                v2815 = detail::kPlayIntentKey[(std::uint8_t)(v2811 ^ (v2812 + 50)) + 169];
                v2803 = v2815 + v2814;
                v2804 = v2815 + v2812 + v2813;
                ++v2805;
            } while (v2805);
            v2816 = v2802 - v2800;
            v2817 = v2800 ^ (1398895790 * v2803);
            v2818 = v2803 - 820400488 * v2804;
            v2819 = v2816 ^ v2804;
            v2820 = v2817 ^ v2818;
            v2821 = v2816 - detail::kPlayIntentKey[(std::uint8_t)v2817 + 439];
            v2822 = v2821 + v2819 + v2818;
            v2823 = v2819 - v2821;
            v2824 = v2822 + v2820 + v2821;
            v2825 = v2820 - v2822;
            v2826 = v2823 ^ v2822;
            v2827 = v2823 - v2825 - v2824;
            v2828 = v2824 - v2825;
            v2829 = v2825 - detail::kPlayIntentKey[(std::uint8_t)v2826 + 481];
            v2830 = v2827 + v2828 + v2826;
            v2831 = v2828 ^ v2827;
            v2832 = v2828 - v2829;
            v2833 = v2830 ^ v2829;
            v2834 = v2831 + 438774040 * v2832;
            v2835 = v2832 + v2831;
            v2446 = v2833 - 634963680 * (v2830 - v2835);
            v2445 = detail::kPlayIntentKey[(std::uint8_t)v2833 + 139] + v2832;
            v604 = v2830 - (v2835 + v2834) + 140182386;
            v605 = v2834 + __ROL4__(v2445, 3);
            v2836 = ((v2446 >> 20) & 7) + 1;
            do {
                v2837 = v2446 ^ v605;
                v2838 = v604 ^ v2837;
                v2839 = v2445 + __ROL4__(v604, 10) + __ROL4__(v2837, 21);
                v2840 = v2837 - __ROL4__(v2839, 10);
                v2841 = v2838 ^ v2839;
                v2842 = detail::kPlayIntentKey[(std::uint8_t)v2840 + 28] ^ v2838;
                v2843 = v2841 + v2840;
                v2844 = v2842 + 1451893742 * v2843;
                v2845 = v2841 - detail::kPlayIntentKey[(std::uint8_t)v2842 + 445];
                v2846 = v2843 - v2845;
                v604 = v2844 + 1734348827 * v2846;
                v2445 = detail::kPlayIntentKey[(std::uint8_t)v2844 + 137] ^ v2845;
                v605 = v2846 - v2445;
                --v2836;
            } while (v2836);
LABEL_323:
            v46 = v2446 ^ v2445;
LABEL_324:
            v273 = v604 ^ v605;
            break;
        case 0x39:
            if ((a3 & 0x10) != 0) {
                v2847 = a3 ^ a5;
                v2848 = detail::kPlayIntentKey[(std::uint8_t)a4 + 305] ^ a2;
                v2849 = v2847 + a4;
                v2850 = v2848 + v2847 + 2031023741;
                v2851 = v2848 + v2847;
                a2 = v2848 - v2849;
                a4 = v2849 ^ v2850;
                a5 = v2851 - a2;
            }
            v2852 = ((a2 >> 3) & 7) + 1;
            do {
                v2853 = a2 ^ a5;
                v2854 = v2853 + a4;
                v2855 = a3 - __ROL4__(a4, 21);
                v2856 = __ROL4__(v2855, 14);
                v2857 = v2856 + v2853 - 31748;
                v2858 = v2856 + v2853;
                a4 = v2854 ^ (-948006005 * (v2856 + v2853));
                a3 = v2855 - ((__ROL4__(v2854, 9) + 27268) ^ v2857);
                a5 = a3 ^ v2858;
                --v2852;
            } while (v2852);
            v2859 = a3 ^ a2;
            v2860 = a3 ^ __ROL4__(a4, 26);
            v2861 = a4 - __ROL4__(v2859, 16) - __ROL4__(a5, 15);
            v2862 = a5 ^ (v2860 + v2859);
            v2863 = v2859 - v2860 - v2861;
            v2864 = v2860 + v2861 + 279619356;
            v2865 = v2861 - detail::kPlayIntentKey[(std::uint8_t)v2862 + 285];
            v2866 = v2862 - v2863;
            v2867 = v2863 - detail::kPlayIntentKey[(std::uint8_t)v2864 + 270];
            v2868 = v2866 - v2864;
            v2869 = v2864 - v2868 - v2865;
            v2870 = v2865 ^ (v2868 - 192537029);
            v2871 = v2868 - detail::kPlayIntentKey[(std::uint8_t)v2867 + 101];
            v2872 = (__ROL4__(v2869, 24) - 13030) ^ v2867 ^ (v2870 + 3827);
            v2873 = v2871 ^ v2872;
            v2874 = v2869 - __ROL4__(v2870, 26) - __ROL4__(v2871, 4);
            v2875 = v2874 - 673840614 * (v2870 ^ v2871);
            v2876 = v2872 - ((__ROL4__(v2874, 4) + 5165) ^ ((v2870 ^ v2871) + 29055));
            v2877 = v2873 - 938528357 * v2876;
            v2878 = (v2870 ^ v2871) + __ROL4__(v2873, 16);
            v2879 = v2875 + v2876;
            v2880 = v2875 - v2878;
            v1015 = v2877 + v2879 + v2878;
            v1017 = v2877 - v2879;
            v2881 = ~(v2880 >> 5) | 0xFFFFFFF8;
            do {
                v2882 = v2880 ^ v1017;
                v2883 = v1015 ^ v2879;
                v2884 = v1015 - v2883 - v2882;
                v2885 = v2883 + v2882;
                v2886 = __ROL4__(v2883 + v2882 + 906913655, 20);
                v2887 = v2884 ^ v2883;
                v2888 = v2884 + v2886;
                v2889 = v2887 + v2885 + 906913655;
                v2890 = v2887 - v2888;
                v2891 = v2889 ^ v2888;
                v2892 = v2890 ^ v2889;
                v2893 = v2890;
                v2879 = v2891 + v2890;
                v1015 = v2891 + ((__ROR4__(v2892, 1) - 22738) ^ (v2893 + v2891 - 10732));
                v1017 = v2892 - v2879;
                ++v2881;
            } while (v2881);
            v46 = v2880 ^ v2879;
LABEL_332:
            v273 = v1015 ^ v1017;
            break;
        case 0x3A:
            if (bit_test((const int*)&a3, 0x17u)) {
                v2894 = a3 ^ a5;
                v2895 = v2894 + a2 - a4;
                v2896 = a2 + v2894;
                v2897 = v2896 + a2 - a4 + v2895;
                a2 = v2896 + a2 - a4;
                a4 = v2896 - v2897;
                a5 = v2897;
            }
            v2898 = a2 ^ a4;
            v2899 = a3 - ((__ROL4__(a2, 15) - 20640) ^ (a4 - 18427));
            v2900 = a4 - __ROL4__(a5, 27);
            v2901 = __ROL4__(v2899, 13) + a5 + __ROL4__(v2898, 9);
            v2902 = v2901 + v2900;
            v2903 = v2898 + v2899;
            v2904 = v2898 ^ __ROL4__(v2900, 23);
            v2905 = v2903 + v2901;
            v2906 = v2903 - v2904 - __ROL4__(v2902, 27);
            v2907 = (v2906 + v2905 + v2902 + 15079) ^ v2906 ^ (__ROL4__(v2904 - v2902, 6) + 21921);
            v2908 = v2904 + v2906 + v2905;
            v2909 = (__ROL4__(v2905 + 61614941 * v2906, 5) + 28899) ^ (v2906 + v2905 + v2902) ^ (v2907 + 25382);
            v2910 = 61614941 * v2906 - (v2904 + v2906) - v2907;
            v2911 = v2908 ^ (v2909 + 779308137);
            v2912 = v2907 - detail::kPlayIntentKey[(std::uint8_t)v2908 + 20];
            v2913 = v2910 + v2909;
            v2914 = v2911 + v2912;
            v2915 = v2913 + v2911;
            v2916 = v2914 + (detail::kPlayIntentKey[(std::uint8_t)v2912 + 126] ^ v2910);
            v2917 = v2916 ^ v2913;
            v2918 = v2915 ^ (v2917 - 421667680);
            v2919 = detail::kPlayIntentKey[(std::uint8_t)v2915 + 75] ^ v2914;
            v2920 = v2917 - v2916;
            v2921 = v2918 + v2919;
            v2922 = __ROL4__(v2919, 3);
            v2923 = v2916 - v2922;
            v2924 = (__ROL4__(v2920, 23) + 14543) ^ v2918 ^ (v2923 - 23317);
            v2925 = v2917 - v2922;
            v2926 = v2921 ^ (444644427 * v2924);
            v2927 = v2923 ^ __ROL4__(v2921, 3);
            v2928 = v2924 - __ROL4__(v2925, 20);
            v2929 = (v2927 + 7820) ^ (v2926 + 20649);
            v2930 = __ROL4__(v2928, 22);
            v2931 = v2930 + v2927;
            v2932 = v2926 + v2930;
            v2933 = v2925 - v2929;
            v2934 = v2931 + __ROL4__(v2926, 2);
            v2935 = v2928 - v2933 - v2934;
            v2936 = v2934 - 2088986070;
            v362 = v2934 - detail::kPlayIntentKey[(std::uint8_t)v2932 + 217];
            v359 = v2933 ^ v2936;
            v2937 = ~(v2935 >> 17) | 0xFFFFFFF8;
            do {
                v2938 = v2935 ^ v362;
                v2939 = v359 ^ v2932;
                v2940 = v359 - __ROL4__(v2938, 6);
                v2941 = v2940 + v2939 + v2938;
                v2942 = v2939 + 1349193053 * v2940;
                v2943 = v2941 ^ v2940;
                v2944 = v2941 - ((__ROL4__(v2942, 18) - 13360) ^ (v2943 + 2432));
                v2945 = v2943 ^ (1071938725 * v2944);
                v2946 = v2942 - __ROL4__(v2943, 17);
                v2947 = v2944 - v2946;
                v2948 = v2946 - v2947 - v2945;
                v2949 = v2947 ^ (v2948 + 1742121009);
                v2950 = v2945 - detail::kPlayIntentKey[(std::uint8_t)v2947 + 476];
                v2951 = v2950 + v2949 + v2948;
                v2952 = v2950 - v2949;
                v2953 = v2949 - __ROL4__(v2951, 16);
                v2932 = v2952 ^ v2951;
                v359 = v2952 - detail::kPlayIntentKey[(std::uint8_t)v2953 + 472];
                v362 = v2953 - (__ROL4__(v2952 ^ v2951, 25) + __ROL4__(v359, 9));
                ++v2937;
            } while (v2937);
            v46 = v2935 ^ v2932;
LABEL_338:
            v273 = v359 ^ v362;
            break;
        case 0x3B:
            v2954 = a3 ^ a2;
            v2955 = a3 ^ __ROL4__(a4, 10);
            v2956 = a4 + ((__ROL4__(a5, 8) - 8233) ^ (v2954 - 2767));
            v2957 = a5 - v2954;
            v2958 = v2955 + v2954;
            v2959 = v2955 - v2956;
            v2960 = detail::kPlayIntentKey[(std::uint8_t)v2957 + 406] + v2956;
            v2961 = v2957 - v2958 - v2959;
            if ((v2959 & 2) != 0) {
                v2962 = v2959 ^ v2961;
                v2963 = v2960 ^ v2958;
                v2964 = v2963 + v2962;
                v2965 = v2960 - __ROL4__(v2962, 28) - __ROL4__(v2963, 28);
                v2966 = v2965 + v2963;
                v2967 = v2964 + v2965;
                v2968 = detail::kPlayIntentKey[(std::uint8_t)v2966 + 461] + v2964;
                v2969 = v2966 - v2967 - v2968;
                v2970 = v2967 + 173386098 * v2968;
                v2971 = v2969 ^ v2968;
                v2972 = v2969 - v2970;
                v2973 = v2971 + 1390261811 * v2972;
                v2974 = detail::kPlayIntentKey[(std::uint8_t)v2971 + 376] + v2970;
                v2975 = v2972 ^ (v2974 - 1194072171);
                v2976 = v2973 ^ v2974;
                v2958 = v2975 + __ROL4__(v2973 ^ v2974, 5);
                v2977 = v2973 - __ROL4__(v2975, 24);
                v2960 = v2976 - v2977;
                v2961 = v2958 ^ v2977;
            }
            v2978 = v2959 + __ROL4__(v2958, 28);
            v2979 = v2958 - v2960;
            v2980 = v2961 + v2978;
            v2981 = detail::kPlayIntentKey[(std::uint8_t)v2978 + 388] ^ v2961;
            v2982 = v2960 ^ v2980;
            v2983 = v2979 ^ v2978;
            v2984 = v2982 + 800680396 * v2981;
            v2985 = detail::kPlayIntentKey[(std::uint8_t)v2982 + 373] ^ v2979;
            v2986 = v2981 - v2983;
            v2987 = v2983 - v2985 - v2984;
            v2988 = v2984 ^ v2985;
            v2989 = v2984 - v2986;
            v2990 = detail::kPlayIntentKey[(std::uint8_t)v2987 + 443];
            v2991 = v2990 + v2986;
            v2992 = v2988 ^ v2987;
            v2993 = v2991 ^ v2992;
            v2994 = v2988 - (v2990 + v2984);
            v2995 = v2989 - __ROL4__(v2991, 4) - __ROL4__(v2992, 28);
            v2996 = v2994 ^ v2992;
            v2997 = v2994 - __ROL4__(v2995, 27);
            v2998 = (__ROL4__(v2993, 15) + 15436) ^ v2995 ^ (v2996 + 30545);
            v2999 = v2993 - v2996;
            v3000 = v2998 ^ __ROL4__(v2999, 22);
            v3001 = v2996 - ((v2997 + 30372) ^ (v2998 - 17490));
            v3002 = v2997 - __ROL4__(v2999, 14) - __ROL4__(v2998, 12);
            v3003 = v2999 - detail::kPlayIntentKey[(std::uint8_t)v3001 + 346];
            v3004 = v3001 ^ (v3002 - 1659148510);
            v3005 = v3004 ^ (v3002 - v3000);
            v273 = (v3000 - v3003 - 681547260) ^ v3003 ^ v3004;
            v46 = v3005;
            break;
        case 0x3C:
            v3006 = a4 + a3;
            v3007 = (__ROL4__(a3, 22) - 6358) ^ a2 ^ (a4 - 14999);
            v3008 = a4 - a5;
            v3009 = v3007 + a5;
            v3010 = v3007;
            v3011 = v3006 ^ (a4 + v3007);
            v3012 = v3008 + __ROL4__(v3009, 12);
            v3013 = v3010 - __ROL4__(v3006, 13);
            v3014 = v3011 + v3013 + 1646100118;
            v3015 = detail::kPlayIntentKey[(std::uint8_t)v3013 + 206] ^ v3009;
            v3016 = v3012 ^ (v3015 + v3011 + v3013 + 1646100118);
            v3017 = detail::kPlayIntentKey[(std::uint8_t)v3012 + 192] ^ v3011;
            v3018 = v3015 + v3014 + 977819629;
            v3019 = v3017 ^ v3014;
            v3020 = 2121451599 * v3016 + v3017;
            v3021 = v3018 ^ (v3020 + 12856);
            v3022 = v3016 ^ __ROL4__(v3018, 25);
            v3023 = v3019 + v3020;
            v3024 = v3020 + __ROL4__(v3022, 8);
            v3025 = v3019 + v3020 + ((__ROL4__(v3019, 4) - 6468) ^ v3021);
            v3026 = v3025 ^ v3022;
            if (bit_test(&v3024, 0xDu)) {
                v3027 = v3024 ^ v3025;
                v3028 = v3026 + v3023;
                v3029 = v3026 ^ (v3028 + v3027);
                v3030 = v3027 + 446770715 * v3028;
                v3031 = v3028 + 55810090 * v3029;
                v3032 = v3030 + v3029;
                v3025 = v3030 ^ (v3032 + v3031);
                v3023 = v3031;
                v3026 = v3032;
            }
            v3033 = detail::kPlayIntentKey[(std::uint8_t)v3023 + 433] ^ v3024;
            v3034 = -571484209 * v3026;
            v3035 = v3025 ^ v3026;
            v3036 = detail::kPlayIntentKey[(std::uint8_t)v3033 + 305] ^ v3025;
            v3037 = v3023 + v3034;
            v3038 = ~(v3037 >> 15) | 0xFFFFFFF8;
            do {
                v3039 = v3037 ^ v3036;
                v3040 = __ROL4__(v3035, 19) + v3033;
                v3041 = v3035 - v3039;
                v3042 = __ROL4__(v3040, 14) + v3039;
                v3033 = v3040 - __ROL4__(v3041, 22);
                v3035 = v3041 - ((__ROL4__(v3042, 1) + 19073) ^ (v3033 + 21581));
                v3036 = v3033 ^ v3042;
                ++v3038;
            } while (v3038);
            v3043 = __ROL4__(v3033, 16);
            v3044 = __ROL4__(v3035, 8);
            v3045 = v3033 - v3035;
            v3046 = v3036 + v3035;
            v3047 = v3045 + v3037 - v3043 - v3044;
            v3048 = v3047 ^ v3036;
            v3049 = v3045 ^ (v3048 + v3046);
            v3050 = v3048 ^ v3046;
            v3051 = v3047 ^ v3049;
            v3052 = v3048 - v3047 - v3049;
            v3053 = v3050 + v3049;
            v3054 = v3051 + v3052;
            v3055 = v3051 ^ __ROL4__(v3053, 3);
            v3056 = v3053 - __ROL4__(v3054, 30) - __ROL4__(v3050 ^ v3054, 26);
            v3057 = v3054 - __ROL4__(v3055, 27);
            v3058 = v3056 - 1946023014 * v3050;
            v3059 = v3055 - ((__ROL4__(v3056, 4) + 25607) ^ (v3050 + 686));
            v1717 = v3059 ^ (117687362 * v3058);
            v3060 = v3057 + v3050;
            v3061 = v3057 + __ROL4__(v3059, 4);
            v1718 = v3058 - v3060;
            v273 = (v3060 - v3061) ^ v3061 ^ (v1717 - 392770961);
LABEL_347:
            v46 = v1717 ^ v1718;
            break;
        case 0x3D:
            v3062 = ((a3 >> 10) & 7) + 1;
            do {
                v3063 = a3 ^ a5;
                v3064 = v3063 + a4;
                v3065 = v3063 + a4 + 30889;
                v3066 = a2 + __ROL4__(a4, 12);
                v3067 = v3066 ^ __ROL4__(v3064, 24);
                v3068 = (__ROL4__(v3066, 5) - 4072) ^ v3065;
                v3069 = detail::kPlayIntentKey[(std::uint8_t)(v3063 - v3068) + 454] ^ v3064;
                v3070 = v3063 - (v3067 + v3068);
                v3071 = v3069 - (v3070 + 2085487313) + (v3067 ^ (v3069 + v3070 + 2085487313)) + 1037129708;
                v3072 = detail::kPlayIntentKey[(std::uint8_t)(v3067 ^ (v3069 + v3070 - 47)) + 33];
                v3073 = v3072 + v3069;
                v3074 = v3071 ^ (v3072 + v3070 + 2085487313);
                a2 = v3071 - v3073;
                a4 = v3074 + v3073;
                a5 = (__ROL4__(a2, 13) + 8337) ^ v3074 ^ (v3074 + v3073 + 18684);
                --v3062;
            } while (v3062);
            v3075 = a2 + a3;
            v3076 = a2 - a4;
            v3077 = a5 + a2 - a4 + v3075;
            v3078 = v3075 + __ROL4__(a2 - a4, 18);
            v3079 = a2 + v3075;
            v3080 = v3079 ^ v3076;
            v3081 = v3077 ^ (v3078 + v3080);
            v3082 = v3080 ^ v3078;
            v3083 = v3080 + __ROL4__(v3079, 29);
            v3084 = v3079 + ((__ROL4__(v3081, 9) + 16822) ^ (v3082 - 22014));
            v3085 = v3081 - v3082;
            v3086 = v3082 ^ (v3084 + v3083);
            v3087 = v3083 + 1615001084 * v3084;
            v3088 = v3084 ^ __ROL4__(v3085, 6);
            v3089 = v3086 + v3087 + v3088;
            v3090 = detail::kPlayIntentKey[(std::uint8_t)v3088 + 307] + v3087;
            v3091 = v3089 + v3085 - __ROL4__(v3083 + 1615001084 * v3084, 25) - __ROL4__(v3086, 27);
            v3092 = v3091 ^ v3088;
            v3093 = v3089 - v3092 - v3090;
            v3094 = v3090 ^ __ROL4__(v3092, 17);
            v3095 = v3092 - v3091 - v3093;
            v3096 = v3091 ^ (v3093 + 1813026984);
            v3097 = v3094 ^ (v3096 + v3095);
            v3098 = v3093 + __ROL4__(v3094, 24);
            v3099 = v3095 + 52918066 * v3096;
            v3100 = v3096 ^ (-1971541690 * v3098);
            v512 = v3097 + v3099 + v3098;
            v3101 = 1775417586 * v3099;
            v510 = 1775417586 * v3099 + v3097;
            v739 = v3099 - v3100;
            v740 = v3100 + ((__ROL4__(v512, 3) - 12105) ^ (v3101 + v3097 + 3735));
            if ((v510 & 8) != 0) {
                v3102 = v510 ^ v740;
                v3103 = v3102 + v512;
                v3104 = v512 - v739;
                v3105 = v3102 + 953221230 * v3104;
                v512 = v3104 - 757097126 * v3103;
                v739 = v3103 - v3105;
                v740 = detail::kPlayIntentKey[(std::uint8_t)v512 + 160] + v3105;
            }
LABEL_352:
            v273 = v740 ^ v739;
LABEL_353:
            v46 = v510 ^ v512;
            break;
        case 0x3E:
            v3106 = a2 - ((__ROL4__(a3, 5) + 18480) ^ (a4 - 7249));
            v3107 = a3 + __ROL4__(a4, 17) + __ROL4__(a5, 26);
            v3108 = a4 - a5;
            v3109 = (__ROL4__(v3106, 29) - 2155) ^ (v3107 + 19215);
            v3110 = v3106 - v3107;
            v3111 = v3108 + v3107;
            v3112 = v3110 + a5 + 1655649753 + v3109;
            v3113 = v3112 ^ v3108;
            v3114 = detail::kPlayIntentKey[(std::uint8_t)v3111 + 239] ^ (v3110 + 1655649753);
            v3115 = v3111 ^ (1075669634 * v3113);
            v3116 = v3113 - v3112;
            v3117 = v3112 + 878601892 - v3114;
            v3118 = detail::kPlayIntentKey[(std::uint8_t)v3115 + 249];
            v3119 = v3118 + v3114;
            v3120 = (v3117 + 15843) ^ v3115 ^ (__ROL4__(v3116, 27) - 10935);
            v3121 = v3116 + v3117;
            v3122 = v3118 + v3112 + 878601892;
            v3123 = v3119 + __ROL4__(v3121, 11);
            v3124 = __ROL4__(v3120 - v3121, 14);
            v3125 = __ROL4__(v3122, 3);
            v3126 = __ROL4__(v3120, 15) + v3123;
            v3127 = v3126 ^ __ROL4__(v3120 - v3121, 21);
            v3128 = v3125 + v3121;
            v3129 = __ROL4__(v3126, 4) + v3122 + v3124;
            v3130 = __ROL4__(v3129, 15);
            v3131 = v3120 + v3125;
            v3132 = detail::kPlayIntentKey[(std::uint8_t)v3127 + 381] ^ v3129;
            v3133 = v3128 - v3130;
            v3134 = ((v3131 >> 11) & 7) + 1;
            do {
                v3135 = detail::kPlayIntentKey[(std::uint8_t)v3133 + 1] ^ v3127;
                v3136 = v3135 + (v3131 ^ v3132);
                v3137 = v3136 ^ v3133;
                v3138 = v3135 ^ (v3137 + 1438276190);
                v3139 = v3136 + v3137;
                v3140 = (__ROL4__(v3139 + v3138, 23) + 18697) ^ v3138 ^ (v3136 - v3138 + 31290);
                v3141 = (__ROL4__(v3140, 22) + 25675) ^ (v3136 - v3138) ^ (v3139 + v3136 - 23943);
                v3142 = v3140 - (v3136 + v3139);
                v3143 = (__ROL4__(v3141, 18) + 32650) ^ (v3136 + v3139) ^ (v3142 - 16187);
                v3144 = v3142 + v3141;
                v3145 = v3143 ^ v3142;
                v3146 = v3143 - detail::kPlayIntentKey[(std::uint8_t)v3144 + 128];
                v3147 = v3144 - v3146 - v3145;
                v3133 = v3147 + v3146;
                v3127 = detail::kPlayIntentKey[(std::uint8_t)v3146 + 93] ^ v3145;
                v3132 = v3127 ^ v3147;
                --v3134;
            } while (v3134);
            if (bit_test(&v3127, 0xBu)) {
                v3148 = v3133 + 1736540652 * v3147;
                v3149 = v3131 ^ (v3133 + 974415973);
                v3150 = v3149 + __ROL4__(v3148, 16);
                v3151 = v3147 + __ROL4__(v3149, 30);
                v3152 = v3151 ^ (994778735 * v3150);
                v3153 = v3148 - __ROL4__(v3151, 27);
                v3154 = v3150 - 1385804897 * v3153;
                v3155 = v3152 + v3153;
                v3156 = v3152 - v3154;
                v3157 = v3154 - v3155;
                v3158 = v3157 - v3156;
                v3159 = v3155 ^ (v3156 - 1147488591);
                v3160 = v3159 + v3158;
                v3161 = detail::kPlayIntentKey[(std::uint8_t)v3157 + 183] ^ v3159;
                v3162 = v3157 + v3160 + 1583830796;
                v3131 = v3160 ^ (-281176484 * v3161);
                v3133 = v3161 - v3162;
                v3132 = (__ROL4__(v3131, 3) + 25273) ^ v3162 ^ (v3133 + 10953);
            }
            v273 = v3132 ^ v3133;
            v46 = v3127 ^ v3131;
            break;
        case 0x3F:
            v47 = a2 + __ROL4__(a3, 9);
            v48 = a3 ^ (__ROL4__(a4, 30) + __ROL4__(a5, 15));
            v49 = __ROL4__(v47, 23) + a4 + __ROL4__(a5, 9);
            v50 = a5 + 723520406 * v47;
            v51 = v48 ^ (1114546568 * v49);
            v52 = v49 + v47 + v48;
            v53 = v49 - v50;
            v54 = v51 + v52;
            v55 = v54 + v50;
            v56 = 448764332 * v53;
            v57 = v53 - v55;
            v58 = v55 - detail::kPlayIntentKey[(std::uint8_t)v54 + 104];
            v59 = v51 + v56;
            v60 = v54 - v59;
            v61 = v57 + v59;
            v62 = detail::kPlayIntentKey[(std::uint8_t)v58 + 478] + v57;
            v63 = v58 - v60;
            v64 = v62 + v61;
            v65 = v60 ^ __ROL4__(v61, 27);
            v66 = v63 ^ v62;
            v67 = v65 + __ROL4__(v64, 27);
            v68 = v63 - detail::kPlayIntentKey[(std::uint8_t)v65 + 57];
            v69 = v66 + 2116082722 * v68;
            v70 = detail::kPlayIntentKey[(std::uint8_t)v66 + 135] + v64;
            v71 = v67 ^ v68;
            v72 = v69 ^ (1741840867 * v71);
            v73 = detail::kPlayIntentKey[(std::uint8_t)v69 + 354];
            v74 = v70 + v73;
            v75 = v71 + v70 - v67;
            v76 = v74 - detail::kPlayIntentKey[(std::uint8_t)v72 + 364];
            v77 = __ROL4__(v75, 5);
            v78 = v67 + v73;
            v79 = v78 ^ v75;
            v80 = v76 + __ROL4__(v79, 6);
            v81 = v72 - v77;
            v82 = v78 + __ROL4__(v76, 13);
            v83 = __ROL4__(v81, 13);
            v84 = v81 - v79;
            v85 = v83 + v80;
            v86 = (__ROL4__(v82, 23) - 8280) ^ v79 ^ (v80 + v83 + 7437);
            v87 = (v83 + v80) ^ v82;
            v88 = v86 - __ROL4__(v87, 14);
            v89 = v85 - v84;
            v90 = __ROL4__(v86, 8) + v84 + __ROL4__(v87, 7);
            v91 = v89 + ((__ROL4__(v90, 10) + 28075) ^ (v88 - 21082));
            v92 = v87 - __ROL4__(v89, 8);
            v93 = v90 - v88;
            v94 = v91 + v92;
            v95 = v91 + v92 + 22884;
            v96 = v88 - __ROR4__(v92, 1);
            v97 = v91 + v92 + v96;
            v98 = v91 ^ __ROL4__(v93, 8);
            v99 = v95 ^ v93 ^ (__ROL4__(v96, 19) + 21352);
            v100 = v99 + v98;
            v101 = v94 + __ROL4__(v98, 4);
            LOBYTE(v94) = v99 - v97;
            v102 = v100 + v101;
            v103 = __ROL4__(v100, 18);
            v104 = v100 + v101 + v97;
            v105 = detail::kPlayIntentKey[(std::uint8_t)v94 + 446] ^ v100;
            v106 = v101 ^ v103;
            v107 = v102 + v99;
            v108 = v106 ^ (v107 + v105);
            v109 = detail::kPlayIntentKey[(std::uint8_t)v106 + 60] ^ v104;
            v110 = v105 - v107;
            v111 = detail::kPlayIntentKey[(std::uint8_t)v109 + 25];
            v112 = v111 + v107;
            v113 = v109 ^ (__ROL4__(v108, 16) + __ROL4__(v110, 5));
            v114 = v108 - (v111 + v105);
            v115 = v112 ^ __ROL4__(v113, 7);
            v116 = v110 - __ROL4__(v112, 29) - __ROL4__(v113, 22);
            v117 = __ROL4__(v116, 24);
            v46 = v114 ^ v116;
            v118 = v113 - __ROL4__(v114, 28) - v117;
LABEL_208:
            v273 = v115 ^ v118;
            break;
        }
        return (unsigned int)(v273 + v46);
    }

    [[nodiscard]] util::Key decrypt_key(util::Key key_basis) noexcept {
        util::Key dst = {};
        int v3 = 0x0;
        int v4 = 0x2;
        int v5 = 0x1;
        int v6 = 0xc734df5;
        int v7 = 0x7ff7;
        int v8 = 0xb3846108;
        int v9 = 0x0;
        unsigned int v10 = 0x2;
        unsigned int v11 = 0x7ff7;
        unsigned int v12 = 0xb3846108;
        unsigned int v13 = 0x0;
        int v14 = 0x2;
        unsigned int v15 = 0x1007ff7;
        unsigned int v16 = 0x0;
        unsigned int v17 = 0x1;
        int v18 = 0xc734df5;
        unsigned int v19 = 0x1;
        unsigned int v20 = 0xc6babe8;
        unsigned int v21 = 0x7ff7;
        unsigned int v22 = 0xb3846030;
        int v23 = 0x7ff7;
        int v24 = 0xb3846020;
        unsigned int v25 = 0x0;
        unsigned int v26 = 0x0;
        unsigned int v27 = 0x7fcc;
        unsigned int v28 = 0x327042a8;
        unsigned int v29 = 0x7ff7;
        unsigned int v30 = 0xb3846027;
        int v31 = 0x7ff7;
        int v32 = 0xb3846026;
        unsigned int v33 = 0x1007ff7;
        int v34 = 0x1;
        int v35 = 0x6000;
        unsigned int v36 = 0x3c740a8;
        int v37 = 0x6000;
        int v38 = 0x0;
        int v39 = 0x1;
        int v40 = 0xc6bc61a;
        int v41 = 0x7ff7;
        int v42 = 0xb3845fd0;
        int v43 = 0x0;
        int v44 = 0x0;
        int v45 = 0x6000;
        int v46 = 0x3c740a8;
        int v47 = 0x1;
        int v48 = 0xc6bb3d5;
        int v49 = 0x7ff7;
        int v50 = 0xb3845f90;
        unsigned int v51 = 0x6000;
        unsigned int v52 = 0x3c740a8;
        int v53 = 0x6000;
        int v54 = 0x0;
        int v55 = 0x1;
        int v56 = 0xc6bb3f5;
        int v57 = 0x7ff7;
        int v58 = 0xb3845f70;
        int v59 = 0x6000;
        int v60 = 0x3c740a8;
        int v61 = 0x0;
        int v62 = 0x0;
        unsigned int v63 = 0x6000;
        unsigned int v64 = 0x0;
        int v65 = 0x0;
        unsigned int v66 = 0x4;
        int v67 = 0x7ff8;
        int v68 = 0x5b255fb;
        int v69 = 0x7ff7;
        int v70 = 0xb3845fe0;
        unsigned int v71 = 0x0;
        unsigned int v72 = 0xc;
        unsigned int v73 = 0x6000;
        int v74 = 0x575df0;
        unsigned int v75 = 0x0;
        unsigned int v76 = 0x1;
        unsigned int v77 = 0x6000;
        int v78 = 0x575df0;
        int v79 = 0x1;
        unsigned int v80 = 0xc98c000;
        int v81 = 0x0;
        int v82 = 0x0;
        int v83 = 0x0;
        int v84 = 0x0;
        int v85 = 0x7ff7;
        int v86 = 0xb3845ef0;
        unsigned int v87 = 0x7ff8;
        unsigned int v88 = 0x49617a58;
        unsigned int v89 = 0x0;
        unsigned int v90 = 0x0;
        int v91 = 0x0;
        int v92 = 0x1;
        int v93 = 0x1;
        unsigned int v94 = 0xc73a3e3;
        unsigned int v95 = 0x0;
        int v96 = 0x0;
        int v97 = 0x7ff7;
        int v98 = 0xb3845ec0;
        unsigned int v99 = 0x7ff8;
        int v100 = 0x49617a58;
        int v101 = 0x1;
        unsigned int v102 = 0xc73ba4f;
        int v103 = 0x0;
        int v104 = 0x0;
        int v105 = 0x7ff7;
        int v106 = 0xb3845ea0;
        int v107 = 0x7ff8;
        int v108 = 0x49617a58;
        int v109 = 0x0;
        unsigned int v110 = 0x0;
        int v111 = 0x0;
        unsigned long long v112 = 0x7ff700000000;
        unsigned int v113 = 0x0;
        int v114 = 0x4;
        unsigned int v115 = 0x0;
        int v116 = 0x0;
        int v117 = 0x0;
        int v118 = 0x0;
        int v119 = 0x0;
        int v120 = 0xf;
        int v121 = 0x1;
        int v122 = 0xc73a3e3;
        int v123 = 0x7ff8;
        int v124 = 0x5c20a49;
        int v125 = 0x0;
        int v126 = 0x1;
        int v127 = 0x0;
        int v128 = 0x1;
        int v129 = 0x0;
        int v130 = 0x0;
        int v131 = 0x0;
        int v132 = 0x0;
        int v133 = 0x0;
        int v134 = 0x1;
        int v135 = 0x7ff8;
        int v136 = 0x49617a58;
        int v137 = 0x0;
        int v138 = 0x0;
        int v139 = 0x0;
        int v140 = 0x0;
        int v141 = 0x0;
        int v142 = 0x1;
        int v143 = 0x7ff8;
        int v144 = 0x49617a58;
        int v145 = 0x0;
        int v146 = 0x0;
        int v147 = 0x0;
        int v148 = 0x0;
        int v149 = 0x7ff8;
        int v150 = 0x5ba0fd2;
        int v151 = 0x7ff8;
        int v152 = 0x49617a58;
        int v153 = 0x0;
        int v154 = 0x1;
        int v155 = 0x0;
        int v156 = 0x0;
        int v157 = 0x0;
        int v158 = 0x0;
        int v159 = 0x1;
        int v160 = 0xc73a3e3;
        int v161 = 0x7ff8;
        int v162 = 0x5ba0fd2;
        int v163 = 0x7ff7;
        int v164 = 0xb3846140;
        int v165 = 0x0;
        int v166 = 0x1;
        int v167 = 0x1;
        int v168 = 0xc73a3e3;
        int v169 = 0x0;
        int v170 = 0x0;
        int v171 = 0x1;
        int v172 = 0xc73a3e3;
        int v173 = 0x7ff7;
        int v174 = 0xb3846200;
        int v175 = 0x7ff8;
        int v176 = 0x49617a58;
        int v177 = 0x0;
        int v178 = 0xf;
        int v179 = 0x7ff7;
        int v180 = 0xb3845eb0;
        int v181 = 0x7ff8;
        int v182 = 0x5ba16c0;
        int v183 = 0x7ff7;
        int v184 = 0xb3845da0;
        int v185 = 0x0;
        int v186 = 0x0;
        int v187 = 0x7ff7;
        int v188 = 0xb3845e90;
        int v189 = 0x7ff8;
        int v190 = 0x5ba16c0;
        int v191 = 0x7ff7;
        int v192 = 0xb3845d80;
        int v193 = 0x1;
        int v194 = 0xc6f9dfd;
        int v195 = 0x7ff7;
        int v196 = 0xb3845e70;
        int v197 = 0x7ff8;
        int v198 = 0x5ba16c0;
        int v199 = 0x7ff7;
        int v200 = 0xb3845d60;
        int v201 = 0x6000;
        int v202 = 0x974318;
        int v203 = 0x6000;
        int v204 = 0x974330;
        int v205 = 0x1;
        int v206 = 0xc6fa4cd;
        int v207 = 0x7ff7;
        int v208 = 0xb3845d20;
        int v209 = 0x7ff7;
        int v210 = 0xb3845d18;
        int v211 = 0x6000;
        int v212 = 0x974318;
        int v213 = 0x31000001;
        int v214 = 0xc6fb20d;
        int v215 = 0x7ff7;
        int v216 = 0xb3845cf0;
        int v217 = 0x31007ff7;
        int v218 = 0xb3846020;
        int v219 = 0x6000;
        int v220 = 0x974318;
        int v221 = 0x7ff7;
        int v222 = 0xb3846010;
        int v223 = 0x6000;
        int v224 = 0x974318;
        int v225 = 0x1;
        int v226 = 0xc6fa525;
        int v227 = 0x7ff7;
        int v228 = 0xb3845cc0;
        unsigned int v229 = 0x7ff7;
        unsigned long long v230 = 0x7ff7b3845cc0;
        unsigned int v231 = 0x7ff7;
        unsigned long long v232 = 0x600000974318;
        unsigned int v233 = 0x6000;
        int v234 = 0x974288;
        unsigned int v235 = 0x7ff7;
        int v236 = 0xb3845c90;
        int v237 = 0x1;
        int v238 = 0xc6f8ee1;
        int v239 = 0x7ff7;
        int v240 = 0xb3845c90;
        int v241 = 0x6000;
        int v242 = 0x974318;
        int v243 = 0x6000;
        int v244 = 0x974288;
        int v245 = 0x1;
        int v246 = 0xc6ba6ad;
        int v247 = 0x7ff7;
        int v248 = 0xb3845c60;
        unsigned int v249 = 0x6000;
        unsigned int v250 = 0x974318;
        unsigned int v251 = 0x7ff7;
        unsigned long long v252 = 0x7ff7b3846050;
        int v253 = 0x7ff7;
        int v254 = 0xb3845f60;
        unsigned int v255 = 0x7ff7;
        unsigned int v256 = 0xb3846040;
        unsigned int v257 = 0x30;
        unsigned int v258 = 0x20;
        int v259 = 0x587ff8;
        int v260 = 0x496173b0;
        int v261 = 0x6000;
        int v262 = 0x974318;
        int v263 = 0x7ff8;
        int v264 = 0x496173b0;
        int v265 = 0x2;
        unsigned int v266 = 0xb38460b0;
        int v267 = 0x0;
        int v268 = 0x1;
        unsigned int v269 = 0x2;
        unsigned int v270 = 0xb3846028;
        unsigned int v271 = 0xffffffff;
        int v272 = 0xffffffff;
        int v273 = 0x7ff7;
        unsigned int v274 = 0xb3846018;
        int v275 = 0x7ff7;
        int v276 = 0xb3846010;
        int v277 = 0x0;
        int v278 = 0x0;
        int v279 = 0x1;
        int v280 = 0xc6ba881;
        int v281 = 0x7ff7;
        int v282 = 0xb3845ccf;
        int v283 = 0x6000;
        int v284 = 0x974318;
        int v285 = 0x0;
        int v286 = 0x1;
        int v287 = 0x1;
        unsigned int v288 = 0xc6ba915;
        unsigned int v289 = 0x7ff7;
        int v290 = 0xb3845bb0;
        unsigned int v291 = 0x6000;
        unsigned int v292 = 0x974318;
        unsigned int v293 = 0x7ff7;
        unsigned int v294 = 0xb3845ba0;
        int v295 = 0x1;
        unsigned int v296 = 0xc6ba8c5;
        unsigned int v297 = 0x7ff7;
        unsigned int v298 = 0xb3845b90;
        unsigned int v299 = 0x6000;
        int v300 = 0x974318;
        int v301 = 0x7ff7;
        unsigned int v302 = 0xb3845b90;
        unsigned int v303 = 0x1;
        int v304 = 0xc6f9dfd;
        int v305 = 0x7ff7;
        int v306 = 0xb3845c00;
        unsigned int v307 = 0x6000;
        unsigned int v308 = 0x775200;
        unsigned int v309 = 0x7ff7;
        unsigned int v310 = 0xb3846098;
        unsigned int v311 = 0x6000;
        int v312 = 0x775200;
        unsigned int v313 = 0x6000;
        unsigned int v314 = 0x775218;
        int v315 = 0x0;
        int v316 = 0x1;
        unsigned int v317 = 0x7ff7;
        int v318 = 0xb3845cdf;
        int v319 = 0x0;
        int v320 = 0x1;
        unsigned int v321 = 0x7ff7;
        unsigned int v322 = 0xb3845ccf;
        unsigned int v323 = 0x0;
        int v324 = 0x0;
        int v325 = 0x7ff7;
        int v326 = 0xb3845b10;
        unsigned int v327 = 0x7ff7;
        unsigned int v328 = 0xb3845da0;
        int v329 = 0x0;
        int v330 = 0x1;
        int v331 = 0x0;
        int v332 = 0x1;
        int v333 = 0x0;
        int v334 = 0x10;
        int v335 = 0x0;
        int v336 = 0x1;
        int v337 = 0x0;
        int v338 = 0x0;
        unsigned int v339 = 0x0;
        unsigned int v340 = 0x0;
        unsigned int v341 = 0x0;
        int v342 = 0x1;
        unsigned int v343 = 0x7ff7;
        unsigned long long v344 = 0x600000775200;
        unsigned long long v345 = 0x7ff7b3846078;
        unsigned int v346 = 0x7ff8;
        int v347 = 0x5c20a49;
        int v348 = 0x7ff7;
        int v349 = 0xb3846068;
        int v350 = 0x7ff8;
        unsigned int v351 = 0x5c20a49;
        int v352 = 0x0;
        unsigned int v353 = 0x1;
        int v354 = 0x0;
        unsigned int v355 = 0x1;
        unsigned int v356 = 0x0;
        int v357 = 0x0;
        unsigned int v358 = 0x0;
        int v359 = 0x0;
        int v360 = 0x6000;
        unsigned int v361 = 0x775200;
        int v362 = 0x7ff7;
        int v363 = 0xb3845da0;
        int v364 = 0x7ff8;
        unsigned int v365 = 0x5c7d000;
        int v366 = 0x0;
        int v367 = 0x0;
        int v368 = 0x0;
        int v369 = 0x0;
        int v370 = 0x0;
        int v371 = 0x0;
        int v372 = 0x0;
        int v373 = 0x0;
        int v374 = 0x6000;
        int v375 = 0x775200;
        int v376 = 0x0;
        int v377 = 0x0;
        int v378 = 0x0;
        int v379 = 0x29;
        int v380 = 0x1;
        int v381 = 0xc6ba773;
        unsigned int v382 = 0x7ff7;
        unsigned int v383 = 0xb3845a70;
        int v384 = 0x7ff8;
        int v385 = 0x5ba0fd2;
        unsigned int v386 = 0x7ff7;
        int v387 = 0xb3845da0;
        int v388 = 0x7ff8;
        unsigned int v389 = 0x5ba0fd2;
        int v390 = 0x7ff7;
        int v391 = 0xb3845d90;
        int v392 = 0x0;
        int v393 = 0x0;
        int v394 = 0x7ff7;
        int v395 = 0xb384606b;
        int v396 = 0x0;
        int v397 = 0x1;
        unsigned int v398 = 0x0;
        int v399 = 0xfe;
        int v400 = 0x7ff7;
        unsigned int v401 = 0xb3846068;
        int v402 = 0x7ff7;
        int v403 = 0xb3845da0;
        int v404 = 0x7ff8;
        int v405 = 0x5ba16a0;
        unsigned int v406 = 0x7ff7;
        unsigned int v407 = 0xb3845b00;
        int v408 = 0x7ff8;
        int v409 = 0x5ba16a0;
        unsigned int v410 = 0x7ff7;
        unsigned int v411 = 0xb38459f0;
        unsigned int v412 = 0x6000;
        unsigned int v413 = 0x775200;
        int v414 = 0x1000000;
        int v415 = 0x0;
        int v416 = 0x7ff7;
        unsigned int v417 = 0xb3845a08;
        unsigned int v418 = 0x1;
        int v419 = 0xc6b96d8;
        int v420 = 0x1;
        unsigned int v421 = 0xc6b96d0;
        unsigned int v422 = 0x0;
        unsigned int v423 = 0x0;
        int v424 = 0x0;
        int v425 = 0x0;
        unsigned int v426 = 0x0;
        unsigned int v427 = 0x0;
        unsigned int v428 = 0x7ff8;
        unsigned int v429 = 0x599c0b7;
        int v430 = 0x7ff7;
        unsigned int v431 = 0xb38459c0;
        int v432 = 0x1;
        int v433 = 0xc6b9000;
        int v434 = 0x1;
        unsigned int v435 = 0xc6b9650;
        int v436 = 0x0;
        int v437 = 0xd;
        int v438 = 0x0;
        int v439 = 0x18;
        int v440 = 0x0;
        int v441 = 0x0;
        int v442 = 0x0;
        int v443 = 0x0;
        int v444 = 0x0;
        int v445 = 0x0;
        int v446 = 0x0;
        int v447 = 0x0;
        int v448 = 0x7ff7;
        int v449 = 0x1f070030;
        int v450 = 0x7ff8;
        int v451 = 0x1195c5d8;
        int v452 = 0x7ff8;
        int v453 = 0x59d49dc;
        int v454 = 0x7ff7;
        int v455 = 0xb3845a30;
        unsigned long long v456 = 0x0;
        unsigned int v457 = 0x0;
        unsigned int v458 = 0x0;
        int v459 = 0x7ff8;
        int v460 = 0x599b9ee;
        int v461 = 0x7ff7;
        unsigned int v462 = 0xb38458f0;
        unsigned int v463 = 0x1;
        int v464 = 0xc8f2c40;
        int v465 = 0x7ff7;
        int v466 = 0xb3845978;
        int v467 = 0x1;
        int v468 = 0xc8f3d50;
        int v469 = 0x7ff8;
        int v470 = 0x47a3a500;
        int v471 = 0x7ff7;
        int v472 = 0xb3845908;
        int v473 = 0x7ff8;
        int v474 = 0x47a3a500;
        int v475 = 0x0;
        unsigned int v476 = 0x0;
        unsigned int v477 = 0x0;
        unsigned int v478 = 0x5906000;
        int v479 = 0x7ff8;
        int v480 = 0x59940be;
        unsigned int v481 = 0x7ff8;
        int v482 = 0x5a33000;
        int v483 = 0x7ff8;
        int v484 = 0x59ce78e;
        int v485 = 0x7ff7;
        int v486 = 0xb38458f0;
        int v487 = 0x1;
        int v488 = 0xc8f2c40;
        int v489 = 0x7ff7;
        int v490 = 0xb3845978;
        int v491 = 0x1;
        int v492 = 0xc8f3d50;
        int v493 = 0x7ff8;
        int v494 = 0x47a3a500;
        int v495 = 0x7ff7;
        int v496 = 0xb3845908;
        int v497 = 0x22830f7a;
        int v498 = 0x4bf900fb;
        int v499 = 0x0;
        int v500 = 0x150;
        int v501 = 0x7ff8;
        int v502 = 0x59a2867;
        int v503 = 0x7ff8;
        int v504 = 0x5a16fb0;
        int v505 = 0x0;
        int v506 = 0x150;
        int v507 = 0x7ff7;
        int v508 = 0xb38459a0;
        int v509 = 0x7ff8;
        int v510 = 0x4960d5b0;
        int v511 = 0x7ffc;
        int v512 = 0x89f77198;
        int v513 = 0x7ff8;
        int v514 = 0x59f5fdb;
        int v515 = 0x7ff8;
        int v516 = 0x59b6750;
        int v517 = 0x7ff7;
        int v518 = 0xb3845840;
        int v519 = 0x7ff7;
        int v520 = 0xb38459a0;
        int v521 = 0x1;
        unsigned int v522 = 0xc8f4d60;
        int v523 = 0x1;
        int v524 = 0x4001;
        int v525 = 0x0;
        int v526 = 0x2;
        int v527 = 0x0;
        int v528 = 0x2;
        int v529 = 0x0;
        int v530 = 0x0;
        unsigned int v531 = 0x7ffc;
        unsigned int v532 = 0x89010006;
        int v533 = 0x0;
        int v534 = 0xc6b9000;
        int v535 = 0x1;
        int v536 = 0x0;
        int v537 = 0x1;
        int v538 = 0xc8f2c40;
        int v539 = 0x1;
        int v540 = 0xc6b9000;
        int v541 = 0x1;
        int v542 = 0xc8f4d60;
        int v543 = 0x7ff8;
        unsigned int v544 = 0x45908ac8;
        unsigned int v545 = 0x7ff8;
        unsigned int v546 = 0x59b662b;
        int v547 = 0x0;
        int v548 = 0x40000000;
        int v549 = 0x7ff8;
        int v550 = 0x47a14360;
        int v551 = 0x1;
        int v552 = 0xc8f2c40;
        int v553 = 0x1;
        int v554 = 0xc6b9000;
        unsigned int v555 = 0x1;
        unsigned long long v556 = 0x7ff845908aa8;
        int v557 = 0x7ff8;
        unsigned int v558 = 0x59b656c;
        int v559 = 0x0;
        int v560 = 0x40000000;
        unsigned int v561 = 0x7ff8;
        int v562 = 0x47a14360;
        int v563 = 0x1;
        int v564 = 0xc8f2c40;
        int v565 = 0x7ff8;
        int v566 = 0x59b655a;
        int v567 = 0x7ff7;
        int v568 = 0xb38457f0;
        int v569 = 0x1;
        int v570 = 0xc6b9000;
        int v571 = 0x22830f7a;
        int v572 = 0x4bf900fb;
        int v573 = 0x7ff7;
        int v574 = 0xb38457a8;
        int v575 = 0x7ff7;
        unsigned int v576 = 0xb38457c0;
        unsigned int v577 = 0x7ff8;
        unsigned int v578 = 0x59b690a;
        int v579 = 0x7ff7;
        unsigned int v580 = 0xb3845a00;
        unsigned int v581 = 0x7ff7;
        int v582 = 0xb3845770;
        int v583 = 0x0;
        unsigned int v584 = 0x0;
        int v585 = 0x0;
        int v586 = 0x0;
        unsigned int v587 = 0x0;
        unsigned int v588 = 0x0;
        unsigned int v589 = 0x0;
        int v590 = 0x1;
        unsigned int v591 = 0x7ff7;
        unsigned int v592 = 0xb38456a8;
        unsigned int v593 = 0x1;
        unsigned int v594 = 0x88000;
        int v595 = 0x1;
        unsigned int v596 = 0x88000;
        int v597 = 0x1;
        int v598 = 0x0;
        unsigned int v599 = 0x7ff8;
        int v600 = 0x59f5979;
        int v601 = 0x7ff8;
        int v602 = 0x59f592e;
        int v603 = 0x68;
        int v604 = 0x2000000;
        int v605 = 0x7ff7;
        int v606 = 0xb3845680;
        int v607 = 0x0;
        unsigned int v608 = 0x0;
        int v609 = 0x7ff7;
        int v610 = 0xb3845680;
        int v611 = 0x7ff8;
        int v612 = 0x4590ba30;
        unsigned int v613 = 0x7ff8;
        int v614 = 0x59f5f9a;
        int v615 = 0x0;
        int v616 = 0x42000000;
        int v617 = 0x7ff8;
        unsigned int v618 = 0x47a14360;
        unsigned int v619 = 0x7ff8;
        unsigned int v620 = 0x8;
        int v621 = 0x1;
        int v622 = 0x0;
        unsigned int v623 = 0x7ff7;
        int v624 = 0xb38457a8;
        int v625 = 0x7ff7;
        int v626 = 0xb38457c0;
        int v627 = 0x0;
        int v628 = 0xc6b9000;
        int v629 = 0x7ff7;
        int v630 = 0xb3845680;
        unsigned int v631 = 0x7ff7;
        unsigned int v632 = 0xb3845770;
        unsigned long long v633 = 0x7ff84590ba60;
        unsigned int v634 = 0x7ff8;
        unsigned int v635 = 0x59f5fdb;
        unsigned int v636 = 0x0;
        int v637 = 0x42000000;
        unsigned int v638 = 0x7ff8;
        unsigned int v639 = 0x47a14360;
        unsigned int v640 = 0x7ff8;
        int v641 = 0x59f5f63;
        int v642 = 0x7ff7;
        int v643 = 0xb3845720;
        unsigned int v644 = 0x0;
        int v645 = 0xc6b9000;
        int v646 = 0x1;
        int v647 = 0xc6b9000;
        int v648 = 0x7ff7;
        unsigned int v649 = 0xb3845680;
        unsigned int v650 = 0x7ff7;
        unsigned int v651 = 0xb38457c0;
        int v652 = 0x22830f7a;
        unsigned int v653 = 0x4bf900fb;
        int v654 = 0x0;
        unsigned int v655 = 0xc6b9000;
        int v656 = 0x6261745f;
        unsigned int v657 = 0x74706563;
        int v658 = 0x78655f63;
        int v659 = 0x63675f5f;
        int v660 = 0x0;
        int v661 = 0x0;
        unsigned int v662 = 0x1;
        unsigned int v663 = 0x5;
        unsigned int v664 = 0x20;
        int v665 = 0x0;
        int v666 = 0x7ff7;
        unsigned int v667 = 0xb3845588;
        int v668 = 0x0;
        int v669 = 0x0;
        unsigned int v670 = 0x0;
        int v671 = 0x42000000;
        int v672 = 0x7ff7;
        unsigned int v673 = 0xb38455b0;
        int v674 = 0x1;
        int v675 = 0xc6b9000;
        unsigned int v676 = 0x7ff7;
        int v677 = 0xb3845588;
        int v678 = 0x7ff7;
        int v679 = 0xb3845600;
        int v680 = 0x7ff8;
        unsigned int v681 = 0x4590ab60;
        int v682 = 0x7ff8;
        int v683 = 0x59e9cca;
        unsigned int v684 = 0x0;
        int v685 = 0x42000000;
        int v686 = 0x7ff8;
        unsigned int v687 = 0x47a14360;
        unsigned int v688 = 0x7ff8;
        unsigned int v689 = 0x59e90c4;
        int v690 = 0x7ff7;
        int v691 = 0xb38455f0;
        int v692 = 0x1;
        unsigned int v693 = 0xc6b9000;
        int v694 = 0x1;
        int v695 = 0xc6b9000;
        int v696 = 0x1;
        int v697 = 0x0;
        int v698 = 0x7ff7;
        int v699 = 0xb3845600;
        int v700 = 0x1;
        int v701 = 0xc6b9000;
        int v702 = 0x0;
        int v703 = 0x42000000;
        int v704 = 0x7ff7;
        int v705 = 0xb38455a8;
        unsigned int v706 = 0x1;
        unsigned int v707 = 0xc6b96d8;
        unsigned int v708 = 0x1;
        unsigned long long v709 = 0x10c6b92e0;
        unsigned int v710 = 0x7ff7;
        int v711 = 0xb3845578;
        int v712 = 0x0;
        unsigned int v713 = 0x1;
        int v714 = 0x7ff8;
        int v715 = 0x599c0b7;
        int v716 = 0x7ff7;
        int v717 = 0xb3845530;
        int v718 = 0x1;
        int v719 = 0xc6b9000;
        int v720 = 0x1;
        int v721 = 0xc6b96d8;
        int v722 = 0x1;
        unsigned int v723 = 0xc6b9020;
        int v724 = 0x7ff7;
        int v725 = 0xb3845540;
        int v726 = 0x0;
        int v727 = 0x11;
        unsigned int v728 = 0x7ff7;
        int v729 = 0xb3845507;
        int v730 = 0x7ff7;
        int v731 = 0xb3845568;
        int v732 = 0x1;
        int v733 = 0x90000;
        int v734 = 0x7ff8;
        unsigned int v735 = 0x0;
        unsigned int v736 = 0x0;
        int v737 = 0x3;
        int v738 = 0x1;
        int v739 = 0x0;
        unsigned int v740 = 0x1;
        int v741 = 0xc6b94b0;
        int v742 = 0x0;
        unsigned int v743 = 0xb1;
        unsigned int v744 = 0x1;
        int v745 = 0x8c110;
        int v746 = 0x0;
        int v747 = 0x40;
        int v748 = 0x1;
        int v749 = 0x500;
        int v750 = 0x1;
        int v751 = 0xc6b9508;
        int v752 = 0x0;
        int v753 = 0x1a8000;
        int v754 = 0x0;
        int v755 = 0x1a8000;
        int v756 = 0x1;
        unsigned int v757 = 0x90000;
        unsigned int v758 = 0x0;
        unsigned int v759 = 0x1a4b18;
        int v760 = 0x0;
        int v761 = 0x90000;
        unsigned long long v762 = 0x7ff8059e9ef7;
        unsigned long long v763 = 0x7ff7b38454c0;
        unsigned int v764 = 0x1;
        int v765 = 0xc6b93c8;
        int v766 = 0x7ff7;
        int v767 = 0xb3845540;
        int v768 = 0x1;
        int v769 = 0xc6b9500;
        int v770 = 0x7ff7;
        unsigned int v771 = 0xb3845507;
        int v772 = 0x7ff8;
        unsigned long long v773 = 0x7ff7b3845400;
        int v774 = 0x7ff8;
        int v775 = 0x59e9ca7;
        unsigned int v776 = 0x7ff7;
        unsigned int v777 = 0xb38453f0;
        int v778 = 0x1;
        int v779 = 0x40;
        int v780 = 0x1;
        int v781 = 0x500;
        int v782 = 0x1;
        int v783 = 0xc6b9508;
        int v784 = 0x0;
        int v785 = 0x1a8000;
        int v786 = 0x0;
        unsigned int v787 = 0x1a8000;
        int v788 = 0x1;
        int v789 = 0x90000;
        int v790 = 0x0;
        int v791 = 0x1a4b18;
        unsigned int v792 = 0x0;
        unsigned long long v793 = 0x7ff8059e9ef7;
        int v794 = 0x7ff7;
        int v795 = 0xb3845430;
        int v796 = 0x1;
        int v797 = 0xc6b93c8;
        int v798 = 0x7ff7;
        int v799 = 0xb38454b0;
        int v800 = 0x1;
        int v801 = 0xc6b9500;
        unsigned int v802 = 0x7ff7;
        int v803 = 0xb3845477;
        int v804 = 0x7ff8;
        int v805 = 0x599ca79;
        int v806 = 0x7ff7;
        int v807 = 0xb3845370;
        int v808 = 0x1;
        int v809 = 0xc7308e8;
        unsigned int v810 = 0x7ff7;
        unsigned long long v811 = 0x7ff7b38455c8;
        int v812 = 0x0;
        int v813 = 0x0;
        unsigned int v814 = 0x0;
        int v815 = 0x0;
        int v816 = 0x0;
        unsigned int v817 = 0x0;
        unsigned long long v818 = 0x0;
        unsigned int v819 = 0x0;
        unsigned int v820 = 0x0;
        unsigned int v821 = 0x0;
        int v822 = 0x0;
        unsigned int v823 = 0x0;
        unsigned int v824 = 0x0;
        int v825 = 0x0;
        int v826 = 0x0;
        int v827 = 0x0;
        int v828 = 0x0;
        int v829 = 0x0;
        unsigned int v830 = 0x0;
        int v831 = 0x1;
        int v832 = 0xc72f6f0;
        int v833 = 0x0;
        int v834 = 0x0;
        int v835 = 0x1;
        int v836 = 0xc6b9000;
        int v837 = 0x7ff7;
        unsigned int v838 = 0x1f070000;
        unsigned int v839 = 0x0;
        unsigned int v840 = 0x0;
        int v841 = 0x7ff8;
        int v842 = 0x59b6620;
        int v843 = 0x7ff7;
        unsigned int v844 = 0xb3845340;
        unsigned int v845 = 0x0;
        unsigned int v846 = 0x0;
        int v847 = 0x0;
        int v848 = 0x0;
        int v849 = 0x7ff8;
        int v850 = 0x599b9ee;
        int v851 = 0x7ff7;
        int v852 = 0xb38452a0;
        int v853 = 0x7ff7;
        int v854 = 0xb3845738;
        int v855 = 0x1;
        int v856 = 0xc72f6f0;
        int v857 = 0x1;
        int v858 = 0xc6b92e0;
        unsigned int v859 = 0x1;
        unsigned int v860 = 0xc7308e4;
        unsigned int v861 = 0x7ff7;
        unsigned int v862 = 0xb38452b8;
        unsigned int v863 = 0x7ff7;
        int v864 = 0xb3845280;
        int v865 = 0x0;
        unsigned long long v866 = 0x10c72f6f0;
        unsigned int v867 = 0x1;
        int v868 = 0xc7308e4;
        int v869 = 0x7ff7;
        int v870 = 0xb38452b8;
        int v871 = 0x7ff8;
        int v872 = 0x5ba2a16;
        int v873 = 0x7ff7;
        int v874 = 0xb3845250;
        int v875 = 0x7ff7;
        int v876 = 0xb384524f;
        int v877 = 0x1;
        int v878 = 0xc72f6f0;
        int v879 = 0x1;
        int v880 = 0xc703445;
        int v881 = 0x7ff7;
        int v882 = 0xb3845230;
        int v883 = 0x1;
        int v884 = 0xc745140;
        int v885 = 0x7ff7;
        int v886 = 0xb3845250;
        int v887 = 0x7ff7;
        int v888 = 0xb384524f;
        int v889 = 0x7ff7;
        int v890 = 0xb3845200;
        int v891 = 0x1;
        int v892 = 0xc745140;
        int v893 = 0x7ff7;
        int v894 = 0xb3845210;
        int v895 = 0x1;
        int v896 = 0xc70355e;
        int v897 = 0x7ff7;
        int v898 = 0xb3845200;
        unsigned long long v899 = 0x10c745140;
        int v900 = 0x1;
        int v901 = 0xc745140;
        int v902 = 0x1;
        int v903 = 0xc703585;
        int v904 = 0x7ff7;
        int v905 = 0xb38451c0;
        int v906 = 0x1;
        int v907 = 0xc745140;
        int v908 = 0x7ff7;
        unsigned int v909 = 0xb38451b0;
        unsigned int v910 = 0x1;
        unsigned int v911 = 0xc7035a5;
        unsigned int v912 = 0x7ff7;
        int v913 = 0xb38451a0;
        unsigned int v914 = 0x1;
        int v915 = 0xc745140;
        int v916 = 0x7ff7;
        int v917 = 0xb3845190;
        int v918 = 0x1;
        int v919 = 0xc7450f0;
        int v920 = 0x7ff7;
        int v921 = 0xb3845180;
        int v922 = 0x7ff7;
        unsigned int v923 = 0xb3845258;
        unsigned int v924 = 0x1;
        unsigned long long v925 = 0x7ff7b38452b8;
        int v926 = 0x0;
        unsigned int v927 = 0x1;
        int v1135 = 0x7ff8;
        unsigned int v1136 = 0x5b3f57c;
        unsigned int v1138 = 0x7ff7;
        unsigned int v1139 = 0xb3845170;
        int v1140 = 0x7ff7;
        unsigned int v1141 = 0xb38451c8;
        unsigned long long v1142 = 0x7ff7b3845140;
        unsigned int v1143 = 0x1;
        unsigned int v1144 = 0xc6bb005;
        unsigned long long v1145 = 0x7ff7b3845130;

        v3 = u8_to_u32(key_basis.data());
        v4 = u8_to_u32(key_basis.data() + 4);
        v5 = u8_to_u32(key_basis.data() + 8);
        v6 = v3 + u8_to_u32(key_basis.data() + 12);

        v7 = v5 - __ROL4__(v3, 17) - __ROL4__(v6, 12);
        v8 = detail::kPlayIntentKey[(unsigned char)v7 + 458] + v4;
        v9 = v8 + v3;
        v10 = v6 - 1678918895 * v9;
        v11 = v7 - v10;
        v12 = v8 - 1943606637 * v11;
        v1138 = v9 ^ process(v12 - 1887126649, v12, v11, v10, 3089498087LL);
        v13 = v10 ^ (1960334497 * v1138);
        v14 = process(v13 - 2017681632, v13, v1138, v12, 2893308447LL);
        v15 = v11 + v14;
        v16 = detail::kPlayIntentKey[(unsigned char)(v11 + v14) + 372] + v12;
        v17 = v1138 ^ (v16 - 1666352310);
        v18 = v13 - process(v17 + 321020889, v17, v16, v15, 426676803LL);
        v19 = v15 + __ROL4__(v18, 11);
        v20 = v19 + v16;
        v21 = v20 + v17;
        v22 = v21 + v20 + v18;
        v23 = v22 ^ v19;
        v24 = v23 ^ v20;
        v25 = v21 + ((__ROL4__(v24, 11) + 10013) ^ (v23 - 23980));
        v26 = v22 - v25;
        v27 = v26 + v23;
        v28 = v24 - process(v26 + v23 - 1564014643, v26 + v23, v26, v25, 70823020LL);
        v29 = v28 + v25;
        v30 = v26 - v29;
        v31 = v27 - process(v30 + 2055974216, v30, v29, v28, 1793857764LL);
        v32 = v31 + v28;
        v33 = v30 + __ROL4__(v29 ^ (1724000824 * v32), 16);
        v34 = v31 ^ (1333040199 * v33);
        v35 = v29 ^ (1724000824 * v32) ^ (__ROL4__(v32 - 742630820 * v34, 14) + __ROL4__(v34, 18));
        v36 = v35 + v33;
        v37 = __ROL4__(v36, 4);
        v38 = (v32 - 742630820 * v34) ^ (v37 + v34 + 857688717);
        v39 = v34 + v37;
        v40 = v35 - __ROR4__(v39, 1) - __ROL4__(v38, 2);
        v41 = v40 ^ v36;
        v42 = v39 - __ROL4__(v40, 7) - __ROL4__(v41, 17);
        v43 = detail::kPlayIntentKey[(unsigned char)v42 + 366] + v38;
        v44 = v40 - v43;
        v45 = v41 ^ (516222269 * v44);
        v46 = v42 + __ROL4__(v45, 6);
        v47 = v46 + v43;
        v48 = v44 - 1184437222 * (v46 + v43);
        v49 = (__ROL4__(v48, 28) - 19454) ^ v45 ^ (v46 + v43 - 11184);
        v50 = v46 - __ROL4__(v49, 26);
        v51 = v47 - v50;
        v52 = v48 - 2001805347 * v51;
        if (bit_test(static_cast<unsigned int*>(&v52), 0x1Eu)) {
            v53 = __ROL4__(v51, 3) + v49 + __ROL4__(v50, 19);
            v54 = v53 + v50;
            v55 = v54 ^ v51;
            v56 = v53 - v55;
            v57 = v54 + ((__ROL4__(v56, 23) + 17433) ^ (v55 - 27188));
            v58 = detail::kPlayIntentKey[(unsigned char)v57 + 428] + v55;
            v59 = v58 + v57 + v56;
            v60 = v59 ^ v57;
            v51 = v58 - v60 + 309169183;
            v49 = v52 ^ v59;
            v50 = v60;
        }
        if ((v51 & 1) != 0) {
            v61 = v52 ^ v49;
            v50 ^= v61 + 1983026685;
            v52 += (__ROL4__(v50, 6) - 26150) ^ (v61 - 9583);
            v49 = v51 ^ v61;
        }
        v1139 = v52;
        v62 = ((unsigned char)v52 >> 5) + 1;
        v63 = v52;
        do {
            v64 = detail::kPlayIntentKey[(unsigned char)v51 + 131] + v49;
            v65 = v50 ^ process(v64 + 311731196, v64, v51, v63, 4087057492LL);
            v66 = v51 - detail::kPlayIntentKey[(unsigned char)v65 + 107];
            v67 = __ROL4__(v66, 21) + v64 + __ROL4__(v65, 5);
            v68 = v65 + ((__ROL4__(v67, 10) + 9755) ^ (v66 - 25029));
            v69 = v68 ^ v66;
            v70 = v67 - v69;
            v50 = v68 ^ (__ROL4__(v70, 13) + __ROL4__(v69, 8));
            v51 = v69 - ((__ROL4__(v50, 15) - 3175) ^ (v70 + 22447));
            v49 = v63 ^ v70;
            --v62;
        } while (v62);
        v71 = v1139;
        if (bit_test((const int*)&v51, 0x1Du)) {
            v72 = v49 - v1139;
            v50 ^= detail::kPlayIntentKey[(unsigned char)v72 + 242];
            v71 = v1139 - v50;
            v49 = v51 ^ v72;
        }
        v73 = v71 + v49;
        v74 = v50 ^ (2147015021 * v73);
        v75 = detail::kPlayIntentKey[(unsigned char)(v50 ^ (109 * v73)) + 278] + v51;
        v76 = v71 - 648332459 * v75;
        v77 = v73 - ((__ROL4__(v76, 11) + 8538) ^ (v75 + 0x4000));
        v78 = __ROL4__(v77, 9);
        v79 = (v78 + v74) ^ v75;
        v80 = v76 - ((__ROL4__(v79, 20) + 30196) ^ (v78 + v74 - 10081));
        v81 = v80 ^ v77;
        v82 = detail::kPlayIntentKey[(unsigned char)v81 + 364] + v78 + v74;
        v83 = v79 - v82;
        v84 = detail::kPlayIntentKey[(unsigned char)(v80 - v83) + 400] + v81;
        v85 = v82 - __ROL4__(v80 - v83, 12) - __ROL4__(v84, 23);
        v86 = detail::kPlayIntentKey[(unsigned char)v85 + 480];
        v87 = v86 + v80;
        v88 = v84 + 1347299222 * v87;
        v89 = v85 - v88;
        v90 = v86 + v83 - v89;
        v91 = v87 ^ process(v90 - 208900371, v90, v89, v88, 1820748908LL);
        v92 = v91 ^ v88;
        v93 = v89 + 1384020165 * v92;
        v94 = detail::kPlayIntentKey[(unsigned char)(v89 - 59 * v92) + 187] + v90;
        v95 = v94 ^ v91;
        v96 = ((v95 >> 4) & 7) + 1;
        do {
            v97 = detail::kPlayIntentKey[(unsigned char)v94 + 275] ^ v92;
            v93 -= v97;
            v94 ^= v93;
            v92 = v95 ^ v97;
            --v96;
        } while (v96);
        v98 = ((v94 >> 15) & 7) + 1;
        do {
            v1140 = v98;
            v99 = v92 + 379445760 * v95;
            v100 = v93 ^ __ROL4__(v99, 11);
            v101 = v100 ^ v95;
            v102 = v101 + v99;
            v103 = v100 ^ (1184202149 * v102);
            v104 = v101 - __ROR4__(v102, 1) - __ROL4__(v103, 24);
            v105 = v104 + v103 + 1510445609;
            v106 = detail::kPlayIntentKey[(unsigned char)v104 + 1] ^ v102;
            v107 = v106 ^ (v104 + v103 + 1828335652);
            v108 = __ROL4__(v107, 15);
            v109 = __ROL4__(v105, 13);
            v110 = v103 - v109 + 1510445609 - v106 - v108;
            v111 = detail::kPlayIntentKey[(unsigned char)(v103 - v109 + 41 - v106 - v108) + 205];
            v112 = (unsigned int)(v111 + v105 - 1535853685);
            v113 = v105 + v111;
            v114 = process(v112, v113, v110, v94, 1635049433LL);
            v93 = v110 - (v107 + v114);
            v95 = v93 + v113;
            v92 = v94 ^ (v107 + v114);
            v98 = v1140 - 1;
        } while (v1140 != 1);
        v115 = ~BYTE2(v95) | 0xFFFFFFF8;
        do {
            v116 = detail::kPlayIntentKey[(unsigned char)v94 + 458] + v92;
            v117 = v93 ^ (v116 - 309404256);
            v118 = v117 ^ v94;
            v119 = v118 + v116;
            v120 = v117 - v119;
            v121 = v119 - (v120 + v118);
            v93 = v120 + 437644470 * v121;
            v94 = (v120 + v118) ^ __ROL4__(v93, 21);
            v92 = v95 ^ v121;
            ++v115;
        } while (v115);
        v122 = v94 ^ v92;
        v123 = v122 ^ v93;
        v124 = v95 ^ (1649278488 * v123);
        v125 = v124 ^ v94;
        v126 = v122 ^ __ROL4__(v125, 13);
        v127 = v126 + v123;
        v128 = v124 - __ROL4__(v126, 8) - __ROL4__(v127, 24);
        v129 = v125 + __ROL4__(v128, 3);
        v130 = v126 - v129;
        v131 = v127 ^ __ROL4__(v130, 18);
        v132 = v128 - detail::kPlayIntentKey[(unsigned char)v131 + 66];
        v133 = v129 - v132;
        v134 = v130 - detail::kPlayIntentKey[(unsigned char)v133 + 81];
        v135 = v131 - v134;
        v136 = v132 - v135;
        v137 = v133 ^ (v136 + 1753582020);
        v138 = v134 - 40517557 * v137;
        v139 = v138 ^ v135;
        v140 = detail::kPlayIntentKey[(unsigned char)(-53 * v139 + v136 - 60) + 478] ^ v137;
        v141 = v138 - v140;
        v142 = v139 ^ (__ROR4__(v141, 1) + __ROL4__(v140, 18));
        v143 = (__ROL4__(v142, 20) - 30040) ^ (1289721803 * v139 + v136 + 1753582020) ^ (v141 - 11258);
        v144 = v140 - __ROL4__(v143, 17);
        v145 = v141 ^ __ROL4__(v144, 4);
        v146 = detail::kPlayIntentKey[(unsigned char)v145 + 140] ^ v142;
        v147 = v143 - __ROL4__(v146, 12);
        v148 = v147 + v144;
        v149 = v145 + __ROL4__(v148, 27);
        v150 = v149 ^ v146;
        v151 = v147 + 749007615 * v150;
        v152 = detail::kPlayIntentKey[(unsigned char)(v147 - v150) + 172] ^ v148;
        v153 = v149 + 1139968240 * v152;
        v154 = detail::kPlayIntentKey[(unsigned char)(v149 - 16 * v152) + 187] ^ v150;
        v155 = v151 - v154;
        v156 = v152 ^ (814640294 * v155);
        v157 = v153 - v156;
        v158 = v154 + 1652328359 * v157;
        v159 = v158 ^ v155;
        v160 = v156 ^ __ROL4__(v159, 22);
        v161 = detail::kPlayIntentKey[(unsigned char)v160 + 272] ^ v157;
        v162 = v158 - __ROL4__(v161, 14);
        v163 = v159 + v162 + 402979897;
        v164 = v160 - __ROL4__(v162, 9) - __ROL4__(v163, 16);
        v165 = __ROL4__(v164, 18);
        v166 = v161 - v165;
        v167 = v162 ^ (v165 + __ROL4__(v166, 8));
        v168 = (__ROL4__(v167, 29) - 8089) ^ v163 ^ (v166 + 20772);
        v169 = __ROL4__(v168, 4) + v164 + __ROL4__(v167, 22);
        if ((v169 & 0x80u) != 0) {
            v170 = v168 + v167 + v166;
            v171 = v167 - detail::kPlayIntentKey[(unsigned char)v170 + 511];
            v172 = detail::kPlayIntentKey[(unsigned char)v171 + 81] ^ v168;
            v173 = v172 + v170;
            v167 = v171 - v173;
            v168 = v172 - v167;
            v166 = v169 ^ v173;
        }
        v174 = v168 ^ v166;
        v175 = v174 ^ v167;
        v176 = v169 ^ (915893955 * v175);
        v177 = v176 + v175 + v168;
        v178 = v174 - v177;
        v179 = v175 - v178;
        v180 = v176 ^ __ROL4__(v179 + 1059077342, 24);
        v181 = v177 - v180 + 1323765085;
        v182 = detail::kPlayIntentKey[(unsigned char)v181 + 455] + v178;
        v183 = __ROL4__(v182, 28) + v179 + 1059077342;
        v184 = v180 - v183;
        v185 = v181 ^ __ROL4__(v184 - 504505031, 29);
        v186 = v182 ^ (v185 + v184 - 504505031);
        v187 = v183 ^ __ROL4__(v186, 13);
        v188 = v187 + v184 - 504505031;
        v189 = v186 ^ __ROL4__(v185 - 1452005299 * v188, 17);
        v190 = v187 - v189;
        v191 = v188 ^ __ROL4__(v190, 19);
        v192 = v191 ^ (v185 - 1452005299 * v188);
        v193 = v189 + 180206249 * v192;
        v194 = v190 - v193;
        v195 = v191 + v194 + 1976649891;
        v196 = v192 - v194 - v195;
        if (bit_test(&v196, 0x13u)) {
            v197 = v193 ^ (__ROL4__(v195, 10) + __ROL4__(v194, 5));
            v198 = v194 - ((__ROL4__(v197, 8) + 23867) ^ (v191 + v194 + 1976647410));
            v199 = v198 ^ v195;
            v200 = v197 ^ __ROL4__(v199, 22);
            v201 = v198 - v200;
            v202 = (__ROL4__(v201, 13) + 10937) ^ v199 ^ (v200 - 20540);
            v203 = v200 - v201 - v202;
            v204 = v203 + v201;
            v205 = v202 - v204 + 1659283658;
            v194 = v203 ^ v204;
            v193 = v196 ^ (v203 - v205);
            v195 = detail::kPlayIntentKey[(unsigned char)v194 + 23] ^ v205;
        }
        v206 = v193 ^ __ROL4__(v195, 2);
        v207 = v206 ^ v194;
        v208 = (__ROL4__(v207, 12) + 15382) ^ v196 ^ (v206 - 27319);
        v209 = v195 - v208;
        v210 = v206 - ((__ROL4__(v209, 4) + 31135) ^ (v208 - 1766));
        v211 = v207 + ((__ROL4__(v210, 16) + 9430) ^ (v209 + 30461));
        v212 = v211 ^ v208;
        v213 = __ROL4__(v212, 4) + v209 + __ROL4__(v211, 28);
        v214 = v213 ^ v210;
        v215 = __ROL4__(v214, 19) + v211 + __ROL4__(v213, 4);
        v216 = detail::kPlayIntentKey[(unsigned char)v215 + 443] ^ v212;
        v217 = v216 + v213 + 444741430;
        v218 = detail::kPlayIntentKey[(unsigned char)(v216 + v213 + 54) + 366];
        v219 = v215 ^ (v214 - v218);
        v220 = v216 - v219;
        v221 = detail::kPlayIntentKey[(unsigned char)(v220 - 90) + 261] ^ v217;
        v222 = v221 + v218;
        v223 = v214 - v222;
        v224 = detail::kPlayIntentKey[(unsigned char)(v214 - v222 - 104) + 275] ^ v219;
        v225 = v220 + v224 + 2021890214;
        v226 = v221 - v224 - v225;
        v227 = __ROL4__(v226, 29);
        v228 = v227 + v223 - 1882116456;
        v229 = v224 - ((__ROL4__(v228, 5) + 17333) ^ (v226 + 18414));
        v230 = (__ROL4__(v229, 26) + 25293) ^ v225 ^ (unsigned int)(v227 + v223 - 1882088297);
        v231 = v226 - v230;
        if (bit_test((const int*)&v231, 0x11u)) {
            v232 = v231;
            v233 = v231;
            v234 = v230;
            v235 = v229;
            v236 = v228 + process((unsigned int)(v230 + 1278041680), (unsigned int)v230, v229, v232, 1715639723LL);
            v237 = v236 ^ v235;
            v238 = v237 + v236 + v234;
            v239 = v236 - v238;
            v240 = v237 - __ROL4__(v238, 6) - __ROL4__(v239, 11);
            v241 = v238 - __ROL4__(v240, 11);
            v242 = v239 ^ __ROL4__(v241, 11);
            v243 = v241 ^ (v242 + 2409);
            v244 = v241;
            v231 = v233;
            v245 = v240 + __ROL4__(v244, 22) + __ROL4__(v242, 2);
            v246 = (__ROR4__(v245, 1) - 11317) ^ v243;
            v247 = v242 - ((__ROL4__(v246, 14) - 26252) ^ (v245 - 15092));
            v229 = v247 + v245;
            v228 = v233 ^ v247;
            v230 = v229 + v246;
        }
        v248 = ((unsigned char)v230 >> 5) + 1;
        do {
            v249 = detail::kPlayIntentKey[(unsigned char)v231 + 432] + v228;
            v250 = v231;
            v251 = v229 ^ (-2017691258 * v249);
            v252 = v230;
            v253 = process(v251 - 1239845382, v251, v249, (unsigned int)v230, 6774216LL);
            v230 = v252;
            v254 = v250 ^ v253;
            v255 = v249 - detail::kPlayIntentKey[(unsigned char)v254 + 422];
            v229 = v255 + v251;
            v231 = v254 + v255 + v251 + 1570079398;
            v228 = v252 ^ v255;
            --v248;
        } while (v248);
        if (bit_test((const int*)&v231, 0xEu)) {
            v256 = v228 ^ v229;
            v257 = v228 - v252;
            v258 = v256;
            LODWORD(v230) = v252 - process(v256 + 538423730, v256, v257, v231, 2110799304LL);
            v259 = detail::kPlayIntentKey[(unsigned char)(v257 - 110 * v230) + 25] ^ v258;
            v260 = v257 + 1288806290 * v230 + 274504610 * (v230 - v259);
            v261 = detail::kPlayIntentKey[(unsigned char)(v257 - 110 * v230 - 94 * (v230 - v259)) + 331];
            v262 = v259 - v261;
            LODWORD(v230) = v230 - v261;
            v263 = v260 ^ (v230 + v262);
            LODWORD(v230) = v262 ^ v230;
            v229 = v262 - v263;
            v228 = v231 ^ v263;
        }
        if ((v230 & 8) != 0) {
            v264 = v228 - v231 - 1512554601;
            v265 = detail::kPlayIntentKey[(unsigned char)v264 + 20] ^ v229;
            v266 = v231 - __ROL4__(v265, 9);
            v267 = v266 + v264 - 1219101795;
            v229 = detail::kPlayIntentKey[(unsigned char)v267 + 328] + v265;
            v228 = v230 ^ v267;
            v231 = v266 + __ROL4__(v229, 29);
        }
        v268 = v228 + __ROL4__(v231, 4);
        v269 = v268 + v229;
        v270 = v230 - __ROL4__(v268, 15) - __ROL4__(v269, 4);
        v271 = v231 - detail::kPlayIntentKey[(unsigned char)v270 + 356];
        if ((v271 & 2) != 0) {
            v272 = (__ROL4__(v270, 7) + 20194) ^ v268 ^ (v269 - 31153);
            v273 = v269 ^ (v272 + v270);
            v274 = v270 - v273;
            v275 = v274 ^ v272;
            v276 = v275 ^ v273;
            v277 = v274 ^ (v276 + v275);
            v278 = detail::kPlayIntentKey[(unsigned char)(v274 ^ (v276 + v275)) + 49] ^ v275;
            v279 = v278 + v276;
            v280 = v279 + v277;
            v281 = v280 ^ v278;
            v282 = v281 + v279;
            v283 = v280 - __ROL4__(v281 + v279, 17);
            v284 = v281 - ((__ROL4__(v283, 21) - 21880) ^ (v281 + v279 + 3534));
            v285 = v284 + v282;
            v286 = v283 - __ROL4__(v284, 14) - __ROL4__(v285, 9);
            v287 = v286 + v284;
            v269 = v285 - detail::kPlayIntentKey[(unsigned char)v287 + 167];
            v268 = v271 ^ v287;
            v270 = v269 + v286;
        }
        v288 = v270 + v268;
        v289 = v288 + v269;
        v290 = v271 - __ROL4__(v288, 10) - __ROL4__(v288 + v269, 9);
        v291 = v270 + ((__ROL4__(v290, 11) - 15429) ^ (v269 + v288 - 3803));
        v292 = v291 + v288;
        v293 = v289 - detail::kPlayIntentKey[(unsigned char)v292 + 291];
        v294 = v290 - v293;
        v295 = v291 ^ (__ROL4__(v290 - v293, 14) + __ROL4__(v293, 9));
        v296 = v292 + v295;
        v297 = v292 + v295 + v293;
        v298 = v294 - ((__ROL4__(v297, 26) + 7047) ^ (v295 + v292 - 22215));
        v299 = v298 ^ v295;
        v300 = v296 - process(v299 - 1771522079, v299, v298, v297, 169636216LL);
        v301 = v297 - v300;
        v302 = v298 + v301 - 95057245;
        v303 = v299 - detail::kPlayIntentKey[(unsigned char)v302 + 78];
        v304 = v303 + v300;
        v305 = process(v300 + v303 - 1786560522, v303 + v300, v303, v302, 446890544LL);
        v306 = (v301 + v305) ^ v302;
        v307 = v303 - __ROL4__(v306, 13);
        v308 = v307 + v304;
        v309 = v308 + v301 + v305;
        v1141 = v308;
        v310 = v306 - v309;
        v311 = v307 ^ process(v310 - 418371090, v310, v309, v308, 4033433318LL);
        v312 = v309 - process(v1141 - 1390632032 * v311 - 935875449, v1141 - 1390632032 * v311, v311, v310, 3837309214LL);
        v313 = v310 - detail::kPlayIntentKey[(unsigned char)v312 + 114];
        v314 = v311 - 722351543 * v313;
        v315 = detail::kPlayIntentKey[(unsigned char)(v311 - -73 * v313) + 129] + v1141 - 1390632032 * v311;
        v316 = v315 ^ v312;
        v317 = v313 - v316;
        v318 = (__ROL4__(v317, 21) + 32620) ^ v314 ^ (v316 - 24128);
        v319 = v315 - v317 - v318;
        v320 = v316 - detail::kPlayIntentKey[(unsigned char)v319 + 200];
        v321 = v320 ^ v317;
        v322 = detail::kPlayIntentKey[(unsigned char)v321 + 73] + v318;
        v323 = v319 - v322;
        v324 = process(v323 - 1894652177, v323, v322, v321, 2737858530LL);
        v325 = v320 ^ v324;
        v326 = detail::kPlayIntentKey[(unsigned char)(v320 ^ v324) + 311] ^ v321;
        v327 = v322 - v326;
        v328 = v323 - __ROL4__(v327, 15);
        v329 = v326 ^ process(v325 - v328 - 490126332, v325 - v328, v328, v327, 3015178394LL);
        v330 = v329 + v327;
        v331 = v325 - v330;
        v332 = v329 - __ROL4__(v331, 10);
        v333 = v330 ^ (__ROL4__(v332, 1) + __ROL4__(v331, 27));
        v334 = v333 ^ (v328 - v330);
        v335 = v331 - __ROL4__(v333, 3) - __ROL4__(v334, 15);
        v336 = v332 + __ROL4__(v335, 26);
        v337 = v336 ^ v333;
        v338 = detail::kPlayIntentKey[(unsigned char)v337 + 124] + v334;
        v339 = v335 - detail::kPlayIntentKey[(unsigned char)v338 + 444];
        v340 = v339 + v336;
        v341 = v337 ^ (2128437989 * v340);
        v342 = ((v341 >> 19) & 7) + 1;
        do {
            v343 = v340 + v338;
            v344 = v340 + v338 + 431842552;
            v345 = v340 + v338;
            v346 = v341;
            v347 = process(v344, v345, v340, v341, 1571000630LL);
            v341 = v346;
            v348 = v339 - v347;
            v349 = v340 ^ (-1702669090 * (v339 - v347));
            v350 = v349 ^ v343;
            v339 = v348 + ((__ROL4__(v350, 10) + 18225) ^ (v349 + 32491));
            v340 = v349 - v350 - v339;
            v338 = v346 ^ v350;
            --v342;
        } while (v342);
        if ((v340 & 0x40) != 0) {
            v351 = v338 - v341;
            v352 = v351 ^ v339;
            v353 = v351 + (v341 ^ __ROL4__(v352, 21));
            v354 = v352 ^ (v353 - 1937100969);
            v355 = v354 + v351;
            v356 = v353 - v355;
            v357 = v354 + 666380749 * v356;
            v358 = v355 + __ROL4__(v357, 24);
            v359 = -v358 ^ v356;
            v360 = v357 - __ROL4__(-v358, 20) - __ROL4__(v359, 1);
            v361 = v360 - v358;
            v362 = v359 ^ __ROL4__(v360 - v358, 4);
            v363 = v360 - detail::kPlayIntentKey[(unsigned char)v362 + 462];
            v364 = v362 + v361 + v363 - 464619100;
            v339 = 464619100 - (v364 + v361);
            v341 = v339 ^ (v361 + v363 - 464619100);
            v338 = v340 ^ v364;
        }
        if (bit_test((const int*)&v341, 0x12u)) {
            v365 = v341;
            v366 = process(v340 + 90749670, v340, v339, v341, 1800428969LL);
            v341 = v365;
            v367 = v338 - v366;
            v368 = v367 + v339;
            v369 = v340 ^ __ROL4__(v368, 29);
            v370 = v367 - __ROL4__(v369, 21);
            v371 = (v368 - v370 - 8674) ^ v369 ^ (v370 + 7130);
            v372 = __ROL4__(v371, 9);
            v373 = v372 + v368;
            v374 = v371 - ((__ROL4__(v373, 20) - 26869) ^ (v372 + v370 - 18097));
            v375 = (v372 + v370) ^ v373;
            v376 = v372 + v370 - v374;
            v377 = v374 - detail::kPlayIntentKey[(unsigned char)v375 + 371];
            v378 = detail::kPlayIntentKey[(unsigned char)v377 + 386] + v376;
            v379 = v378 ^ v375;
            v380 = v377 + detail::kPlayIntentKey[(unsigned char)v379 + 167];
            v381 = v378 ^ (__ROL4__(v380, 11) + __ROL4__(v379, 1));
            v339 = v379 - ((__ROL4__(v381, 9) + 14167) ^ (v380 + 15132));
            v340 = v339 ^ v380;
            v338 = v365 ^ v381;
        }
        if ((v340 & 0x10) != 0) {
            v382 = v341 + v338;
            v383 = v339 - __ROL4__(v382, 26);
            v384 = v341 ^ (__ROL4__(v383, 12) + __ROL4__(v382, 13));
            v385 = v382 - __ROL4__(v383, 22) - __ROL4__(v384, 3);
            v386 = v383 - 185696584 * v385;
            v387 = detail::kPlayIntentKey[(unsigned char)(v383 - 72 * v385) + 56] ^ v384;
            v388 = v385 - detail::kPlayIntentKey[(unsigned char)v387 + 112];
            v389 = v386 - v388;
            v390 = detail::kPlayIntentKey[(unsigned char)(v387 ^ (v389 + 111)) + 420] ^ v388;
            v391 = (v387 ^ (v389 + 91557743)) - (v390 ^ v389);
            v392 = v391 ^ v389;
            v393 = v391 + __ROL4__(v392, 27);
            v394 = __ROL4__(v393, 17) + (v391 ^ v390) + __ROL4__(v392, 29);
            v395 = v394 ^ v392;
            v341 = v395 + v393;
            v338 = v340 ^ v394;
            v339 = v395;
        }
        v396 = ((v341 >> 12) & 7) + 1;
        do {
            v397 = v338 - __ROL4__(v340, 8);
            v398 = v397 + v339;
            v399 = v340 ^ (__ROL4__(v398, 8) + __ROL4__(v397, 16));
            v400 = v397 - __ROL4__(v398, 24) - __ROL4__(v399, 22);
            v401 = v398 + __ROR4__(v400, 1);
            v402 = v401 ^ v399;
            v403 = v402 + v400;
            v404 = v401 ^ (-1807543203 * v403);
            v405 = v404 + v402;
            v406 = v405 ^ v403;
            v339 = v406 ^ v404;
            v407 = v341;
            v408 = process(v339 - 1706943084, v339, v406, v341, 2764749675LL);
            v341 = v407;
            v340 = v405 + v408;
            v338 = v341 ^ v406;
            --v396;
        } while (v396);
        v409 = v340 ^ v338;
        v410 = v339 ^ (1469169169 * v409);
        v411 = detail::kPlayIntentKey[(unsigned char)(v339 ^ (17 * v409)) + 444] + v341;
        v412 = v411 ^ v340;
        v413 = v411;
        v414 = process(v412 + 2102052493, v412, v411, v410, 3297445003LL);
        v415 = v409 + v414;
        v416 = v410 - detail::kPlayIntentKey[(unsigned char)(v409 + v414) + 221];
        v417 = v413 + __ROL4__(v416, 27);
        v418 = detail::kPlayIntentKey[(unsigned char)v417 + 3] + v412;
        if (bit_test((const int*)&v418, 0x16u)) {
            v419 = v415 ^ (564555007 * v417);
            v420 = v416 + __ROL4__(v419, 10);
            v421 = v420 + v417;
            v422 = v419 - v421;
            v423 = v420 - v422;
            v424 = v423 + v421 + 349355723;
            v425 = v422 - v424 - 153166083;
            v426 = v423 + __ROL4__(v425, 20);
            v427 = v424 - v425 - v426;
            v428 = v425 - v427;
            v416 = detail::kPlayIntentKey[(unsigned char)v428 + 439] ^ v426;
            v417 = detail::kPlayIntentKey[(unsigned char)v416 + 460] + v427;
            v415 = v418 ^ v428;
        }
        v429 = v417 + v415;
        v430 = v416 - v429 - 617026300;
        v431 = detail::kPlayIntentKey[(unsigned char)v430 + 165] + v418;
        v432 = v417 ^ __ROL4__(v431, 25);
        v433 = detail::kPlayIntentKey[(unsigned char)v432 + 179] ^ v429;
        v434 = detail::kPlayIntentKey[(unsigned char)v433 + 200] + v430;
        v435 = v431 - __ROL4__(v434, 27);
        v436 = v435 ^ v432;
        v437 = v436 ^ v433;
        v438 = v434 - v437;
        v439 = __ROL4__(v438, 18) + v435 + __ROL4__(v437, 25);
        v440 = v436 - v439;
        if (bit_test(&v440, 0x14u)) {
            v441 = __ROL4__(v439, 10) + v437 + __ROL4__(v438, 11);
            v442 = v441 ^ v438;
            v443 = v439 ^ __ROL4__(v442, 10);
            v444 = detail::kPlayIntentKey[(unsigned char)v443 + 407] + v441;
            v445 = v443 - __ROL4__(v442 ^ (v444 - 1573578899), 30);
            v446 = v445 ^ v444 ^ v442 ^ (v444 - 1573578899);
            v447 = (v446 - 2085939018) ^ v445;
            v448 = v444 ^ (v446 - 2085939018);
            v449 = v446 - __ROL4__(v447, 20) - __ROL4__(v448, 23);
            v450 = v447 + ((__ROL4__(v449, 21) - 19094) ^ (v448 + 8008));
            v451 = v448 - v450;
            v452 = __ROL4__(v451, 11) + v449 + __ROL4__(v450, 1);
            v453 = v450 - ((__ROL4__(v452, 11) + 2202) ^ (v451 - 14255));
            v454 = v451 + __ROL4__(v453, 16);
            v438 = v454 + v453 + v452;
            v439 = v438 ^ v453;
            v437 = v440 ^ v454;
        }
        v455 = v437 - v439;
        v456 = detail::kPlayIntentKey[(unsigned char)v455 + 197] ^ (unsigned int)v438;
        v457 = v456 + v440;
        v458 = v457 + v439;
        v459 = v456;
        v460 = v455 + process(v439 + v457 + 1086585364, v457 + v439, v457, v456, 1364300775LL);
        v461 = v460 ^ v459;
        v462 = v457 ^ (v461 + 1099607314);
        v463 = detail::kPlayIntentKey[(unsigned char)(v457 ^ (v461 + 18)) + 189] + v458;
        v464 = v463 + v460;
        v465 = v461 ^ process(v463 + v460 - 1065710423, v463 + v460, v463, v462, 1641555102LL);
        v466 = v463 ^ (v465 + v462 + 587247195);
        v467 = v464 - v466;
        v468 = v465 + v462;
        v469 = v465 - ((__ROL4__(v467, 22) - 20311) ^ (v466 - 16115));
        v470 = v469 + v468;
        v471 = v466 - __ROL4__(v469, 14) - __ROL4__(v470, 10);
        v472 = v467 + __ROL4__(v471, 2);
        v473 = v472 ^ v469;
        v474 = v473 ^ v470;
        v475 = __ROL4__(v474, 30) + v471 + __ROL4__(v473, 27);
        v476 = v472 - detail::kPlayIntentKey[(unsigned char)v475 + 430];
        v477 = v476 + v473;
        v478 = v477 ^ v474;
        v479 = v475 - process(v478 + 124623650, v478, v477, v476, 933130580LL);
        v480 = v479 ^ v476;
        v481 = detail::kPlayIntentKey[(unsigned char)v480 + 441] + v477;
        v482 = v481 ^ v478;
        v483 = v479 - v482;
        v484 = v480 + 1367277890 * v483;
        v485 = v481 ^ (-708327593 * v484);
        v486 = detail::kPlayIntentKey[(unsigned char)(v481 ^ (87 * v484)) + 259] + v482;
        v487 = v483 + __ROL4__(v486, 21);
        v488 = detail::kPlayIntentKey[(unsigned char)v487 + 15] ^ v484;
        v489 = v485 - __ROL4__(v488, 12);
        v490 = v486 - v489;
        v491 = (__ROL4__(v490, 23) + 2274) ^ v487 ^ (v489 + 3154);
        if ((v491 & 0x40) != 0) {
            v492 = v488 - v490;
            v493 = v489 - 1655784157 * v492;
            v494 = detail::kPlayIntentKey[(unsigned char)(v489 - -35 * v492) + 331] ^ v490;
            v495 = v492 + __ROL4__(v494, 17);
            v496 = v495 + v493;
            v497 = v496 ^ v494;
            v498 = v495 ^ (v497 + v496);
            v499 = v496 ^ __ROL4__(v498, 9);
            v500 = v497 + __ROL4__(v499, 30);
            v501 = v500 ^ v498;
            v489 = v499 + 314126288 * v501;
            v502 = detail::kPlayIntentKey[(unsigned char)(v499 - 48 * v501) + 335] ^ v500;
            v488 = v491 ^ v501;
            v490 = v502;
        }
        v503 = v488 - 360209369 * v490;
        v504 = v489 ^ (-1715461649 * v503);
        v505 = v491 + 1859894722 * v504;
        v506 = v490 - v504 - v505;
        v507 = v506 ^ v503;
        v508 = v504 - v507 + 115142112;
        v509 = detail::kPlayIntentKey[(unsigned char)v508 + 459] ^ v505;
        v510 = v509 ^ v506;
        v511 = detail::kPlayIntentKey[(unsigned char)v510 + 474] ^ v507;
        v512 = v508 - v511;
        v513 = v509 ^ (v512 + 1448505797);
        v514 = v510 - v512 - v513;
        v515 = v511 - v514;
        v516 = (__ROL4__(v515, 1) - 648) ^ v512 ^ (v514 - 2107);
        v517 = v516 ^ v513;
        v518 = v514 + 508004532 * v517;
        v519 = v515 - v518;
        v520 = v516 ^ (__ROL4__(v519, 3) + __ROL4__(v518, 6));
        v521 = v517 ^ (1320331120 * v520);
        v522 = v521 + v518;
        if ((v522 & 0x10) != 0) {
            v523 = v519 - v520 - v521;
            v524 = v520 + ((__ROL4__(v523, 18) - 19062) ^ (v521 - 2629));
            v525 = v521 + __ROL4__(v523, 24) + __ROL4__(v524, 26);
            v526 = v524 ^ (v525 - 27856);
            v527 = __ROL4__(v525, 8) + v523 + __ROL4__(v524, 1);
            v528 = (__ROL4__(v527, 6) + 28279) ^ v526;
            v529 = v525 ^ __ROL4__(v528, 27);
            v530 = v527 + ((__ROL4__(v529, 10) + 22327) ^ (v528 + 29924));
            v531 = v530 ^ v528;
            v532 = v529 ^ (693036821 * v531);
            v533 = v530 ^ process(v532 - 1171045904, v532, v531, v522, 2558049820LL);
            v520 = v531 - v533;
            v521 = v532 - v520 + 2001610937;
            v519 = v522 ^ v533;
        }
        v534 = v519 + __ROL4__(v521, 27);
        v535 = v534 ^ v520;
        v536 = v522 ^ (v535 + 1913582136);
        v537 = v521 + __ROL4__(v536, 15);
        v538 = detail::kPlayIntentKey[(unsigned char)v537 + 109] ^ v534;
        v539 = v538 + v535;
        v540 = v536 ^ (v539 + v538);
        v541 = detail::kPlayIntentKey[(unsigned char)(v536 ^ (v539 + v538)) + 3] + v537;
        v542 = v538 - v541;
        v543 = detail::kPlayIntentKey[(unsigned char)(v542 - 103) + 18] ^ v539;
        v544 = v543 ^ v540;
        v545 = v541 - v544;
        v546 = -2113714583 * v545 + v542 + 1468915609;
        v547 = v543 - process(-2113714583 * v545 + v542 + 1524546384, v546, v545, v544, 2659640489LL);
        v548 = v547 ^ v544;
        v549 = v548 ^ v545;
        v550 = detail::kPlayIntentKey[(unsigned char)v549 + 54] ^ v546;
        v551 = v548 - (v547 - v550);
        v552 = __ROL4__(v551, 30);
        v553 = (v552 + 6647) ^ v549 ^ (v547 - v550 + 21780);
        v554 = detail::kPlayIntentKey[(unsigned char)((v552 - 9) ^ v549 ^ (v547 - v550 + 20)) + 104];
        v555 = v547 - v554;
        LODWORD(v556) = v551 - v555;
        v557 = v550 - v554;
        v558 = v553 + ((__ROL4__(v556, 21) + 27943) ^ (v555 - 484));
        v559 = ((v558 >> 21) & 7) + 1;
        do {
            v1135 = v559;
            v560 = v557 - process((unsigned int)(v556 + 12214581), (unsigned int)v556, v555, v558, 451530616LL);
            v561 = v560 + v555;
            v562 = v556;
            v563 = v561 + v556;
            v564 = v560 ^ process(v562 + v561 - 2019561217, v562 + v561 + 186837155, v561, v558, 2014775980LL);
            v565 = v561 - v564;
            v566 = v565 + v563 + 186837155;
            v567 = v566 ^ v564;
            v568 = v565 + 521712604 * v567;
            v569 = detail::kPlayIntentKey[(unsigned char)(v565 - 36 * v567) + 204] ^ v566;
            v570 = detail::kPlayIntentKey[(unsigned char)v569 + 219] ^ v567;
            v571 = v568 ^ __ROL4__(v570, 16);
            v572 = v569 - v571;
            v573 = v570 - v572;
            v574 = v571 ^ __ROL4__(v573, 15);
            v575 = v574 ^ v572;
            v576 = v573 - v575;
            v555 = v574 - 1073690492 * v576;
            v556 = v575 ^ (unsigned int)process(-1073690492 * v576 + v574 + 156601479, v555, v576, v558, 3959414233LL);
            v557 = v558 ^ v576;
            v559 = v1135 - 1;
        } while (v1135 != 1);
        v577 = (((unsigned int)v556 >> 22) & 7) + 1;
        v1142 = v556;
        do {
            v1136 = v577;
            v578 = v557 - v558;
            v579 = v555 ^ (-1621163288 * v578);
            v580 = v579 + v558;
            v581 = v580 + v579 + v578;
            v582 = v579 ^ __ROL4__(v581, 29);
            v583 = v582 + v581 + v580;
            v584 = v581 - v583;
            v585 = v582 + __ROL4__(v584, 20);
            v586 = v585 ^ v583;
            v587 = v586 ^ v584;
            v588 = v585 - v587;
            v589 = v586 + process(v588 - 1081109649, v588, v587, (unsigned int)v556, 2859963550LL);
            v590 = v587 ^ process(v589 + 1545490504, v589, v588, v1142, 2663839445LL);
            v591 = v588 - detail::kPlayIntentKey[(unsigned char)v590 + 42];
            v592 = v591 ^ v589;
            v593 = -1218505377 * v592 + v590;
            v555 = v591 + process(v593 + 2044012559, v593, v592, v1142, 1956642806LL);
            v594 = v592;
            LODWORD(v556) = v1142;
            v558 = v594 - v555;
            v557 = v1142 ^ v593;
            v577 = v1136 - 1;
        } while (v1136 != 1);
        if (bit_test((const int*)&v558, 9u)) {
            v595 = v557 - v1142;
            v555 ^= detail::kPlayIntentKey[(unsigned char)v595 + 275];
            v557 = v558 ^ v595;
            LODWORD(v556) = v1142 ^ __ROL4__(v555, 7);
        }
        v596 = (((unsigned int)v556 >> 20) & 7) + 1;
        do {
            v597 = v557 + __ROL4__(v558, 21);
            v598 = v597 ^ v555;
            v599 = v558 - v598;
            v600 = v597 + v599 + 2092250277 + 1811690858;
            v601 = v598 - detail::kPlayIntentKey[(unsigned char)v600 + 277];
            v602 = __ROL4__(v601, 21) + v599 + 2092250277;
            v603 = v600 ^ __ROL4__(v602, 4);
            v604 = v601 ^ v602;
            v605 = v601 - v603;
            v606 = v603 - __ROL4__(v604, 29) - __ROL4__(v605, 12);
            v555 = v606 + v605;
            v558 = v555 + v604;
            v557 = v556 ^ v606;
            --v596;
        } while (v596);
        v607 = v558 ^ v557;
        v608 = v555 + 1282235085;
        v609 = v556 + v607 - v608;
        v610 = v558 - v609;
        v611 = (__ROL4__(v610, 14) - 4538) ^ (v609 - 3782);
        v612 = v607 - v611;
        v613 = v608 - v611;
        v614 = __ROL4__(v613, 7) + v609 + __ROL4__(v612, 6);
        v615 = (__ROL4__(v614, 5) - 3556) ^ v610 ^ (v613 - 4340);
        v616 = v612 - v615;
        v617 = (__ROL4__(v616, 19) - 17468) ^ v613 ^ (v615 - 21841);
        v618 = v614 - v617;
        v619 = v615 - __ROL4__(v617, 10) - __ROL4__(v618, 8);
        v620 = ~(v619 >> 27) | 0xFFFFFFF8;
        do {
            v621 = v616 - __ROL4__(v618, 17);
            v622 = v617 ^ (__ROL4__(v621, 7) + __ROL4__(v618, 6));
            v623 = v618 - __ROL4__(v622, 18);
            v624 = __ROL4__(v623, 11) + v621 + __ROL4__(v622, 7);
            v625 = v622 ^ __ROL4__(v624, 22);
            v626 = __ROL4__(v625, 12) + v623 + __ROL4__(v624, 5);
            v627 = v626 + v624;
            v628 = v625 ^ (-259781205 * v627);
            v629 = detail::kPlayIntentKey[(unsigned char)(v625 ^ (-85 * v627)) + 299] ^ v626;
            v630 = detail::kPlayIntentKey[(unsigned char)v629 + 460] ^ v627;
            v617 = v628 - 848943522 * v630;
            v618 = v617 + v630 + v629;
            v616 = v619 ^ v630;
            ++v620;
        } while (v620);
        v631 = v618 + v616;
        v632 = v617 - process(v618 + v616 - 459079782, v618 + v616, v618, v619, 3477748732LL);
        v633 = v619 + v632 - 1012252330;
        v634 = v619 + v632;
        v635 = v618 + process(v633, v634, v632, v618 + v616, 682466788LL);
        v636 = v631 - v635;
        v637 = v632 ^ process(v636 - 1221561467, v636, v635, v634, 291440627LL);
        v638 = v634 - detail::kPlayIntentKey[(unsigned char)v637 + 369];
        v639 = v638 + v635;
        v640 = v636 - detail::kPlayIntentKey[(unsigned char)v639 + 383];
        v641 = v640 + v637;
        v642 = v641 ^ v638;
        v643 = v639 - __ROL4__(v641, 11) - __ROL4__(v642, 27);
        v644 = v640 - __ROL4__(v643, 24);
        v645 = v644 + v641 + 538808259;
        v646 = v642 - __ROL4__(v645, 25);
        v647 = v646 + v643;
        v648 = v647 + v646 + v644;
        v649 = v645 + v648 - 365805903;
        v650 = v646 ^ (v649 + v648);
        v651 = v647 - v650;
        v652 = v648 - process(v651 + 712896127, v651, v650, v649, 176207421LL);
        v653 = v649 - __ROL4__(v652, 29);
        v654 = v650 + v653 - 88486040;
        v655 = v651 + 686660026 * v654;
        v656 = v655 ^ v652;
        v657 = v653 - v656;
        v658 = __ROL4__(v657, 20);
        v659 = (v658 - 24704) ^ v654 ^ (v656 + 32343);
        v660 = detail::kPlayIntentKey[(unsigned char)((v658 + 0x80) ^ v654 ^ (v656 + 87)) + 393] ^ v655;
        v661 = v656 - __ROL4__(v660, 15) - __ROL4__(v659, 24);
        v662 = v657 + __ROL4__(v661, 26);
        v663 = v662 ^ v659;
        v664 = v660 - v663;
        if (bit_test((const int*)&v664, 0x18u)) {
            v665 = v661 ^ process(v663 + 545324173, v663, v662, v664, 2744429735LL);
            v666 = detail::kPlayIntentKey[(unsigned char)v665 + 508] ^ v662;
            v667 = v663 - v666;
            v668 = v665 ^ __ROL4__(v667, 19);
            v669 = v668 ^ v666;
            v670 = v667 + ((__ROL4__(v669, 30) - 4262) ^ (v668 - 18245));
            v671 = (__ROL4__(v670, 17) - 15479) ^ v668 ^ (v669 + 32367);
            v672 = v671 + v669;
            v673 = v670 - ((__ROL4__(v672, 19) - 23481) ^ (v671 + 22064));
            v674 = v673 ^ v671;
            v675 = v674 + v672 + 1662852809;
            v676 = v673 - detail::kPlayIntentKey[(unsigned char)v675 + 114];
            v677 = v674 - detail::kPlayIntentKey[(unsigned char)v676 + 128];
            v662 = v677 + v675;
            v663 = v676 + v662 + 1940172672;
            v661 = v664 ^ v677;
        }
        if (bit_test((const int*)&v663, 0xDu)) {
            v678 = process(v664 + 66070337, v664, v662, v663, 1300251971LL) - v661;
            v679 = v664 + v662 + 1035558510;
            v680 = v678 + v662 + v664 + 1035558510;
            v681 = v680 + v662;
            v682 = v680 ^ (-1696097886 * v681);
            v683 = v679 - __ROL4__(v682, 24);
            v662 = v683 + v681;
            v664 = v682 - ((__ROL4__(v662, 15) + 22185) ^ (v683 + 9432));
            v661 = v663 ^ v683;
        }
        v684 = v661 ^ (-1823664187 * v664);
        v685 = v662 - process(v684 + 1825223823, v684, v664, v663, 3209440538LL);
        v686 = v685 + v663;
        v687 = v686 ^ v664;
        v688 = v684 - __ROL4__(v687, 20);
        v689 = v685 - v688;
        v690 = v686 ^ process(v689 - 270097090, v689, v688, v687, 478121151LL);
        v691 = v687 - v690;
        v692 = v691 + v688;
        v693 = v689 + __ROL4__(v692, 27);
        v694 = v690 - __ROL4__(v692, 19) - __ROL4__(v693, 17);
        v695 = v691 ^ (__ROL4__(v694, 6) + __ROL4__(v693, 12));
        v696 = v695 + v692 - 1126328384;
        v697 = v693 ^ (__ROL4__(v696, 21) + __ROL4__(v695, 20));
        v698 = v694 - detail::kPlayIntentKey[(unsigned char)v697 + 146];
        v699 = v698 + v695;
        v700 = detail::kPlayIntentKey[(unsigned char)v699 + 161] + v696;
        v701 = v700 ^ v697;
        v702 = detail::kPlayIntentKey[(unsigned char)v701 + 34] + v698;
        v703 = v699 - detail::kPlayIntentKey[(unsigned char)v702 + 263];
        v704 = v700 - detail::kPlayIntentKey[(unsigned char)v703 + 399];
        v705 = v701 - __ROL4__(v704, 4);
        v706 = v702 ^ (__ROL4__(v705, 26) + __ROL4__(v704, 18));
        v707 = v703 + __ROL4__(v706, 5);
        v708 = v706 + v704;
        v709 = v708 + v707 + 1526825005;
        v710 = v707 + v708;
        v711 = v705 ^ process(v709, v710, v707, v706, 2873987501LL);
        v712 = v706 - v711;
        v713 = v707 - 1490836735 * v712;
        v714 = v713 ^ v710;
        v715 = v711 ^ (-1881862897 * v714);
        v716 = detail::kPlayIntentKey[(unsigned char)(v711 ^ (15 * v714)) + 186] + v712;
        v717 = v716 + v713;
        v718 = v717 + v714;
        v719 = v718 + v715;
        v720 = __ROL4__(v719, 19);
        v721 = v720 + v716 - 1438365442;
        v722 = v716 + v720;
        v723 = v717 ^ v721;
        v724 = ((v723 >> 8) & 7) + 1;
        do {
            v725 = __ROL4__(v722, 6);
            v719 ^= v725 + v718 + 1838346929;
            v722 += v719;
            v718 = v723 ^ (v718 + v725);
            --v724;
        } while (v724);
        v726 = v722 + v718;
        v727 = v719 - __ROL4__(v722, 7) - __ROL4__(v726, 9);
        v728 = v723 - __ROL4__(v727, 8);
        v729 = v728 + v722;
        v730 = v726 - v728 - v729;
        v731 = v728 ^ v729;
        v732 = v730 ^ (1198420510 * v731);
        v733 = detail::kPlayIntentKey[(unsigned char)(v730 ^ (30 * v731)) + 457];
        v734 = v733 + v727 - detail::kPlayIntentKey[(unsigned char)v730 + 149];
        v735 = v733 + v728;
        v736 = v731 - v734 - v735;
        v737 = v736 ^ v732;
        v738 = v734 - __ROR4__(v737, 1);
        v739 = v735 ^ (__ROL4__(v738, 21) + __ROL4__(v737, 16));
        v740 = v736 - __ROL4__(v739, 1);
        v741 = v737 - __ROL4__(v739, 25) - __ROL4__(v740, 13);
        v742 = v738 + ((__ROL4__(v741, 2) - 29618) ^ (v740 + 30668));
        v743 = v739 - __ROL4__(v741, 29) - __ROL4__(v742, 10);
        v744 = v740 ^ __ROL4__(v743, 21);
        v745 = v742 ^ process(v741 - v744 - 1417429389, v741 - v744, v744, v743, 3107951804LL);
        v746 = v745 + v743;
        v747 = v744 + v746 + 767250316;
        v748 = v741 + v746 + 767250316;
        v749 = v745 + v748 + 376289690;
        v750 = detail::kPlayIntentKey[(unsigned char)(v745 + v741 + v746 - 116 - 102) + 366] + v746;
        v751 = (__ROL4__(v750, 24) - 23167) ^ v747 ^ (v745 + v748 + 376313021);
        v752 = v751 + v748;
        v753 = v749 - detail::kPlayIntentKey[(unsigned char)v752 + 144];
        v754 = v750 - __ROL4__(v753, 4);
        v755 = v751 ^ (__ROL4__(v754, 27) + __ROL4__(v753, 14));
        v756 = v752 - __ROL4__(v754, 1) - __ROL4__(v755, 6);
        v757 = detail::kPlayIntentKey[(unsigned char)v756 + 452] + v753;
        v758 = v754 ^ __ROL4__(v757, 25);
        v759 = v755 + __ROL4__(v758, 15) + __ROL4__(v757, 27);
        v760 = v756 - process(v759 - 375790149, v759, v758, v757, 2308301541LL);
        v761 = v757 - detail::kPlayIntentKey[(unsigned char)v760 + 58];
        LODWORD(v762) = v761 ^ v758;
        v763 = detail::kPlayIntentKey[(unsigned char)(v761 ^ v758) + 443] + v759;
        v764 = (((detail::kPlayIntentKey[(unsigned char)(v761 ^ v758) + 443] + v759) >> 26) & 7) + 1;
        do {
            v1143 = v764;
            v765 = v760 + __ROL4__(v762, 29);
            v766 = v761 ^ __ROL4__(v765, 9);
            v767 = (v762 - v766) ^ v765;
            v768 = (__ROL4__(v767, 12) - 9176) ^ (v762 - v766 - 19920);
            v769 = v762 - v768;
            v770 = v767 - v769;
            v771 = v770 + v766 - v768 - 623597504;
            v772 = v770 - 623597504;
            v773 = v763;
            v774 =
                v769 ^ process((unsigned int)(v770 + v766 - v768 + 617861577), v771, (unsigned int)(v770 - 623597504), (unsigned int)v763, 1877131347LL);
            v775 = v772 ^ (-1067888074 * v774);
            v776 = v775 + v771;
            v777 = v776 ^ v774;
            v778 = process(v777 - 180188961, v777, v776, (unsigned int)v773, 3049416085LL);
            v763 = v773;
            v779 = v775 + v778;
            v761 = v779 ^ v776;
            LODWORD(v762) = v777 + __ROL4__(v761, 19);
            v760 = v773 ^ v779;
            v764 = v1143 - 1;
        } while (v1143 != 1);
        if (bit_test((const int*)&v762, 0xCu)) {
            v780 = v761 ^ (-1695182373 * v779);
            v781 = detail::kPlayIntentKey[(unsigned char)(v761 ^ (-37 * v779)) + 391] + v773;
            v782 = detail::kPlayIntentKey[(unsigned char)(LOBYTE(detail::kPlayIntentKey[(unsigned char)(v761 ^ (-37 * v779)) + 391]) + v773) + 293] + v779;
            v783 = v782 + v780;
            v784 = v781 - v782 - v783;
            v785 = v784 ^ v782;
            v786 = detail::kPlayIntentKey[(unsigned char)v785 + 476] + v783;
            LODWORD(v763) = v786 ^ v784;
            v760 = v762 ^ v785;
            v761 = v786;
        }
        v787 = (BYTE3(v763) & 7) + 1;
        do {
            v788 = v760 - v762;
            v789 = v761 ^ (v788 + 1106178518);
            v790 = v762 ^ (v789 + v788);
            v791 = v788 + ((__ROR4__(v790, 1) + 3764) ^ (v789 - 27481));
            v761 = v789 + __ROL4__(v791, 20);
            v762 = v790 ^ (unsigned int)(435996234 * v761);
            v760 = v763 ^ v791;
            --v787;
        } while (v787);
        if (bit_test((const int*)&v762, 0xAu)) {
            v792 = detail::kPlayIntentKey[(unsigned char)v763 + 126] ^ v760;
            v793 = v790 ^ (unsigned int)(435996234 * v761);
            v794 = v763;
            v795 = process(v792 + 1882840506, v792, (unsigned int)v763, (unsigned int)v762, 2610215271LL);
            v762 = v793;
            v796 = v761 ^ v795;
            v797 = v794 - __ROL4__(v796, 5);
            v798 = v792 - v797;
            v799 = v796 - ((__ROL4__(v798, 28) + 3026) ^ (v797 - 30749));
            LODWORD(v763) = v797 ^ __ROL4__(v799, 25);
            v800 = v798 ^ __ROL4__(v763, 8);
            v761 = v799 + __ROL4__(v800, 29);
            LODWORD(v763) = v761 ^ v763;
            v760 = v793 ^ v800;
        }
        if (bit_test((const int*)&v763, 0xBu)) {
            v801 = v760 - v762;
            v761 = v761 - v801 - 125860971;
            v762 = v761 ^ (unsigned int)v762;
            v760 = v763 ^ v801;
        }
        v802 = (((unsigned int)v762 >> 22) & 7) + 1;
        do {
            v1144 = v802;
            v803 = v760 - __ROL4__(v763, 27);
            v804 = v803 + v761;
            v805 = __ROL4__(v804, 4) + v763 + __ROL4__(v803, 12);
            v806 = __ROL4__(v805, 18) + v803 + __ROL4__(v804, 20);
            v807 = v804 + __ROL4__(v806, 18);
            v808 = v805 - v806 - v807;
            v809 = detail::kPlayIntentKey[(unsigned char)v808 + 479] + v806;
            v810 = detail::kPlayIntentKey[(unsigned char)(v807 ^ v809) + 217] + v808;
            v811 = v762;
            v812 = process(v810 - 909838629, v810, v807 ^ (unsigned int)v809, (unsigned int)v762, 4058227430LL);
            v762 = v811;
            v813 = v812 ^ v807;
            v814 = v813 + v810;
            LODWORD(v811) = v812 ^ v809 ^ __ROL4__(v814, 18);
            v761 = v811 ^ v813;
            LODWORD(v763) = v814 + ((__ROL4__(v811 ^ v813, 29) + 11059) ^ (v811 - 3595));
            v760 = v762 ^ v811;
            v802 = v1144 - 1;
        } while (v1144 != 1);
        v815 = v760 - v763 - 1631647074;
        v816 = v761 ^ (__ROL4__(v815, 23) + __ROL4__(v763, 10));
        v817 = detail::kPlayIntentKey[(unsigned char)v816 + 291] + v762;
        v818 = v817 + (unsigned int)v763;
        v819 = ((unsigned int)v818 >> 29) + 1;
        v1145 = v818;
        do {
            v820 = v817 ^ v815;
            v821 = v817;
            v822 = v816 + process(v820 - 1814503766, v820, v817, (unsigned int)v818, 2331482448LL);
            v823 = v821 - detail::kPlayIntentKey[(unsigned char)v822 + 402];
            v824 = v820 - v822 - v823;
            v825 = v822 + __ROL4__(v824, 28);
            v826 = v825 + v823;
            v827 = v824 - v826;
            v828 = v825 - v827;
            v829 = v828 ^ v826;
            v830 = v827 ^ __ROL4__(v829, 20);
            v831 = v830 + v828;
            v832 = process(v830 + v828 - 1007311722, v830 + v828, v830, v1145, 3803964316LL);
            LODWORD(v818) = v1145;
            v833 = v830 ^ (__ROL4__(v829 - v832, 9) + __ROL4__(v831, 22));
            v816 = detail::kPlayIntentKey[(unsigned char)v833 + 297] ^ v831;
            v817 = v829 - v832 - v816;
            v815 = v1145 ^ v833;
            --v819;
        } while (v819);
        v834 = v817 + v815;
        v835 = __ROL4__(v834, 14) + v816 + __ROL4__(v817, 17);
        v836 = v1145 ^ __ROL4__(v835, 23);
        v837 = v836 ^ v817;
        v838 = (__ROL4__(v837, 26) + 22127) ^ v834 ^ (v836 + 13430);
        v839 = v838 ^ v835;
        v840 = v836 - v839;
        v841 = v837 - process(v840 - 321312522, v840, v839, v838, 709972837LL);
        v842 = v838 - 1799834052 * v841;
        v843 = v839 ^ (v842 + v841);
        v844 = v840 ^ __ROL4__(v843, 1);
        v845 = v841 - v844 + 243700884;
        v846 = ~(v845 >> 27) | 0xFFFFFFF8;
        do {
            v847 = v842 - __ROL4__(v843, 16) - __ROL4__(v844, 23);
            v848 = v844 - (v847 ^ v843) + 1148315046;
            v849 = v847 - v848;
            v850 = v849 + v844 + 1148315046 + 1539275672;
            v851 = v848 ^ __ROL4__(v850, 6);
            v852 = detail::kPlayIntentKey[(unsigned char)v851 + 55] + v849 + 1539275672;
            v843 = v852 ^ v850;
            v844 = v851 ^ (v843 + 957340469);
            v842 = v845 ^ v852;
            ++v846;
        } while (v846);
        v853 = ((v844 >> 28) & 7) + 1;
        do {
            v854 = detail::kPlayIntentKey[(unsigned char)v845 + 56] ^ v842;
            v855 = v854 ^ (v845 + v843 - 2128397326 - 338234319);
            v856 = (v843 - 2128397326 - v854) ^ (436911748 * v855);
            v857 = v856 ^ (v843 + v845 - 2128397326);
            v858 = v857 + v855;
            v843 = __ROL4__(v858, 24) + v856 + __ROL4__(v857, 6);
            v845 = v857 - __ROL4__(v843, 3);
            v842 = v844 ^ v858;
            --v853;
        } while (v853);
        v859 = v842 ^ __ROL4__(v845, 3);
        v860 = v843 - v859;
        v861 = v844 - v860;
        v862 = v845 ^ process(v861 - 2003221183, v861, v860, v859, 1422356990LL);
        if (bit_test((const int*)&v862, 0x1Au)) {
            v863 = v859 + 1318551866 * v861;
            v860 ^= detail::kPlayIntentKey[(unsigned char)v863 + 111];
            v861 ^= v860;
            v859 = v862 ^ v863;
        }
        v864 = ((v861 >> 4) & 7) + 1;
        do {
            v865 = (v862 + v860) ^ v859;
            v860 -= detail::kPlayIntentKey[(unsigned char)v865 + 74];
            v862 += v860;
            v859 = v861 ^ v865;
            --v864;
        } while (v864);
        v866 = v859 + ((__ROL4__(v862, 4) - 23225) ^ (v861 + 27329));
        v867 = v866 ^ v860;
        v868 = process(v867 - 312492208, v867, v866, v862, 2695004517LL);
        v869 = v862 ^ __ROL4__(v868 + v861, 3);
        v870 = (__ROL4__(v869, 24) + 24116) ^ v866 ^ (v868 + v861 + 2102);
        v871 = v867 - v870;
        v872 = v871 ^ (v868 + v861);
        v873 = v869 + ((__ROL4__(v872, 14) + 25098) ^ (v871 + 1544));
        v874 = v873 ^ v870;
        v875 = v874 + v873 + v871;
        v876 = detail::kPlayIntentKey[(unsigned char)v875 + 312] ^ v872;
        v877 = v873 - v876;
        v878 = v874 - detail::kPlayIntentKey[(unsigned char)v877 + 327];
        v879 = v878 + v875;
        v880 = v879 + v878 + v876;
        v881 = v880 ^ v877;
        v882 = v878 ^ (v881 + v880);
        v883 = v879 - detail::kPlayIntentKey[(unsigned char)(v878 ^ (v881 + v880)) + 144];
        v884 = v880 - v883;
        v885 = -1630660793 * v884 + v881;
        v886 = v883 + ((__ROL4__(v885 ^ v882, 9) + 5702) ^ (v885 + 1580));
        v887 = __ROL4__(v886, 17) + v884 + __ROL4__(v885 ^ v882, 20);
        v888 = __ROL4__(v887, 28);
        v889 = v888 ^ v885;
        v890 = v882 ^ v888;
        v891 = v886 ^ (887063893 * v890);
        v892 = v891 + v887;
        v893 = v892 ^ v889;
        v894 = v893 + v892 + v890;
        v895 = v894 ^ v891;
        v896 = v895 + v892 - 1352660683;
        v897 = detail::kPlayIntentKey[(unsigned char)(v895 + v892 + 53) + 180] + v893;
        v898 = v894 ^ (v896 + v897);
        v899 = (unsigned char)(v894 ^ (v896 + v897));
        v900 = v895 + detail::kPlayIntentKey[v899 + 341] - 243935957;
        v901 = v895 + detail::kPlayIntentKey[v899 + 341];
        v902 = v896 ^ v900;
        v903 = v902 + v901 + v897;
        v904 = v898 ^ __ROR4__(v903, 1);
        v905 = v904 + v901;
        v906 = v902 - v905;
        v907 = v903 - v906;
        v908 = v904 - __ROL4__(v906, 4) - __ROL4__(v907, 22);
        v909 = v905 ^ __ROL4__(v908, 4);
        v910 = v909 ^ v906;
        v911 = v907 - __ROL4__(v910, 10);
        v912 = ~(v911 >> 3) | 0xFFFFFFF8;
        do {
            v913 = v908 ^ process(v910 + 1917435872, v910, v909, v911, 2384869254LL);
            v914 = v910 - v909;
            v915 = v913 ^ (v914 - 606542513);
            v916 = __ROL4__(v915, 13) + v909 + __ROL4__(v914, 23) - v913;
            v917 = v916 ^ v914;
            v918 = v915 - __ROL4__(v917, 4);
            v919 = v918 + v916;
            v920 = __ROL4__(v918 + v916, 18) + v917 + __ROL4__(v918, 21);
            v921 = (__ROL4__(v920, 16) - 12091) ^ v918 ^ (v918 + v916 + 6992);
            v922 = v919 - v921;
            v923 = (__ROL4__(v922, 17) - 19069) ^ v920 ^ (v921 - 3311);
            v924 = v923 + v921;
            v909 = v922 - process(v923 + v921 - 181496098, v923 + v921, v923, v911, 1320531248LL);
            v910 = detail::kPlayIntentKey[(unsigned char)v909 + 327] + v923;
            v908 = v911 ^ v924;
            ++v912;
        } while (v912);
        LODWORD(v925) = v908;
        v926 = (v910 >> 29) + 1;
        do {
            v927 = 1588533115 * v911 + v925;
            v909 -= process(v927 - 1775350851, v927, v911, v910, 2521507065LL);
            v911 -= v909;
            v925 = v910 ^ v927;
            --v926;
        } while (v926);

        memcpy(dst.data() + 3 * 4, &v925, 4);
        memcpy(dst.data() + 2 * 4, &v909, 4);
        memcpy(dst.data() + 1 * 4, &v910, 4);
        memcpy(dst.data() + 0 * 4, &v911, 4);
        return dst;
    }
} // namespace unplayplay
